<?php
class NetubeReduxNewsBlock {
	private $block_id;
	private $block_map;
	private $netube_param_default_array;
	/**
	 * Widget setup.
	 */

	public function netube_set_news_block_id( $block_id, $saved_array ) {
		$this->block_id = $block_id;
		$this->netube_set_news_block_values();

		if( $saved_array ){
			$instance = $this->netube_update_news_block_values( $saved_array, $this->netube_param_default_array );
			$this->netube_news_block_form( $instance );
		}else{
			$this->netube_news_block_form( $this->netube_param_default_array );
		}
	}

	public function netube_set_news_block_values() {
		$block_map_fun = 'netube_vc_map_block_'. $this->block_id;
		$block_array = $block_map_fun();
		$tblock_array = $block_array;

		$un_want_keys = array( "ajax_filter", "ajax_filter_type", "filter_name", "cat", "tag", "author", "tab_limit", "post_filter", "post_filter_by", "days_count", "include_post_ids", "exclude_post_ids", "first_tab_text", "infinite_loadmore" );
		if (!empty($tblock_array['params'])) {
			$i = 0;
	        foreach ($tblock_array['params'] as $param) {
				if( in_array( $param['param_name'], $un_want_keys ) ){
					unset( $block_array['params'][$i] );
				}
				$i++;
	        }
	    }

		$this->block_map = $block_array;
		$this->netube_param_default_array = $this->netube_get_news_block_default_values();
	}

	public function netube_update_news_block_values( $new_instance, $old_instance ) {
		$instance = $old_instance;
		$new_instance = $new_instance != '' ? $new_instance : $old_instance;
	    foreach( $this->netube_param_default_array as $param_name => $param_value ) {
	        // we must check for isset, because otherwise we will end up with NULL if a field type is not declare above
		    // like the problem we had with the css att/field
		    if (isset($new_instance[$param_name])) {
			    $instance[$param_name] = $new_instance[$param_name];
		    }
	    }
	    return $instance;
	}
	public function netube_get_news_block_default_values() {
	    $buffy_array = array();
	    if (!empty($this->block_map['params'])) {
	        foreach ($this->block_map['params'] as $param) {
	            $buffy_array[$param['param_name']] = isset( $param['value'] ) && $param['value'] != '' ? $param['value'] : '';
	        }
	    }
	    return $buffy_array;
	}
	public function netube_news_block_form( $instance ) {
		/* Set up some default widget settings. */
		$instance = wp_parse_args((array) $instance, $this->netube_param_default_array);
		if (!empty($this->block_map['params'])) {
			$sc_tab_out = array( 'General' => '' );
			foreach ($this->block_map['params'] as $param) {

				$depend = isset( $param['dependency'] ) ? $param['dependency']['element'] : '';
				$depend_val = isset( $param['dependency'] ) ? $param['dependency']['value'] : '';
				ob_start();
				switch ($param['type']) {
					 case 'textfield':
					 	?>
						<div class="custom-vc-widget-field"<?php echo ( ''. $depend != '' ? ' data-depend="'. esc_attr( $depend ) .'"' : '' ); ?> <?php echo ( ''. $depend_val != '' ? ' data-depend-val="'. esc_attr( $depend_val ) .'"' : '' ); ?>>
							<label for="<?php echo esc_attr( $param['param_name'] ); ?>"><?php echo esc_html( $param['heading'] ); ?></label>
							<input id="<?php echo esc_attr( $param['param_name'] ); ?>" name="<?php echo esc_attr( $param['param_name'] ); ?>" value="<?php echo esc_attr( $instance[ $param['param_name'] ] ); ?>" class="widefat" type="text" />
							<h5><?php echo isset( $param['description'] ) ? $param['description'] : ''; ?></h5>
						</div>
						<?php
					 break;

					  case 'textarea':
					 	?>
						<div class="custom-vc-widget-field"<?php echo ( ''. $depend != '' ? ' data-depend="'. esc_attr( $depend ) .'"' : '' ); ?> <?php echo ( ''. $depend_val != '' ? ' data-depend-val="'. esc_attr( $depend_val ) .'"' : '' ); ?>>
							<label for="<?php echo esc_attr( $param['param_name'] ); ?>"><?php echo esc_html( $param['heading'] ); ?></label>
							<textarea id="<?php echo esc_attr( $param['param_name'] ); ?>" name="<?php echo esc_attr( $param['param_name'] ); ?>" class="widefat"><?php echo wp_kses_post( $instance[ $param['param_name'] ] ); ?></textarea>
							<h5><?php echo isset( $param['description'] ) ? $param['description'] : ''; ?></h5>
						</div>
						<?php
					 break;

					case 'dropdown':
					 	?>
						<div class="custom-vc-widget-field"<?php echo ( ''. $depend != '' ? ' data-depend="'. esc_attr( $depend ) .'"' : '' ); ?> <?php echo ( ''. $depend_val != '' ? ' data-depend-val="'. esc_attr( $depend_val ) .'"' : '' ); ?>>
							<label for="<?php echo esc_attr( $param['param_name'] ); ?>"><?php echo esc_html( $param['heading'] ); ?></label>
							<select id="<?php echo esc_attr( $param['param_name'] ); ?>" name="<?php echo esc_attr( $param['param_name'] ); ?>" class="custom-vc-widget-select widefat" data-org="<?php echo esc_attr( $param['param_name'] ); ?>" >
								<?php foreach( $param['value'] as $key => $value ) { ?>
								<option value='<?php echo esc_attr($value); ?>' <?php if ( $value == $instance[ $param['param_name'] ]) echo 'selected="selected"'; ?>><?php echo esc_attr( $key ); ?></option>
								<?php } ?>
							</select>
							<h5><?php echo isset( $param['description'] ) ? $param['description'] : ''; ?></h5>
						</div>
						<?php
					 break;

					case 'drag_drop':
					 	?>
						<div class="custom-vc-widget-field"<?php echo ( ''. $depend != '' ? ' data-depend="'. esc_attr( $depend ) .'"' : '' ); ?> <?php echo ( ''. $depend_val != '' ? ' data-depend-val="'. esc_attr( $depend_val ) .'"' : '' ); ?>>
							<label for="<?php echo esc_attr( $param['param_name'] ); ?>"><?php echo esc_html( $param['heading'] ); ?></label>
							<?php
								$value = $instance[ $param['param_name'] ];
								$field_id =  esc_attr( $param['param_name'] );
								$field_name =  esc_attr( $param['param_name'] );
								echo netube_core_drag_drop_settings_field( $param, $value, $field_name, $field_id );
							?>
							<h5><?php echo esc_html( $param['description'] ); ?></h5>
						</div>
						<?php
					 break;

					case 'colorpicker':
					 	?>
						<div class="custom-vc-widget-field"<?php echo ( ''. $depend != '' ? ' data-depend="'. esc_attr( $depend ) .'"' : '' ); ?> <?php echo ( ''. $depend_val != '' ? ' data-depend-val="'. esc_attr( $depend_val ) .'"' : '' ); ?>>
							<label for="<?php echo esc_attr( $param['param_name'] ); ?>"><?php echo esc_html( $param['heading'] ); ?></label>
							<input class="netube-color-picker" type="text" id="<?php echo esc_attr( $param['param_name'] ); ?>" name="<?php echo esc_attr(  $param['param_name'] ); ?>" value="<?php echo esc_attr( $instance[ $param['param_name'] ]	 ); ?>" />
							<h5><?php echo esc_html( $param['description'] ); ?></h5>
						</div>
						<?php
					 break;

					 case 'img_select':
					 	?>
						<div class="custom-vc-widget-field"<?php echo ( ''. $depend != '' ? ' data-depend="'. esc_attr( $depend ) .'"' : '' ); ?> <?php echo ( ''. $depend_val != '' ? ' data-depend-val="'. esc_attr( $depend_val ) .'"' : '' ); ?>>
							<label for="<?php echo esc_attr( $param['param_name'] ); ?>"><?php echo esc_html( $param['heading'] ); ?></label>
							<?php
							$output = '';
							$img_array = $param['img_lists'];
							if( $img_array != '' ){
								$output .= '<ul class="img-select">';
								foreach( $img_array as $key => $url ){
									$output .= '<li data-id="'. esc_attr( $key ) .'" class="'. ( $instance[ $param['param_name'] ] == $key ? 'selected' : '' ) .'"><img src="'. esc_url( $url ) .'" /></li>';
								}
								$output .= '</ul>';

							}
							echo ( ''. $output );
							?>
							<input id="<?php echo esc_attr( $param['param_name'] ); ?>" name="<?php echo esc_attr( $param['param_name'] ); ?>" value="<?php echo esc_attr( $instance[ $param['param_name'] ] ); ?>" class="wpb_vc_param_value img-select-value" type="hidden" />
							<h5><?php echo isset( $param['description'] ) ? $param['description'] : ''; ?></h5>
						</div>
						<?php
					 break;
				}
				$t_out = ob_get_clean();
				if( isset( $param['group'] ) ){
					$group_name = $param['group'];
					if( isset( $sc_tab_out[$group_name] ) ){
						$sc_tab_out[$group_name] .= $t_out;
					}else{
						$sc_tab_out[$group_name] = $t_out;
					}
				}else{
					$sc_tab_out['General'] .= $t_out;
				}
			}

			unset($sc_tab_out['Design options']);

			//Show Tab Out
			$tab_list = $tab_content = '';
			$i = 0;
			foreach( $sc_tab_out as $tab_name => $tab_cont ){
				if( $tab_cont ){
					$tit_slug = sanitize_title( $tab_name );
					$cur_class = $i == 0 ? 'current' : '';
					$tab_list .= '<li class="'. esc_attr( $cur_class ) .'"><a href="#netube-admin-tab-'. esc_attr( $tit_slug ) .'">'. esc_html( $tab_name ) .'</a></li>';
					$tab_content .= '<div id="netube-admin-tab-'. esc_attr( $tit_slug ) .'" class="netube-admin-tab-content '. esc_attr( $cur_class ) .'">'. $tab_cont .'</div>';
					$i++;
				}
			}

			echo '<div class="netube-admin-tabs-container">
				<ul class="netube-admin-tabs-menu">'. $tab_list .'</ul>
				<div class="netube-admin-tab">'. $tab_content .'</div>
			</div>';
		}
		?>
	<?php
	}
}
?>
