<?php
if( !class_exists( "netubeThemeStyles" ) ){
	require_once NETUBE_INC . '/theme-class/theme-style-class.php';
}
$ats = new netubeThemeStyles;
echo "
/*
 * netube theme custom style
 */\n\n";
$netube_options = get_option( 'netube_options' );
echo "\n/* General Styles */\n";
$ats->netube_custom_font_check( 'body-typography' );
echo 'body{';
	$ats->netube_typo_generate( 'body-typography' );
	$ats->netube_bg_settings( 'body-background' );
echo '
}';
echo 'body{';
	$ats->netube_margin_settings( 'page-content-margin' );
echo '
}';
echo 'body .netube-content-inner > .container {';
	$ats->netube_bg_settings( 'body-content-background' );
echo '
}';
$ats->netube_custom_font_check( 'h1-typography' );
echo 'h1{';
	$ats->netube_typo_generate( 'h1-typography' );
echo '
}';
$ats->netube_custom_font_check( 'h2-typography' );
echo 'h2{';
	$ats->netube_typo_generate( 'h2-typography' );
echo '
}';
$ats->netube_custom_font_check( 'h3-typography' );
echo 'h3{';
	$ats->netube_typo_generate( 'h3-typography' );
echo '
}';
$ats->netube_custom_font_check( 'h4-typography' );
echo 'h4{';
	$ats->netube_typo_generate( 'h4-typography' );
echo '
}';
$ats->netube_custom_font_check( 'h5-typography' );
echo 'h5{';
	$ats->netube_typo_generate( 'h5-typography' );
echo '
}';
$ats->netube_custom_font_check( 'h6-typography' );
echo 'h6{';
	$ats->netube_typo_generate( 'h6-typography' );
echo '
}';
$gen_link = $ats->netube_theme_opt('theme-link-color');
if( $gen_link ):
echo 'a{';
	$ats->netube_link_color( 'theme-link-color', 'regular' );
echo '
}';
echo 'a:hover{';
	$ats->netube_link_color( 'theme-link-color', 'hover' );
echo '
}';
echo 'a:active{';
	$ats->netube_link_color( 'theme-link-color', 'active' );
echo '
}';
endif;
echo "\n/* Widget Typography Styles */\n";
$ats->netube_custom_font_check( 'widgets-content' );
echo '.widget{';
	$ats->netube_typo_generate( 'widgets-content' );
echo '
}';
$ats->netube_custom_font_check( 'widgets-title' );
echo '.widget .widget-title, .widget .netube-block-title span {';
	$ats->netube_typo_generate( 'widgets-title' );
echo '
}';
$page_loader = $ats->netube_theme_opt('page-loader') && $ats->netube_theme_opt('page-loader-img') != '' ? $netube_options['page-loader-img']['url'] : '';
if( $page_loader ):
	echo ".page-loader {background: url('". esc_url( $page_loader ). "') 50% 50% no-repeat rgb(249,249,249);}";
endif;
echo '.container, .boxed-container, .boxed-container .site-footer.footer-fixed, .custom-container  {
	width: '. $ats->netube_container_width() .';
}';
echo '.netube-content > .netube-content-inner > div {';
	$ats->netube_padding_settings( 'page-content-padding' );
echo '
}';
echo "\n/* Header Styles */\n";
echo 'header.netube-header {';
	$ats->netube_bg_settings('header-background');
echo '}';
echo "\n/* Topbar Styles */\n";
$ats->netube_custom_font_check( 'header-topbar-typography' );
echo '.topbar{';
	$ats->netube_typo_generate( 'header-topbar-typography' );
	$ats->netube_bg_rgba( 'header-topbar-background' );
	$ats->netube_border_settings( 'header-topbar-border' );
	$ats->netube_padding_settings( 'header-topbar-padding' );
echo '
}';
echo '.topbar a{';
	$ats->netube_link_color( 'header-topbar-link-color', 'regular' );
echo '
}';
echo '.topbar a:hover{';
	$ats->netube_link_color( 'header-topbar-link-color', 'hover' );
echo '
}';
echo '.topbar a:active,.topbar a:focus {';
	$ats->netube_link_color( 'header-topbar-link-color', 'active' );
echo '
}';
echo '
.topbar-items > li{
    height: '. esc_attr( $ats->netube_dimension_height('header-topbar-height') ) .' ;
    line-height: '. esc_attr( $ats->netube_dimension_height('header-topbar-height') ) .' ;
}
.header-sticky .topbar-items > li,
.sticky-scroll.show-menu .topbar-items > li{
	height: '. esc_attr( $ats->netube_dimension_height('header-topbar-sticky-height') ) .' ;
    line-height: '. esc_attr( $ats->netube_dimension_height('header-topbar-sticky-height') ) .' ;
}';
echo '
.topbar-items > li img{
	max-height: '. esc_attr(  $ats->netube_dimension_height('header-topbar-height') ) .' ;
}';
echo "\n/* Logobar Styles */\n";
$ats->netube_custom_font_check( 'header-logobar-typography' );
echo '.logobar{';
	$ats->netube_typo_generate( 'header-logobar-typography' );
	$ats->netube_bg_rgba( 'header-logobar-background' );
	$ats->netube_border_settings( 'header-logobar-border' );
	$ats->netube_padding_settings( 'header-logobar-padding' );
echo '
}';
echo '.logobar a{';
	$ats->netube_link_color( 'header-logobar-link-color', 'regular' );
echo '
}';
echo '.logobar a:hover{';
	$ats->netube_link_color( 'header-logobar-link-color', 'hover' );
echo '
}';
echo '.logobar a:active,
.logobar a:focus, .logobar .netube-main-menu > li.current-menu-item > a, .logobar .netube-main-menu > li.current-menu-ancestor > a, .logobar a.active {';
	$ats->netube_link_color( 'header-logobar-link-color', 'active' );
echo '
}';
echo '
.logobar-items > li{
    height: '. esc_attr( $ats->netube_dimension_height('header-logobar-height') ) .' ;
    line-height: '. esc_attr( $ats->netube_dimension_height('header-logobar-height') ) .' ;
}
.header-sticky .logobar-items > li,
.sticky-scroll.show-menu .logobar-items > li{
	height: '. esc_attr( $ats->netube_dimension_height('header-logobar-sticky-height') ) .' ;
    line-height: '. esc_attr( $ats->netube_dimension_height('header-logobar-sticky-height') ) .' ;
}';
echo '
.logobar-items > li img{
	max-height: '. esc_attr( $ats->netube_dimension_height('header-logobar-height') ) .' ;
}';
echo "\n/* Logobar Sticky Styles */\n";
$color = $ats->netube_theme_opt('sticky-header-logobar-color');
echo '.header-sticky .logobar, .sticky-scroll.show-menu .logobar{
	'. ( $color != '' ? 'color: '. $color .';' : '' );
	$ats->netube_bg_rgba( 'sticky-header-logobar-background' );
	$ats->netube_border_settings( 'sticky-header-logobar-border' );
	$ats->netube_padding_settings( 'sticky-header-logobar-padding' );
echo '
}';
echo '.header-sticky .logobar a, .sticky-scroll.show-menu .logobar a{';
	$ats->netube_link_color( 'sticky-header-logobar-link-color', 'regular' );
echo '
}';
echo '.header-sticky .logobar a:hover, .sticky-scroll.show-menu .logobar a:hover{';
	$ats->netube_link_color( 'sticky-header-logobar-link-color', 'hover' );
echo '
}';
echo '.header-sticky .logobar a:active, .sticky-scroll.show-menu .logobar a:active,
.header-sticky .logobar .netube-main-menu .current-menu-item > a, .header-sticky .logobar .netube-main-menu .current-menu-ancestor > a,
.sticky-scroll.show-menu .logobar .netube-main-menu .current-menu-item > a, .sticky-scroll.show-menu .logobar .netube-main-menu .current-menu-ancestor > a ,
.header-sticky .logobar a.active, .sticky-scroll.show-menu .logobar a.active{';
	$ats->netube_link_color( 'sticky-header-logobar-link-color', 'active' );
echo '
}';
echo '
.header-sticky .logobar img.custom-logo, .sticky-scroll.show-menu .logobar img.custom-logo{
	max-height: '. esc_attr( $ats->netube_dimension_height('header-logobar-sticky-height') ) .' ;
}';
echo "\n/* Navbar Styles */\n";
$ats->netube_custom_font_check( 'header-navbar-typography' );
echo '.navbar{';
	$ats->netube_typo_generate( 'header-navbar-typography' );
	$ats->netube_bg_rgba( 'header-navbar-background' );
	$ats->netube_border_settings( 'header-navbar-border' );
	$ats->netube_padding_settings( 'header-navbar-padding' );
echo '
}';
echo '.navbar a{';
	$ats->netube_link_color( 'header-navbar-link-color', 'regular' );
echo '
}';
echo '.navbar a:hover{';
	$ats->netube_link_color( 'header-navbar-link-color', 'hover' );
echo '
}';
echo '.navbar a:active,.navbar a:focus, .navbar .netube-main-menu > li.current-menu-item > a, .navbar .netube-main-menu > li.current-menu-ancestor > a, .navbar a.active {';
	$ats->netube_link_color( 'header-navbar-link-color', 'active' );
echo '
}';
$color = $ats->netube_theme_opt( 'header-navbar-typography' );
$color = isset( $color['color'] ) && $color['color'] != '' ? $color['color'] : '';
$scolor = $ats->netube_theme_opt( 'sticky-header-navbar-color' );
if( $color ):
echo '.navbar .secondary-space-toggle > span {
	background-color: '. esc_attr( $color ) .';
}';
endif;
if( $scolor ):
echo '.header-sticky .navbar .secondary-space-toggle > span,
.sticky-scroll.show-menu .navbar .secondary-space-toggle > span{
	background-color: '. esc_attr( $scolor ) .';
}';
endif;
echo '
.navbar-items > li, .header-inner .navbar .btn.video-subbtn {
    height: '. esc_attr( $ats->netube_dimension_height('header-navbar-height') ) .' ;
    line-height: '. esc_attr( $ats->netube_dimension_height('header-navbar-height') ) .' ;
}
.header-sticky .navbar-items > li,
.sticky-scroll.show-menu .navbar-items > li{
	height: '. esc_attr( $ats->netube_dimension_height('header-navbar-sticky-height') ) .' ;
    line-height: '. esc_attr( $ats->netube_dimension_height('header-navbar-sticky-height') ) .' ;
}';
echo '
.navbar-items > li img{
	max-height: '. esc_attr( $ats->netube_dimension_height('header-navbar-height') ) .' ;
}';
echo "\n/* Navbar Sticky Styles */\n";
$color = $ats->netube_theme_opt('sticky-header-navbar-color');
echo '.header-sticky .navbar, .sticky-scroll.show-menu .navbar{
	'. ( $color != '' ? 'color: '. $color .';' : '' );
	$ats->netube_bg_rgba( 'sticky-header-navbar-background' );
	$ats->netube_border_settings( 'sticky-header-navbar-border' );
	$ats->netube_padding_settings( 'sticky-header-navbar-padding' );
echo '
}';
echo '.header-sticky .navbar a, .sticky-scroll.show-menu .navbar a {';
	$ats->netube_link_color( 'sticky-header-navbar-link-color', 'regular' );
echo '
}';
echo '.header-sticky .navbar a:hover, .sticky-scroll.show-menu .navbar a:hover {';
	$ats->netube_link_color( 'sticky-header-navbar-link-color', 'hover' );
echo '
}';
echo '.header-sticky .navbar a:active, .sticky-scroll.show-menu .navbar a:active,
.header-sticky .navbar .netube-main-menu .current-menu-item > a, .header-sticky .navbar .netube-main-menu .current-menu-ancestor > a,
.sticky-scroll.show-menu .navbar .netube-main-menu .current-menu-item > a, .sticky-scroll.show-menu .navbar .netube-main-menu .current-menu-ancestor > a,
.header-sticky .navbar a.active, .sticky-scroll.show-menu .navbar a.active {';
	$ats->netube_link_color( 'sticky-header-navbar-link-color', 'active' );
echo '
}';
echo '
.header-sticky .navbar img.custom-logo, .sticky-scroll.show-menu .navbar img.custom-logo{
	max-height: '. esc_attr( $ats->netube_dimension_height('header-navbar-sticky-height') ) .' ;
}';
echo "\n/* Secondary Menu Space Styles */\n";
$sec_menu_type = $ats->netube_theme_opt('secondary-menu-type');
$ats->netube_custom_font_check( 'secondary-space-typography' );
echo '.secondary-menu-area{';
	echo 'width: '. esc_attr( $ats->netube_dimension_width('secondary-menu-space-width') ) .' ;';
echo '}';
echo '.secondary-menu-area,.secondary-menu-area .widget{';
	$ats->netube_border_settings( 'secondary-space-border' );
	$ats->netube_typo_generate( 'secondary-space-typography' );
	$ats->netube_bg_settings('secondary-space-background');
	if( $sec_menu_type == 'left-overlay' || $sec_menu_type == 'left-push' ){
		echo 'left: -' . esc_attr( $ats->netube_dimension_width('secondary-menu-space-width') ) . ';';
	}elseif( $sec_menu_type == 'right-overlay' || $sec_menu_type == 'right-push' ){
		echo 'right: -' . esc_attr( $ats->netube_dimension_width('secondary-menu-space-width') ) . ';';
	}
echo '
}';
echo '.secondary-menu-area.left-overlay, .secondary-menu-area.left-push{';
	if( $sec_menu_type == 'left-overlay' || $sec_menu_type == 'left-push' ){
		echo 'left: -' . esc_attr( $ats->netube_dimension_width('secondary-menu-space-width') ) . ';';
	}
echo '
}';
echo '.secondary-menu-area.right-overlay, .secondary-menu-area.right-push{';
	if( $sec_menu_type == 'right-overlay' || $sec_menu_type == 'right-push' ){
		echo 'right: -' . esc_attr( $ats->netube_dimension_width('secondary-menu-space-width') ) . ';';
	}
echo '
}';
echo '.secondary-menu-area .secondary-menu-area-inner{';
	$ats->netube_padding_settings( 'secondary-space-padding' );
echo '
}';
echo '.secondary-menu-area a{';
	$ats->netube_link_color( 'secondary-space-link-color', 'regular' );
echo '
}';
echo '.secondary-menu-area a:hover{';
	$ats->netube_link_color( 'secondary-space-link-color', 'hover' );
echo '
}';
echo '.secondary-menu-area a:active{';
	$ats->netube_link_color( 'secondary-space-link-color', 'active' );
echo '
}';
echo "\n/* Sticky Header Styles */\n";
if( $ats->netube_theme_opt('header-type') != 'default' ):
$sticky_width = $ats->netube_dimension_width('header-fixed-width');
echo '.sticky-header-space{
	width: '. esc_attr( $sticky_width ) .';
}';
	if( $ats->netube_theme_opt('header-type') == 'left-sticky' ):
	echo 'body, .top-sliding-bar{
		padding-left: '. esc_attr( $sticky_width ) .';
	}';
	else:
	echo 'body, .top-sliding-bar{
		padding-right: '. esc_attr( $sticky_width ) .';
	}';
	endif;
endif;
$ats->netube_custom_font_check( 'header-fixed-typography' );
echo '.sticky-header-space{';
	$ats->netube_typo_generate( 'header-fixed-typography' );
	$ats->netube_bg_settings( 'header-fixed-background' );
	$ats->netube_border_settings( 'header-fixed-border' );
	$ats->netube_padding_settings( 'header-fixed-padding' );
echo '
}';
echo '.sticky-header-space li a{';
	$ats->netube_link_color( 'header-fixed-link-color', 'regular' );
echo '
}';
echo '.sticky-header-space li a:hover{';
	$ats->netube_link_color( 'header-fixed-link-color', 'hover' );
echo '
}';
echo '.sticky-header-space li a:active{';
	$ats->netube_link_color( 'header-fixed-link-color', 'active' );
echo '
}';
echo "\n/* Mobile Header Styles */\n";
echo '
.mobile-header-items > li{
    height: '. esc_attr( $ats->netube_dimension_height('mobile-header-height') ) .' ;
    line-height: '. esc_attr( $ats->netube_dimension_height('mobile-header-height') ) .' ;
}
.mobile-header .mobile-header-inner ul > li img {
	max-height: '. esc_attr( $ats->netube_dimension_height('mobile-header-height') ) .' ;
}
.mobile-header{';
	$ats->netube_bg_rgba('mobile-header-background');
echo '
}';
echo '.mobile-header-items li a{';
	$ats->netube_link_color( 'mobile-header-link-color', 'regular' );
echo '
}';
echo '.mobile-header-items li a:hover{';
	$ats->netube_link_color( 'mobile-header-link-color', 'hover' );
echo '
}';
echo '.mobile-header-items li a:active{';
	$ats->netube_link_color( 'mobile-header-link-color', 'active' );
echo '
}';
echo '
.header-sticky .mobile-header-items > li, .show-menu .mobile-header-items > li{
    height: '. esc_attr( $ats->netube_dimension_height('mobile-header-sticky-height') ) .' ;
    line-height: '. esc_attr( $ats->netube_dimension_height('mobile-header-sticky-height') ) .' ;
}
.header-sticky .mobile-header-items > li .mobile-logo img, .show-menu .mobile-header-items > li .mobile-logo img{
	max-height: '. esc_attr( $ats->netube_dimension_height('mobile-header-sticky-height') ) .' ;
}
.mobile-header .header-sticky, .mobile-header .show-menu{';
	$ats->netube_bg_rgba('mobile-header-sticky-background');
echo '}';
echo '.header-sticky .mobile-header-items li a, .show-menu .mobile-header-items li a{';
	$ats->netube_link_color( 'mobile-header-sticky-link-color', 'regular' );
echo '
}';
echo '.header-sticky .mobile-header-items li a:hover, .show-menu .mobile-header-items li a:hover{';
	$ats->netube_link_color( 'mobile-header-sticky-link-color', 'hover' );
echo '
}';
echo '.header-sticky .mobile-header-items li a:hover, .show-menu .mobile-header-items li a:hover{';
	$ats->netube_link_color( 'mobile-header-sticky-link-color', 'active' );
echo '
}';
$mm_max = $ats->netube_dimension_width( 'mobile-menu-max-width' );
if( $mm_max && $mm_max != '0px' ):
echo '.mobile-bar, .mobile-bar .container{
	max-width: '. $mm_max .';
}';
endif;
echo "\n/* Mobile Bar Styles */\n";
$ats->netube_custom_font_check( 'mobile-menu-typography' );
echo '.mobile-bar{';
	$ats->netube_typo_generate( 'mobile-menu-typography' );
	$ats->netube_bg_settings( 'mobile-menu-background' );
	$ats->netube_border_settings( 'mobile-menu-border' );
	$ats->netube_padding_settings( 'mobile-menu-padding' );
echo '
}';
echo '.mobile-bar li a{';
	$ats->netube_link_color( 'mobile-menu-link-color', 'regular' );
echo '
}';
echo '.mobile-bar li a:hover{';
	$ats->netube_link_color( 'mobile-menu-link-color', 'hover' );
echo '
}';
echo '.mobile-bar li a:active, .mobile-bar li.current-menu-item > a, 
ul > li.current-menu-parent > a, .mobile-bar li.current-menu-ancestor > a{';
	$ats->netube_link_color( 'mobile-menu-link-color', 'active' );
echo '
}';
echo "\n/* Top Sliding Bar Styles */\n";
$ats->netube_custom_font_check( 'top-sliding-typography' );
if( $ats->netube_theme_opt( 'header-top-sliding-switch' ) ):
echo '.top-sliding-bar-inner{';
	$ats->netube_typo_generate( 'top-sliding-typography' );
	$ats->netube_bg_rgba( 'top-sliding-background' );
	$ats->netube_border_settings( 'top-sliding-border' );
	$ats->netube_padding_settings( 'top-sliding-padding' );
echo '
}';
$ts_bg = $ats->netube_theme_opt( 'top-sliding-background' );
echo '.top-sliding-toggle{
	'. ( $ts_bg != '' ? 'border-top-color: '. $ts_bg['rgba'] . ';' : '' ) .'
}';
echo '.top-sliding-bar-inner a{';
	$ats->netube_link_color( 'top-sliding-link-color', 'regular' );
echo '
}';
echo '.top-sliding-bar-inner a:hover{';
	$ats->netube_link_color( 'top-sliding-link-color', 'hover' );
echo '
}';
echo '.top-sliding-bar-inner a:active{';
	$ats->netube_link_color( 'top-sliding-link-color', 'active' );
echo '
}';
endif;

echo '
.header-inner .main-logo img{
    max-height: '. esc_attr( $ats->netube_dimension_height('logo-height') ) .' ;
}';

echo '
.header-inner .sticky-logo img{
    max-height: '. esc_attr( $ats->netube_dimension_height('sticky-logo-height') ) .' !important;
}';

echo '
.mobile-header .mobile-header-inner ul > li img ,
.mobile-bar-items .mobile-logo img {
    max-height: '. esc_attr( $ats->netube_dimension_height('mobile-logo-height') ) .' !important;
}';


echo "\n/* General Menu Styles */\n";
echo '.menu-tag-hot{
	background-color: '. $ats->netube_theme_opt( 'menu-tag-hot-bg' ) .';
}';
echo '.menu-tag-new{
	background-color: '. $ats->netube_theme_opt( 'menu-tag-new-bg' ) .';
}';
echo '.menu-tag-trend{
	background-color: '. $ats->netube_theme_opt( 'menu-tag-trend-bg' ) .';
}';
echo "\n/* Main Menu Styles */\n";
$ats->netube_custom_font_check( 'main-menu-typography' );
echo 'ul.netube-main-menu > li > a,
ul.netube-main-menu > li > .main-logo{';
	$ats->netube_typo_generate( 'main-menu-typography' );
echo '
}';
$mainmenu_bg = $ats->netube_theme_opt( 'header-mainmenu-bg-color' );
if( $mainmenu_bg ){
	echo 'ul.netube-main-menu > li > a {
		background-color: '. esc_attr( $mainmenu_bg ) .';
	}';
}
$mainmenu_hbg = $ats->netube_theme_opt( 'header-mainmenu-bg-hcolor' );
if( $mainmenu_hbg ){
	echo 'ul.netube-main-menu > li > a:hover, ul.netube-main-menu > li > a:active, ul.netube-main-menu > li > a:focus,
	.navbar .netube-main-menu > li.current-menu-item > a, .navbar .netube-main-menu > li.current-menu-item > a:active, .navbar .netube-main-menu > li.current-menu-item > a:focus, .navbar .netube-main-menu > li.current-menu-ancestor > a  {
		background-color: '. esc_attr( $mainmenu_hbg ) .';
	}';
}
echo "\n/* Dropdown Menu Styles */\n";
echo 'ul.dropdown-menu{';
	$ats->netube_bg_rgba( 'dropdown-menu-background' );
	$ats->netube_border_settings( 'dropdown-menu-border' );
echo '
}';
$ats->netube_custom_font_check( 'dropdown-menu-typography' );
echo 'ul.dropdown-menu > li{';
	$ats->netube_typo_generate( 'dropdown-menu-typography' );
echo '
}';
echo 'ul.dropdown-menu > li a,
ul.mega-child-dropdown-menu > li a,
.header-sticky ul.dropdown-menu > li a, .sticky-scroll.show-menu ul.dropdown-menu > li a,
.header-sticky ul.mega-child-dropdown-menu > li a, .sticky-scroll.show-menu ul.mega-child-dropdown-menu > li a {';
	$ats->netube_link_color( 'dropdown-menu-link-color', 'regular' );
echo '
}';
echo 'ul.dropdown-menu > li a:hover,
ul.mega-child-dropdown-menu > li a:hover,
.header-sticky ul.dropdown-menu > li a:hover, .sticky-scroll.show-menu ul.dropdown-menu > li a:hover,
.header-sticky ul.mega-child-dropdown-menu > li a:hover, .sticky-scroll.show-menu ul.mega-child-dropdown-menu > li a:hover {';
	$ats->netube_link_color( 'dropdown-menu-link-color', 'hover' );
echo '
}';
echo 'ul.dropdown-menu > li a:active,
ul.mega-child-dropdown-menu > li a:active,
.header-sticky ul.dropdown-menu > li a:active, .sticky-scroll.show-menu ul.dropdown-menu > li a:active,
.header-sticky ul.mega-child-dropdown-menu > li a:active, .sticky-scroll.show-menu ul.mega-child-dropdown-menu > li a:active,
ul.dropdown-menu > li.current-menu-item > a, ul.dropdown-menu > li.current-menu-parent > a, ul.mega-child-dropdown-menu > li.current_page_item a,
.header-sticky .navbar .netube-main-menu .dropdown-menu .current-menu-item > a,
.header-sticky .navbar .netube-main-menu .dropdown .current-menu-ancestor>a {';
	$ats->netube_link_color( 'dropdown-menu-link-color', 'active' );
echo '
}';
/* Template Page Title Styles */
echo "\n/* Template Page Title Styles */\n";
netubePostTitileStyle( 'single-post' );
netubePostTitileStyle( 'blog' );
netubePostTitileStyle( 'page' );
$actived_tmplt = $ats->netube_theme_opt('theme-templates');
if( !empty( $actived_tmplt ) && is_array( $actived_tmplt ) ){
	foreach( $actived_tmplt as $template ){
		netubePostTitileStyle( $template );
	}
}
$actived_cat_tmplt = $ats->netube_theme_opt('theme-categories');
if( !empty( $actived_cat_tmplt ) && is_array( $actived_cat_tmplt ) ){
	foreach( $actived_cat_tmplt as $template ){
		netubePostTitileStyle( $template );
	}
}
function netubePostTitileStyle( $field ){
	$ats = new netubeThemeStyles; 
	echo '.netube-'. $field .' .page-title-wrap-inner{
		color: '. $ats->netube_theme_opt( 'template-'. $field .'-color' ) .';';
		$ats->netube_bg_settings( 'template-'. $field .'-background-all' );
		$ats->netube_border_settings( 'template-'. $field .'-border' );
		$ats->netube_padding_settings( 'template-'. $field .'-padding' );
	echo '
	}';
	echo '.netube-'. $field .' .page-title-wrap a{';
		$ats->netube_link_color( 'template-'. $field .'-link-color', 'regular' );
	echo '
	}';
	echo '.netube-'. $field .' .page-title-wrap a:hover{';
		$ats->netube_link_color( 'template-'. $field .'-link-color', 'hover' );
	echo '
	}';
	echo '.netube-'. $field .' .page-title-wrap a:active{';
		$ats->netube_link_color( 'template-'. $field .'-link-color', 'active' );
	echo '
	}';
	echo '.netube-'. $field .' .page-title-wrap-inner > .page-title-overlay{';
		$ats->netube_bg_rgba( $field .'-page-title-overlay' );
	echo '
	}';
}
/* Template Article Styles */
echo "\n/* Template Article Styles */\n";
netubePostArticleStyle( 'single-post' );
netubePostArticleStyle( 'blog' );
$actived_tmplt = $ats->netube_theme_opt('theme-templates');
if( !empty( $actived_tmplt ) && is_array( $actived_tmplt ) ){
	foreach( $actived_tmplt as $template ){
		netubePostArticleStyle( $template );
	}
}
$actived_cat_tmplt = $ats->netube_theme_opt('theme-categories');
if( !empty( $actived_cat_tmplt ) && is_array( $actived_cat_tmplt ) ){
	foreach( $actived_cat_tmplt as $template ){
		netubePostArticleStyle( $template );
	}
}
function netubePostArticleStyle( $field ){
	$ats = new netubeThemeStyles; 
	echo '.'. $field .'-template article.post{
		color: '. $ats->netube_theme_opt( $field .'-article-color' ) .';';
		$ats->netube_bg_rgba( $field .'-article-background' );
		$ats->netube_border_settings( $field .'-article-border' );
		$ats->netube_padding_settings( $field .'-article-padding' );
	echo '
	}';
	echo '.'. $field .'-template article.post a{';
		$ats->netube_link_color( $field .'-article-link-color', 'regular' );
	echo '
	}';
	echo '.'. $field .'-template article.post a:hover{';
		$ats->netube_link_color( $field .'-article-link-color', 'hover' );
	echo '
	}';
	echo '.'. $field .'-template article.post a:active{';
		$ats->netube_link_color( $field .'-article-link-color', 'active' );
	echo '
	}';
	$post_thumb_margin = $ats->netube_theme_opt( $field .'-article-padding' );
	if( $post_thumb_margin ):
		echo '.'. $field .'-template .post-format-wrap{
			'. ( isset( $post_thumb_margin['padding-left'] ) && $post_thumb_margin['padding-left'] != '' ? 'margin-left: -' . $post_thumb_margin['padding-left'] .';' : '' ) .'
			'. ( isset( $post_thumb_margin['padding-right'] ) && $post_thumb_margin['padding-right'] != '' ? 'margin-right: -' . $post_thumb_margin['padding-right'] .';' : '' ) .'
		}';
		echo '.'. $field .'-template .post-quote-wrap > .blockquote, .'. $field .'-template .post-link-inner, .'. $field .'-template .post-format-wrap .post-audio-wrap{
			'. ( isset( $post_thumb_margin['padding-left'] ) && $post_thumb_margin['padding-left'] != '' ? 'padding-left: ' . $post_thumb_margin['padding-left'] .';' : '' ) .'
			'. ( isset( $post_thumb_margin['padding-right'] ) && $post_thumb_margin['padding-right'] != '' ? 'padding-right: ' . $post_thumb_margin['padding-right'] .';' : '' ) .'
		}';
	endif;
}
$theme_color = $ats->netubeThemeColor();
echo "\n/* Blockquote / Audio / Link Styles */\n";
echo '.post-quote-wrap > .blockquote{
	border-left-color: '. esc_attr( $theme_color ) .';
}';
/*echo '.post-audio-wrap{
	background-color: '. esc_attr( $theme_color ) .';
}';*/
$rgba_08 = $ats->netube_hex2rgba( $theme_color, '0.8' );
// Single Post Blockquote
$blockquote_bg_opt = $ats->netube_theme_opt( 'single-post-quote-format' );
netubeQuoteDynamicStyle( 'single-post', $blockquote_bg_opt, $theme_color, $rgba_08 );
// Blog Blockquote
$blockquote_bg_opt = $ats->netube_theme_opt( 'blog-quote-format' );
netubeQuoteDynamicStyle( 'blog', $blockquote_bg_opt, $theme_color, $rgba_08 );
// Archive Blockquote
$blockquote_bg_opt = $ats->netube_theme_opt( 'archive-quote-format' );
netubeQuoteDynamicStyle( 'archive', $blockquote_bg_opt, $theme_color, $rgba_08 );
// Tag Blockquote
$blockquote_bg_opt = $ats->netube_theme_opt( 'tag-quote-format' );
netubeQuoteDynamicStyle( 'tag', $blockquote_bg_opt, $theme_color, $rgba_08 );
// Search Blockquote
$blockquote_bg_opt = $ats->netube_theme_opt( 'search-quote-format' );
netubeQuoteDynamicStyle( 'search', $blockquote_bg_opt, $theme_color, $rgba_08 );
// Author Blockquote
$blockquote_bg_opt = $ats->netube_theme_opt( 'author-quote-format' );
netubeQuoteDynamicStyle( 'author', $blockquote_bg_opt, $theme_color, $rgba_08 );
// Category Blockquote
$blockquote_bg_opt = $ats->netube_theme_opt( 'category-quote-format' );
netubeQuoteDynamicStyle( 'category', $blockquote_bg_opt, $theme_color, $rgba_08 );
// All Category Blockquote
$actived_cat_tmplt = $ats->netube_theme_opt('theme-categories');
if( !empty( $actived_cat_tmplt ) && is_array( $actived_cat_tmplt ) ){
	foreach( $actived_cat_tmplt as $template ){
		$blockquote_bg_opt = $ats->netube_theme_opt( $template.'-quote-format' );
		netubeQuoteDynamicStyle( $template, $blockquote_bg_opt, $theme_color, $rgba_08 );
	}
}
function netubeQuoteDynamicStyle( $field, $value, $theme_color, $rgba_08 ){
	if( $value == 'none' ):
		echo '.'. $field .'-template .post-quote-wrap > .blockquote{
			background-color: #333;
		}';
	elseif( $value == 'theme' ):
		echo '.'. $field .'-template .post-quote-wrap > .blockquote{
			background-color: '. $theme_color .';
			border-left-color: #333;
		}';
	elseif( $value == 'theme-overlay' ):
		echo '.'. $field .'-template .post-quote-wrap > .blockquote{
			background-color: '. $rgba_08 .';
		}';
	elseif( $value == 'featured' ):
		echo '.'. $field .'-template .post-quote-wrap > .blockquote{
			background-color: rgba(0, 0, 0, 0.7);
		}';
	endif;
}
/* Single Post Link */
$link_bg_opt = $ats->netube_theme_opt( 'single-post-link-format' );
netubeLinkDynamicStyle( 'single-post', $link_bg_opt, $theme_color, $rgba_08 );
/* Blog Link */
$link_bg_opt = $ats->netube_theme_opt( 'blog-link-format' );
netubeLinkDynamicStyle( 'blog', $link_bg_opt, $theme_color, $rgba_08 );
/* Archive Link */
$link_bg_opt = $ats->netube_theme_opt( 'archive-link-format' );
netubeLinkDynamicStyle( 'archive', $link_bg_opt, $theme_color, $rgba_08 );
/* Tag Link */
$link_bg_opt = $ats->netube_theme_opt( 'tag-link-format' );
netubeLinkDynamicStyle( 'tag', $link_bg_opt, $theme_color, $rgba_08 );
/* Author Link */
$link_bg_opt = $ats->netube_theme_opt( 'author-link-format' );
netubeLinkDynamicStyle( 'author', $link_bg_opt, $theme_color, $rgba_08 );
/* Search Link */
$link_bg_opt = $ats->netube_theme_opt( 'search-link-format' );
netubeLinkDynamicStyle( 'search', $link_bg_opt, $theme_color, $rgba_08 );
/* Catgeory Link */
$link_bg_opt = $ats->netube_theme_opt( 'category-link-format' );
netubeLinkDynamicStyle( 'category', $link_bg_opt, $theme_color, $rgba_08 );
// All Category Link
$actived_cat_tmplt = $ats->netube_theme_opt('theme-categories');
if( !empty( $actived_cat_tmplt ) && is_array( $actived_cat_tmplt ) ){
	foreach( $actived_cat_tmplt as $template ){
		$link_bg_opt = $ats->netube_theme_opt( $template.'-link-format' );
		netubeLinkDynamicStyle( $template, $link_bg_opt, $theme_color, $rgba_08 );
	}
}
function netubeLinkDynamicStyle( $field, $value, $theme_color, $rgba_08 ){
	if( $value == 'none' ):
		echo '.'. $field .'-template .post-link-inner{
			background-color: #333;
		}';
	elseif( $value == 'theme' ):
		echo '.'. $field .'-template .post-link-inner{
			background-color: '. $theme_color .';
		}';
	elseif( $value == 'theme-overlay' ):
		echo '.'. $field .'-template .post-link-inner{
			background-color: '. $rgba_08 .';
		}';
	elseif( $value == 'featured' ):
		echo '.'. $field .'-template .post-link-inner{
			background-color: rgba(0, 0, 0, 0.7);
		}';
	endif;
}
echo "\n/* Post Item Overlay Styles */\n";
echo '.post-overlay-items{
	color: '. $ats->netube_theme_opt( 'single-post-article-overlay-color' ) .';';
	$ats->netube_bg_rgba( 'single-post-article-overlay-background' );
	$ats->netube_border_settings( 'single-post-article-overlay-border' );
	$ats->netube_padding_settings( 'single-post-article-overlay-padding' );
	$ats->netube_margin_settings( 'single-post-article-overlay-margin' );
	
echo '
}';
echo '.post-overlay-items a{';
	$ats->netube_link_color( 'single-post-article-overlay-link-color', 'regular' );
echo '
}';
echo '.post-overlay-items a:hover{';
	$ats->netube_link_color( 'single-post-article-overlay-link-color', 'hover' );
echo '
}';
echo '.post-overlay-items a:hover{';
	$ats->netube_link_color( 'single-post-article-overlay-link-color', 'active' );
echo '
}';
/* Extra Styles */
echo "\n/* Footer Styles */\n";
echo '.site-footer{';
	$ats->netube_typo_generate( 'footer-typography' );
	$ats->netube_bg_settings( 'footer-background' );
	$ats->netube_border_settings( 'footer-border' );
	$ats->netube_padding_settings( 'footer-padding' );
echo '
}';
echo '.site-footer .widget{';
	$ats->netube_typo_generate( 'footer-typography' );
echo '
}';
$bg_overlay = $ats->netube_theme_opt( 'footer-background-overlay' );
if( !empty( $bg_overlay ) && isset( $bg_overlay['rgba'] ) ):
echo '
footer.site-footer:before {
	position: absolute;
	height: 100%;
	width: 100%;
	top: 0;
	left: 0;
	content: "";
	background-color: '. esc_attr( $bg_overlay['rgba'] ) .';
}';
endif;
echo '.site-footer a{';
	$ats->netube_link_color( 'footer-link-color', 'regular' );
echo '
}';
echo '.site-footer a:hover{';
	$ats->netube_link_color( 'footer-link-color', 'hover' );
echo '
}';
echo '.site-footer a:hover{';
	$ats->netube_link_color( 'footer-link-color', 'active' );
echo '
}';
echo "\n/* Footer Top Styles */\n";
$ats->netube_custom_font_check( 'footer-top-typography' );
echo '.footer-top-wrap{';
	$ats->netube_typo_generate( 'footer-top-typography' );
	$ats->netube_bg_rgba( 'footer-top-background' );
	$ats->netube_border_settings( 'footer-top-border' );
	$ats->netube_padding_settings( 'footer-top-padding' );
	$ats->netube_margin_settings( 'footer-top-margin' );
echo '
}';
echo '.footer-top-wrap .widget{';
	$ats->netube_typo_generate( 'footer-top-typography' );
echo '
}';
echo '.footer-top-wrap a{';
	$ats->netube_link_color( 'footer-top-link-color', 'regular' );
echo '
}';
echo '.footer-top-wrap a:hover{';
	$ats->netube_link_color( 'footer-top-link-color', 'hover' );
echo '
}';
echo '.footer-top-wrap a:hover{';
	$ats->netube_link_color( 'footer-top-link-color', 'active' );
echo '
}';
echo '.footer-top-wrap .widget .widget-title {
	color: '. esc_attr( $ats->netube_theme_opt( 'footer-top-title-color' ) ) .';
}';
echo "\n/* Footer Middle Styles */\n";
$ats->netube_custom_font_check( 'footer-middle-typography' );
echo '.footer-middle-wrap{';
	$ats->netube_typo_generate( 'footer-middle-typography' );
	$ats->netube_bg_rgba( 'footer-middle-background' );
	$ats->netube_border_settings( 'footer-middle-border' );
	$ats->netube_padding_settings( 'footer-middle-padding' );
	$ats->netube_margin_settings( 'footer-middle-margin' );
echo '
}';
echo '.footer-middle-wrap .widget{';
	$ats->netube_typo_generate( 'footer-middle-typography' );
echo '
}';
echo '.footer-middle-wrap a{';
	$ats->netube_link_color( 'footer-middle-link-color', 'regular' );
echo '
}';
echo '.footer-middle-wrap a:hover{';
	$ats->netube_link_color( 'footer-middle-link-color', 'hover' );
echo '
}';
echo '.footer-middle-wrap a:active{';
	$ats->netube_link_color( 'footer-middle-link-color', 'active' );
echo '
}';
echo '.footer-middle-wrap .widget .widget-title {
	color: '. esc_attr( $ats->netube_theme_opt( 'footer-middle-title-color' ) ) .';
}';
echo "\n/* Footer Bottom Styles */\n";
$ats->netube_custom_font_check( 'footer-bottom-typography' );
echo '.footer-bottom{';
	$ats->netube_typo_generate( 'footer-bottom-typography' );
	$ats->netube_bg_rgba( 'footer-bottom-background' );
	$ats->netube_border_settings( 'footer-bottom-border' );
	$ats->netube_padding_settings( 'footer-bottom-padding' );
	$ats->netube_margin_settings( 'footer-bottom-margin' );
echo '
}';
echo '.footer-bottom .widget{';
	$ats->netube_typo_generate( 'footer-bottom-typography' );
echo '
}';
echo '.footer-bottom a{';
	$ats->netube_link_color( 'footer-bottom-link-color', 'regular' );
echo '
}';
echo '.footer-bottom a:hover{';
	$ats->netube_link_color( 'footer-bottom-link-color', 'hover' );
echo '
}';
echo '.footer-bottom a:active{';
	$ats->netube_link_color( 'footer-bottom-link-color', 'active' );
echo '
}';
echo '.footer-bottom-wrap .widget .widget-title {
	color: '. esc_attr( $ats->netube_theme_opt( 'footer-bottom-title-color' ) ) .';
}';
echo "\n/* Theme Extra Styles */\n";
//Here your code
$theme_link_color = $ats->netube_get_link_color( 'theme-link-color', 'regular' );
$theme_link_hover = $ats->netube_get_link_color( 'theme-link-color', 'hover' );
$theme_link_active = $ats->netube_get_link_color( 'theme-link-color', 'active' );
$rgb = $ats->netube_hex2rgba( $theme_color, 'none' );
/*
 * Theme Color -> $theme_color
 * Theme RGBA -> $rgb example -> echo 'body{ background: rgba('. esc_attr( $rgb ) .', 0.5); }';
 * Link Colors -> $theme_link_color, $theme_link_hover, $theme_link_active
 */
echo '.theme-color {
	color: '. esc_attr( $theme_color ) .';
}';
echo '.theme-color-bg {
	background-color: '. esc_attr( $theme_color ) .';
}';
echo "\n/*----------- News Blocks Style----------- */\n";
echo '.category-tag {
	background-color: '. esc_attr( $theme_color ) .';
}';
$cat_templates = $ats->netube_theme_opt( 'theme-categories' );
if( !empty( $cat_templates ) ){
	foreach( $cat_templates as $cat_name ){
		$cat_key = str_replace( "category-", "", $cat_name );
		$cat_id = $cat_key;
		$cat_key = "category-" . $cat_key;
		$cat_color = $ats->netube_theme_opt( esc_attr( $cat_key ) . '-tag-color' );
		echo '.category-tag.cat-tag-'. esc_attr( $cat_id ) .'{background-color:'. esc_attr( $cat_color ) .';}';
	}
}
echo "\n/*----------- General Style----------- */\n";
echo '::selection {
	background : '. esc_attr( $theme_color ) .';
}';
echo '.top-sliding-toggle.ti-minus {
	border-top-color : '. esc_attr( $theme_color ) .';
}';
echo '.typo-white .entry-title:hover {
	color : '. esc_attr( $theme_color ) .';
}'; 
echo "\n/*----------- Menu----------- */\n";

echo "\n/*----------- Search Style----------- */\n";
echo '.search-form .input-group .btn,
.full-search-wrapper .input-group-btn, 
.search-toggle-wrap .textbox-search-toggle:hover {
	background: '. esc_attr( $theme_color ) .';
}';
echo '.full-search-wrapper .search-form .input-group .btn {
	border-color: '. esc_attr( $theme_color ) .';
}';
echo '.form-control:focus ,input.search-field:focus{
	border-color: '. esc_attr( $theme_color ) .' !important;
}';
echo "\n/*----------- Button Style----------- */\n";
echo '.btn, button , .btn.bordered:hover, .post-grid a.read-more:hover,
.post-password-form input[type="submit"] {
	background: '. esc_attr( $theme_color ) .';
}';
echo '.post-grid a.read-more:hover {
	border-color: '. esc_attr( $theme_color ) .';
}';
echo '.login-form-trigger {
	color: '. esc_attr( $theme_color ) .';
}';

echo '.btn.classic:hover, .netube-login-inner:before {
	background: '. esc_attr( $theme_color ) .';
}';
echo '.btn.bordered {
	border-color: '. esc_attr( $theme_color ) .';
	color: '. esc_attr( $theme_color ) .';
}';
echo "\n/* -----------Pagination Style----------- */\n";
echo '.nav.pagination > li.nav-item.active span, 
.nav.pagination > li.nav-item a:hover, .post-comments .page-numbers.current, .post-comments .page-numbers:hover { 
	background: '. esc_attr( $theme_color ) .';
}';
echo "\n/*----------- Select Style ----------- */\n";
echo 'select:focus, .wpcf7 textarea:focus, .wpcf7 input:focus, .wpcf7 select:focus {
	border-color: '. esc_attr( $theme_color ) .';
}';
echo "\n/*----------- Header Styles---------------- */\n";
echo '.close:before, .close:after, .secondary-space-toggle.active { 
	background: '. esc_attr( $theme_color ) .';
}';
echo '.nav-link:focus, .nav-link:hover { 
	color: '. esc_attr( $theme_color ) .';
}';
echo '.zmm-dropdown-toggle { 
	color: '. esc_attr( $theme_color ) .';
}';
echo '.netube-main-menu li a.nav-link:before, .netube-main-menu li .dropdown-menu a.nav-link:before,
.netube-main-menu .mega-dropdown-menu .nav.news-tabs > li > a:before { 
	background: '. esc_attr( $theme_color ) .';
}';
echo "\n/*----------- Post Style----------- */\n";
echo '.post-more .read-more:hover, .post-meta .read-more:hover, .site-main.single-post-template .article-inner:last-child .entry-meta.top-meta:before {
	background: '. esc_attr( $theme_color ) .';
}';
echo "\n/*----------- Post Meta----------- */\n";
echo '.post-meta li a:hover, .post-meta .post-date a:hover, .post-meta .post-category a:hover,
article.post .post-format-wrap .post-overlay-items .post-meta ul li a:hover {
	color: '. esc_attr( $theme_color ) .';
}';
/*echo '.netube-single-post .author-url a:hover,
.post-navigation .nav-links .nav-next, .post-navigation .nav-links .nav-previous {
	background: '. esc_attr( $theme_color ) .';
}';*/
echo "\n/*----------- Post Navigation ---------*/\n";
/*echo '.post-navigation .nav-links .nav-next a, .post-navigation .nav-links .nav-previous a {
	background: '. esc_attr( $theme_color ) .';
}';
*/
echo "\n/*----------- Calender---------------- */\n";
echo '.calendar_wrap th ,tfoot td { 
	background: '. esc_attr( $theme_color ) .';
}';
echo "\n/*----------- Calender---------------- */\n";
echo '.post-comments .comment-meta span.reply > a:hover {
	color: '. esc_attr( $theme_color ) .';
}';
echo "\n/*----------- Archive---------------- */\n";
echo '.widget_archive li:before { 
	color: '. esc_attr( $theme_color ) .';
}';
echo "\n/*----------- Instagram widget---------------- */\n";
echo '.null-instagram-feed p a { 
	background: '. esc_attr( $theme_color ) .';
}';
echo "\n/*----------- Tag Cloud---------------- */\n";
/*echo '.widget.widget_tag_cloud a.tag-cloud-link { 
	background: '. esc_attr( $theme_color ) .';
}';*/
echo "\n/*----------- Service Menu---------------- */\n";
echo '.widget-area .widget .menu-item-object-netube-service a:hover,
.widget-area .widget .menu-item-object-netube-service.current-menu-item a { 
	background: '. esc_attr( $theme_color ) .';
}';
echo "\n/*----------- Service Menu---------------- */\n";
echo '.widget-area .widget .menu-item-object-netube-service a { 
	border-color: '. esc_attr( $theme_color ) .';
}';
echo "\n/*----------- Post Nav---------------- */\n";
echo '.widget.netube_latest_post_widget a:hover,
.zozo_advance_tab_post_widget a:hover { 
	color: '. esc_attr( $theme_color ) .';
}';
echo "\n/*----------- Back to top---------------- */\n";
echo 'a.back-to-top:hover { 
	background: '. esc_attr( $theme_color ) .';
}';
echo "\n/*----------- Owl Carousel---------------- */\n";
echo '.owl-dot span , .owl-prev, .owl-next  { 
	background: '. esc_attr( $theme_color ) .';
}';
echo "\n/*----------- Shortcodes---------------- */\n";
echo '.typo-white .client-name:hover,.team-wrapper .team-overlay a.client-name:hover,.team-dark .client-name:hover,
.entry-title a:hover,.blog-dark .entry-title a:hover,
.portfolio-title a:hover, .portfolio-overlay a:hover,
.services-dark .entry-title:hover,.entry-title:hover { 
	color: '. esc_attr( $theme_color ) .' !important;
}';
echo '.title-separator.separator-border { 
	background-color: '. esc_attr( $theme_color ) .';
}';
echo '.twitter-3 .tweet-info { 
	border-color: '. esc_attr( $theme_color ) .';
}';
echo '.twitter-dark a:hover { 
	color: '. esc_attr( $theme_color ) .';
}';
echo '.header-inner .media i { 
	background: '. esc_attr( $theme_color ) .';
}';
echo "\n/*----------- Blog---------------- */\n";
echo '.blog-dark .blog-inner a:hover { 
	color: '. esc_attr( $theme_color ) .';
}';
echo '.blog-style-3 .post-thumb { 
	border-color: '. esc_attr( $theme_color ) .';
}';
echo "\n/*----------- Blog List---------------- */\n";
/*echo '.list-layout .post-more .read-more { 
	color: '. esc_attr( $theme_color ) .';
}';
*/
echo "\n/*----------- Pricing table---------------- */\n";
echo '.price-text { 
	color: '. esc_attr( $theme_color ) .';
}';
echo '.pricing-style-3 .pricing-inner-wrapper,.pricing-table-wrapper .btn:hover { 
	border-color: '. esc_attr( $theme_color ) .';
}';
echo '.pricing-style-2 .price-text p { 
	color: '. esc_attr( $theme_color ) .';
}';
echo '.pricing-style-3 ul.pricing-features-list > li {
	box-shadow: 0 7px 10px -9px rgba('. esc_attr( $rgb ) .', 0.8);
}';
echo "\n/*-----------Compare Pricing table---------------- */\n";
echo '.compare-pricing-wrapper .pricing-table-head, .compare-features-wrap { 
	background: '. esc_attr( $theme_color ) .';
}';
echo "\n/*-----------Counter Style---------------- */\n";
echo '.counter-wrapper.counter-style-2 { 
	border-color: '. esc_attr( $theme_color ) .';
}';
echo '.font-big .counter-value h3 span { 
	color: '. esc_attr( $theme_color ) .';
}';
echo "\n/*-----------Testimonials---------------- */\n";
echo '.testimonial-wrapper.testimonial-3 .testimonial-inner, .testimonial-wrapper.testimonial-3 .testimonial-thumb img { 
	border-color: '. esc_attr( $theme_color ) .';
}';
echo '.testimonial-3 .testimonial-name a { 
	background: '. esc_attr( $theme_color ) .';
}';
echo "\n/*-----------Events---------------- */\n";
echo '.events-date { 
	background: '. esc_attr( $theme_color ) .';
}';
echo '.events-date { 
	border-color: '. esc_attr( $theme_color ) .';
}';
echo '.events-inner .read-more:hover { 
	color: '. esc_attr( $theme_color ) .';
}';
echo "\n/*-----------Team---------------- */\n";
echo '.team-wrapper.team-3 .team-inner > .team-thumb { 
	border-color: '. esc_attr( $theme_color ) .';
}';
echo '.team-1 .team-designation > p { 
	background: '. esc_attr( $theme_color ) .';
}';
echo '.team-2 .team-overlay-actived .team-thumb:before, .team-2 .team-overlay-actived .team-thumb:after { 
	border-color: '. esc_attr( $theme_color ) .';
}';
echo '.single-netube-team .team-social-wrap ul.social-icons > li > a:hover { 
	background: '. esc_attr( $theme_color ) .';
}';
echo "\n/*-----------Portfolio---------------- */\n";
echo '.portfolio-masonry-layout .portfolio-angle .portfolio-title h4:after {
	background-color: '. esc_attr( $theme_color ) .';
}';
/*Meta Icon*/
echo 'span.portfolio-meta-icon , ul.portfolio-share.social-icons > li > a:hover{
	color: '. esc_attr( $theme_color ) .';
}';
/*CPT Filter Styles*/
echo '.portfolio-filter.filter-1 ul > li.active > a, .portfolio-filter.filter-1 ul > li > a:hover {
	background-color: '. esc_attr( $theme_color ) .';
}';
echo '.portfolio-filter.filter-1 ul > li > a, .portfolio-filter.filter-1 ul > li > a:hover {
	border: solid 1px '. esc_attr( $theme_color ) .';
}';
echo '.portfolio-filter.filter-1 ul > li > a {
	border-color: '. esc_attr( $theme_color ) .';
}';
echo '.portfolio-masonry-layout .portfolio-classic .portfolio-content-wrap {
	background: '. esc_attr( $theme_color ) .';
}';
echo '.portfolio-filter.filter-2 .active a.portfolio-filter-item {
	color: '. esc_attr( $theme_color ) .';
}';
echo '.portfolio-slide .portfolio-content-wrap > .portfolio-title {
	background: '. esc_attr( $theme_color ) .';
}'; 
echo '.portfolio-minimal .portfolio-overlay-wrap:before,
.portfolio-minimal .portfolio-overlay-wrap:after { 
 border-color: '. esc_attr( $theme_color ) .';
}';
echo '.portfolio-angle .portfolio-overlay-wrap:before { 
 background: linear-gradient(-45deg, rgba(0, 0, 0, 0.75) 0%, rgba('. esc_attr( $rgb ) .', 0.86) 100%);
 
}';
echo '.widget_categories span.cat-count { 
	background-color: '. esc_attr( $theme_color ) .';
}';
 
echo "\n/*-----------Feature Box---------------- */\n";
echo 'span.feature-box-ribbon { 
	background: '. esc_attr( $theme_color ) .';
}';
echo "\n/*-----------Flipbox---------------- */\n";
echo "[class^='imghvr-shutter-out-']:before, [class*=' imghvr-shutter-out-']:before,
[class^='imghvr-shutter-in-']:after, [class^='imghvr-shutter-in-']:before, [class*=' imghvr-shutter-in-']:after, [class*=' imghvr-shutter-in-']:before,
[class^='imghvr-reveal-']:before, [class*=' imghvr-reveal-']:before { 
	background: ". esc_attr( $theme_color ) .";
}";
echo "\n/*-----------Progress Bar---------------- */\n";
echo '.vc_progress_bar .vc_single_bar .vc_bar { 
	background: '. esc_attr( $theme_color ) .';
}';
echo "\n/*-----------Accordion---------------- */\n";
echo '.wpb-js-composer .transparent-accordion.vc_tta-color-grey.vc_tta-style-outline .vc_tta-panel .vc_tta-panel-heading { 
	border-color: '. esc_attr( $theme_color ) .';
}';
echo "\n/*-----------Services---------------- */\n";
echo '.services-2 .services-title a { 
	background: '. esc_attr( $theme_color ) .';
}';
echo '.services-wrapper.services-1 .services-inner > .services-thumb , .services-3 .services-inner > .services-thumb { 
	border-color: '. esc_attr( $theme_color ) .';
}';
echo "\n/*-----------Contact form 7---------------- */\n";
echo '.wpcf7 input[type="submit"] { 
	background: '. esc_attr( $theme_color ) .';
}';
echo '.contact-form-classic .wpcf7 textarea, .contact-form-classic .wpcf7 input, .contact-form-classic .wpcf7 select,
.wpcf7 textarea:focus, .wpcf7 input:focus, .wpcf7 select:focus, .invalid div.wpcf7-validation-errors { 
 	border-color: '. esc_attr( $theme_color ) .';
}';
echo '.contact-form-grey .wpcf7 textarea:focus, .contact-form-grey .wpcf7 input:focus, .contact-form-grey .wpcf7 select:focus { 
 	border-color: '. esc_attr( $theme_color ) .';
}';
echo '.mptt-shortcode-wrapper ul.mptt-menu.mptt-navigation-tabs li.active a, .mptt-shortcode-wrapper ul.mptt-menu.mptt-navigation-tabs li:hover a { 
 	border-color: '. esc_attr( $theme_color ) .';
}';
echo '.mptt-shortcode-wrapper ul.mptt-menu.mptt-navigation-tabs li.active a, .mptt-shortcode-wrapper ul.mptt-menu.mptt-navigation-tabs li:hover a { 
	border-color: '. esc_attr( $theme_color ) .';
}';
echo "\n/*-----------Tab---------------- */\n";
echo '.wpb_tabs .wpb_tabs_nav li { 
	background: '. esc_attr( $theme_color ) .';
}';
echo '.wpb-js-composer .vc_tta-container .vc_tta-style-classic.theme-tab .vc_tta-tab> a { 
	background: '. esc_attr( $theme_color ) .';
}';
echo "\n/*-----------Flipbox---------------- */\n";
echo "\n/*-----------Charity---------------- */\n";
echo '.donate-button.button { 
	background: '. esc_attr( $theme_color ) .';
}';
echo '.campaign-raised .amount, .campaign-figures .amount, .donors-count, .time-left, .charitable-form-field a:not(.button), .charitable-form-fields .charitable-fieldset a:not(.button), .charitable-notice, .charitable-notice .errors a {
	color: '. esc_attr( $theme_color ) .' !important;
}';
echo '.campaign-progress-bar .bar, .donate-button, .charitable-donation-form .donation-amount.selected, .charitable-donation-amount-form .donation-amount.selected {
	background: '. esc_attr( $theme_color ) .' !important;
}';
echo "\n/*-----------Woocommerce---------------- */\n";
echo '.woocommerce ul.products li.product .price,
.woocommerce .product .price,
.woocommerce.single  .product .price,
.woocommerce p.stars a, .woocommerce ul.products li.product .woocommerce-loop-product__title:hover, .woocommerce ul.products li.product:hover .woocommerce-loop-product__title { 
 color: '. esc_attr( $theme_color ) .';
}';
echo '.woocommerce .product .onsale,.woocommerce nav.woocommerce-pagination ul li span.current,
.woocommerce nav.woocommerce-pagination ul li a:hover, .woocommerce #respond input#submit, 
.woocommerce a.button, .woocommerce button.button, .woocommerce input.button { 
 background-color: '. esc_attr( $theme_color ) .';
}';
echo '.woocommerce .woocommerce-error .button, 
.woocommerce .woocommerce-info .button, 
.woocommerce .woocommerce-message .button, 
.woocommerce-page .woocommerce-error .button, 
.woocommerce-page .woocommerce-info .button, 
.woocommerce-page .woocommerce-message .button,
.woocommerce ul.products li.product .button, 
.woocommerce ul.products li.product .added_to_cart { 
 background-color: '. esc_attr( $theme_color ) .';
}';
echo '.woocommerce .product .button, 
.woocommerce.single .product .button,
.woocommerce #review_form #respond .form-submit input,
.woocommerce button.button,
.woocommerce ul.products li.product .woo-thumb-wrap .button:hover,
.woocommerce-page div.product .woocommerce-tabs ul.tabs li.active a { 
 background-color: '. esc_attr( $theme_color ) .';
}';
echo '.woocommerce .widget_price_filter .ui-slider .ui-slider-range { 
 background-color: '. esc_attr( $theme_color ) .';
}';
echo '.woocommerce #respond input#submit.alt, .woocommerce a.button.alt, .woocommerce button.button.alt, .woocommerce input.button.alt,.dropdown-menu.cart-dropdown-menu .mini-view-cart a { 
 background: '. esc_attr( $theme_color ) .';
}';
echo "\n/*-----------Widgets---------------- */\n";
echo '.widget .widget-title:before,
.related-articles-wrap .related-title:before { 
 background-color: '. esc_attr( $theme_color ) .';
}';
echo '.widget .nav.nav-tabs { 
	border-color: '. esc_attr( $theme_color ) .';
}';
echo '.widget-title { 
	border-top-color: '. esc_attr( $theme_color ) .';
}';
echo '.widget.netube_latest_post_widget li .side-item .post-serial { 
 background-color: '. esc_attr( $theme_color ) .';
}';
echo "\n/*----------- Scrollbar ---------------- */\n";
echo '.player-type-3 .video-playlist-wrapper::-webkit-scrollbar-thumb,
.video-playlist-nav > i, .post-video-wrap:hover .video-play-icon > span { 
 background-color: '. esc_attr( $theme_color ) .';
}';
echo "\n/*----------- News Related Styles ---------------- */\n";
echo "\n/*----------- Banner ---------------- */\n";
echo '.category-tag, .single-post-template .post-meta .nav .post-category > a { 
 	color: '. esc_attr( $theme_color ) .';
}';
echo '.category-tag:after, .netube-block-overlay .post-category > a:before, .category-tag:hover:after {
 	border-top-color: '. esc_attr( $theme_color ) .';
}';
echo '.netube-block-title.title-style-1:before, .netube-block-overlay .post-category > a, .blog-zz-inner .post-category a, 
.blog-zz-inner .post .post-tags a, .post .post-category a { 
 	background-color: '. esc_attr( $theme_color ) .';
}';
echo '.gradient-theme-overlay { 
 background: linear-gradient(-45deg, rgba(0, 0, 0, 0) 0%, rgba('. esc_attr( $rgb ) .', 0.86) 100%);
}';
echo '.hvr-overlay-wrapper:hover .gradient-theme-overlay {
 background: linear-gradient(-45deg, rgba('. esc_attr( $rgb ) .', 0.86), rgba(0, 0, 0, 0.99) 100%);
}';
echo '.netube-block .news-tabs ul.more-tab-dropdown > li > a:hover,
.netube-block.netube-block-3.custom-list-dark .netube-block-list.big-list .post-title a:hover,
.nav.news-tabs > li > a:hover, .nav.news-tabs > li.active > a { 
 color: '. esc_attr( $theme_color ) .';
}';
echo '.news-ticker-title, .news-ticker-navs > i:hover { 
 	background-color: '. esc_attr( $theme_color ) .';
}';
echo '.netube-block.netube-block-3.custom-list-dark .netube-block-list.big-list .post-list-content a.read-more { 
 	background-color: '. esc_attr( $theme_color ) .';
}';
echo '.topbar a.news-ticker-category { 
 	color: '. esc_attr( $theme_color ) .';
}';
echo '.netube-slider-nav .slide-nav > li > a:hover, .page-links > a:hover, .page-links > span { 
 	background-color: '. esc_attr( $theme_color ) .';
	border-color: '. esc_attr( $theme_color ) .';
}';
echo "\n/*-----------Social Widget---------------- */\n";
echo 'ul.social-icons.social-theme > li a, 
ul.social-icons.social-hbg-theme > li a:hover,
ul.social-icons.social-bg-light > li a:hover {
	background-color: '. esc_attr( $theme_color ) .';
}';
echo 'ul.social-icons.social-bg-light > li a:hover,
.single-post-template article ul.social-icons > li > a:hover {
	background-color: '. esc_attr( $theme_color ) .';
}';
echo 'ul.social-icons.social-theme > li a, 
ul.social-icons.social-h-theme > li a:hover,
.custom-post-nav ul.social-icons > li > a:hover,
.topbar-items ul.social-icons > li > a:hover { 
	color: '. esc_attr( $theme_color ) .';
}';
echo '.most-viewed-post-image .most-viewed-index,
.topbar span.site-date, .mega-dropdown-menu .netube-block .post-grid .post-thumb-wrapper:after,
.post-format-icon:after {
	background-color: '. esc_attr( $theme_color ) .';
}';
echo '.search-with-filter-list .dropdown-menu > span:active {
	background-color: '. esc_attr( $theme_color ) .';
}';
echo '.typo-dark .netube-block-slide .netube-block-overlay.typo-white .post-title:hover, 
.typo-dark .netube-block-slide .netube-block-overlay.typo-white .post-title > a:hover,
.crypto-short-info .crypto-usd, .netube-block-post:hover .post-title-wrapper .post-title > a { 
	color: '. esc_attr( $theme_color ) .';
}';
echo '.vc_row div.btcwdgt-chart .stats, 
.vc_row div.btcwdgt-chart .btcwdgt-header h2, 
.vc_row div.btcwdgt-text-ticker .btcwdgt-edge, .theme-bg { 
	background-color: '. esc_attr( $theme_color ) .'!important;
}';


echo '.wp-block-button.is-style-outline .wp-block-button__link:not(.has-text-color) {
color: '. esc_attr( $theme_color ) .'; /* base: #0073a8; */
}
.wp-block-file .wp-block-file__button,
.wp-block-button:not(.is-style-outline) .wp-block-button__link:not(.has-background),
.wp-block-quote:not(.is-large):not(.is-style-large):before, .wp-block-freeform blockquote:before,
.wp-block-quote.is-large:before, .wp-block-quote.is-style-large:before,
.single-post-template blockquote:before,
.wp-block-freeform.block-library-rich-text__tinymce blockquote:before,
blockquote:before {
background-color: '. esc_attr( $theme_color ) .'; /* base: #0073a8; */
}

/* Hover colors */
.wp-block-file .wp-block-file__textlink:hover {
color: '. esc_attr( $theme_color ) .'; /* base: #005177; */
}

/* Do not overwrite solid color pullquote or cover links */
.wp-block-pullquote.is-style-solid-color a,
.wp-block-cover a {
color: inherit;
}';

/* Theme Demo Styles */
//Demo Style
$demo_id = '';
$custom_demo_type = $ats->netube_theme_opt('demo-id-style');
if( $custom_demo_type != 'none' ){
	if( $custom_demo_type != 'demo-main' ){
		$demo_id = $custom_demo_type;
	}
}else{
	$demo_type = get_theme_mod('netube_installed_demo_id');
	if( !empty( $demo_type ) && $demo_type != 'demo-main' ){
		$demo_id = $demo_type;
	}
}

echo '/* Demo id: '. $demo_id .' */';

if( $demo_id ){
	switch( $demo_id ){
		
		//News Demo Theme Styles
		case "demo-news":
			echo '.netube-block-title.title-style-1:before, .widget .widget-title:before{border-top-color: '. esc_attr( $theme_color ) .';}.netube-block-list.big-list .post-category > a, .netube-news .post-grid.text-center > div:nth-child(2).post-title-wrapper:before, .site-footer .widget-title:before, .netube-block-title:before, .section-title-wrapper .section-title:before {background: '. esc_attr( $theme_color ) .';}.nav.pagination > li.nav-item a, .nav.pagination > li.nav-item span{border-color: '. esc_attr( $theme_color ) .';}';
		break;
		//Dark Demo Theme Styles
		case "demo-dark":
			echo '.netube-block-title.title-style-1:before, .widget .widget-title:before{border-top-color: '. esc_attr( $theme_color ) .';}.netube-block-list.big-list .post-category > a, .netube-news .post-grid.text-center > div:nth-child(2).post-title-wrapper:before, .site-footer .widget-title:before, .netube-block-title:before, .section-title-wrapper .section-title:before {background: '. esc_attr( $theme_color ) .';}.nav.pagination > li.nav-item a, .nav.pagination > li.nav-item span{border-color: '. esc_attr( $theme_color ) .';}';
		break;
		
		//Video Magazine Demo Theme Styles
		case "demo-videomag":
			echo '.netube-block-title.title-style-1:before, .widget .widget-title:before{border-top-color: '. esc_attr( $theme_color ) .';}.netube-block-list.big-list .post-category > a, .netube-news .post-grid.text-center > div:nth-child(2).post-title-wrapper:before, .site-footer .widget-title:before, .netube-block-title:before, .section-title-wrapper .section-title:before {background: '. esc_attr( $theme_color ) .';}.nav.pagination > li.nav-item a, .nav.pagination > li.nav-item span{border-color: '. esc_attr( $theme_color ) .';}';
		break;
		//CZ Tube Demo Theme Styles
		case "demo-cztube":
			echo '.netube-block-title.title-style-1:before, .widget .widget-title:before{border-top-color: '. esc_attr( $theme_color ) .';}.netube-block-list.big-list .post-category > a, .netube-news .post-grid.text-center > div:nth-child(2).post-title-wrapper:before, .site-footer .widget-title:before, .netube-block-title:before, .section-title-wrapper .section-title:before {background: '. esc_attr( $theme_color ) .';}.nav.pagination > li.nav-item a, .nav.pagination > li.nav-item span{border-color: '. esc_attr( $theme_color ) .';}';
		break;
		//Virtube Demo Styles
		case "demo-virtube":
			echo '.netube-block-title.title-style-1:before, .widget .widget-title:before{border-top-color: '. esc_attr( $theme_color ) .';}.netube-block-list.big-list .post-category > a, .netube-news .post-grid.text-center > div:nth-child(2).post-title-wrapper:before, .site-footer .widget-title:before, .netube-block-title:before, .section-title-wrapper .section-title:before {background: '. esc_attr( $theme_color ) .';}.nav.pagination > li.nav-item a, .nav.pagination > li.nav-item span{border-color: '. esc_attr( $theme_color ) .';}.search-with-filter-form .btn.dropdown-toggle, .netube-load-more.btn:hover {color: '. esc_attr( $theme_color ) .'!important;}';
		break;
		
	}
}