<?php 
/**
 *		# Block 8 Shortcode #
 * -- Single Grid Top and List Bottom --
 */
if ( ! function_exists( 'netube_vc_block_8_shortcode' ) ) { 
	function netube_vc_block_8_shortcode( $atts, $content = NULL ) {
		$atts = vc_map_get_attributes( 'netube_vc_block_8', $atts );
		return netube_news_block_form_8($atts);
	}
}
function netube_news_block_form_8($atts, $custom_loop = ''){
	extract( $atts );
	$rand = netube_shortcode_rand_id(); 
	$output = '';
	/*Design Option Start*/
	$css = '';
	extract(shortcode_atts(array( 
		'css' => '',
	), $atts));
	$css_class = $netube_block_styles = $block_styles = $title_bg = '';
	$netube_block_class = 'netube-block-css-'.$rand ;
	
	$css_class = isset( $extra_class ) ? $extra_class : '';
	
	$title_transform = isset( $title_transform ) ? esc_attr( $title_transform ) : 'capitalize';	
	$title_size = isset( $title_size ) && $title_size != '' ? $title_size : '12px';
	$block_color = isset( $block_color ) && $block_color != '' ? $block_color : '';
	$tab_limit = isset( $tab_limit ) && $tab_limit != '' ? $tab_limit : '2';
	$title_position = isset( $title_position ) && $title_position != '' ? $title_position : '';
	$title = isset( $title ) && $title != '' ? $title : '';
	
	$style_arr = array(
		'title_transform' => $title_transform,
		'block_color' => $block_color,
		'title_size' => $title_size
	);
	if( $title_transform || $block_color != '' ){
		$css_class .= ' '.$netube_block_class;
		$netube_block_styles = netube_block_dynamic_css($netube_block_class, $style_arr);
	}
	
	//Grid Spacing
	if( isset( $sc_grid_spacing ) && !empty( $sc_grid_spacing ) ){
		$sc_grid_spacing = preg_replace( '!\s+!', ' ', $sc_grid_spacing );
		$space_arr = explode( " ", $sc_grid_spacing );
		$i = 1;
		$space_class_name = '.' . esc_attr( $netube_block_class ) . ' .netube-news .post-grid >';
		foreach( $space_arr as $space ){
			$netube_block_styles .= $space != '-' ? $space_class_name .' div:nth-child('. esc_attr( $i ) .') { margin-bottom: '. esc_attr( $space ) .'px; }' : '';
			$i++;
		}
	}
	
	//Category Tag Color
	if( isset( $cat_tag_bg_color ) && !empty( $cat_tag_bg_color ) ){
		$netube_block_styles .= '.' . esc_attr( $netube_block_class ) . ' .netube-news .netube-block-post .category-tag { background-color: '. esc_attr( $cat_tag_bg_color ) .' !important; }';
		$netube_block_styles .= '.' . esc_attr( $netube_block_class ) . ' .netube-news .netube-block-post .category-tag:after { border-top-color: '. esc_attr( $cat_tag_bg_color ) .' !important; }';
	}
	if( isset( $cat_tag_color ) && !empty( $cat_tag_color ) ){
		$netube_block_styles .= '.' . esc_attr( $netube_block_class ) . ' .netube-news .netube-block-post .category-tag { color: '. esc_attr( $cat_tag_color ) .' !important; }';
	}
	
	//List Spacing
	if( isset( $sc_list_spacing ) && !empty( $sc_list_spacing ) ){
		$sc_list_spacing = preg_replace( '!\s+!', ' ', $sc_list_spacing );
		$space_arr = explode( " ", $sc_list_spacing );
		$i = 1;
		$space_class_name = '.' . esc_attr( $netube_block_class ) . ' .netube-news .post-list .post-list-content >';
		foreach( $space_arr as $space ){
			$netube_block_styles .= $space != '-' ? $space_class_name .' div:nth-child('. esc_attr( $i ) .') { margin-bottom: '. esc_attr( $space ) .'px; }' : '';
			$i++;
		}
	}
	
	$css_class .= apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class( $css, ' ' ), 'netube_vc_block_new', $atts );
	$css_class .= isset( $animate_type ) ? ' animate-news-fade-in-' . $animate_type : 'animate-news-fade-in-down';
	/*Design Option End*/
	
	/*Dynamic Options*/
	$grid_items = isset( $grid_items ) ? netube_drag_and_drop_trim( $grid_items ) : '';
	$grid_primary_meta = isset( $grid_primary_meta ) ? netube_drag_and_drop_trim( $grid_primary_meta ) : '';	
	$grid_secondary_meta = isset( $grid_secondary_meta ) ? netube_drag_and_drop_trim( $grid_secondary_meta ) : '';
	
	$list_items = isset( $list_items ) ? netube_drag_and_drop_trim( $list_items ) : '';
	$list_primary_meta = isset( $list_primary_meta ) ? netube_drag_and_drop_trim( $list_primary_meta ) : '';	
	$list_secondary_meta = isset( $list_secondary_meta ) ? netube_drag_and_drop_trim( $list_secondary_meta ) : '';
	
	$ovelay_items = '';
	if( isset( $overlay_options ) && $overlay_options != 'no' ){
		$ovelay_items = isset( $block_grid_ovelay_items ) ? netube_drag_and_drop_trim( $block_grid_ovelay_items ) : '';
	}
	
	$content_len = isset( $excerpt_len ) && absint( $excerpt_len ) ? absint( $excerpt_len ) : esc_html__( 'More', 'netube' );
	$all_text = isset( $first_tab_text ) && $first_tab_text != '' ? esc_attr( $first_tab_text ) : '';
	$more_text = isset( $more_text ) && $more_text != '' ? esc_attr( $more_text ) : 20;
	$readmore_text = isset( $readmore_text ) && $readmore_text != ''  ? esc_attr( $readmore_text ) : esc_html__( 'Read More', 'netube' );
	$filter_type = isset( $ajax_filter_type ) && $ajax_filter_type != ''  ? esc_attr( $ajax_filter_type ) : 'default';
	$loadmore_after = isset( $infinite_loadmore ) && $infinite_loadmore != ''  ? absint( $infinite_loadmore ) : '';
	$pagination = isset( $pagination ) ? esc_attr( $pagination ) : 'no';
	$grid_thumb_size = isset( $grid_thumb_size ) ? esc_attr( $grid_thumb_size ) : 'netube_grid_1';
	$grid_image_custom = isset( $custom_image_size ) ? esc_attr( $custom_image_size ) : '';
	$list_thumb_size = isset( $list_thumb_size ) ? esc_attr( $list_thumb_size ) : 'netube_grid_4';
	$list_image_custom = isset( $list_custom_image_size ) ? esc_attr( $list_custom_image_size ) : '';
	$grid_align = isset( $block_grid_align ) ? esc_attr( $block_grid_align ) : '';
	$list_align = isset( $block_list_align ) ? esc_attr( $block_list_align ) : '';
	$cat_tag = isset( $cat_tag ) ? esc_attr( $cat_tag ) : '';
	$cat_tag_style = isset( $cat_tag_style ) ? esc_attr( $cat_tag_style ) : '';
	$post_icon = isset( $post_icon ) ? esc_attr( $post_icon ) : '';
	$grid_title = isset( $grid_title_variation ) ? esc_attr( $grid_title_variation ) : 'h4';
	$list_title = isset( $list_title_variation ) ? esc_attr( $list_title_variation ) : 'h6';	
	$tab_hide = isset( $tab_hide ) ? esc_attr( $tab_hide ) : 'no';
	$post_promotion = isset( $post_promotion ) ? esc_attr( $post_promotion ) : 'no';
	
	$css_class .= $filter_type != 'default' ? ' no-slide-verlay' : '';
	
	$dynamic_options = array('grid_items' => $grid_items, 'grid_primary_meta' => $grid_primary_meta, 'grid_secondary_meta' => $grid_secondary_meta, 'list_items' => $list_items, 'list_primary_meta' => $list_primary_meta, 'list_secondary_meta' => $list_secondary_meta, 'modal' => '8', 'excerpt_len' => $content_len, 'all_text' => $all_text, 'more_text' => $more_text, 'read_more' => $readmore_text, 'filter_type' => $filter_type, 'loadmore_after' => $loadmore_after, 'pagination' => $pagination, 'ovelay_items' => $ovelay_items, 'grid_thumb' => $grid_thumb_size, 'grid_image_custom' => $grid_image_custom, 'list_image_custom' => $list_image_custom, 'list_thumb' => $list_thumb_size, 'grid_align' => $grid_align, 'list_align' => $list_align, 'cat_tag' => $cat_tag, 'cat_tag_style' => $cat_tag_style, 'post_icon' => $post_icon, 'post_promotion' => $post_promotion, 'grid_title' => $grid_title, 'list_title' => $list_title, 'tab_hide' => $tab_hide );
	$filter = isset( $post_filter ) ? $post_filter : 'recent';
	$filter_by = isset( $post_filter_by ) ? $post_filter_by : 'recent';
	$orderby = $meta_key = $days = $post_in = '';
	$order = 'DESC';
	
	if( $filter == 'recent' ){ // ascending order
		$order = 'DESC';
	}elseif( $filter == 'asc' ){ // ascending order
		$order = 'ASC';
	}elseif( $filter == 'random' ){
		$orderby = 'rand';
	}
	
	if( $filter_by == 'likes' ){ // likes 
		$meta_key = 'likes';
		$orderby = !empty( $orderby ) ? $orderby . ' meta_value_num' : 'meta_value_num';			
	}elseif( $filter_by == 'views' ){ //views
		$meta_key = 'views';
		$orderby = !empty( $orderby ) ? $orderby . ' meta_value_num' : 'meta_value_num';			
	}elseif( $filter_by == 'rated' ){ //rated
		$meta_key = 'rated';
		$orderby = !empty( $orderby ) ? $orderby . ' meta_value_num' : 'meta_value_num';			
	}elseif( $filter_by == 'comment' ){ // comment
		$orderby = !empty( $orderby ) ? $orderby . ' meta_value_num' : 'comment_count';			
	}elseif( $filter_by == 'days' ){ // days
		$orderby = !empty( $orderby ) ? $orderby . ' meta_value_num' : 'date';
		$days = isset( $days_count ) && $days_count != '' ? absint( $days_count ) : '10';
	}elseif( $filter_by == 'custom' ){ // comment
		$orderby = !empty( $orderby ) ? $orderby . ' meta_value_num' : 'post__in';
		$post_in = isset( $include_post_ids ) && $include_post_ids != '' ? $include_post_ids : '';
	}
	
	$post_not_in = isset( $exclude_post_ids ) && $exclude_post_ids != '' ? $exclude_post_ids : '';
		
	$filter_name = isset( $filter_name ) ? esc_attr( $filter_name ) : '';
	$filter_values = isset( $$filter_name ) ? esc_attr( $$filter_name ) : '';
	$filter_values = str_replace(' ', '', $filter_values);
	$filter_values = rtrim($filter_values, ',');
	
	$post_per_tab = isset( $post_per_tab ) ? esc_attr( $post_per_tab ) : '5';
	
	$slide_id = $all_text != '' ? 'all' : preg_replace('/^([^,]*).*$/', '$1', $filter_values);
	
	$netube_ajax_nonce = wp_create_nonce('netube-ajax-nonce');
	$block_options = array(
			'action' => 'netube-ajax-slide',
			'nonce' => $netube_ajax_nonce,
			'filter_name' => $filter_name, 
			'filter_values' => $filter_values, 
			'ppp' => $post_per_tab, 
			'paged' => 1, 
			'meta' => $meta_key,
			'orderby' => $orderby,
			'order' => $order,
			'date' => $days,
			'post_not' => $post_not_in,
			'post_in' => $post_in,
			'block_id' => $rand,
			'slide_id' => $slide_id,
			'tab_limit' => $tab_limit,
			'dynamic_options' => $dynamic_options,
		);	
		
		$block_css_options = array(
			'block_style' => $netube_block_styles
		);			
	
	$nbp = new netubeBlockParams;
	$nbp->setnetubeBlockParams( "netube_block_id_". esc_attr( $rand ), $block_options );
	
	$output = '<div class="netube-block netube-block-8 '. esc_attr( $css_class ) .'" data-id="netube_block_id_'.esc_attr( $rand ).'">';
		$output .= '<input type="hidden" class="news-block-options" id="netube_block_id_'.esc_attr( $rand ).'" />';
		if( $netube_block_styles != '' )
		$output .= '<input type="hidden" class="news-block-css-options" data-options="'. htmlspecialchars(json_encode($block_css_options), ENT_QUOTES, 'UTF-8') .'" />';
		
		$title_class = netube_blocksTitleAlign($title_position);
		$title_class .= isset( $title_style ) && $title_style != '' ? ' title-style-' . $title_style : '';
		if( $title_position != 'tab' ){
			if( $title != '' )$output .= '<h4 class="netube-block-title '. esc_attr( $title_class ) .'"><span>'. esc_html( $title ) .'</span></h4>';
		}
		
		$t_count = count( explode(',', $filter_values ) );
		if( ( isset( $ajax_filter ) && $ajax_filter == 'yes' ) || $t_count > 1 ){ wp_enqueue_script( 'imagesloaded' );
			
			if( $t_count == 1 ){
				$output .= '<div class="netube-content">';
					$output .= '<div class="news-slide-loader"><img src="'.esc_url( netube_news_loader() ).'" alt="'. esc_attr__('Loader..', 'netube') .'" /></div>';
					$output .= netube_news_block_slider($block_options);
				$output .= '</div> <!--netube-content-->';
			}else{
				if( $title_position == 'tab' ){
					$output .= '<div class="netube-block-title-pack">';
						if( $title != '' )$output .= '<h4 class="netube-block-title '. esc_attr( $title_class ) .'"><span>'. esc_html( $title ) .'</span></h4>';
						$output .= netube_news_block_tabs_only($block_options);
					$output .= '</div><!-- .netube-block-title-pack -->';
					$output .= '<div class="tab-content netube-content">';
					$output .= '<div class="news-slide-loader"><img src="'.esc_url( netube_news_loader() ).'" alt="'. esc_attr__('Loader..', 'netube') .'" /></div>';
							$output .= netube_news_block_slider($block_options);
					$output .= '</div>';
				}else{
					$output .= netube_news_block_tabs($block_options);
				}
			}
			
			if( isset( $ajax_filter ) && $ajax_filter == 'yes' ){
				if( $pagination != 'yes' ){
					$output .= '<div class="netube-slider-nav type-'. esc_attr( $filter_type ) .'">';
						$output .= '<ul class="slide-nav list-inline '. esc_attr( netube_blocksTitleAlign($nav_align) ) .'">';
							if( $filter_type == 'default' ){
								$output .= '<li><a href="#" class="netube-slider-previous disabled"><i class="ti-angle-left"></i></a></li>';
								$output .= '<li><a href="#" class="netube-slider-next"><i class="ti-angle-right"></i></a></li>';
							}else{
								$output .= '<li>
												<span class="netube-load-more btn">'. esc_attr( $loadmore_text ) .'</span>
												<img src="'.esc_url( netube_news_loader() ).'" alt="'. esc_attr__('Loader..', 'netube') .'" />
											</li>';
							}
						$output .= '</ul>';
					$output .= '</div> <!--news-slide-nav-->';	
				}
			}
		}else{
			$output .= '<div class="netube-content">';
				$output .= netube_news_block($block_options, $custom_loop);
			$output .= '</div> <!--netube-content-->';
		}
	$output .= '</div>';
	
	return $output;
}
function netube_news_block_modal_8($loop, $dynamic_options){
	$single = 0;
	$grids_out = $list_out = '';
	while ($loop->have_posts()){
		$loop->the_post();
		
		// Theme Update from v1.0.4
		$unique_ids = netube_get_unique_news_ids( get_the_ID() );
		
		if($single == 0){
			$grids_out .= '<div class="col-sm-12">';
				$grids_out .= netube_common_block_grid_generate($dynamic_options);
			$grids_out .= '</div>';
		}else{		
			$list_out .= netube_common_block_list_generate($dynamic_options);
		}		
		$single++;
	}
	$output = '<div class="row">';
		$output .= $grids_out;
	$output .= '</div><!--row-->';
	$output .= '<div class="row">';
		$output .= '<div class="col-sm-12">';
			$output .= '<div class="netube-block-list">';
				$output .= $list_out;
			$output .= '</div>';
		$output .= '</div>';
	$output .= '</div><!--row-->';
	return $output;
}
if ( ! function_exists( 'netube_vc_block_8_shortcode_map' ) ) {
	function netube_vc_block_8_shortcode_map() {
		vc_map( netube_vc_map_block_8());
	
		
	}
}
add_action( 'vc_before_init', 'netube_vc_block_8_shortcode_map' );
function netube_vc_map_block_8(){
	
	$cats_show = $tags_show = $authors = esc_html__( 'Example: 2, 3, 4', 'netube' ); 
			
	$map_fields = array(
		"name"					=> esc_html__( "Block 8", "netube" ),
		"description"			=> esc_html__( "Single Grid Top and List Bottom.", 'netube' ),
		"base"					=> "netube_vc_block_8",
		"category"				=> esc_html__( "Blocks", "netube" ),
		"icon"					=> "zozo-vc-icon",
		"params"				=> array(
			array(
				'type'			=> 'textfield',
				'heading'		=> esc_html__( 'Extra Classes', "netube" ),
				'param_name'	=> 'extra_class',
				'value' 		=> '',
			),
			array(
				'type'			=> 'textfield',
				'heading'		=> esc_html__( 'Title', "netube" ),
				'param_name'	=> 'title',
				'value' 		=> '',
			),
			array(
				"type"			=> 'dropdown',
				"heading"		=> esc_html__( "Title Position", "netube" ),
				"param_name"	=> "title_position",
				"value"			=> array(
					esc_html__( "Default", "netube" )	=> "",
					esc_html__( "Left", "netube" )			=> "left",
					esc_html__( "Center", "netube" )	=> "center",
					esc_html__( "Right", "netube" )	=> "right",
					esc_html__( "Title with Tab", "netube" )	=> "tab"
				),
			),
			array(
				"type"			=> 'dropdown',
				"heading"		=> esc_html__( "Title Position", "netube" ),
				"param_name"	=> "title_position",
				"value"			=> array(
					esc_html__( "Left", "netube" )			=> "left",
					esc_html__( "Center", "netube" )	=> "center",
					esc_html__( "Right", "netube" )	=> "right",
				),
			),
			array(
				"type"			=> 'dropdown',
				"heading"		=> esc_html__( "Title Style", "netube" ),
				"param_name"	=> "title_style",
				"value"			=> array(
					esc_html__( "Default", "netube" )	=> "",
					esc_html__( "Style 1", "netube" )	=> "1",
					esc_html__( "Style 2", "netube" )	=> "2",
					esc_html__( "Style 3", "netube" )	=> "3",
				),
			),
			array(
				"type"			=> 'dropdown',
				"heading"		=> esc_html__( "Title Style", "netube" ),
				'description'	=> esc_html__( 'Choose block title style either capitalize, uppercase, etc..', 'netube' ),
				"param_name"	=> "title_transform",
				"value"			=> array(
					esc_html__( "Capitalize", "netube" )	=> "capitalize",
					esc_html__( "Upper Case", "netube" )	=> "uppercase",
					esc_html__( "Lower Case", "netube" )	=> "lowercase",
					esc_html__( "None", "netube" )	=> "none"
				),
			),
			array(
				'type'			=> 'textfield',
				'heading'		=> esc_html__( 'Title Size', "netube" ),
				'param_name'	=> 'title_size',
				'description'	=> esc_html__( 'This is settings for title font size. Example 12px', 'netube' ),
				'value' 		=> '',
			),
			array(
				"type"			=> 'dropdown',
				"heading"		=> esc_html__( "Navigation Alignment", "netube" ),
				"param_name"	=> "nav_align",
				"value"			=> array(
					esc_html__( "Left", "netube" )	=> "left",
					esc_html__( "Center", "netube" )	=> "center",
					esc_html__( "Right", "netube" )	=> "right",
					esc_html__( "Seperate", "netube" )	=> "seperate"
				),
			),
			array(
				'type'			=> 'textfield',
				'heading'		=> esc_html__( 'Excerpt Length', "netube" ),
				'param_name'	=> 'excerpt_len',
				'description'	=> esc_html__( 'Enter integer value for current block content length. eg: 20', 'netube' ),
				'value' 		=> '20',
			),
			array(
				'type'			=> 'textfield',
				'heading'		=> esc_html__( 'Tab Dropdown Text', "netube" ),
				'param_name'	=> 'more_text',
				'description'	=> esc_html__( 'This is text show on more dropdown label', 'netube' ),
				'value' 		=> esc_html__( 'More', 'netube' ),
			),
			array(
				'type'			=> 'textfield',
				'heading'		=> esc_html__( 'Read More Text', "netube" ),
				'param_name'	=> 'readmore_text',
				'description'	=> esc_html__( 'This is for read more button label', 'netube' ),
				'value' 		=> esc_html__( 'Read More', 'netube' ),
			),
			array(
				'type'			=> 'textfield',
				'heading'		=> esc_html__( 'Load More Text', "netube" ),
				'param_name'	=> 'loadmore_text',
				'description'	=> esc_html__( 'This is for load more button label. this is only working when ajax filter on and filter type will be load more.', 'netube' ),
				'value' 		=> esc_html__( 'Load More..', 'netube' ),
			),
			array(
				'type'			=> 'colorpicker',
				'heading'		=> esc_html__( 'Block Color', "netube" ),
				'param_name'	=> 'block_color',
				'description'	=> esc_html__( 'Choose this color to change current block title, link and some hover colors.', 'netube' ),
			),
			array(
				"type"			=> 'dropdown',
				"heading"		=> esc_html__( "Enable Category Tag", "netube" ),
				'description'	=> esc_html__( 'Enable this option to show tag the category with specified color.', 'netube' ),
				"param_name"	=> "cat_tag",
				"value"			=> array(
					esc_html__( "Yes", "netube" )	=> "yes",
					esc_html__( "No", "netube" )	=> "no",
				),
			),
			array(
				"type"			=> 'dropdown',
				"heading"		=> esc_html__( "Category Tag Style", "netube" ),
				'description'	=> esc_html__( 'Choose style of category tag.', 'netube' ),
				"param_name"	=> "cat_tag_style",
				"value"			=> array(
					esc_html__( "Default", "netube" )	=> "",
					esc_html__( "Classic", "netube" )	=> "classic"
				)
			),
			array(
				"type"			=> 'colorpicker',
				"heading"		=> esc_html__( "Category Tag Background Color", "netube" ),
				'description'	=> esc_html__( 'Choose category tag background color. This color overwrite which color you gave for the category tag.', 'netube' ),
				"param_name"	=> "cat_tag_bg_color",
				"value"			=> ""
			),
			array(
				"type"			=> 'colorpicker',
				"heading"		=> esc_html__( "Category Tag Color", "netube" ),
				'description'	=> esc_html__( 'Choose category tag fore color.', 'netube' ),
				"param_name"	=> "cat_tag_color",
				"value"			=> ""
			),
			array(
				"type"			=> 'dropdown',
				"heading"		=> esc_html__( "Enable Post Format Icon", "netube" ),
				'description'	=> esc_html__( 'Enable to show post format icons on thumbnail.', 'netube' ),
				"param_name"	=> "post_icon",
				"value"			=> array(
					esc_html__( "Yes", "netube" )	=> "yes",
					esc_html__( "No", "netube" )	=> "no",
				),
			),
			array(
				"type"			=> 'dropdown',
				"heading"		=> esc_html__( "Enable Promoted Label", "netube" ),
				'description'	=> esc_html__( 'Enable to show promotion text which you entered o theme option. It will show only which posts are enabled promotion option.', 'netube' ),
				"param_name"	=> "post_promotion",
				"value"			=> array(
					esc_html__( "No", "netube" )	=> "no",
					esc_html__( "Yes", "netube" )	=> "yes"					
				),
			),
			array(
				"type"			=> 'dropdown',
				"heading"		=> esc_html__( "Disable Block Tab", "netube" ),
				'description'	=> esc_html__( 'Choose yes to disable news block tab.', 'netube' ),
				"param_name"	=> "tab_hide",
				"value"			=> array(
					esc_html__( "No", "netube" )	=> "no",
					esc_html__( "Yes", "netube" )	=> "yes",
				),
			),
			array(
				"type"			=> 'dropdown',
				"heading"		=> esc_html__( "Animation Type", "netube" ),
				'description'	=> esc_html__( 'Choose animation type for load post with animation.', 'netube' ),
				"param_name"	=> "animate_type",
				"value"			=> array(
					esc_html__( "Animate From Down", "netube" )	=> "up",
					esc_html__( "Animate From Up", "netube" )	=> "down",
					esc_html__( "Animate From Right", "netube" )	=> "right",
					esc_html__( "Animate From Left", "netube" )	=> "left",
					esc_html__( "Animate None", "netube" )	=> "none"
				),
			),
			//Filters
			array(
				"type"			=> 'dropdown',
				"heading"		=> esc_html__( "Ajax Filter", "netube" ),
				"param_name"	=> "ajax_filter",
				"value"			=> array(
					esc_html__( "No", "netube" )	=> "no",
					esc_html__( "Yes", "netube" )	=> "yes",
				),
				'group'			=> esc_html__( 'Filter', 'netube' )
			),
			array(
				"type"			=> 'dropdown',
				"heading"		=> esc_html__( "Ajax Filter Type", "netube" ),
				"param_name"	=> "ajax_filter_type",
				"value"			=> array(
					esc_html__( "Next/Prev", "netube" )	=> "default",
					esc_html__( "Load More", "netube" )	=> "load-more",
					esc_html__( "Infinite Scroll", "netube" )	=> "infinite",
				),
				"dependency"	=> array(
						"element"	=> "ajax_filter",
						"value"		=> "yes"
				),
				'group'			=> esc_html__( 'Filter', 'netube' )
			),
			array(
				"type"			=> 'dropdown',
				"heading"		=> esc_html__( "Select Tag/Category", "netube" ),
				"param_name"	=> "filter_name",
				"value"			=> array(
					esc_html__( "Category", "netube" )	=> "cat",
					esc_html__( "Tag", "netube" )		=> "tag",
					esc_html__( "Author", "netube" )	=> "author",
				),
				'group'			=> esc_html__( 'Filter', 'netube' )
			),
			array(
				'type'			=> 'textfield',
				'heading'		=> esc_html__( 'Category ID\'s', "netube" ),
				'param_name'	=> 'cat',
				'value' 		=> '',
				'description'	=> $cats_show,
				"dependency"	=> array(
						"element"	=> "filter_name",
						"value"		=> "cat"
				),
				'group'			=> esc_html__( 'Filter', 'netube' )
			),
			array(
				'type'			=> 'textfield',
				'heading'		=> esc_html__( 'Tag ID\'s', "netube" ),
				'param_name'	=> 'tag',
				'value' 		=> '',
				'description'	=> $tags_show,
				"dependency"	=> array(
						"element"	=> "filter_name",
						"value"		=> "tag"
				),
				'group'			=> esc_html__( 'Filter', 'netube' )
			),
			array(
				'type'			=> 'textfield',
				'heading'		=> esc_html__( 'Authors ID\'s', "netube" ),
				'param_name'	=> 'author',
				'value' 		=> '',
				'description'	=> $authors,
				"dependency"	=> array(
						"element"	=> "filter_name",
						"value"		=> "author"
				),
				'group'			=> esc_html__( 'Filter', 'netube' )
			),
			array(
				'type'			=> 'textfield',
				'heading'		=> esc_html__( 'Minimum Tab to Show', "netube" ),
				'param_name'	=> 'tab_limit',
				'description'	=> esc_html__( 'Limited number of selected tags/categories show in tab. remaining shift to more dropdown. ', "netube" ),
				'value' 		=> '2',
				'group'			=> esc_html__( 'Filter', 'netube' )
			),
			array(
				'type'			=> 'textfield',
				'heading'		=> esc_html__( 'Post to Show', "netube" ),
				'param_name'	=> 'post_per_tab',
				'description'	=> esc_html__( 'Number of post to show on first load.', "netube" ),
				'value' 		=> '3',
				'group'			=> esc_html__( 'Filter', 'netube' )
			),
			array(
				"type"			=> 'dropdown',
				"heading"		=> esc_html__( "Filter", "netube" ),
				"param_name"	=> "post_filter",
				"value"			=> array(
					esc_html__( "Recent News(Descending)", "netube" )	=> "recent",
					esc_html__( "Older News(Ascending)", "netube" )		=> "asc",
					esc_html__( "Random", "netube" )					=> "random"
				),
				'group'			=> esc_html__( 'Filter', 'netube' )
			),
			array(
				"type"			=> 'dropdown',
				"heading"		=> esc_html__( "Filter By", "netube" ),
				"param_name"	=> "post_filter_by",
				"value"			=> array(
					esc_html__( "None", "netube" )				=> "none",
					esc_html__( "Most Likes", "netube" )		=> "likes",
					esc_html__( "Most Views", "netube" )		=> "views",
					esc_html__( "High Rated", "netube" )		=> "rated",
					esc_html__( "Most Commented", "netube" )	=> "comment",
					esc_html__( "From Custom Days", "netube" )	=> "days",
					esc_html__( "Custom Posts IDs", "netube" )	=> "custom"
				),
				'group'			=> esc_html__( 'Filter', 'netube' )
			),
			array(
				'type'			=> 'textfield',
				'heading'		=> esc_html__( 'Enter Days', "netube" ),
				'param_name'	=> 'days_count',
				'description'	=> esc_html__( 'if enter 10 means, it\'s showing last 10 days posts.', "netube" ),
				'group'			=> esc_html__( 'Filter', 'netube' ),
				"dependency" => array( "element" => "post_filter_by", "value" => 'days' ),
			),
			array(
				'type'			=> 'textfield',
				'heading'		=> esc_html__( 'Include Post ID\'s', "netube" ),
				'param_name'	=> 'include_post_ids',
				'description'	=> esc_html__( 'Manually enter post id\'s for include. These post ordered not based on Ascending, Descending or Random. eg: 21, 15, 30', "netube" ),
				'group'			=> esc_html__( 'Filter', 'netube' ),
				"dependency" => array( "element" => "post_filter_by", "value" => 'custom' ),
			),
			array(
				'type'			=> 'textfield',
				'heading'		=> esc_html__( 'Exclude Post ID\'s', "netube" ),
				'param_name'	=> 'exclude_post_ids',
				'description'	=> esc_html__( 'Manually enter post id\'s for exclude. eg: 21, 15, 30', "netube" ),
				'group'			=> esc_html__( 'Filter', 'netube' )
			),
			array(
				'type'			=> 'textfield',
				'heading'		=> esc_html__( 'First Tab Text', "netube" ),
				'param_name'	=> 'first_tab_text',
				'description'	=> esc_html__( 'This is first tab text. default shown All.(if don\'t want all tab means just leave it blank.)', 'netube' ),
				'value' 		=> 'All',
				'group'			=> esc_html__( 'Filter', 'netube' )
			),
			array(
				'type'			=> 'textfield',
				'heading'		=> esc_html__( 'Infinite to Load More', "netube" ),
				'param_name'	=> 'infinite_loadmore',
				'description'	=> esc_html__( 'Enter value here when infinite stop and show loadmore after some loads. eg: 3', 'netube' ),
				'value' 		=> '',
				"dependency" => array( "element" => "ajax_filter_type", "value" => 'infinite' ),
				'group'			=> esc_html__( 'Filter', 'netube' )
			),
			array(
				"type"			=> 'dropdown',
				"heading"		=> esc_html__( "Pagination", "netube" ),
				"param_name"	=> "pagination",
				'description'	=> esc_html__( 'If you choose pagination yes, ajax filter must be select no.', 'netube' ),
				"value"			=> array(
					esc_html__( "No", "netube" )	=> "no",
					esc_html__( "Yes", "netube" )	=> "yes",
				),
				"dependency"	=> array(
						"element"	=> "ajax_filter",
						"value"		=> "no"
				),
				'group'			=> esc_html__( 'Filter', 'netube' )
			),
			//grid items
			array(
				"type"			=> 'dropdown',
				"heading"		=> esc_html__( "Grid Item Alignment", "netube" ),
				"param_name"	=> "block_grid_align",
				"value"			=> array(
					esc_html__( "Left", "netube" )	=> "",
					esc_html__( "Center", "netube" )=> "text-center",
					esc_html__( "Right", "netube" )	=> "text-right",
				),
				'group'			=> esc_html__( 'Grid Items', 'netube' )
			),
			array(
				'type'			=> 'drag_drop',
				'heading'		=> esc_html__( 'Grid Items', 'netube' ),
				"description"	=> esc_html__( "This is settings for block grid items. Drag and drop needed meta items to enabled part.", "netube" ),
				'param_name'	=> 'grid_items',
				'dd_fields' => array ( 
					'Enabled' => array( 
						'image'=> esc_html__( 'Image', 'netube' ),
						'title'	=> esc_html__( 'Title', 'netube' ),
						'content'	=> esc_html__( 'Content', 'netube' )
					),
					'disabled' => array(
						'primary-meta'	=> esc_html__( 'Primary Meta', 'netube' ),
						'secondary-meta'	=> esc_html__( 'Secondary Meta', 'netube' )
					)
				),
				"group"			=> esc_html__( "Grid Items", "netube" )
			),
			array(
				'type'			=> 'drag_drop',
				'heading'		=> esc_html__( 'Top Meta Items', 'netube' ),
				"description"	=> esc_html__( "This is settings for block 1 top meta items. Drag and drop needed meta items to Enabled part(Left or Right).", "netube" ),
				'param_name'	=> 'grid_primary_meta',
				'dd_fields' => array ( 
					'Left' => array( 
						'author'=> esc_html__( 'Author Icon', 'netube' ),
						'date'	=> esc_html__( 'Date', 'netube' )				
					),
					'Right' => array( 
						'comments'	=> esc_html__( 'Comments', 'netube' )				
					),
					'disabled' => array(
						'author-with-image'	=> esc_html__( 'Author Image', 'netube' ),
						'read-more'	=> esc_html__( 'Read More', 'netube' ),
						'likes'	=> esc_html__( 'Like', 'netube' ),
						'views'	=> esc_html__( 'View', 'netube' ),
						'favourite'	=> esc_html__( 'Favourite', 'netube' ),
						'category'	=> esc_html__( 'Category', 'netube' ),
						'share'	=> esc_html__( 'Share', 'netube' ),
						'rating'=> esc_html__( 'Rating', 'netube' )
					)
				),
				"group"			=> esc_html__( "Grid Items", "netube" )
			),
			array(
				'type'			=> 'drag_drop',
				'heading'		=> esc_html__( 'Bottom Meta Items', 'netube' ),
				"description"	=> esc_html__( "This is settings for block 1 bottom meta items. Drag and drop needed meta items to Enabled part(Left or Right).", "netube" ),
				'param_name'	=> 'grid_secondary_meta',
				'dd_fields' => array ( 
					'Left' => array( 
						'likes'	=> esc_html__( 'Like', 'netube' )			
					),
					'Right' => array( 
						'read-more'	=> esc_html__( 'Read More', 'netube' )		
					),
					'disabled' => array(
						'author'=> esc_html__( 'Author Icon', 'netube' ),
						'date'	=> esc_html__( 'Date', 'netube' ),
						'comments'	=> esc_html__( 'Comments', 'netube' ),
						'author-with-image'	=> esc_html__( 'Author Image', 'netube' ),
						'views'	=> esc_html__( 'View', 'netube' ),
						'favourite'	=> esc_html__( 'Favourite', 'netube' ),
						'category'	=> esc_html__( 'Category', 'netube' ),
						'share'	=> esc_html__( 'Share', 'netube' ),
						'rating'=> esc_html__( 'Rating', 'netube' )
					)
				),
				"group"			=> esc_html__( "Grid Items", "netube" )
			),
			array(
				"type"			=> 'dropdown',
				"heading"		=> esc_html__( "Title Variation", "netube" ),
				"param_name"	=> "grid_title_variation",
				'description'	=> esc_html__( 'Choose title tag for grid title.', 'netube' ),
				"value"			=> array(
					esc_html__( "H1", "netube" ) => "h1",
					esc_html__( "H2", "netube" ) => "h2",
					esc_html__( "H3", "netube" ) => "h3",
					esc_html__( "H4", "netube" ) => "h4",
					esc_html__( "H5", "netube" ) => "h5",
					esc_html__( "H6", "netube" ) => "h6",
				),
				'std'			=> 'h4',
				'group'			=> esc_html__( 'Grid Items', 'netube' )
			),
			array(
				"type"			=> 'dropdown',
				"heading"		=> esc_html__( "Image Size", "netube" ),
				"param_name"	=> "grid_thumb_size",
				'description'	=> esc_html__( 'Choose thumbnail size for display different size image.', 'netube' ),
				"value"			=> array(
					esc_html__( "netube Grid 1", "netube" )=> "netube_grid_1",
					esc_html__( "netube Grid 2", "netube" )=> "netube_grid_2",
					esc_html__( "netube Grid 3", "netube" )=> "netube_grid_3",
					esc_html__( "netube Grid 4", "netube" )=> "netube_grid_4",
					esc_html__( "Medium", "netube" )=> "medium",
					esc_html__( "Large", "netube" )=> "large",
					esc_html__( "Custom", "netube" )=> "custom",
				),
				'std'			=> 'netube_grid_2',
				'group'			=> esc_html__( 'Grid Items', 'netube' )
			),
			array(
				'type'			=> 'textfield',
				'heading'		=> esc_html__( 'Custom Image Size', "netube" ),
				'param_name'	=> 'custom_image_size',
				'description'	=> esc_html__( 'Enter custom image size. eg: 200x200', 'netube' ),
				'value' 		=> '',
				"dependency"	=> array(
						"element"	=> "grid_thumb_size",
						"value"		=> "custom"
				),
				'group'			=> esc_html__( 'Grid Items', 'netube' )
			),
			array(
				"type"			=> 'dropdown',
				"heading"		=> esc_html__( "Overlay Options", "netube" ),
				"param_name"	=> "overlay_options",
				'description'	=> esc_html__( 'Enable image overlay options.', 'netube' ),
				"value"			=> array(
					esc_html__( "No", "netube" )	=> "no",
					esc_html__( "Yes", "netube" )	=> "yes",
				),
				'group'			=> esc_html__( 'Grid Items', 'netube' )
			),
			array(
				'type'			=> 'drag_drop',
				'heading'		=> esc_html__( 'Grid Overlay Items', 'netube' ),
				"description"	=> esc_html__( "Enable needed items overlay on image. Drag and drop needed meta items to enabled part.", "netube" ),
				'param_name'	=> 'block_grid_ovelay_items',
				'dd_fields' => array ( 
					'Enabled' => array( 
						'title'	=> esc_html__( 'Title', 'netube' )						
					),
					'disabled' => array(
						'primary-meta'	=> esc_html__( 'Primary Meta', 'netube' ),
						'secondary-meta'	=> esc_html__( 'Secondary Meta', 'netube' )
					)
				),
				"group"			=> esc_html__( "Grid Items", "netube" ),
				"dependency"	=> array(
						"element"	=> "overlay_options",
						"value"		=> "yes"
				)
			),
			//list items
			array(
				"type"			=> 'dropdown',
				"heading"		=> esc_html__( "List Item Alignment", "netube" ),
				"param_name"	=> "block_list_align",
				"value"			=> array(
					esc_html__( "Left", "netube" )	=> "",
					esc_html__( "Center", "netube" )=> "text-center",
					esc_html__( "Right", "netube" )	=> "text-right",
				),
				'group'			=> esc_html__( 'List Items', 'netube' )
			),
			array(
				'type'			=> 'drag_drop',
				'heading'		=> esc_html__( 'List Items', 'netube' ),
				"description"	=> esc_html__( "This is settings for block list items. Drag and drop needed meta items to enabled part.", "netube" ),
				'param_name'	=> 'list_items',
				'dd_fields' => array ( 
					'Enabled' => array( 
						'image'=> esc_html__( 'Image', 'netube' ),
						'title'	=> esc_html__( 'Title', 'netube' ),
						'primary-meta'	=> esc_html__( 'Primary Meta', 'netube' )
					),
					'disabled' => array(
						'content'	=> esc_html__( 'Content', 'netube' ),
						'secondary-meta'	=> esc_html__( 'Secondary Meta', 'netube' )
					)
				),
				"group"			=> esc_html__( "List Items", "netube" )
			),
			array(
				'type'			=> 'drag_drop',
				'heading'		=> esc_html__( 'Top Meta Items', 'netube' ),
				"description"	=> esc_html__( "This is settings for block 1 top meta items. Drag and drop needed meta items to Enabled part(Left or Right).", "netube" ),
				'param_name'	=> 'list_primary_meta',
				'dd_fields' => array ( 
					'Left' => array( 
						'author'=> esc_html__( 'Author Icon', 'netube' )
					),
					'Right' => array( 
						'comments'	=> esc_html__( 'Comments', 'netube' )				
					),
					'disabled' => array(
						'date'	=> esc_html__( 'Date', 'netube' ),
						'author-with-image'	=> esc_html__( 'Author Image', 'netube' ),
						'read-more'	=> esc_html__( 'Read More', 'netube' ),
						'likes'	=> esc_html__( 'Like', 'netube' ),
						'views'	=> esc_html__( 'View', 'netube' ),
						'favourite'	=> esc_html__( 'Favourite', 'netube' ),
						'category'	=> esc_html__( 'Category', 'netube' ),
						'share'	=> esc_html__( 'Share', 'netube' ),
						'rating'=> esc_html__( 'Rating', 'netube' )
					)
				),
				"group"			=> esc_html__( "List Items", "netube" )
			),
			array(
				'type'			=> 'drag_drop',
				'heading'		=> esc_html__( 'Bottom Meta Items', 'netube' ),
				"description"	=> esc_html__( "This is settings for block 1 bottom meta items. Drag and drop needed meta items to Enabled part(Left or Right).", "netube" ),
				'param_name'	=> 'list_secondary_meta',
				'dd_fields' => array ( 
					'Left' => array( 
						'likes'	=> esc_html__( 'Like', 'netube' )			
					),
					'Right' => array( 
						'read-more'	=> esc_html__( 'Read More', 'netube' )		
					),
					'disabled' => array(
						'author'=> esc_html__( 'Author Icon', 'netube' ),
						'date'	=> esc_html__( 'Date', 'netube' ),
						'comments'	=> esc_html__( 'Comments', 'netube' ),
						'author-with-image'	=> esc_html__( 'Author Image', 'netube' ),
						'views'	=> esc_html__( 'View', 'netube' ),
						'favourite'	=> esc_html__( 'Favourite', 'netube' ),
						'category'	=> esc_html__( 'Category', 'netube' ),
						'share'	=> esc_html__( 'Share', 'netube' ),
						'rating'=> esc_html__( 'Rating', 'netube' )
					)
				),
				"group"			=> esc_html__( "List Items", "netube" )
			),
			array(
				"type"			=> 'dropdown',
				"heading"		=> esc_html__( "Title Variation", "netube" ),
				"param_name"	=> "list_title_variation",
				'description'	=> esc_html__( 'Choose title tag for list title.', 'netube' ),
				"value"			=> array(
					esc_html__( "H1", "netube" ) => "h1",
					esc_html__( "H2", "netube" ) => "h2",
					esc_html__( "H3", "netube" ) => "h3",
					esc_html__( "H4", "netube" ) => "h4",
					esc_html__( "H5", "netube" ) => "h5",
					esc_html__( "H6", "netube" ) => "h6",
				),
				'std'			=> 'h6',
				'group'			=> esc_html__( 'List Items', 'netube' )
			),
			array(
				"type"			=> 'dropdown',
				"heading"		=> esc_html__( "List Image Size", "netube" ),
				"param_name"	=> "list_thumb_size",
				'description'	=> esc_html__( 'Choose thumbnail size for display different size image.', 'netube' ),
				"value"			=> array(
					esc_html__( "netube Grid 1", "netube" )=> "netube_grid_1",
					esc_html__( "netube Grid 2", "netube" )=> "netube_grid_2",
					esc_html__( "netube Grid 3", "netube" )=> "netube_grid_3",
					esc_html__( "netube Grid 4", "netube" )=> "netube_grid_4",
					esc_html__( "Thumbnail", "netube" )	 => "thumbnail",
					esc_html__( "Custom", "netube" )=> "custom",
				),
				'std'			=> 'netube_grid_4',
				'group'			=> esc_html__( 'List Items', 'netube' )
			),
			array(
				'type'			=> 'textfield',
				'heading'		=> esc_html__( 'List Custom Image Size', "netube" ),
				'param_name'	=> 'list_custom_image_size',
				'description'	=> esc_html__( 'Enter custom image size. eg: 200x200', 'netube' ),
				'value' 		=> '',
				"dependency"	=> array(
						"element"	=> "list_thumb_size",
						"value"		=> "custom"
				),
				'group'			=> esc_html__( 'List Items', 'netube' )
			),
			array(
				"type"			=> "textarea",
				"heading"		=> esc_html__( "Grid Items Spacing", "netube" ),
				"description"	=> esc_html__( "Enter custom bottom space for each grid item on main wrapper. Your space values will apply like nth child method. If you leave this empty, default theme space apply for each child. If you want default value for any child, just type \"-\". It will take default value for that child. Example 10 12 8", "netube" ),
				"param_name"	=> "sc_grid_spacing",
				"value" 		=> "",
				"group"			=> esc_html__( "Spacing", "netube" ),
			),
			array(
				"type"			=> "textarea",
				"heading"		=> esc_html__( "List Items Spacing", "netube" ),
				"description"	=> esc_html__( "Enter custom bottom space for each list item on main wrapper. Your space values will apply like nth child method. If you leave this empty, default theme space apply for each child. If you want default value for any child, just type \"-\". It will take default value for that child. Example 10 12 8", "netube" ),
				"param_name"	=> "sc_list_spacing",
				"value" 		=> "",
				"group"			=> esc_html__( "Spacing", "netube" ),
			),
			array(
				'type' => 'css_editor',
				'heading' => esc_html__( 'Css', 'netube' ),
				'param_name' => 'css',
				'group' => esc_html__( 'Design options', 'netube' ),
			),
		)
	);
	return $map_fields;
}