<?php 
/**
 * Ads Block shortcode
 * 
 */
if ( ! function_exists( 'netube_vc_block_ads_shortcode' ) ) {
	function netube_vc_block_ads_shortcode( $atts, $content = NULL ) {
		
		$atts = vc_map_get_attributes( 'netube_vc_block_ads', $atts );
		extract( $atts );
		$output = '';
		/*This is Ads Code*/
		$ads_spot = isset( $ads_spot ) ? $ads_spot : '';
		$ads_txt = netube_ads_out( $ads_spot );
		if( $ads_txt ){
			$output .= '<div class="netube-artical-ads text-center">';
				$output .= isset( $title ) && $title != '' ? '<div class="ads-title"><span>' . esc_html( $title ) . '</span></div>' : '';
				$output .= $ads_txt;
			$output .= '</div>';
		}
		return $output;
	}
}
if ( ! function_exists( 'netube_vc_block_ads_shortcode_map' ) ) {
	function netube_vc_block_ads_shortcode_map() {
	
		$ads = array( 
			esc_html__( 'Header', 'netube' ) => 'header', 
			esc_html__( 'Footer', 'netube' ) => 'footer', 
			esc_html__( 'Sidebar', 'netube' ) => 'sidebar', 
			esc_html__( 'Artical Top', 'netube' ) => 'artical-top', 
			esc_html__( 'Artical Inline', 'netube' ) => 'artical-inline', 
			esc_html__( 'Artical Bottom', 'netube' ) => 'artical-bottom', 
			esc_html__( 'Custom1', 'netube' ) => 'custom1', 
			esc_html__( 'Custom2', 'netube' ) => 'custom2', 
			esc_html__( 'Custom3', 'netube' ) => 'custom3', 
			esc_html__( 'Custom4', 'netube' ) => 'custom4', 
			esc_html__( 'Custom5', 'netube' ) => 'custom5' 
		); 
				
		vc_map( 
			array(
				"name"					=> esc_html__( "Ads Block", "netube" ),
				"description"			=> esc_html__( "Ads Block Shortcode.", 'netube' ),
				"base"					=> "netube_vc_block_ads",
				"category"				=> esc_html__( "Blocks", "netube" ),
				"icon"					=> "zozo-vc-icon",
				"params"				=> array(
					array(
						'type'			=> 'textfield',
						'heading'		=> esc_html__( 'Ad Title', "netube" ),
						'param_name'	=> 'title',
						'description'	=> esc_html__( 'Optional - a title for the Ad, like - Advertisement - if you leave it blank the block will not have a title', "netube" ),
						'value' 		=> '',
					),
					array(
						"type"			=> 'dropdown',
						"heading"		=> esc_html__( "Select Adspot ", "netube" ),
						"param_name"	=> "ads_spot",
						"value"			=> $ads
					),
				)
			) 
		);
	}
}
add_action( 'vc_before_init', 'netube_vc_block_ads_shortcode_map' );