<?php 
/**
 * Followers Count shortcode
 * 
 */
if ( ! function_exists( 'netube_vc_followers_count_shortcode' ) ) {
	function netube_vc_followers_count_shortcode( $atts, $content = NULL ) {
		
		$atts = vc_map_get_attributes( 'netube_vc_followers_count', $atts );
		return netube_news_block_form_followers($atts);
		
	}
}
function netube_news_block_form_followers($atts){
	extract( $atts );
		
	$fb_id = $fb_id != '' ? esc_attr( $fb_id ) : '';
	$fb_token = $fb_token != '' ? esc_attr( $fb_token ) : '';
	
	$twitter_id = $twitter_id != '' ? esc_attr( $twitter_id ) : '';
	
	$gplus_id = $gplus_id != '' ? esc_attr( $gplus_id ) : '';
	$gplus_api = $gplus_api != '' ? esc_attr( $gplus_api ) : '';
	
	$yt_id = $yt_id != '' ? esc_attr( $yt_id ) : '';
	$yt_api = $yt_api != '' ? esc_attr( $yt_api ) : '';
	
	$pin_url = $pin_url != '' ? esc_url( $pin_url ) : '';
	$fb = netube_transient_followers($fb_id, $fb_token, 'fb');
	$twitter = netube_transient_followers($twitter_id, '', 'twit');
	$gplus = netube_transient_followers($gplus_id, $gplus_api, 'gplus');
	$yt = netube_transient_followers($yt_id, $yt_api, 'yt');
	$pin = netube_transient_followers($pin_id, '', 'pin');
	$t_modal = isset( $followers_modal ) && $followers_modal != '' ? esc_attr( $followers_modal ) : '1';
	$modal = ' modal-'.$t_modal;
	if( $t_modal == '2' || $t_modal == '4' ){
		$modal .= ' social-transparent typo-dark';
	}else{
		$modal .= ' typo-white';
	}
	$output = '';
	$output .= '<ul class="social-counts'. esc_attr( $modal ) .'">';
		
		if( $fb_enable == 'yes' ){ 
		$output .= '<li>
						<a href="'. ( $fb_url != '' ? esc_url( $fb_url ) : '#' ) .'" target="blank" class="social-facebook">
							<span class="ti-facebook"></span>
							<span class="followers-count">'. number_format( $fb ) .'</span>
							'. ( $fb_inner_txt != '' ? '<span class="follow-inner-text">'.esc_attr( $fb_inner_txt ).'</span>' : '' ) .'
							'. ( $fb_redirect_txt != '' ? '<span class="follow-redirect-text pull-right">'.esc_attr( $fb_redirect_txt ).'</span>' : '' ) .'
						</a>
					</li>';
		}
		if( $twitter_enable == 'yes' ){ 
		$output .= '<li>
						<a href="'. ( $twitter_url != '' ? esc_url( $twitter_url ) : '#' ) .'" target="blank" class="social-twitter">
							<span class="ti-twitter"></span>
							<span class="followers-count">'. number_format( $twitter ) .'</span>
							'. ( $twitter_inner_txt != '' ? '<span class="follow-inner-text">'.esc_attr( $twitter_inner_txt ).'</span>' : '' ) .'
							'. ( $twitter_redirect_txt != '' ? '<span class="follow-redirect-text pull-right">'.esc_attr( $twitter_redirect_txt ).'</span>' : '' ) .'
						</a>
					</li>';
		}
		if( $gplus_enable == 'yes' ){ 
		$output .= '<li>
						<a href="'. ( $gplus_url != '' ? esc_url( $gplus_url ) : '#' ) .'" target="blank" class="social-google-plus">
							<span class="ti-google"></span>
							<span class="followers-count">'. number_format( $gplus ) .'</span>
							'. ( $gplus_inner_txt != '' ? '<span class="follow-inner-text">'.esc_attr( $gplus_inner_txt ).'</span>' : '' ) .'
							'. ( $gplus_redirect_txt != '' ? '<span class="follow-redirect-text pull-right">'.esc_attr( $gplus_redirect_txt ).'</span>' : '' ) .'
						</a>
					</li>';
		}
		if( $yt_enable == 'yes' ){ 
		$output .= '<li>
						<a href="'. ( $yt_url != '' ? esc_url( $yt_url ) : '#' ) .'" target="blank" class="social-youtube">
							<span class="ti-youtube"></span>
							<span class="followers-count">'. number_format( $yt ) .'</span>
							'. ( $yt_inner_txt != '' ? '<span class="follow-inner-text">'.esc_attr( $yt_inner_txt ).'</span>' : '' ) .'
							'. ( $yt_redirect_txt != '' ? '<span class="follow-redirect-text pull-right">'.esc_attr( $yt_redirect_txt ).'</span>' : '' ) .'
						</a>
					</li>';
		}
		if( $pin_enable == 'yes' ){ 
		$output .= '<li>
						<a href="'. ( $pin_url != '' ? esc_url( $pin_url ) : '#' ) .'" target="blank" class="social-pinterest">
							<span class="ti-pinterest"></span>
							<span class="followers-count">'. number_format( $pin ) .'</span>
							'. ( $pin_inner_txt != '' ? '<span class="follow-inner-text">'.esc_attr( $pin_inner_txt ).'</span>' : '' ) .'
							'. ( $pin_redirect_txt != '' ? '<span class="follow-redirect-text pull-right">'.esc_attr( $pin_redirect_txt ).'</span>' : '' ) .'
						</a>
					</li>';
		}
	$output .= '</ul>';	
	return $output;
}
if ( ! function_exists( 'netube_vc_followers_count_shortcode_map' ) ) {
	function netube_vc_followers_count_shortcode_map() {
				
		vc_map( netube_vc_map_block_followers() );
	}
}
add_action( 'vc_before_init', 'netube_vc_followers_count_shortcode_map' );
function netube_vc_map_block_followers(){
	$map_fields = array(
		"name"					=> esc_html__( "Followers/Subscriber Count", "netube" ),
		"description"			=> esc_html__( "Social websites followers/subscribers count", 'netube' ),
		"base"					=> "netube_vc_followers_count",
		"category"				=> esc_html__( "Blocks", "netube" ),
		"icon"					=> "zozo-vc-icon",
		"params"				=> array(
			array(
				'type'			=> 'textfield',
				'heading'		=> esc_html__( 'Title', "netube" ),
				'param_name'	=> 'title',
				'value' 		=> '',
			),
			array(
				"type"			=> "img_select",
				"heading"		=> esc_html__( "Social Followers Modal", "netube" ),
				"description" => esc_html__( "Choose social followers modal.", 'netube' ),
				"param_name"	=> "followers_modal",
				"img_lists" => array ( 
					"1"	=> NETUBE_ADMIN_URL . "/assets/images/social-counter/1.png",
					"2"	=> NETUBE_ADMIN_URL . "/assets/images/social-counter/2.png",
					"3"	=> NETUBE_ADMIN_URL . "/assets/images/social-counter/3.png",
					"4"	=> NETUBE_ADMIN_URL . "/assets/images/social-counter/4.png"
				),
				"default"		=> "1"
			),
			array(
				"type"			=> 'dropdown',
				"heading"		=> esc_html__( "Facebook", "netube" ),
				"param_name"	=> "fb_enable",
				"value"			=> array(
					esc_html__( "Yes", "netube" )	=> "yes",
					esc_html__( "No", "netube" )	=> "no",
				),
				"group"	=> esc_html__( 'Facebook', 'netube' ),
			),
			array(
				'type'			=> 'textfield',
				'heading'		=> esc_html__( 'Facebook URL', "netube" ),
				'param_name'	=> 'fb_url',
				'value' 		=> '',
				"group"	=> esc_html__( 'Facebook', 'netube' ),
			),
			array(
				'type'			=> 'textfield',
				'heading'		=> esc_html__( 'Facebook Page Id', "netube" ),
				'param_name'	=> 'fb_id',
				'value' 		=> '',
				"group"	=> esc_html__( 'Facebook', 'netube' ),
			),
			array(
				'type'			=> 'textfield',
				'heading'		=> esc_html__( 'Facebook Access Token', "netube" ),
				'param_name'	=> 'fb_token',
				'value' 		=> '',
				"group"	=> esc_html__( 'Facebook', 'netube' ),
			),
			array(
				'type'			=> 'textfield',
				'heading'		=> esc_html__( 'Facebook Inner Text', "netube" ),
				'param_name'	=> 'fb_inner_txt',
				'value' 		=> '',
				"group"	=> esc_html__( 'Facebook', 'netube' ),
			),
			array(
				'type'			=> 'textfield',
				'heading'		=> esc_html__( 'Facebook Redirect Text', "netube" ),
				'param_name'	=> 'fb_redirect_txt',
				'value' 		=> '',
				"group"	=> esc_html__( 'Facebook', 'netube' ),
			),
			array(
				"type"			=> 'dropdown',
				"heading"		=> esc_html__( "Twitter", "netube" ),
				"param_name"	=> "twitter_enable",
				"value"			=> array(
					esc_html__( "Yes", "netube" )	=> "yes",
					esc_html__( "No", "netube" )	=> "no",
				),
				"group"	=> esc_html__( 'Twitter', 'netube' ),
			),
			array(
				'type'			=> 'textfield',
				'heading'		=> esc_html__( 'Twitter URL', "netube" ),
				'param_name'	=> 'twitter_url',
				'value' 		=> '',
				"group"	=> esc_html__( 'Twitter', 'netube' ),
			),
			array(
				'type'			=> 'textfield',
				'heading'		=> esc_html__( 'Twitter User Name', "netube" ),
				'param_name'	=> 'twitter_id',
				'value' 		=> '',
				"group"	=> esc_html__( 'Twitter', 'netube' ),
			),
			array(
				'type'			=> 'textfield',
				'heading'		=> esc_html__( 'Twitter Inner Text', "netube" ),
				'param_name'	=> 'twitter_inner_txt',
				'value' 		=> '',
				"group"	=> esc_html__( 'Twitter', 'netube' ),
			),
			array(
				'type'			=> 'textfield',
				'heading'		=> esc_html__( 'Twitter Redirect Text', "netube" ),
				'param_name'	=> 'twitter_redirect_txt',
				'value' 		=> '',
				"group"	=> esc_html__( 'Twitter', 'netube' ),
			),
			array(
				"type"			=> 'dropdown',
				"heading"		=> esc_html__( "Google Plus", "netube" ),
				"param_name"	=> "gplus_enable",
				"value"			=> array(
					esc_html__( "Yes", "netube" )	=> "yes",
					esc_html__( "No", "netube" )	=> "no",
				),
				"group"	=> esc_html__( 'Google Plus', 'netube' ),
			),
			array(
				'type'			=> 'textfield',
				'heading'		=> esc_html__( 'Google Plus URL', "netube" ),
				'param_name'	=> 'gplus_url',
				'value' 		=> '',
				"group"	=> esc_html__( 'Google Plus', 'netube' ),
			),
			array(
				'type'			=> 'textfield',
				'heading'		=> esc_html__( 'Google Plus API', "netube" ),
				'param_name'	=> 'gplus_api',
				'value' 		=> '',
				"group"	=> esc_html__( 'Google Plus', 'netube' ),
			),
			array(
				'type'			=> 'textfield',
				'heading'		=> esc_html__( 'Google Plus Page Id', "netube" ),
				'param_name'	=> 'gplus_id',
				'value' 		=> '',
				"group"	=> esc_html__( 'Google Plus', 'netube' ),
			),
			array(
				'type'			=> 'textfield',
				'heading'		=> esc_html__( 'Google Plus Inner Text', "netube" ),
				'param_name'	=> 'gplus_inner_txt',
				'value' 		=> '',
				"group"	=> esc_html__( 'Google Plus', 'netube' ),
			),
			array(
				'type'			=> 'textfield',
				'heading'		=> esc_html__( 'Google Plus Redirect Text', "netube" ),
				'param_name'	=> 'gplus_redirect_txt',
				'value' 		=> '',
				"group"	=> esc_html__( 'Google Plus', 'netube' ),
			),
			array(
				"type"			=> 'dropdown',
				"heading"		=> esc_html__( "Youtube", "netube" ),
				"param_name"	=> "yt_enable",
				"value"			=> array(
					esc_html__( "Yes", "netube" )	=> "yes",
					esc_html__( "No", "netube" )	=> "no",
				),
				"group"	=> esc_html__( 'Youtube', 'netube' ),
			),
			array(
				'type'			=> 'textfield',
				'heading'		=> esc_html__( 'Youtube URL', "netube" ),
				'param_name'	=> 'yt_url',
				'value' 		=> '',
				"group"	=> esc_html__( 'Youtube', 'netube' ),
			),
			array(
				'type'			=> 'textfield',
				'heading'		=> esc_html__( 'Youtube API', "netube" ),
				'param_name'	=> 'yt_api',
				'value' 		=> '',
				"group"	=> esc_html__( 'Youtube', 'netube' ),
			),
			array(
				'type'			=> 'textfield',
				'heading'		=> esc_html__( 'Youtube Channel Id', "netube" ),
				'param_name'	=> 'yt_id',
				'value' 		=> '',
				"group"	=> esc_html__( 'Youtube', 'netube' ),
			),
			array(
				'type'			=> 'textfield',
				'heading'		=> esc_html__( 'Youtube Inner Text', "netube" ),
				'param_name'	=> 'yt_inner_txt',
				'value' 		=> '',
				"group"	=> esc_html__( 'Youtube', 'netube' ),
			),
			array(
				'type'			=> 'textfield',
				'heading'		=> esc_html__( 'Youtube Redirect Text', "netube" ),
				'param_name'	=> 'yt_redirect_txt',
				'value' 		=> '',
				"group"	=> esc_html__( 'Youtube', 'netube' ),
			),
			array(
				"type"			=> 'dropdown',
				"heading"		=> esc_html__( "Pinterest", "netube" ),
				"param_name"	=> "pin_enable",
				"value"			=> array(
					esc_html__( "Yes", "netube" )	=> "yes",
					esc_html__( "No", "netube" )	=> "no",
				),
				"group"	=> esc_html__( 'Pinterest', 'netube' ),
			),
			array(
				'type'			=> 'textfield',
				'heading'		=> esc_html__( 'Pinterest URL', "netube" ),
				'param_name'	=> 'pin_url',
				'value' 		=> '',
				"group"	=> esc_html__( 'Pinterest', 'netube' ),
				"description" => esc_html__( "This is external url for redirect.", 'netube' ),
			),
			array(
				'type'			=> 'textfield',
				'heading'		=> esc_html__( 'Pinterest Page URL', "netube" ),
				'param_name'	=> 'pin_id',
				'value' 		=> '',
				"group"	=> esc_html__( 'Pinterest', 'netube' ),
				"description" => esc_html__( "This is the url for get pinterest count.", 'netube' ),
			),
			array(
				'type'			=> 'textfield',
				'heading'		=> esc_html__( 'Pinterest Inner Text', "netube" ),
				'param_name'	=> 'pin_inner_txt',
				'value' 		=> '',
				"group"	=> esc_html__( 'Pinterest', 'netube' ),
			),
			array(
				'type'			=> 'textfield',
				'heading'		=> esc_html__( 'Pinterest Redirect Text', "netube" ),
				'param_name'	=> 'pin_redirect_txt',
				'value' 		=> '',
				"group"	=> esc_html__( 'Pinterest', 'netube' ),
			),
		)
	);
	return $map_fields;
}