<?php 
/**
 * Netube Mailchimp
 */
if ( ! function_exists( "netube_vc_mailchimp_shortcode" ) ) {
	function netube_vc_mailchimp_shortcode( $atts, $content = NULL ) { 
		
		$atts = vc_map_get_attributes( "netube_vc_mailchimp", $atts );
		extract( $atts );
		
		//Define Variables
		$animation = isset( $animation ) ? $animation : '';
		$class = isset( $extra_class ) && $extra_class != '' ? $extra_class : '';		
		// Get VC Animation
		$class .= netubeGetCSSAnimation( $animation );
		
		//Get mailchimp list id's
		$netube_option = get_option( 'netube_options' );
		$mc_api_key = isset( $netube_option['mailchimp-api'] ) ? $netube_option['mailchimp-api'] : '';
		
		$output = '';
		$rand_id = netube_shortcode_rand_id();
		
		// This is custom css options for main shortcode warpper
		$shortcode_css = '';
		$shortcode_rand_id = $rand_class = 'shortcode-rand-'. netube_shortcode_rand_id();
		
		//Shortcode css ccde here
		$shortcode_css .= isset( $font_color ) && $font_color != '' ? '.' . esc_attr( $rand_class ) . '.mailchimp-wrapper { color: '. esc_attr( $font_color ) .'; }' : '';
		
		if( $shortcode_css ) $class .= ' ' . $shortcode_rand_id . ' netube-inline-css';
		$output .= '<div class="mailchimp-wrapper'. esc_attr( $class ) .'" data-css="'. htmlspecialchars( json_encode( $shortcode_css ), ENT_QUOTES, 'UTF-8' ) .'">';
			$output .= isset( $title ) && $title != '' ? '<h3 class="mailchimp-title">'. esc_html( $title ) .'</h3>' : '';
			$output .= isset( $sub_title ) && $sub_title != '' ? '<p class="mailchimp-sub-title">'. esc_html( $sub_title ) .'</p>' : '';
			
			$output .= '<div class="form-group">';
			
				$output .= '<form class="zozo-mc-form" method="post">';

					$output .= isset( $first_name ) && $first_name == 'on' ? '<input type="text" class="form-control" name="zozo_mc_first_name" placeholder="'. esc_attr__( 'Enter First Name', 'netube' ) .'">' : '';
					$output .= isset( $last_name ) && $last_name == 'on' ? '<input type="text" class="form-control" name="zozo_mc_last_name" placeholder="'. esc_attr__( 'Enter Last Name', 'netube' ) .'">' : '';
					
					$output .= isset( $mailchimp_list ) && $mailchimp_list != '' ? '<input type="hidden" class="form-control" name="netube_mc_listid" value="'. esc_attr( $mailchimp_list ) .'">' : '';
	
					$placeholder = isset( $placeholder ) && $placeholder != '' ? $placeholder : '';
					
					$button_style = isset( $button_style ) ? $button_style : 'icon';
					$btn_txt = '';
					if( $button_style == 'text' ){
						$btn_txt = isset( $button_text ) && $button_text != '' ? '<span class="subscribe-text">' . $button_text . '</span>' : '<span class="ti-location-arrow"></span>';
					}elseif( $button_style == 'icon' ){
						$btn_txt = apply_filters( 'netube_mailchimp_icon', '<span class="ti-location-arrow"></span>' );
					}else{
						$btn_txt = isset( $button_text ) && $button_text != '' ? '<span class="subscribe-text">' . $button_text . '</span>' . apply_filters( 'netube_mailchimp_icon', '<span class="ti-location-arrow"></span>' ) : '<span class="ti-location-arrow"></span>';
					}
					
					if( isset( $mailchimp_layout ) && $mailchimp_layout == '1' ){
						$output .= '<div class="input-group">';
							$output .= '<input type="text" class="form-control" name="zozo_mc_email" placeholder="'. esc_attr( $placeholder ) .'">';
			
							$output .= '<span class="input-group-btn">';
								$output .= '<button class="btn btn-secondary zozo-mc" type="button">'. wp_kses_post( $btn_txt ) .'</button>'; //mc-submit-btn
							$output .= '</span>';
						$output .= '</div><!-- .input-group -->';
					}else{
						$output .= '<input type="text" class="form-control" name="zozo_mc_email" placeholder="'. esc_attr( $placeholder ) .'">';
						$output .= '<span class="input-group-btn">';
							$output .= '<button class="btn btn-secondary mc-submit-btn" type="button">'. wp_kses_post( $btn_txt ) .'</button>';
						$output .= '</span>';
					}
				$output .= '</form><!-- .mc-form -->';
				
			$output .= '</div><!-- .form-group -->';
			
			$success = isset( $success_text ) && $success_text != '' ? $success_text : esc_html__( 'Success', 'netube' );
			$fail = isset( $fail_text ) && $fail_text != '' ? $fail_text : esc_html__( 'Failed', 'netube' );
			$output .= '<div class="mc-notice-group" data-success="'. esc_html( $success ) .'" data-fail="'. esc_html( $fail ) .'">';
				$output .= '<span class="mc-notice-msg"></span>';
			$output .= '</div><!-- .mc-notice-group -->';
			
		$output .= '</div><!-- .mailchimp-wrapper -->';
		return $output;
	}
}

if ( ! function_exists( "netube_vc_mailchimp_shortcode_map" ) ) {
	function netube_vc_mailchimp_shortcode_map() {
	
		$mailchimp_list_ids = function_exists( 'netube_get_mailchimp_list_ids' ) ? netube_get_mailchimp_list_ids() : array();
				
		vc_map( 
			array(
				"name"					=> esc_html__( "Mailchimp", "netube" ),
				"description"			=> esc_html__( "AJAX mailchimp.", "netube" ),
				"base"					=> "netube_vc_mailchimp",
				"category"				=> esc_html__( "Shortcodes", "netube" ),
				"mailchimp"					=> "zozo-vc-mailchimp",
				"params"				=> array(
					array(
						"type"			=> "textfield",
						"heading"		=> esc_html__( "Extra Class", "netube" ),
						"param_name"	=> "extra_class",
						"value" 		=> "",
					),
					array(
						"type"			=> "textfield",
						"heading"		=> esc_html__( "Title", "netube" ),
						"param_name"	=> "title",
						"value" 		=> ""
					),
					array(
						"type"			=> "animation_style",
						"heading"		=> esc_html__( "Animation Style", "netube" ),
						"description"	=> esc_html__( "Choose your animation style.", "netube" ),
						"param_name"	=> "animation",
						'admin_label'	=> false,
                		'weight'		=> 0,
					),
					array(
						"type"			=> "colorpicker",
						"heading"		=> esc_html__( "Font Color", "netube" ),
						"description"	=> esc_html__( "Here you can put the font color.", "netube" ),
						"param_name"	=> "font_color",
						"group"			=> esc_html__( "Layouts", "netube" )
					),
					array(
						"type"			=> "img_select",
						"heading"		=> esc_html__( "Mailchimp Layout", "netube" ),
						"param_name"	=> "mailchimp_layout",
						"img_lists" => array ( 
							"1"	=> NETUBE_ADMIN_URL . "/assets/images/services/1.png",
							"2"	=> NETUBE_ADMIN_URL . "/assets/images/services/2.png"
						),
						"default"		=> "1",
						"group"			=> esc_html__( "Mailchimp", "netube" )
					),
					array(
						"type" 			=> "dropdown",
						"heading" 		=> esc_html__( "Select a Mailing List", "netube" ),
						"description" 	=> esc_html__( "This mailchimp list's showing by given mailchimp api key from theme options.", "netube" ),
						"value" 		=> $mailchimp_list_ids,
						"param_name" 	=> "mailchimp_list",
						"group"			=> esc_html__( "Mailchimp", "netube" ),
					),
					array(
						"type" 			=> "dropdown",
						"heading" 		=> esc_html__( "Signup Button Style", "netube" ),
						"description" 	=> esc_html__( "This is option for mailchimp button style.", "netube" ),
						"value" 		=> array(
							esc_html__( "Only Text", "netube" ) 	=> "text",
							esc_html__( "Only Icon", "netube" ) 	=> "icon",
							esc_html__( "Text with Icon", "netube" ) => "text-icon",
						),
						"param_name" 	=> "button_style",
						"group"			=> esc_html__( "Mailchimp", "netube" ),
					),		
					array(
						"type"			=> "textfield",
						"heading"		=> esc_html__( "Signup Button Text", "netube" ),
						"description"		=> esc_html__( "This is the option for mailchimp singup button text. If no text need, then leave it empty.", "netube" ),
						"param_name"	=> "button_text",
						"value" 		=> "",
						"group"			=> esc_html__( "Mailchimp", "netube" )
					),
					array(
						"type"			=> "textfield",
						"heading"		=> esc_html__( "Placeholder Text", "netube" ),
						"description"		=> esc_html__( "This is for placeholder text.", "netube" ),
						"param_name"	=> "placeholder",
						"value" 		=> "",
						"group"			=> esc_html__( "Mailchimp", "netube" )
					),
					array(
						"type"			=> "switch_bit",
						"heading"		=> esc_html__( "First Name Field", "netube" ),
						"description"	=> esc_html__( "This is option for collect first name.", "netube" ),
						"param_name"	=> "first_name",
						"value"			=> "off",
						"group"			=> esc_html__( "Mailchimp", "netube" )
					),
					array(
						"type"			=> "switch_bit",
						"heading"		=> esc_html__( "Last Name Field", "netube" ),
						"description"	=> esc_html__( "This is option for collect last name.", "netube" ),
						"param_name"	=> "last_name",
						"value"			=> "off",
						"group"			=> esc_html__( "Mailchimp", "netube" )
					),
					array(
						"type"			=> "textfield",
						"heading"		=> esc_html__( "Sub Title", "netube" ),
						"description"	=> esc_html__( "This subtitle text show below of mailchimp title.", "netube" ),
						"param_name"	=> "sub_title",
						"value" 		=> "",
						"group"			=> esc_html__( "Mailchimp", "netube" )
					),
					array(
						"type"			=> "textfield",
						"heading"		=> esc_html__( "Success Text", "netube" ),
						"description"	=> esc_html__( "This success message text for mailchimp.", "netube" ),
						"param_name"	=> "success_text",
						"value" 		=> "",
						"group"			=> esc_html__( "Mailchimp", "netube" )
					),
					array(
						"type"			=> "textfield",
						"heading"		=> esc_html__( "Failed Text", "netube" ),
						"description"	=> esc_html__( "This failed message text for mailchimp.", "netube" ),
						"param_name"	=> "fail_text",
						"value" 		=> "",
						"group"			=> esc_html__( "Mailchimp", "netube" )
					),
				)
			) 
		);
	}
}
add_action( "vc_before_init", "netube_vc_mailchimp_shortcode_map" );