<?php 
/**
 *		# Slide Block Shortcode #
 * -- Single Grid Left and List Right --
 */
if ( ! function_exists( 'netube_vc_slide_block_shortcode' ) ) {
	function netube_vc_slide_block_shortcode( $atts, $content = NULL ) {
		$atts = vc_map_get_attributes( 'netube_vc_slide_block', $atts );
		return netube_news_block_form_slide($atts);
	}	
}
function netube_news_block_form_slide($atts, $custom_loop = ''){
	extract( $atts );
	$rand = netube_shortcode_rand_id();
	$output = '';
	/*Design Option Start*/
	$css = '';
	extract(shortcode_atts(array(
		'css' => '',
	), $atts));
	$css_class = $netube_block_styles = $block_styles = $title_bg = '';
	$netube_block_class = 'netube-block-css-'.$rand ;
	
	$css_class = isset( $extra_class ) ? $extra_class : '';
	
	$title_transform = isset( $title_transform ) ? esc_attr( $title_transform ) : 'capitalize';	
	$block_color = isset( $block_color ) ? $block_color : '';
	$title_size = isset( $title_size ) && $title_size != '' ? $title_size : '17px';
	
	$style_arr = array(
		'title_transform' => $title_transform,
		'block_color' => $block_color,
		'title_size' => $title_size
	);
	if( $title_transform || $block_color != '' ){
		$css_class .= ' '.$netube_block_class;
		$netube_block_styles = netube_block_dynamic_css($netube_block_class, $style_arr);
	}
	
	$css_class .= apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class( $css, ' ' ), 'netube_vc_block_new', $atts );
	$css_class .= isset( $animate_type ) ? ' animate-news-fade-in-' . $animate_type : 'animate-news-fade-in-down';
	/*Design Option End*/
	
	/*Slide Options*/
	$gal_atts = array(
		'data-loop="'. ( isset( $slide_item_loop ) && $slide_item_loop == 'on' ? 1 : 0 ) .'"',
		'data-margin="'. ( isset( $slide_margin ) && $slide_margin != '' ? absint( $slide_margin ) : 0 ) .'"',
		'data-center="'. ( isset( $slide_center ) && $slide_center == 'on' ? 1 : 0 ) .'"',
		'data-nav="'. ( isset( $slide_nav ) && $slide_nav == 'on' ? 1 : 0 ) .'"',
		'data-dots="'. ( isset( $slide_dots ) && $slide_dots == 'on' ? 1 : 0 ) .'"',
		'data-autoplay="'. ( isset( $slide_item_autoplay ) && $slide_item_autoplay == 'on' ? 1 : 0 ) .'"',
		'data-items="'. ( isset( $slide_item ) && $slide_item != '' ? absint( $slide_item ) : 2 ) .'"',
		'data-items-tab="'. ( isset( $slide_item_tab ) && $slide_item_tab != '' ? absint( $slide_item_tab ) : 1 ) .'"',
		'data-items-mob="'. ( isset( $slide_item_mobile ) && $slide_item_mobile != '' ? absint( $slide_item_mobile ) : 1 ) .'"',
		'data-duration="'. ( isset( $slide_duration ) && $slide_duration != '' ? absint( $slide_duration ) : 5000 ) .'"',
		'data-smartspeed="'. ( isset( $slide_smart_speed ) && $slide_smart_speed != '' ? absint( $slide_smart_speed ) : 250 ) .'"',
		'data-scrollby="'. ( isset( $slide_slideby ) && $slide_slideby != '' ? absint( $slide_slideby ) : 1 ) .'"',
		'data-autoheight="false"',
	);
	
	/*Dynamic Options*/
	$grid_items = isset( $grid_items ) ? netube_drag_and_drop_trim( $grid_items ) : '';
	$grid_primary_meta = isset( $grid_primary_meta ) ? netube_drag_and_drop_trim( $grid_primary_meta ) : '';	
	$grid_secondary_meta = isset( $grid_secondary_meta ) ? netube_drag_and_drop_trim( $grid_secondary_meta ) : '';
	
	$list_items = isset( $list_items ) ? netube_drag_and_drop_trim( $list_items ) : '';
	$list_primary_meta = isset( $list_primary_meta ) ? netube_drag_and_drop_trim( $list_primary_meta ) : '';	
	$list_secondary_meta = isset( $list_secondary_meta ) ? netube_drag_and_drop_trim( $list_secondary_meta ) : '';
	
	$ovelay_items = '';
	if( isset( $overlay_options ) && $overlay_options != 'no' ){
		$ovelay_items = isset( $block_grid_ovelay_items ) ? netube_drag_and_drop_trim( $block_grid_ovelay_items ) : '';
	}
	
	$content_len = isset( $excerpt_len ) && absint( $excerpt_len ) ? absint( $excerpt_len ) : esc_html__( 'More', 'netube' );
	$readmore_text = isset( $readmore_text ) && $readmore_text != ''  ? esc_attr( $readmore_text ) : esc_html__( 'Read More', 'netube' );
	$grid_thumb_size = isset( $grid_thumb_size ) ? esc_attr( $grid_thumb_size ) : 'netube_grid_1';
	$grid_image_custom = isset( $custom_image_size ) ? esc_attr( $custom_image_size ) : '';
	$list_thumb_size = isset( $list_thumb_size ) ? esc_attr( $list_thumb_size ) : 'netube_grid_4';
	$list_image_custom = isset( $list_custom_image_size ) ? esc_attr( $list_custom_image_size ) : '';
	$grid_align = isset( $block_grid_align ) ? esc_attr( $block_grid_align ) : '';
	$list_align = isset( $block_list_align ) ? esc_attr( $block_list_align ) : '';
	$cat_tag = isset( $cat_tag ) ? esc_attr( $cat_tag ) : '';
	$post_icon = isset( $post_icon ) ? esc_attr( $post_icon ) : '';
	$grid_title = isset( $grid_title_variation ) ? esc_attr( $grid_title_variation ) : 'h4';
	$list_title = isset( $list_title_variation ) ? esc_attr( $list_title_variation ) : 'h6';	
	
	$dynamic_options = array( 'grid_items' => $grid_items, 'grid_primary_meta' => $grid_primary_meta, 'grid_secondary_meta' => $grid_secondary_meta, 'modal' => 'slide', 'excerpt_len' => $content_len, 'read_more' => $readmore_text, 'ovelay_items' => $ovelay_items, 'grid_thumb' => $grid_thumb_size, 'grid_image_custom' => $grid_image_custom, 'grid_align' => $grid_align, 'cat_tag' => $cat_tag, 'post_icon' => $post_icon, 'grid_title' => $grid_title, 'slide_option' => $gal_atts );
	$filter = isset( $post_filter ) ? $post_filter : 'recent';
	$filter_by = isset( $post_filter_by ) ? $post_filter_by : 'recent';
	$orderby = $meta_key = $days = $post_in = '';
	$order = 'DESC';
	
	if( $filter == 'recent' ){ // ascending order
		$order = 'DESC';
	}elseif( $filter == 'asc' ){ // ascending order
		$order = 'ASC';
	}elseif( $filter == 'random' ){
		$orderby = 'rand';
	}
	
	if( $filter_by == 'likes' ){ // likes 
		$meta_key = 'likes';
		$orderby = !empty( $orderby ) ? $orderby . ' meta_value_num' : 'meta_value_num';			
	}elseif( $filter_by == 'views' ){ //views
		$meta_key = 'views';
		$orderby = !empty( $orderby ) ? $orderby . ' meta_value_num' : 'meta_value_num';			
	}elseif( $filter_by == 'rated' ){ //rated
		$meta_key = 'rated';
		$orderby = !empty( $orderby ) ? $orderby . ' meta_value_num' : 'meta_value_num';			
	}elseif( $filter_by == 'comment' ){ // comment
		$orderby = !empty( $orderby ) ? $orderby . ' meta_value_num' : 'comment_count';			
	}elseif( $filter_by == 'days' ){ // days
		$orderby = !empty( $orderby ) ? $orderby . ' meta_value_num' : 'date';
		$days = isset( $days_count ) && $days_count != '' ? absint( $days_count ) : '10';
	}elseif( $filter_by == 'custom' ){ // comment
		$orderby = !empty( $orderby ) ? $orderby . ' meta_value_num' : 'post__in';
		$post_in = isset( $include_post_ids ) && $include_post_ids != '' ? $include_post_ids : '';
	}
	
	$post_not_in = isset( $exclude_post_ids ) && $exclude_post_ids != '' ? $exclude_post_ids : '';
		
	$filter_name = isset( $filter_name ) ? esc_attr( $filter_name ) : '';
	$filter_values = isset( $$filter_name ) ? esc_attr( $$filter_name ) : '';
	$filter_values = str_replace(' ', '', $filter_values);
	$filter_values = rtrim($filter_values, ',');
	
	$post_per_tab = isset( $post_per_tab ) ? esc_attr( $post_per_tab ) : '5';
	
	$netube_ajax_nonce = wp_create_nonce('netube-ajax-nonce');
	$block_options = array(
			'action' => 'netube-ajax-slide',
			'nonce' => $netube_ajax_nonce,
			'filter_name' => $filter_name, 
			'filter_values' => $filter_values, 
			'ppp' => $post_per_tab, 
			'paged' => 1, 
			'meta' => $meta_key,
			'orderby' => $orderby,
			'order' => $order,
			'date' => $days,
			'post_not' => $post_not_in,
			'post_in' => $post_in,
			'block_id' => $rand,
			'dynamic_options' => $dynamic_options,
		);	
		
		$block_css_options = array(
			'block_style' => $netube_block_styles
		);			
	
	$nbp = new netubeBlockParams;
	$nbp->setnetubeBlockParams( "netube_block_id_". esc_attr( $rand ), $block_options );
	
	$output = '<div class="netube-block netube-block-slide '. esc_attr( $css_class ) .'" data-id="netube_block_id_'.esc_attr( $rand ).'">';
		$output .= '<input type="hidden" class="news-block-options" id="netube_block_id_'.esc_attr( $rand ).'" />';
		if( $netube_block_styles != '' )
		$output .= '<input type="hidden" class="news-block-css-options" data-options="'. htmlspecialchars(json_encode($block_css_options), ENT_QUOTES, 'UTF-8') .'" />';
			
		$title_class = netube_blocksTitleAlign($title_position);
		$title_class .= isset( $title_style ) && $title_style != '' ? ' title-style-' . $title_style : '';
		if( $title != '' )$output .= '<h4 class="netube-block-title '. esc_attr( $title_class ) .'"><span>'. esc_html( $title ) .'</span></h4>';
		
		$t_count = count( explode(',', $filter_values ) );
		
		$output .= '<div class="netube-content">';
			$output .= netube_news_block($block_options, $custom_loop);
		$output .= '</div> <!--netube-content-->';
	$output .= '</div>';
	
	return $output;
}
function netube_news_block_modal_slide($loop, $dynamic_options){
	
	$slide_option = isset( $dynamic_options['slide_option'] ) ? $dynamic_options['slide_option'] : '';
	$data_atts = is_array( $slide_option ) ? implode( " ", $slide_option ) : '';
	
	wp_enqueue_style( 'owl-carousel' );
	wp_enqueue_script( 'owl-carousel' );
	
	$output = '<div class="netube-news-slider owl-carousel" '. ( $data_atts ) .'>';
	$single = 0;
	while ($loop->have_posts()){
		$loop->the_post();
		$unique_ids = netube_get_unique_news_ids( get_the_ID() );
		$output .= '<div class="netube-news-item">';
			$output .= netube_common_block_grid_generate($dynamic_options);
		$output .= '</div><!-- .netube-news-item -->';
		
	}
	$output .= '</div><!-- .netube-news-slider -->';
	
	return $output;
}
if ( ! function_exists( 'netube_vc_slide_block_shortcode_map' ) ) {
	function netube_vc_slide_block_shortcode_map() {		
		vc_map( netube_vc_map_slide_block());
	}
}
add_action( 'vc_before_init', 'netube_vc_slide_block_shortcode_map' );
function netube_vc_map_slide_block(){
	$cats_show = $tags_show = $authors = esc_html__( 'Example: 2, 3, 4', 'netube' ); 
	
	$map_fields = array(
		"name"					=> esc_html__( "Slide Block", "netube" ),
		"description"			=> esc_html__( "News Slider.", 'netube' ),
		"base"					=> "netube_vc_slide_block",
		"category"				=> esc_html__( "Blocks", "netube" ),
		"icon"					=> "zozo-vc-icon",
		"params"				=> array(
			array(
				'type'			=> 'textfield',
				'heading'		=> esc_html__( 'Extra Classes', "netube" ),
				'param_name'	=> 'extra_class',
				'value' 		=> '',
			),
			array(
				'type'			=> 'textfield',
				'heading'		=> esc_html__( 'Title', "netube" ),
				'param_name'	=> 'title',
				'value' 		=> '',
			),
			array(
				"type"			=> 'dropdown',
				"heading"		=> esc_html__( "Title Position", "netube" ),
				"param_name"	=> "title_position",
				"value"			=> array(
					esc_html__( "Default", "netube" )	=> "",
					esc_html__( "Left", "netube" )			=> "left",
					esc_html__( "Center", "netube" )	=> "center",
					esc_html__( "Right", "netube" )	=> "right",
				),
			),
			array(
				"type"			=> 'dropdown',
				"heading"		=> esc_html__( "Title Style", "netube" ),
				"param_name"	=> "title_style",
				"value"			=> array(
					esc_html__( "Default", "netube" )	=> "",
					esc_html__( "Style 1", "netube" )	=> "1",
					esc_html__( "Style 2", "netube" )	=> "2",
					esc_html__( "Style 3", "netube" )	=> "3",
				),
			),
			array(
				"type"			=> 'dropdown',
				"heading"		=> esc_html__( "Title Style", "netube" ),
				'description'	=> esc_html__( 'Choose block title style either capitalize, uppercase, etc..', 'netube' ),
				"param_name"	=> "title_transform",
				"value"			=> array(
					esc_html__( "Capitalize", "netube" )	=> "capitalize",
					esc_html__( "Upper Case", "netube" )	=> "uppercase",
					esc_html__( "Lower Case", "netube" )	=> "lowercase",
					esc_html__( "None", "netube" )	=> "none"
				),
			),
			array(
				'type'			=> 'textfield',
				'heading'		=> esc_html__( 'Title Size', "netube" ),
				'param_name'	=> 'title_size',
				'description'	=> esc_html__( 'This is settings for title font size. Example 12px', 'netube' ),
				'value' 		=> '',
			),
			array(
				"type"			=> 'dropdown',
				"heading"		=> esc_html__( "Navigation Alignment", "netube" ),
				"param_name"	=> "nav_align",
				"value"			=> array(
					esc_html__( "Left", "netube" )	=> "left",
					esc_html__( "Center", "netube" )	=> "center",
					esc_html__( "Right", "netube" )	=> "right",
					esc_html__( "Seperate", "netube" )	=> "seperate"
				),
			),
			array(
				'type'			=> 'textfield',
				'heading'		=> esc_html__( 'Excerpt Length', "netube" ),
				'param_name'	=> 'excerpt_len',
				'description'	=> esc_html__( 'Enter integer value for current block content length. eg: 20', 'netube' ),
				'value' 		=> '20',
			),
			array(
				'type'			=> 'textfield',
				'heading'		=> esc_html__( 'Read More Text', "netube" ),
				'param_name'	=> 'readmore_text',
				'description'	=> esc_html__( 'This is for read more button label', 'netube' ),
				'value' 		=> esc_html__( 'Read More', 'netube' ),
			),
			array(
				'type'			=> 'colorpicker',
				'heading'		=> esc_html__( 'Block Color', "netube" ),
				'param_name'	=> 'block_color',
				'description'	=> esc_html__( 'Choose this color to change current block title, link and some hover colors.', 'netube' ),
			),
			array(
				"type"			=> 'dropdown',
				"heading"		=> esc_html__( "Enable Category Tag", "netube" ),
				'description'	=> esc_html__( 'Enable this option to show tag the category with specified color.', 'netube' ),
				"param_name"	=> "cat_tag",
				"value"			=> array(
					esc_html__( "Yes", "netube" )	=> "yes",
					esc_html__( "No", "netube" )	=> "no",
				),
			),
			array(
				"type"			=> 'dropdown',
				"heading"		=> esc_html__( "Enable Post Format Icon", "netube" ),
				'description'	=> esc_html__( 'Enable to show post format icons on thumbnail.', 'netube' ),
				"param_name"	=> "post_icon",
				"value"			=> array(
					esc_html__( "Yes", "netube" )	=> "yes",
					esc_html__( "No", "netube" )	=> "no",
				),
			),
			array(
				"type"			=> 'dropdown',
				"heading"		=> esc_html__( "Animation Type", "netube" ),
				'description'	=> esc_html__( 'Choose animation type for load post with animation.', 'netube' ),
				"param_name"	=> "animate_type",
				"value"			=> array(
					esc_html__( "Animate From Down", "netube" )	=> "up",
					esc_html__( "Animate From Up", "netube" )	=> "down",
					esc_html__( "Animate From Right", "netube" )	=> "right",
					esc_html__( "Animate From Left", "netube" )	=> "left",
					esc_html__( "Animate None", "netube" )	=> "none"
				),
			),
			//Filters
			array(
				"type"			=> 'dropdown',
				"heading"		=> esc_html__( "Select Tag/Category", "netube" ),
				"param_name"	=> "filter_name",
				"value"			=> array(
					esc_html__( "Category", "netube" )	=> "cat",
					esc_html__( "Tag", "netube" )		=> "tag",
					esc_html__( "Author", "netube" )	=> "author",
				),
				'group'			=> esc_html__( 'Filter', 'netube' )
			),
			array(
				'type'			=> 'textfield',
				'heading'		=> esc_html__( 'Category ID\'s', "netube" ),
				'param_name'	=> 'cat',
				'value' 		=> '',
				'description'	=> $cats_show,
				"dependency"	=> array(
						"element"	=> "filter_name",
						"value"		=> "cat"
				),
				'group'			=> esc_html__( 'Filter', 'netube' )
			),
			array(
				'type'			=> 'textfield',
				'heading'		=> esc_html__( 'Tag ID\'s', "netube" ),
				'param_name'	=> 'tag',
				'value' 		=> '',
				'description'	=> $tags_show,
				"dependency"	=> array(
						"element"	=> "filter_name",
						"value"		=> "tag"
				),
				'group'			=> esc_html__( 'Filter', 'netube' )
			),
			array(
				'type'			=> 'textfield',
				'heading'		=> esc_html__( 'Authors ID\'s', "netube" ),
				'param_name'	=> 'author',
				'value' 		=> '',
				'description'	=> $authors,
				"dependency"	=> array(
						"element"	=> "filter_name",
						"value"		=> "author"
				),
				'group'			=> esc_html__( 'Filter', 'netube' )
			),
			array(
				'type'			=> 'textfield',
				'heading'		=> esc_html__( 'Post to Show', "netube" ),
				'param_name'	=> 'post_per_tab',
				'description'	=> esc_html__( 'Number of post to show on first load.', "netube" ),
				'value' 		=> '5',
				'group'			=> esc_html__( 'Filter', 'netube' )
			),
			array(
				"type"			=> 'dropdown',
				"heading"		=> esc_html__( "Filter", "netube" ),
				"param_name"	=> "post_filter",
				"value"			=> array(
					esc_html__( "Recent News(Descending)", "netube" )	=> "recent",
					esc_html__( "Older News(Ascending)", "netube" )		=> "asc",
					esc_html__( "Random", "netube" )					=> "random"
				),
				'group'			=> esc_html__( 'Filter', 'netube' )
			),
			array(
				"type"			=> 'dropdown',
				"heading"		=> esc_html__( "Filter By", "netube" ),
				"param_name"	=> "post_filter_by",
				"value"			=> array(
					esc_html__( "None", "netube" )				=> "none",
					esc_html__( "Most Likes", "netube" )		=> "likes",
					esc_html__( "Most Views", "netube" )		=> "views",
					esc_html__( "High Rated", "netube" )		=> "rated",
					esc_html__( "Most Commented", "netube" )	=> "comment",
					esc_html__( "From Custom Days", "netube" )	=> "days",
					esc_html__( "Custom Posts IDs", "netube" )	=> "custom"
				),
				'group'			=> esc_html__( 'Filter', 'netube' )
			),
			array(
				'type'			=> 'textfield',
				'heading'		=> esc_html__( 'Enter Days', "netube" ),
				'param_name'	=> 'days_count',
				'description'	=> esc_html__( 'if enter 10 means, it\'s showing last 10 days posts.', "netube" ),
				'group'			=> esc_html__( 'Filter', 'netube' ),
				"dependency" => array( "element" => "post_filter_by", "value" => 'days' ),
			),
			array(
				'type'			=> 'textfield',
				'heading'		=> esc_html__( 'Include Post ID\'s', "netube" ),
				'param_name'	=> 'include_post_ids',
				'description'	=> esc_html__( 'Manually enter post id\'s for include. These post ordered not based on Ascending, Descending or Random. eg: 21, 15, 30', "netube" ),
				'group'			=> esc_html__( 'Filter', 'netube' ),
				"dependency" => array( "element" => "post_filter_by", "value" => 'custom' ),
			),
			array(
				'type'			=> 'textfield',
				'heading'		=> esc_html__( 'Exclude Post ID\'s', "netube" ),
				'param_name'	=> 'exclude_post_ids',
				'description'	=> esc_html__( 'Manually enter post id\'s for exclude. eg: 21, 15, 30', "netube" ),
				'group'			=> esc_html__( 'Filter', 'netube' )
			),
			//grid items
			array(
				"type"			=> 'dropdown',
				"heading"		=> esc_html__( "Grid Item Alignment", "netube" ),
				"param_name"	=> "block_grid_align",
				"value"			=> array(
					esc_html__( "Left", "netube" )	=> "",
					esc_html__( "Center", "netube" )=> "text-center",
					esc_html__( "Right", "netube" )	=> "text-right",
				),
				'group'			=> esc_html__( 'Grid Items', 'netube' )
			),
			array(
				'type'			=> 'drag_drop',
				'heading'		=> esc_html__( 'Grid Items', 'netube' ),
				"description"	=> esc_html__( "This is settings for block grid items. Drag and drop needed meta items to enabled part.", "netube" ),
				'param_name'	=> 'grid_items',
				'dd_fields' => array ( 
					'Enabled' => array( 
						'image'=> esc_html__( 'Image', 'netube' ),
						'title'	=> esc_html__( 'Title', 'netube' ),
						'content'	=> esc_html__( 'Content', 'netube' )
					),
					'disabled' => array(
						'primary-meta'	=> esc_html__( 'Primary Meta', 'netube' ),
						'secondary-meta'	=> esc_html__( 'Secondary Meta', 'netube' )
					)
				),
				"group"			=> esc_html__( "Grid Items", "netube" )
			),
			array(
				'type'			=> 'drag_drop',
				'heading'		=> esc_html__( 'Top Meta Items', 'netube' ),
				"description"	=> esc_html__( "This is settings for news slide top meta items. Drag and drop needed meta items to Enabled part(Left or Right).", "netube" ),
				'param_name'	=> 'grid_primary_meta',
				'dd_fields' => array ( 
					'Left' => array( 
						'author'=> esc_html__( 'Author Icon', 'netube' ),
						'date'	=> esc_html__( 'Date', 'netube' )				
					),
					'Right' => array( 
						'comments'	=> esc_html__( 'Comments', 'netube' )				
					),
					'disabled' => array(
						'author-with-image'	=> esc_html__( 'Author Image', 'netube' ),
						'read-more'	=> esc_html__( 'Read More', 'netube' ),
						'likes'	=> esc_html__( 'Like', 'netube' ),
						'views'	=> esc_html__( 'View', 'netube' ),
						'favourite'	=> esc_html__( 'Favourite', 'netube' ),
						'category'	=> esc_html__( 'Category', 'netube' ),
						'share'	=> esc_html__( 'Share', 'netube' ),
						'rating'=> esc_html__( 'Rating', 'netube' )
					)
				),
				"group"			=> esc_html__( "Grid Items", "netube" )
			),
			array(
				'type'			=> 'drag_drop',
				'heading'		=> esc_html__( 'Bottom Meta Items', 'netube' ),
				"description"	=> esc_html__( "This is settings for news slide bottom meta items. Drag and drop needed meta items to Enabled part(Left or Right).", "netube" ),
				'param_name'	=> 'grid_secondary_meta',
				'dd_fields' => array ( 
					'Left' => array( 
						'likes'	=> esc_html__( 'Like', 'netube' )			
					),
					'Right' => array( 
						'read-more'	=> esc_html__( 'Read More', 'netube' )		
					),
					'disabled' => array(
						'author'=> esc_html__( 'Author Icon', 'netube' ),
						'date'	=> esc_html__( 'Date', 'netube' ),
						'comments'	=> esc_html__( 'Comments', 'netube' ),
						'author-with-image'	=> esc_html__( 'Author Image', 'netube' ),
						'views'	=> esc_html__( 'View', 'netube' ),
						'favourite'	=> esc_html__( 'Favourite', 'netube' ),
						'category'	=> esc_html__( 'Category', 'netube' ),
						'share'	=> esc_html__( 'Share', 'netube' ),
						'rating'=> esc_html__( 'Rating', 'netube' )
					)
				),
				"group"			=> esc_html__( "Grid Items", "netube" )
			),
			array(
				"type"			=> 'dropdown',
				"heading"		=> esc_html__( "Title Variation", "netube" ),
				"param_name"	=> "grid_title_variation",
				'description'	=> esc_html__( 'Choose title tag for grid title.', 'netube' ),
				"value"			=> array(
					esc_html__( "H1", "netube" ) => "h1",
					esc_html__( "H2", "netube" ) => "h2",
					esc_html__( "H3", "netube" ) => "h3",
					esc_html__( "H4", "netube" ) => "h4",
					esc_html__( "H5", "netube" ) => "h5",
					esc_html__( "H6", "netube" ) => "h6",
				),
				'std'			=> 'h4',
				'group'			=> esc_html__( 'Grid Items', 'netube' )
			),
			array(
				"type"			=> 'dropdown',
				"heading"		=> esc_html__( "Image Size", "netube" ),
				"param_name"	=> "grid_thumb_size",
				'description'	=> esc_html__( 'Choose thumbnail size for display different size image.', 'netube' ),
				"value"			=> array(
					esc_html__( "netube Grid 1", "netube" )=> "netube_grid_1",
					esc_html__( "netube Grid 2", "netube" )=> "netube_grid_2",
					esc_html__( "netube Grid 3", "netube" )=> "netube_grid_3",
					esc_html__( "netube Grid 4", "netube" )=> "netube_grid_4",
					esc_html__( "Medium", "netube" )=> "medium",
					esc_html__( "Large", "netube" )=> "large",
					esc_html__( "Custom", "netube" )=> "custom",
				),
				'std'			=> 'netube_grid_2',
				'group'			=> esc_html__( 'Grid Items', 'netube' )
			),
			array(
				'type'			=> 'textfield',
				'heading'		=> esc_html__( 'Custom Image Size', "netube" ),
				'param_name'	=> 'custom_image_size',
				'description'	=> esc_html__( 'Enter custom image size. eg: 200x200', 'netube' ),
				'value' 		=> '',
				"dependency"	=> array(
						"element"	=> "grid_thumb_size",
						"value"		=> "custom"
				),
				'group'			=> esc_html__( 'Grid Items', 'netube' )
			),
			array(
				"type"			=> 'dropdown',
				"heading"		=> esc_html__( "Overlay Options", "netube" ),
				"param_name"	=> "overlay_options",
				'description'	=> esc_html__( 'Enable image overlay options.', 'netube' ),
				"value"			=> array(
					esc_html__( "No", "netube" )	=> "no",
					esc_html__( "Yes", "netube" )	=> "yes",
				),
				'group'			=> esc_html__( 'Grid Items', 'netube' )
			),
			array(
				'type'			=> 'drag_drop',
				'heading'		=> esc_html__( 'Grid Overlay Items', 'netube' ),
				"description"	=> esc_html__( "Enable needed items overlay on image. Drag and drop needed meta items to enabled part.", "netube" ),
				'param_name'	=> 'block_grid_ovelay_items',
				'dd_fields' => array ( 
					'Enabled' => array( 
						'title'	=> esc_html__( 'Title', 'netube' )						
					),
					'disabled' => array(
						'primary-meta'	=> esc_html__( 'Primary Meta', 'netube' ),
						'secondary-meta'	=> esc_html__( 'Secondary Meta', 'netube' )
					)
				),
				"group"			=> esc_html__( "Grid Items", "netube" ),
				"dependency"	=> array(
						"element"	=> "overlay_options",
						"value"		=> "yes"
				)
			),
			//Slide
			array(
				"type"			=> "textfield",
				"heading"		=> esc_html__( "Items", "netube" ),
				"description"	=> esc_html__( "This is option for news slide items shown on large devices.", "netube" ),
				"param_name"	=> "slide_item",
				"value" 		=> "2",
				"group"			=> esc_html__( "Slide", "netube" )
			),
			array(
				"type"			=> "textfield",
				"heading"		=> esc_html__( "Items on Tab", "netube" ),
				"description"	=> esc_html__( "This is option for news slide items shown on tab.", "netube" ),
				"param_name"	=> "slide_item_tab",
				"value" 		=> "2",
				"group"			=> esc_html__( "Slide", "netube" )
			),
			array(
				"type"			=> "textfield",
				"heading"		=> esc_html__( "Items on Mobile", "netube" ),
				"description"	=> esc_html__( "This is option for news slide items shown on mobile.", "netube" ),
				"param_name"	=> "slide_item_mobile",
				"value" 		=> "1",
				"group"			=> esc_html__( "Slide", "netube" )
			),
			array(
				"type"			=> "switch_bit",
				"heading"		=> esc_html__( "Auto Play", "netube" ),
				"description"	=> esc_html__( "This is option for news slider auto play.", "netube" ),
				"param_name"	=> "slide_item_autoplay",
				"value"			=> "off",
				"group"			=> esc_html__( "Slide", "netube" )
			),
			array(
				"type"			=> "switch_bit",
				"heading"		=> esc_html__( "Loop", "netube" ),
				"description"	=> esc_html__( "This is option for news slider loop.", "netube" ),
				"param_name"	=> "slide_item_loop",
				"value"			=> "off",
				"group"			=> esc_html__( "Slide", "netube" )
			),
			array(
				"type"			=> "switch_bit",
				"heading"		=> esc_html__( "Items Center", "netube" ),
				"description"	=> esc_html__( "This is option for news slider center, for this option must active loop and minimum items 2.", "netube" ),
				"param_name"	=> "slide_center",
				"value"			=> "off",
				"group"			=> esc_html__( "Slide", "netube" )
			),
			array(
				"type"			=> "switch_bit",
				"heading"		=> esc_html__( "Navigation", "netube" ),
				"description"	=> esc_html__( "This is option for news slider navigation.", "netube" ),
				"param_name"	=> "slide_nav",
				"value"			=> "off",
				"group"			=> esc_html__( "Slide", "netube" )
			),
			array(
				"type"			=> "switch_bit",
				"heading"		=> esc_html__( "Pagination", "netube" ),
				"description"	=> esc_html__( "This is option for news slider pagination.", "netube" ),
				"param_name"	=> "slide_dots",
				"value"			=> "off",
				"group"			=> esc_html__( "Slide", "netube" )
			),
			array(
				"type"			=> "textfield",
				"heading"		=> esc_html__( "Items Margin", "netube" ),
				"description"	=> esc_html__( "This is option for news slider margin space. Example 10", "netube" ),
				"param_name"	=> "slide_margin",
				"value" 		=> "",
				"group"			=> esc_html__( "Slide", "netube" )
			),
			array(
				"type"			=> "textfield",
				"heading"		=> esc_html__( "Items Duration", "netube" ),
				"description"	=> esc_html__( "This is option for news slider duration. Example 5000", "netube" ),
				"param_name"	=> "slide_duration",
				"value" 		=> "5000",
				"group"			=> esc_html__( "Slide", "netube" )
			),
			array(
				"type"			=> "textfield",
				"heading"		=> esc_html__( "Items Smart Speed", "netube" ),
				"description"	=> esc_html__( "This is option for news slider smart speed. Example 500", "netube" ),
				"param_name"	=> "slide_smart_speed",
				"value" 		=> "250",
				"group"			=> esc_html__( "Slide", "netube" )
			),
			array(
				"type"			=> "textfield",
				"heading"		=> esc_html__( "Items Slideby", "netube" ),
				"description"	=> esc_html__( "This is option for news slider scroll by. Example 500", "netube" ),
				"param_name"	=> "slide_slideby",
				"value" 		=> "1",
				"group"			=> esc_html__( "Slide", "netube" )
			),
			array(
				'type' => 'css_editor',
				'heading' => esc_html__( 'Css', 'netube' ),
				'param_name' => 'css',
				'group' => esc_html__( 'Design options', 'netube' ),
			),
		)
	);
	return $map_fields;
}