<?php

/**

 * Template Name: Login and Submit Video

 */

 

get_header(); 

$ahe = new netubeHeaderElements;

$aps = new netubePostSettings;

$template = 'page'; // template id

$aps->netubeSetPostTemplate( $template );

$template_class = $aps->netubeTemplateContentClass();

$full_width_class = '';

?>

<div class="netube-content <?php echo esc_attr( 'netube-' . $template ); ?>">

		

		<?php $ahe->netubeHeaderSlider('bottom'); ?>

		

		<?php $ahe->netubePageTitle( $template ); ?>

		<div class="netube-content-inner">

			<div class="container">

	

				<div class="row">

					

					<div class="<?php echo esc_attr( $template_class['content_class'] ); ?>">

					

					<?php 

						if( !is_user_logged_in() ) {

							echo do_shortcode('[netube_signin_trigger]'); 

						}else{

						

							$upload_stat = false;

							if( isset( $_POST['netube_video_submit'] ) ){

								if( function_exists( 'netube_video_post_upload' ) ) $upload_stat = netube_video_post_upload();

							}

							

							if( !$upload_stat ){

							

								$video_title = isset( $_POST['netube_video_title'] ) ? $_POST['netube_video_title'] : '';

								$video_content = isset( $_POST['netube_video_content'] ) ? $_POST['netube_video_content'] : '';

								$video_type = isset( $_POST['netube_video_type'] ) ? $_POST['netube_video_type'] : '';

								$video_id = isset( $_POST['netube_video_id'] ) ? $_POST['netube_video_id'] : '';

								$video_poster = isset( $_FILES['netube_video_poster'] ) ? $_FILES['netube_video_poster'] : '';

								$video_category = isset( $_POST['netube_video_category'] ) ? $_POST['netube_video_category'] : '';

								$video_new_category = isset( $_POST['netube_new_video_category'] ) ? $_POST['netube_new_video_category'] : '';

			

								$cat_list = '';					

								$categories = get_categories( array(

									'orderby'		=> 'name',

									'order'			=> 'ASC',

									'hide_empty'	=> 0,

								) );

								foreach( $categories as $category ) {

									$seleted_cat = is_array( $video_category ) && in_array( $category->term_id, $video_category ) ? $category->term_id : '';

									$cat_list .= '<option value="'. esc_attr( $category->term_id ) .'" '. selected( $seleted_cat, $category->term_id, false ) .'>'. esc_html( $category->name ) .'</option>';

								}

								$category_allowed_html = array(

									'option' => array(

										'value' => array(),

										'selected' => array()

									)

								);

								

								?>

									

									<div class="video-page-header-wrap text-center">

										<div class="video-page-title"><h2><?php esc_html_e( 'Add New Video', 'netube' ) ?></h2></div>

										<div class="video-page-description"><p class="lead"><?php esc_html_e( 'This is just a demo, so we will limit the size of the file uploaded to the server ( max file size: 500kb ).', 'netube' ) ?></p></div>

									</div>

									<div class="video-submit-form-wrap">

										<?php								

										echo '

										<form id="netube-video-form" method="post" action="'. esc_url( getTemplatePageURL( 'page-video.php' ) ) .'" enctype="multipart/form-data">

											<div class="form-group">

												<label for="netube-video-title">'. esc_html( 'Video Title *', 'netube' ) .'</label>

												<input type="text" name="netube_video_title" class="form-control" id="netube-video-title" value="'. esc_attr( $video_title ) .'">

												<small class="form-text text-muted">'. esc_html( 'Use raw text for video title. Don\'t include here html.', 'netube' ) .'</small>

											</div>

											<div class="form-group">

												<label for="netube-video-content">'. esc_html( 'Video Content *', 'netube' ) .'</label>

												<textarea class="form-control" name="netube_video_content" id="netube-video-content">'. esc_html( $video_content ) .'</textarea>

												<small class="form-text text-muted">'. esc_html( 'Use raw text for video content. Don\'t include here html.', 'netube' ) .'</small>

											</div>

											<div class="form-group">

												<label for="netube-video-poster">'. esc_html( 'Video Poster Image *', 'netube' ) .'</label>

												<input type="file" class="form-control-file" name="netube_video_poster" id="netube-video-poster">

												<small class="form-text text-muted">'. esc_html( 'Choose and upload image for video poster. Supported file types: jpg, png, gif, bmp, jpeg', 'netube' ) .'</small>

											</div>

											<div class="form-group">

												<label for="netube-video-type">'. esc_html( 'Video Type *', 'netube' ) .'</label>

												<select class="form-control" id="netube-video-type" name="netube_video_type">

													<option value="youtube" '. selected( $video_type, "youtube", false ) .'>'. esc_html( 'Youtube', 'netube' ) .'</option>

													<option value="vimeo" '. selected( $video_type, "vimeo", false ) .'>'. esc_html( 'Vimeo', 'netube' ) .'</option>

												</select>

												<small class="form-text text-muted">'. esc_html( 'Must choose your video type.', 'netube' ) .'</small>

											</div>

											<div class="form-group">

												<label for="netube-video-id">'. esc_html( 'Video ID *', 'netube' ) .'</label>

												<input type="text" name="netube_video_id" class="form-control" id="netube-video-id" value="'. esc_attr( $video_id ) .'">

												<small class="form-text text-muted">'. esc_html( 'Place here your video id example youtube video id: oVWEb-At8yc and vimeo video id: 76979871', 'netube' ) .'</small>

											</div>

											<div class="form-group">

												<label for="netube-video-category">'. esc_html( 'Select Existing Video Category', 'netube' ) .'</label>

												<select multiple class="form-control" id="netube-video-category" name="netube_video_category[]">

													'. wp_kses( $cat_list, $category_allowed_html ) .'

												</select>

												<small class="form-text text-muted">'. esc_html( 'This is optional. You can choose video category from existing categories.', 'netube' ) .'</small>

											</div>

											<div class="form-group">

												<label for="netube-new-video-category">'. esc_html( 'New Video Category', 'netube' ) .'</label>

												<input type="text" name="netube_new_video_category" class="form-control" id="netube-new-video-category" value="'. esc_attr( $video_new_category ) .'">

												<small class="form-text text-muted">'. esc_html( 'This is optional. You can enter new video category separated by comma(,). Example Travel,Fun', 'netube' ) .'</small>

											</div>

											'. wp_nonce_field( 'netube_security_video_nonce', 'netube_video_nonce' ) .'

											<button type="submit" class="btn btn-default netube-video-form-submit" name="netube_video_submit">'. esc_html( 'Submit', 'netube' ) .'</button>

										</form>';

										?>

										</div><!-- .video-submit-form-wrap -->

									<?php

								

							}//not post

						}

					?>

						

					</div><!-- main col -->

					

					<?php if( $template_class['lsidebar_class'] != '' ) : ?>

					<div class="<?php echo esc_attr( $template_class['lsidebar_class'] ); ?>">

						<aside class="widget-area left-widget-area<?php echo esc_attr( $template_class['sticky_class'] ); ?>">

							<?php dynamic_sidebar( $template_class['left_sidebar'] ); ?>

						</aside>

					</div><!-- sidebar col -->

					<?php endif; ?>

					

					<?php if( $template_class['rsidebar_class'] != '' ) : ?>

					<div class="<?php echo esc_attr( $template_class['rsidebar_class'] ); ?>">

						<aside class="widget-area right-widget-area<?php echo esc_attr( $template_class['sticky_class'] ); ?>">

							<?php dynamic_sidebar( $template_class['right_sidebar'] ); ?>

						</aside>

					</div><!-- sidebar col -->

					<?php endif; ?>

					

				</div><!-- row -->

			

		</div><!-- .container -->

	</div><!-- .netube-content-inner -->

</div><!-- .netube-content -->

<?php get_footer();