<?php
/**
 * The template for displaying search pages
 */
get_header();
$ahe = new netubeHeaderElements;
$template = 'blog'; // template id
$aps = new netubePostSettings;
if( $aps->netubeCheckTemplateExists( 'search' ) ){
	$template = 'search';
}elseif( $aps->netubeCheckTemplateExists( 'archive' ) ){
	$template = 'archive';
}
$aps->netubeSetPostTemplate( $template );
$template_class = $aps->netubeTemplateContentClass();
?>
<div class="netube-content <?php echo esc_attr( 'netube-' . $template ); ?>">
	<?php $ahe->netubePageTitle( $template ); ?>

	<?php
		if( $aps->netubeThemeOpt( $template.'-featured-slider' ) ){
			$ahe->netubeFeaturedSlider( $template );
		}
	?>

	<div class="netube-content-inner">
		<div class="container">

			<div class="row">

				<div class="<?php echo esc_attr( $template_class['content_class'] ); ?>">
					<div id="primary" class="content-area">
						<main id="main" class="site-main <?php echo esc_attr( $template ); ?>-template">

							<?php
							if ( have_posts() ) :
								$template_shortcode = $aps->netubeThemeOpt( $template . '-template-shortcode' );
								if( $template_shortcode ){
									$template_shortcode_model = $aps->netubeThemeOpt( $template . '-template-shortcode-model' );
									$template_shortcode_model = $template_shortcode_model ? $template_shortcode_model : '1';
									parse_str($template_shortcode, $shortcode_atts);
									$model_fun = 'netube_news_block_form_'. $template_shortcode_model;
									echo ( ''. $model_fun($shortcode_atts, true) );
								}else{
									$template_shortcode = netube_default_block_values();
									parse_str($template_shortcode, $shortcode_atts);
									echo netube_news_block_form_default($shortcode_atts, true);
								}
							else :
								get_template_part( 'template-parts/post/content', 'none' );
							endif;
							?>

						</main><!-- #main -->
					</div><!-- #primary -->
				</div><!-- main col -->

				<?php if( $template_class['lsidebar_class'] != '' ) : ?>
				<div class="<?php echo esc_attr( $template_class['lsidebar_class'] ); ?>">
					<aside class="widget-area left-widget-area<?php echo esc_attr( $template_class['sticky_class'] ); ?>">
						<?php dynamic_sidebar( $template_class['left_sidebar'] ); ?>
					</aside>
				</div><!-- sidebar col -->
				<?php endif; ?>

				<?php if( $template_class['rsidebar_class'] != '' ) : ?>
				<div class="<?php echo esc_attr( $template_class['rsidebar_class'] ); ?>">
					<aside class="widget-area right-widget-area<?php echo esc_attr( $template_class['sticky_class'] ); ?>">
						<?php dynamic_sidebar( $template_class['right_sidebar'] ); ?>
					</aside>
				</div><!-- sidebar col -->
				<?php endif; ?>

			</div><!-- .row -->

		</div><!-- .container -->
	</div><!-- .netube-content-inner -->
</div><!-- .netube-content -->
<?php get_footer();
