<?php
/**
 * Template part for displaying related post as slider
 *
 */
$aps = new netubePostSettings;
$slide_template = 'related';
$cols = '';
$max_posts = $aps->netubeThemeOpt( 'related-max-posts' );
$filter = $aps->netubeThemeOpt( 'related-posts-filter' );
$gal_atts = array(
	'data-loop="'. $aps->netubeThemeOpt( $slide_template.'-slide-infinite' ) .'"',
	'data-margin="'. $aps->netubeThemeOpt( $slide_template.'-slide-margin' ) .'"',
	'data-center="'. $aps->netubeThemeOpt( $slide_template.'-slide-center' ) .'"',
	'data-nav="'. $aps->netubeThemeOpt( $slide_template.'-slide-navigation' ) .'"',
	'data-dots="'. $aps->netubeThemeOpt( $slide_template.'-slide-pagination' ) .'"',
	'data-autoplay="'. $aps->netubeThemeOpt( $slide_template.'-slide-autoplay' ) .'"',
	'data-items="'. $aps->netubeThemeOpt( $slide_template.'-slide-items' ) .'"',
	'data-items-tab="'. $aps->netubeThemeOpt( $slide_template.'-slide-tab' ) .'"',
	'data-items-mob="'. $aps->netubeThemeOpt( $slide_template.'-slide-mobile' ) .'"',
	'data-duration="'. $aps->netubeThemeOpt( $slide_template.'-slide-duration' ) .'"',
	'data-smartspeed="'. $aps->netubeThemeOpt( $slide_template.'-slide-smartspeed' ) .'"',
	'data-scrollby="'. $aps->netubeThemeOpt( $slide_template.'-slide-scrollby' ) .'"',
	'data-autoheight="'. $aps->netubeThemeOpt( $slide_template.'-slide-autoheight' ) .'"',
);

wp_enqueue_style( 'owl-carousel' );
wp_enqueue_script( 'owl-carousel' );

$data_atts = implode( " ", $gal_atts );
$cols = absint( $aps->netubeThemeOpt( $slide_template.'-slide-items' ) );
if( $cols == 1 ){
	$thumb_size = 'large';
}elseif( $cols == 2 ){
	$thumb_size = 'medium';
}elseif( $cols == 3 ){
	$thumb_size = 'netube-grid-large';
}else{
	$thumb_size = 'netube-grid-medium';
}
if( absint( $max_posts ) ):
	$post_id = get_the_ID();
	$term_in = '';
	
	$terms = wp_get_post_categories( $post_id );
	$first_term = '';
	
	if( $filter == 'category' ){
		$term_in = 'category__in';
		$terms = wp_get_post_categories( $post_id );
	}else{
		$term_in = 'tag__in';
		$terms = wp_get_post_tags( $post_id );
	}
	
	if( $terms ) {
		$args = array(
			'ignore_sticky_posts' => 1,
			$term_in => $terms,
			'post__not_in' => array( $post_id ),
			'posts_per_page'=> absint( $max_posts )
		);
		$related_query = new WP_Query( $args );
		if( $related_query->have_posts() ) { ?>
			<div class="related-slider-wrapper clearfix">
				<div class="owl-carousel related-slider" <?php echo ( ''. $data_atts ); ?>><?php
		
				while( $related_query->have_posts() ) : $related_query->the_post(); ?>
				
					<div class="item">
						<?php 
							if ( has_post_thumbnail( get_the_ID() ) ) :
						?>
							<a href="<?php echo esc_url( get_the_permalink() ); ?>" title="<?php the_title_attribute(); ?>">
								<?php echo get_the_post_thumbnail( get_the_ID(), $thumb_size, array( 'class' => 'img-fluid' ) ); ?>
							</a>
						<?php else: ?>
							<a href="<?php echo esc_url( get_the_permalink() ); ?>" title="<?php the_title_attribute(); ?>">
								<div class="empty-post-image text-center"><i class="ti-image"></i></div>
							</a>
						<?php endif; ?>
						<a href="<?php echo esc_url( get_the_permalink() ); ?>" rel="bookmark" class="related-post-title" title="<?php the_title_attribute(); ?>"><?php echo get_the_title(); ?></a>
					</div>
		
				<?php
				endwhile;?>
				
				</div><!-- .related-slider -->
			</div><!-- .related-slider-wrapper --><?php
	
		}
		wp_reset_postdata();
	
	}
endif; // related-slider enable if