<?php
/* netube Page Options */
$prefix = 'netube_post_';
$fields = array(
	array( 
		'label'	=> esc_html__( 'Post General Settings', 'netube' ),
		'desc'	=> esc_html__( 'These all are single post general settings.', 'netube' ), 
		'tab'	=> esc_html__( 'General', 'netube' ),
		'type'	=> 'label'
	),
	array( 
		'label'	=> esc_html__( 'Post Layout', 'netube' ),
		'desc'	=> esc_html__( 'Choose post layout for current post single view.', 'netube' ), 
		'id'	=> $prefix.'layout',
		'tab'	=> esc_html__( 'General', 'netube' ),
		'type'	=> 'select',
		'options' => array ( 
			'theme-default' => esc_html__( 'Theme Default', 'netube' ),
			'wide' => esc_html__( 'Wide', 'netube' ),
			'boxed' => esc_html__( 'Boxed', 'netube' )			
		),
		'default'	=> 'theme-default'
	),
	array( 
		'label'	=> esc_html__( 'Post Content Padding Option', 'netube' ),
		'id'	=> $prefix.'content_padding_opt',
		'tab'	=> esc_html__( 'General', 'netube' ),
		'type'	=> 'select',
		'options' => array ( 
			'theme-default' => esc_html__( 'Theme Default', 'netube' ),
			'custom' => esc_html__( 'Custom', 'netube' )
		),
		'default'	=> 'theme-default'		
	),
	array( 
		'label'	=> esc_html__( 'Post Content Padding', 'netube' ), 
		'desc'	=> esc_html__( 'Set the top/right/bottom/left padding of post content.', 'netube' ),
		'id'	=> $prefix.'content_padding',
		'tab'	=> esc_html__( 'General', 'netube' ),
		'type'	=> 'space',
		'required'	=> array( $prefix.'content_padding_opt', 'custom' )
	),
	array( 
		'label'	=> esc_html__( 'Post Template Option', 'netube' ),
		'id'	=> $prefix.'template_opt',
		'tab'	=> esc_html__( 'General', 'netube' ),
		'type'	=> 'select',
		'options' => array ( 
			'theme-default' => esc_html__( 'Theme Default', 'netube' ),
			'custom' => esc_html__( 'Custom', 'netube' )
		),
		'default'	=> 'theme-default'		
	),
	array( 
		'label'	=> esc_html__( 'Post Template', 'netube' ),
		'id'	=> $prefix.'template',
		'tab'	=> esc_html__( 'General', 'netube' ),
		'type'	=> 'image_select',
		'options' => array(
			'no-sidebar'	=> get_theme_file_uri( '/assets/images/page-layouts/1.png' ), 
			'right-sidebar'	=> get_theme_file_uri( '/assets/images/page-layouts/2.png' ), 
			'left-sidebar'	=> get_theme_file_uri( '/assets/images/page-layouts/3.png' ), 
			'both-sidebar'	=> get_theme_file_uri( '/assets/images/page-layouts/4.png' ), 
		),
		'default'	=> 'right-sidebar',
		'required'	=> array( $prefix.'template_opt', 'custom' )
	),
	array( 
		'label'	=> esc_html__( 'Left Sidebar', 'netube' ),
		'id'	=> $prefix.'left_sidebar',
		'tab'	=> esc_html__( 'General', 'netube' ),
		'type'	=> 'sidebar',
		'required'	=> array( $prefix.'template_opt', 'custom' )
	),
	array( 
		'label'	=> esc_html__( 'Right Sidebar', 'netube' ),
		'id'	=> $prefix.'right_sidebar',
		'tab'	=> esc_html__( 'General', 'netube' ),
		'type'	=> 'sidebar',
		'required'	=> array( $prefix.'template_opt', 'custom' )
	),
	array( 
		'label'	=> esc_html__( 'Sidebar On Mobile', 'netube' ),
		'id'	=> $prefix.'sidebar_mobile',
		'tab'	=> esc_html__( 'General', 'netube' ),
		'type'	=> 'select',
		'options' => array ( 
			'theme-default' => esc_html__( 'Theme Default', 'netube' ),
			'1' => esc_html__( 'Show', 'netube' ),
			'0' => esc_html__( 'Hide', 'netube' )
		),
		'default'	=> 'theme-default'
	),
	array( 
		'label'	=> esc_html__( 'Featured Slider', 'netube' ),
		'id'	=> $prefix.'featured_slider',
		'tab'	=> esc_html__( 'General', 'netube' ),
		'type'	=> 'select',
		'options' => array ( 
			'theme-default' => esc_html__( 'Theme Default', 'netube' ),
			'1' => esc_html__( 'Enable', 'netube' ),
			'0' => esc_html__( 'Disable', 'netube' )
		),
		'default'	=> 'theme-default'
	),
	array( 
		'label'	=> esc_html__( 'Full Width Wrap', 'netube' ),
		'id'	=> $prefix.'full_wrap',
		'tab'	=> esc_html__( 'General', 'netube' ),
		'type'	=> 'select',
		'options' => array ( 
			'theme-default' => esc_html__( 'Theme Default', 'netube' ),
			'1' => esc_html__( 'Enable', 'netube' ),
			'0' => esc_html__( 'Disable', 'netube' )
		),
		'default'	=> 'theme-default'
	),
	array( 
		'label'	=> esc_html__( 'Post Items Option', 'netube' ),
		'id'	=> $prefix.'items_opt',
		'tab'	=> esc_html__( 'General', 'netube' ),
		'type'	=> 'select',
		'options' => array ( 
			'theme-default' => esc_html__( 'Theme Default', 'netube' ),
			'custom' => esc_html__( 'Custom', 'netube' )
		),
		'default'	=> 'theme-default'		
	),
	array( 
		'label'	=> esc_html__( 'Post Items', 'netube' ),
		'desc'	=> esc_html__( 'Needed single post items drag from disabled and put enabled part.', 'netube' ),
		'id'	=> $prefix.'items',
		'tab'	=> esc_html__( 'General', 'netube' ),
		'type'	=> 'dragdrop',
		'options' => array ( 
			'all' => array( 'title', 'top-meta', 'thumb', 'content', 'bottom-meta' ),
			'items' => array( 
				'title' 	=> esc_html__( 'Title', 'netube' ),
				'top-meta'	=> esc_html__( 'Top Meta', 'netube' ),
				'thumb' 	=> esc_html__( 'Thumbnail', 'netube' ),
				'content' 	=> esc_html__( 'Content', 'netube' ),
				'bottom-meta'		=> esc_html__( 'Bottom Meta', 'netube' )
			)
		),
		'default'	=> 'title,top-meta,thumb,content,bottom-meta',
		'required'	=> array( $prefix.'items_opt', 'custom' )
	),
	array( 
		'label'	=> esc_html__( 'Post Overlay', 'netube' ),
		'id'	=> $prefix.'overlay_opt',
		'tab'	=> esc_html__( 'General', 'netube' ),
		'type'	=> 'select',
		'options' => array ( 
			'theme-default' => esc_html__( 'Theme Default', 'netube' ),
			'1' => esc_html__( 'Enable', 'netube' ),
			'0' => esc_html__( 'Disable', 'netube' )
		),
		'default'	=> 'theme-default'
	),
	array( 
		'label'	=> esc_html__( 'Post Overlay Items', 'netube' ),
		'desc'	=> esc_html__( 'Needed overlay post items drag from disabled and put enabled part.', 'netube' ),
		'id'	=> $prefix.'overlay_items',
		'tab'	=> esc_html__( 'General', 'netube' ),
		'type'	=> 'dragdrop',
		'options' => array ( 
			'all' => array( 'title', 'top-meta', 'bottom-meta' ),
			'items' => array( 
				'title' 	=> esc_html__( 'Title', 'netube' ),
				'top-meta'	=> esc_html__( 'Top Meta', 'netube' ),
				'bottom-meta'		=> esc_html__( 'Bottom Meta', 'netube' )
			)
		),
		'default'	=> 'title',
		'required'	=> array( $prefix.'overlay_opt', '1' )
	),
	array( 
		'label'	=> esc_html__( 'Post Page Items Option', 'netube' ),
		'id'	=> $prefix.'page_items_opt',
		'tab'	=> esc_html__( 'General', 'netube' ),
		'type'	=> 'select',
		'options' => array ( 
			'theme-default' => esc_html__( 'Theme Default', 'netube' ),
			'custom' => esc_html__( 'Custom', 'netube' )
		),
		'default'	=> 'theme-default'		
	),
	array( 
		'label'	=> esc_html__( 'Post Page Items', 'netube' ),
		'desc'	=> esc_html__( 'Needed post page items drag from disabled and put enabled part.', 'netube' ),
		'id'	=> $prefix.'page_items',
		'tab'	=> esc_html__( 'General', 'netube' ),
		'type'	=> 'dragdrop',
		'options' => array ( 
			'all' => array( 'post-items', 'author-info', 'review', 'related-articles', 'author-articles', 'post-nav', 'comment' ),
			'items' => array( 
				'post-items' 	=> esc_html__( 'Post Items', 'netube' ),
				'author-info'	=> esc_html__( 'Author Info', 'netube' ),
				'review'	=> esc_html__( 'Review Info', 'netube' ),
				'related-articles'	=> esc_html__( 'Related Articles', 'netube' ),
				'author-articles'	=> esc_html__( 'Author Articles', 'netube' ),
				'post-nav' 	=> esc_html__( 'Post Nav', 'netube' ),
				'comment' 	=> esc_html__( 'Comment', 'netube' )
			)
		),
		'default'	=> 'post-items,author-info,related-articles,post-nav,comment',
		'required'	=> array( $prefix.'page_items_opt', 'custom' )
	),
	array( 
		'label'	=> esc_html__( 'Related Post Columns', 'netube' ),
		'desc'	=> esc_html__( 'Enter related post maximum limit for get from posts query. Example 5.', 'netube' ), 
		'id'	=> $prefix.'related_max_posts',
		'tab'	=> esc_html__( 'General', 'netube' ),
		'type'	=> 'text',
		'default'	=> ''
	),
	array( 
		'label'	=> esc_html__( 'Author Related Post Columns', 'netube' ),
		'desc'	=> esc_html__( 'Enter author related post maximum limit for get from posts query. Example 5.', 'netube' ), 
		'id'	=> $prefix.'author_max_posts',
		'tab'	=> esc_html__( 'General', 'netube' ),
		'type'	=> 'text',
		'default'	=> ''
	),
	array( 
		'label'	=> esc_html__( 'Promote This Post', 'netube' ),
		'desc'	=> esc_html__( 'Choose post yes to promote this post. It will show the promotion lable on overlay.', 'netube' ), 
		'id'	=> $prefix.'promotion_opt',
		'tab'	=> esc_html__( 'General', 'netube' ),
		'type'	=> 'select',
		'options' => array ( 
			'no' => esc_html__( 'No', 'netube' ),
			'yes' => esc_html__( 'Yes', 'netube' )
		),
		'default'	=> 'no'
	),
	//Header
	array( 
		'label'	=> esc_html__( 'Header General Settings', 'netube' ),
		'desc'	=> esc_html__( 'These all are header general settings for currrent post.', 'netube' ), 
		'tab'	=> esc_html__( 'Header', 'netube' ),
		'type'	=> 'label'
	),
	array( 
		'label'	=> esc_html__( 'Header Layout', 'netube' ),
		'desc'	=> esc_html__( 'Choose post layout for current post header layout.', 'netube' ), 
		'id'	=> $prefix.'header_layout',
		'tab'	=> esc_html__( 'Header', 'netube' ),
		'type'	=> 'select',
		'options' => array ( 
			'theme-default' => esc_html__( 'Theme Default', 'netube' ),
			'wide' => esc_html__( 'Wide', 'netube' ),
			'boxed' => esc_html__( 'Boxed', 'netube' )
		),
		'default'	=> 'theme-default'
	),
	array( 
		'label'	=> esc_html__( 'Header Type', 'netube' ),
		'desc'	=> esc_html__( 'Choose post layout for current post header type.', 'netube' ), 
		'id'	=> $prefix.'header_type',
		'tab'	=> esc_html__( 'Header', 'netube' ),
		'type'	=> 'select',
		'options' => array ( 
			'theme-default' => esc_html__( 'Theme Default', 'netube' ),
			'default' => esc_html__( 'Default', 'netube' ),
			'left-sticky' => esc_html__( 'Left Sticky', 'netube' ),
			'right-sticky' => esc_html__( 'Right Sticky', 'netube' )
		),
		'default'	=> 'theme-default'
	),
	array( 
		'label'	=> esc_html__( 'Header Background Image', 'netube' ),
		'desc'	=> esc_html__( 'Choose header background image for currrent post.', 'netube' ), 
		'tab'	=> esc_html__( 'Header', 'netube' ),
		'type'	=> 'image',
		'id'	=> $prefix.'header_bg_img',
		'required'	=> array( $prefix.'header_type', 'default' )
	),
	array( 
		'label'	=> esc_html__( 'Header Items Options', 'netube' ),
		'desc'	=> esc_html__( 'Choose header items options for enable header drag and drop items.', 'netube' ), 
		'id'	=> $prefix.'header_items_opt',
		'tab'	=> esc_html__( 'Header', 'netube' ),
		'type'	=> 'select',
		'options' => array ( 
			'theme-default' => esc_html__( 'Theme Default', 'netube' ),
			'custom' => esc_html__( 'Custom', 'netube' )
		),
		'default'	=> 'theme-default'
	),
	array( 
		'label'	=> esc_html__( 'Header Items', 'netube' ),
		'desc'	=> esc_html__( 'These all are header general items for currrent post.', 'netube' ), 
		'tab'	=> esc_html__( 'Header', 'netube' ),
		'type'	=> 'dragdrop_multi',
		'id'	=> $prefix.'header_items',
		'dd_fields' => array ( 
			'Normal' => array( 
				'header-topbar' 	=> esc_html__( 'Topbar', 'netube' ),
				'header-logo'	=> esc_html__( 'Logo Bar', 'netube' )
			),
			'Sticky' => array( 
				'header-nav' 	=> esc_html__( 'Navbar', 'netube' )
			),
			'disabled' => array()
		),
		'required'	=> array( $prefix.'header_items_opt', 'custom' )
	),
	array( 
		'label'	=> esc_html__( 'Header Absolute Option', 'netube' ),
		'desc'	=> esc_html__( 'Choose header absolute to change header look transparent.', 'netube' ), 
		'id'	=> $prefix.'header_absolute_opt',
		'tab'	=> esc_html__( 'Header', 'netube' ),
		'type'	=> 'select',
		'options' => array ( 
			'theme-default' => esc_html__( 'Theme Default', 'netube' ),
			'1' => esc_html__( 'Enable', 'netube' ),
			'0' => esc_html__( 'Disable', 'netube' )
		),
		'default'	=> 'theme-default'
	),
	array( 
		'label'	=> esc_html__( 'Header Sticky', 'netube' ),
		'desc'	=> esc_html__( 'Choose header sticky options.', 'netube' ), 
		'id'	=> $prefix.'header_sticky_opt',
		'tab'	=> esc_html__( 'Header', 'netube' ),
		'type'	=> 'select',
		'options' => array ( 
			'theme-default' => esc_html__( 'Theme Default', 'netube' ),
			'sticky' => esc_html__( 'Header Sticky Part', 'netube' ),
			'sticky-scroll' => esc_html__( 'Sticky Scroll Up', 'netube' ),
			'none' => esc_html__( 'None', 'netube' )
		),
		'default'	=> 'theme-default'
	),
	array( 
		'label'	=> esc_html__( 'Header Top Bar', 'netube' ),
		'desc'	=> esc_html__( 'These all are header topbar settings for currrent post.', 'netube' ), 
		'tab'	=> esc_html__( 'Header', 'netube' ),
		'type'	=> 'label'
	),
	array( 
		'label'	=> esc_html__( 'Header Top Bar Options', 'netube' ),
		'desc'	=> esc_html__( 'Choose header items options for enable header drag and drop items.', 'netube' ), 
		'id'	=> $prefix.'header_topbar_opt',
		'tab'	=> esc_html__( 'Header', 'netube' ),
		'type'	=> 'select',
		'options' => array ( 
			'theme-default' => esc_html__( 'Theme Default', 'netube' ),
			'custom' => esc_html__( 'Custom', 'netube' )
		),
		'default'	=> 'theme-default'
	),
	array( 
		'label'	=> esc_html__( 'Header Top Bar Height', 'netube' ),
		'desc'	=> esc_html__( 'These all are header topbar height for currrent post.', 'netube' ), 
		'tab'	=> esc_html__( 'Header', 'netube' ),
		'type'	=> 'dimension',
		'id'	=> $prefix.'header_topbar_height',
		'property' => 'height',
		'required'	=> array( $prefix.'header_topbar_opt', 'custom' )
	),
	array( 
		'label'	=> esc_html__( 'Header Top Bar Sticky Height', 'netube' ),
		'desc'	=> esc_html__( 'These all are header topbar sticky height for currrent post.', 'netube' ), 
		'tab'	=> esc_html__( 'Header', 'netube' ),
		'type'	=> 'dimension',
		'id'	=> $prefix.'header_topbar_sticky_height',
		'property' => 'height',
		'required'	=> array( $prefix.'header_topbar_opt', 'custom' )
	),
	array( 
		'label'	=> '',
		'desc'	=> esc_html__( 'These all are header topbar skin settings for currrent post.', 'netube' ), 
		'tab'	=> esc_html__( 'Header', 'netube' ),
		'type'	=> 'label'
	),
	array( 
		'label'	=> esc_html__( 'Header Top Bar Skin Settings', 'netube' ),
		'desc'	=> esc_html__( 'Choose header topbar skin settings options.', 'netube' ), 
		'id'	=> $prefix.'header_topbar_skin_opt',
		'tab'	=> esc_html__( 'Header', 'netube' ),
		'type'	=> 'select',
		'options' => array ( 
			'theme-default' => esc_html__( 'Theme Default', 'netube' ),
			'custom' => esc_html__( 'Custom', 'netube' )
		),
		'default'	=> 'theme-default'
	),
	array( 
		'label'	=> esc_html__( 'Header Top Bar Font Color', 'netube' ),
		'desc'	=> esc_html__( 'These all are header topbar font color for currrent post.', 'netube' ), 
		'tab'	=> esc_html__( 'Header', 'netube' ),
		'type'	=> 'color',
		'id'	=> $prefix.'header_topbar_font',
		'required'	=> array( $prefix.'header_topbar_skin_opt', 'custom' )
	),
	array( 
		'label'	=> esc_html__( 'Header Top Bar Background', 'netube' ),
		'desc'	=> esc_html__( 'These all are header topbar background color for currrent post.', 'netube' ), 
		'tab'	=> esc_html__( 'Header', 'netube' ),
		'type'	=> 'alpha_color',
		'id'	=> $prefix.'header_topbar_bg',
		'required'	=> array( $prefix.'header_topbar_skin_opt', 'custom' )
	),
	array( 
		'label'	=> esc_html__( 'Header Top Bar Link Color', 'netube' ),
		'desc'	=> esc_html__( 'These all are header topbar link color settings for currrent post.', 'netube' ), 
		'tab'	=> esc_html__( 'Header', 'netube' ),
		'type'	=> 'link_color',
		'id'	=> $prefix.'header_topbar_link',
		'required'	=> array( $prefix.'header_topbar_skin_opt', 'custom' )
	),
	array( 
		'label'	=> esc_html__( 'Header Top Bar Border', 'netube' ),
		'desc'	=> esc_html__( 'These all are header topbar border settings for currrent post.', 'netube' ), 
		'tab'	=> esc_html__( 'Header', 'netube' ),
		'type'	=> 'space',
		'color' => 1,
		'border_style' => 1,
		'id'	=> $prefix.'header_topbar_border',
		'required'	=> array( $prefix.'header_topbar_skin_opt', 'custom' )
	),
	array( 
		'label'	=> esc_html__( 'Header Top Bar Padding', 'netube' ),
		'desc'	=> esc_html__( 'These all are header topbar padding settings for currrent post.', 'netube' ), 
		'tab'	=> esc_html__( 'Header', 'netube' ),
		'type'	=> 'space',
		'id'	=> $prefix.'header_topbar_padding',
		'required'	=> array( $prefix.'header_topbar_skin_opt', 'custom' )
	),
	array( 
		'label'	=> esc_html__( 'Header Top Bar Sticky Skin Settings', 'netube' ),
		'desc'	=> esc_html__( 'Choose header top barsticky skin settings options.', 'netube' ), 
		'id'	=> $prefix.'header_topbar_sticky_skin_opt',
		'tab'	=> esc_html__( 'Header', 'netube' ),
		'type'	=> 'select',
		'options' => array ( 
			'theme-default' => esc_html__( 'Theme Default', 'netube' ),
			'custom' => esc_html__( 'Custom', 'netube' )
		),
		'default'	=> 'theme-default'
	),
	array( 
		'label'	=> esc_html__( 'Header Top Bar Sticky Font Color', 'netube' ),
		'desc'	=> esc_html__( 'These all are header top barsticky font color for currrent post.', 'netube' ), 
		'tab'	=> esc_html__( 'Header', 'netube' ),
		'type'	=> 'color',
		'id'	=> $prefix.'header_topbar_sticky_font',
		'required'	=> array( $prefix.'header_topbar_sticky_skin_opt', 'custom' )
	),
	array( 
		'label'	=> esc_html__( 'Header Top Bar Sticky Background', 'netube' ),
		'desc'	=> esc_html__( 'These all are header top barsticky background color for currrent post.', 'netube' ), 
		'tab'	=> esc_html__( 'Header', 'netube' ),
		'type'	=> 'alpha_color',
		'id'	=> $prefix.'header_topbar_sticky_bg',
		'required'	=> array( $prefix.'header_topbar_sticky_skin_opt', 'custom' )
	),
	array( 
		'label'	=> esc_html__( 'Header Top Bar Sticky Link Color', 'netube' ),
		'desc'	=> esc_html__( 'These all are header top barsticky link color settings for currrent post.', 'netube' ), 
		'tab'	=> esc_html__( 'Header', 'netube' ),
		'type'	=> 'link_color',
		'id'	=> $prefix.'header_topbar_sticky_link',
		'required'	=> array( $prefix.'header_topbar_sticky_skin_opt', 'custom' )
	),
	array( 
		'label'	=> esc_html__( 'Header Top Bar Sticky Border', 'netube' ),
		'desc'	=> esc_html__( 'These all are header top barsticky border settings for currrent post.', 'netube' ), 
		'tab'	=> esc_html__( 'Header', 'netube' ),
		'type'	=> 'space',
		'color' => 1,
		'border_style' => 1,
		'id'	=> $prefix.'header_topbar_sticky_border',
		'required'	=> array( $prefix.'header_topbar_sticky_skin_opt', 'custom' )
	),
	array( 
		'label'	=> esc_html__( 'Header Top Bar Sticky Padding', 'netube' ),
		'desc'	=> esc_html__( 'These all are header top barsticky padding settings for currrent post.', 'netube' ), 
		'tab'	=> esc_html__( 'Header', 'netube' ),
		'type'	=> 'space',
		'id'	=> $prefix.'header_topbar_sticky_padding',
		'required'	=> array( $prefix.'header_topbar_sticky_skin_opt', 'custom' )
	),
	array( 
		'label'	=> esc_html__( 'Header Top Bar Items Option', 'netube' ),
		'desc'	=> esc_html__( 'Choose header topbar items enable options.', 'netube' ), 
		'id'	=> $prefix.'header_topbar_items_opt',
		'tab'	=> esc_html__( 'Header', 'netube' ),
		'type'	=> 'select',
		'options' => array ( 
			'theme-default' => esc_html__( 'Theme Default', 'netube' ),
			'custom' => esc_html__( 'Custom', 'netube' )
		),
		'default'	=> 'theme-default'
	),
	array( 
		'label'	=> esc_html__( 'Header Top Bar Items', 'netube' ),
		'desc'	=> esc_html__( 'These all are header topbar items for currrent post.', 'netube' ), 
		'tab'	=> esc_html__( 'Header', 'netube' ),
		'type'	=> 'dragdrop_multi',
		'id'	=> $prefix.'header_topbar_items',
		'dd_fields' => array ( 
			'Left'  => array(
				'header-topbar-date' => esc_html__( 'Date', 'netube' ),						
			),
			'Center' => array(),
			'Right' => array(),
			'disabled' => array(
				'header-topbar-text-1'	=> esc_html__( 'Custom Text 1', 'netube' ),
				'header-topbar-text-2'	=> esc_html__( 'Custom Text 2', 'netube' ),
				'header-topbar-menu'    => esc_html__( 'Top Menu', 'netube' ),
				'header-topbar-social'	=> esc_html__( 'Social', 'netube' ),
				'header-topbar-search'	=> esc_html__( 'Search', 'netube' )
			)
		),
		'required'	=> array( $prefix.'header_topbar_items_opt', 'custom' )
	),
	array( 
		'label'	=> esc_html__( 'Header Logo Bar', 'netube' ),
		'desc'	=> esc_html__( 'These all are header logo bar settings for currrent post.', 'netube' ), 
		'tab'	=> esc_html__( 'Header', 'netube' ),
		'type'	=> 'label'
	),
	array( 
		'label'	=> esc_html__( 'Header Logo Bar Options', 'netube' ),
		'desc'	=> esc_html__( 'Choose header items options for enable header drag and drop items.', 'netube' ), 
		'id'	=> $prefix.'header_logo_bar_opt',
		'tab'	=> esc_html__( 'Header', 'netube' ),
		'type'	=> 'select',
		'options' => array ( 
			'theme-default' => esc_html__( 'Theme Default', 'netube' ),
			'custom' => esc_html__( 'Custom', 'netube' )
		),
		'default'	=> 'theme-default'
	),
	array( 
		'label'	=> esc_html__( 'Header Logo Bar Height', 'netube' ),
		'desc'	=> esc_html__( 'These all are header logo bar height for currrent post.', 'netube' ), 
		'tab'	=> esc_html__( 'Header', 'netube' ),
		'type'	=> 'dimension',
		'id'	=> $prefix.'header_logo_bar_height',
		'property' => 'height',
		'required'	=> array( $prefix.'header_logo_bar_opt', 'custom' )
	),
	array( 
		'label'	=> esc_html__( 'Header Logo Bar Sticky Height', 'netube' ),
		'desc'	=> esc_html__( 'These all are header logo bar sticky height for currrent post.', 'netube' ), 
		'tab'	=> esc_html__( 'Header', 'netube' ),
		'type'	=> 'dimension',
		'id'	=> $prefix.'header_logo_bar_sticky_height',
		'property' => 'height',
		'required'	=> array( $prefix.'header_logo_bar_opt', 'custom' )
	),
	array( 
		'label'	=> '',
		'desc'	=> esc_html__( 'These all are header logo bar skin settings for currrent post.', 'netube' ), 
		'tab'	=> esc_html__( 'Header', 'netube' ),
		'type'	=> 'label'
	),
	array( 
		'label'	=> esc_html__( 'Header Logo Bar Skin Settings', 'netube' ),
		'desc'	=> esc_html__( 'Choose header logo bar skin settings options.', 'netube' ), 
		'id'	=> $prefix.'header_logo_bar_skin_opt',
		'tab'	=> esc_html__( 'Header', 'netube' ),
		'type'	=> 'select',
		'options' => array ( 
			'theme-default' => esc_html__( 'Theme Default', 'netube' ),
			'custom' => esc_html__( 'Custom', 'netube' )
		),
		'default'	=> 'theme-default'
	),
	array( 
		'label'	=> esc_html__( 'Header Logo Bar Font Color', 'netube' ),
		'desc'	=> esc_html__( 'These all are header logo bar font color for currrent post.', 'netube' ), 
		'tab'	=> esc_html__( 'Header', 'netube' ),
		'type'	=> 'color',
		'id'	=> $prefix.'header_logo_bar_font',
		'required'	=> array( $prefix.'header_logo_bar_skin_opt', 'custom' )
	),
	array( 
		'label'	=> esc_html__( 'Header Logo Bar Background', 'netube' ),
		'desc'	=> esc_html__( 'These all are header logo bar background color for currrent post.', 'netube' ), 
		'tab'	=> esc_html__( 'Header', 'netube' ),
		'type'	=> 'alpha_color',
		'id'	=> $prefix.'header_logo_bar_bg',
		'required'	=> array( $prefix.'header_logo_bar_skin_opt', 'custom' )
	),
	array( 
		'label'	=> esc_html__( 'Header Logo Bar Link Color', 'netube' ),
		'desc'	=> esc_html__( 'These all are header logo bar link color settings for currrent post.', 'netube' ), 
		'tab'	=> esc_html__( 'Header', 'netube' ),
		'type'	=> 'link_color',
		'id'	=> $prefix.'header_logo_bar_link',
		'required'	=> array( $prefix.'header_logo_bar_skin_opt', 'custom' )
	),
	array( 
		'label'	=> esc_html__( 'Header Logo Bar Border', 'netube' ),
		'desc'	=> esc_html__( 'These all are header logo bar border settings for currrent post.', 'netube' ), 
		'tab'	=> esc_html__( 'Header', 'netube' ),
		'type'	=> 'space',
		'color' => 1,
		'border_style' => 1,
		'id'	=> $prefix.'header_logo_bar_border',
		'required'	=> array( $prefix.'header_logo_bar_skin_opt', 'custom' )
	),
	array( 
		'label'	=> esc_html__( 'Header Logo Bar Padding', 'netube' ),
		'desc'	=> esc_html__( 'These all are header logo bar padding settings for currrent post.', 'netube' ), 
		'tab'	=> esc_html__( 'Header', 'netube' ),
		'type'	=> 'space',
		'id'	=> $prefix.'header_logo_bar_padding',
		'required'	=> array( $prefix.'header_logo_bar_skin_opt', 'custom' )
	),
	array( 
		'label'	=> esc_html__( 'Header Logo Bar Sticky Skin Settings', 'netube' ),
		'desc'	=> esc_html__( 'Choose header logo bar sticky skin settings options.', 'netube' ), 
		'id'	=> $prefix.'header_logobar_sticky_skin_opt',
		'tab'	=> esc_html__( 'Header', 'netube' ),
		'type'	=> 'select',
		'options' => array ( 
			'theme-default' => esc_html__( 'Theme Default', 'netube' ),
			'custom' => esc_html__( 'Custom', 'netube' )
		),
		'default'	=> 'theme-default'
	),
	array( 
		'label'	=> esc_html__( 'Header Logo Bar Sticky Font Color', 'netube' ),
		'desc'	=> esc_html__( 'These all are header logo bar sticky font color for currrent post.', 'netube' ), 
		'tab'	=> esc_html__( 'Header', 'netube' ),
		'type'	=> 'color',
		'id'	=> $prefix.'header_logobar_sticky_font',
		'required'	=> array( $prefix.'header_logobar_sticky_skin_opt', 'custom' )
	),
	array( 
		'label'	=> esc_html__( 'Header Logo Bar Sticky Background', 'netube' ),
		'desc'	=> esc_html__( 'These all are header logo bar sticky background color for currrent post.', 'netube' ), 
		'tab'	=> esc_html__( 'Header', 'netube' ),
		'type'	=> 'alpha_color',
		'id'	=> $prefix.'header_logobar_sticky_bg',
		'required'	=> array( $prefix.'header_logobar_sticky_skin_opt', 'custom' )
	),
	array( 
		'label'	=> esc_html__( 'Header Logo Bar Sticky Link Color', 'netube' ),
		'desc'	=> esc_html__( 'These all are header logo bar sticky link color settings for currrent post.', 'netube' ), 
		'tab'	=> esc_html__( 'Header', 'netube' ),
		'type'	=> 'link_color',
		'id'	=> $prefix.'header_logobar_sticky_link',
		'required'	=> array( $prefix.'header_logobar_sticky_skin_opt', 'custom' )
	),
	array( 
		'label'	=> esc_html__( 'Header Logo Bar Sticky Border', 'netube' ),
		'desc'	=> esc_html__( 'These all are header logo bar sticky border settings for currrent post.', 'netube' ), 
		'tab'	=> esc_html__( 'Header', 'netube' ),
		'type'	=> 'space',
		'color' => 1,
		'border_style' => 1,
		'id'	=> $prefix.'header_logobar_sticky_border',
		'required'	=> array( $prefix.'header_logobar_sticky_skin_opt', 'custom' )
	),
	array( 
		'label'	=> esc_html__( 'Header Logo Bar Sticky Padding', 'netube' ),
		'desc'	=> esc_html__( 'These all are header logo bar sticky padding settings for currrent post.', 'netube' ), 
		'tab'	=> esc_html__( 'Header', 'netube' ),
		'type'	=> 'space',
		'id'	=> $prefix.'header_logobar_sticky_padding',
		'required'	=> array( $prefix.'header_logobar_sticky_skin_opt', 'custom' )
	),
	array( 
		'label'	=> esc_html__( 'Header Logo Bar Items Option', 'netube' ),
		'desc'	=> esc_html__( 'Choose header logo bar items enable options.', 'netube' ), 
		'id'	=> $prefix.'header_logo_bar_items_opt',
		'tab'	=> esc_html__( 'Header', 'netube' ),
		'type'	=> 'select',
		'options' => array ( 
			'theme-default' => esc_html__( 'Theme Default', 'netube' ),
			'custom' => esc_html__( 'Custom', 'netube' )
		),
		'default'	=> 'theme-default'
	),
	array( 
		'label'	=> esc_html__( 'Header Logo Bar Items', 'netube' ),
		'desc'	=> esc_html__( 'These all are header logo bar items for currrent post.', 'netube' ), 
		'tab'	=> esc_html__( 'Header', 'netube' ),
		'type'	=> 'dragdrop_multi',
		'id'	=> $prefix.'header_logo_bar_items',
		'dd_fields' => array ( 
			'Left'  => array(),
			'Center' => array(
				'header-logobar-logo'	=> esc_html__( 'Logo', 'netube' ),
			),
			'Right' => array(),
			'disabled' => array(
				'header-logobar-text-1'	=> esc_html__( 'Custom Text 1', 'netube' ),
				'header-logobar-text-2'	=> esc_html__( 'Custom Text 2', 'netube' ),
				'header-logobar-menu'    => esc_html__( 'Main Menu', 'netube' ),
				'header-logobar-social'	=> esc_html__( 'Social', 'netube' ),
				'header-logobar-search'	=> esc_html__( 'Search', 'netube' ),
				'header-logobar-secondary-toggle'	=> esc_html__( 'Secondary Toggle', 'netube' ),
				'header-logobar-search-toggle'	=> esc_html__( 'Search Toggle', 'netube' )
			)
		),
		'required'	=> array( $prefix.'header_logo_bar_items_opt', 'custom' )
	),
	array( 
		'label'	=> esc_html__( 'Header Navbar', 'netube' ),
		'desc'	=> esc_html__( 'These all are header navbar settings for currrent post.', 'netube' ), 
		'tab'	=> esc_html__( 'Header', 'netube' ),
		'type'	=> 'label'
	),
	array( 
		'label'	=> esc_html__( 'Header Navbar Options', 'netube' ),
		'desc'	=> esc_html__( 'Choose header items options for enable header drag and drop items.', 'netube' ), 
		'id'	=> $prefix.'header_navbar_opt',
		'tab'	=> esc_html__( 'Header', 'netube' ),
		'type'	=> 'select',
		'options' => array ( 
			'theme-default' => esc_html__( 'Theme Default', 'netube' ),
			'custom' => esc_html__( 'Custom', 'netube' )
		),
		'default'	=> 'theme-default'
	),
	array( 
		'label'	=> esc_html__( 'Header Navbar Height', 'netube' ),
		'desc'	=> esc_html__( 'These all are header navbar height for currrent post.', 'netube' ), 
		'tab'	=> esc_html__( 'Header', 'netube' ),
		'type'	=> 'dimension',
		'id'	=> $prefix.'header_navbar_height',
		'property' => 'height',
		'required'	=> array( $prefix.'header_navbar_opt', 'custom' )
	),
	array( 
		'label'	=> esc_html__( 'Header Navbar Sticky Height', 'netube' ),
		'desc'	=> esc_html__( 'These all are header navbar sticky height for currrent post.', 'netube' ), 
		'tab'	=> esc_html__( 'Header', 'netube' ),
		'type'	=> 'dimension',
		'id'	=> $prefix.'header_navbar_sticky_height',
		'property' => 'height',
		'required'	=> array( $prefix.'header_navbar_opt', 'custom' )
	),
	array( 
		'label'	=> '',
		'desc'	=> esc_html__( 'These all are header navbar skin settings for currrent post.', 'netube' ), 
		'tab'	=> esc_html__( 'Header', 'netube' ),
		'type'	=> 'label'
	),
	array( 
		'label'	=> esc_html__( 'Header Navbar Skin Settings', 'netube' ),
		'desc'	=> esc_html__( 'Choose header navbar skin settings options.', 'netube' ), 
		'id'	=> $prefix.'header_navbar_skin_opt',
		'tab'	=> esc_html__( 'Header', 'netube' ),
		'type'	=> 'select',
		'options' => array ( 
			'theme-default' => esc_html__( 'Theme Default', 'netube' ),
			'custom' => esc_html__( 'Custom', 'netube' )
		),
		'default'	=> 'theme-default'
	),
	array( 
		'label'	=> esc_html__( 'Header Navbar Font Color', 'netube' ),
		'desc'	=> esc_html__( 'These all are header navbar font color for currrent post.', 'netube' ), 
		'tab'	=> esc_html__( 'Header', 'netube' ),
		'type'	=> 'color',
		'id'	=> $prefix.'header_navbar_font',
		'required'	=> array( $prefix.'header_navbar_skin_opt', 'custom' )
	),
	array( 
		'label'	=> esc_html__( 'Header Navbar Background', 'netube' ),
		'desc'	=> esc_html__( 'These all are header navbar background color for currrent post.', 'netube' ), 
		'tab'	=> esc_html__( 'Header', 'netube' ),
		'type'	=> 'alpha_color',
		'id'	=> $prefix.'header_navbar_bg',
		'required'	=> array( $prefix.'header_navbar_skin_opt', 'custom' )
	),
	array( 
		'label'	=> esc_html__( 'Header Navbar Link Color', 'netube' ),
		'desc'	=> esc_html__( 'These all are header navbar link color settings for currrent post.', 'netube' ), 
		'tab'	=> esc_html__( 'Header', 'netube' ),
		'type'	=> 'link_color',
		'id'	=> $prefix.'header_navbar_link',
		'required'	=> array( $prefix.'header_navbar_skin_opt', 'custom' )
	),
	array( 
		'label'	=> esc_html__( 'Header Navbar Border', 'netube' ),
		'desc'	=> esc_html__( 'These all are header navbar border settings for currrent post.', 'netube' ), 
		'tab'	=> esc_html__( 'Header', 'netube' ),
		'type'	=> 'space',
		'color' => 1,
		'border_style' => 1,
		'id'	=> $prefix.'header_navbar_border',
		'required'	=> array( $prefix.'header_navbar_skin_opt', 'custom' )
	),
	array( 
		'label'	=> esc_html__( 'Header Navbar Padding', 'netube' ),
		'desc'	=> esc_html__( 'These all are header navbar padding settings for currrent post.', 'netube' ), 
		'tab'	=> esc_html__( 'Header', 'netube' ),
		'type'	=> 'space',
		'id'	=> $prefix.'header_navbar_padding',
		'required'	=> array( $prefix.'header_navbar_skin_opt', 'custom' )
	),
	array( 
		'label'	=> esc_html__( 'Header Navbar Sticky Skin Settings', 'netube' ),
		'desc'	=> esc_html__( 'Choose header navbar sticky skin settings options.', 'netube' ), 
		'id'	=> $prefix.'header_navbar_sticky_skin_opt',
		'tab'	=> esc_html__( 'Header', 'netube' ),
		'type'	=> 'select',
		'options' => array ( 
			'theme-default' => esc_html__( 'Theme Default', 'netube' ),
			'custom' => esc_html__( 'Custom', 'netube' )
		),
		'default'	=> 'theme-default'
	),
	array( 
		'label'	=> esc_html__( 'Header Navbar Sticky Font Color', 'netube' ),
		'desc'	=> esc_html__( 'These all are header navbar sticky font color for currrent post.', 'netube' ), 
		'tab'	=> esc_html__( 'Header', 'netube' ),
		'type'	=> 'color',
		'id'	=> $prefix.'header_navbar_sticky_font',
		'required'	=> array( $prefix.'header_navbar_sticky_skin_opt', 'custom' )
	),
	array( 
		'label'	=> esc_html__( 'Header Navbar Sticky Background', 'netube' ),
		'desc'	=> esc_html__( 'These all are header navbar sticky background color for currrent post.', 'netube' ), 
		'tab'	=> esc_html__( 'Header', 'netube' ),
		'type'	=> 'alpha_color',
		'id'	=> $prefix.'header_navbar_sticky_bg',
		'required'	=> array( $prefix.'header_navbar_sticky_skin_opt', 'custom' )
	),
	array( 
		'label'	=> esc_html__( 'Header Navbar Sticky Link Color', 'netube' ),
		'desc'	=> esc_html__( 'These all are header navbar sticky link color settings for currrent post.', 'netube' ), 
		'tab'	=> esc_html__( 'Header', 'netube' ),
		'type'	=> 'link_color',
		'id'	=> $prefix.'header_navbar_sticky_link',
		'required'	=> array( $prefix.'header_navbar_sticky_skin_opt', 'custom' )
	),
	array( 
		'label'	=> esc_html__( 'Header Navbar Sticky Border', 'netube' ),
		'desc'	=> esc_html__( 'These all are header navbar sticky border settings for currrent post.', 'netube' ), 
		'tab'	=> esc_html__( 'Header', 'netube' ),
		'type'	=> 'space',
		'color' => 1,
		'border_style' => 1,
		'id'	=> $prefix.'header_navbar_sticky_border',
		'required'	=> array( $prefix.'header_navbar_sticky_skin_opt', 'custom' )
	),
	array( 
		'label'	=> esc_html__( 'Header Navbar Sticky Padding', 'netube' ),
		'desc'	=> esc_html__( 'These all are header navbar sticky padding settings for currrent post.', 'netube' ), 
		'tab'	=> esc_html__( 'Header', 'netube' ),
		'type'	=> 'space',
		'id'	=> $prefix.'header_navbar_sticky_padding',
		'required'	=> array( $prefix.'header_navbar_sticky_skin_opt', 'custom' )
	),
	array( 
		'label'	=> esc_html__( 'Header Navbar Items Option', 'netube' ),
		'desc'	=> esc_html__( 'Choose header navbar items enable options.', 'netube' ), 
		'id'	=> $prefix.'header_navbar_items_opt',
		'tab'	=> esc_html__( 'Header', 'netube' ),
		'type'	=> 'select',
		'options' => array ( 
			'theme-default' => esc_html__( 'Theme Default', 'netube' ),
			'custom' => esc_html__( 'Custom', 'netube' )
		),
		'default'	=> 'theme-default'
	),
	array( 
		'label'	=> esc_html__( 'Header Navbar Items', 'netube' ),
		'desc'	=> esc_html__( 'These all are header navbar items for currrent post.', 'netube' ), 
		'tab'	=> esc_html__( 'Header', 'netube' ),
		'type'	=> 'dragdrop_multi',
		'id'	=> $prefix.'header_navbar_items',
		'dd_fields' => array ( 
			'Left'  => array(											
				'header-navbar-menu'    => esc_html__( 'Main Menu', 'netube' ),
			),
			'Center' => array(
			),
			'Right' => array(
				'header-navbar-search'	=> esc_html__( 'Search', 'netube' ),
			),
			'disabled' => array(
				'header-navbar-text-1'	=> esc_html__( 'Custom Text 1', 'netube' ),
				'header-navbar-text-2'	=> esc_html__( 'Custom Text 2', 'netube' ),
				'header-navbar-logo'	=> esc_html__( 'Logo', 'netube' ),
				'header-navbar-social'	=> esc_html__( 'Social', 'netube' ),
				'header-navbar-secondary-toggle'	=> esc_html__( 'Secondary Toggle', 'netube' ),
				'header-navbar-search-toggle'	=> esc_html__( 'Search Toggle', 'netube' ),
				'header-navbar-sticky-logo'	=> esc_html__( 'Stikcy Logo', 'netube' ),
			)
		),
		'required'	=> array( $prefix.'header_navbar_items_opt', 'custom' )
	),
	array( 
		'label'	=> esc_html__( 'Header Sticky/Fixed Part', 'netube' ),
		'desc'	=> esc_html__( 'These all are header stikcy settings for currrent post.', 'netube' ), 
		'tab'	=> esc_html__( 'Header', 'netube' ),
		'type'	=> 'label'
	),
	array( 
		'label'	=> esc_html__( 'Header Sticky/Fixed Part Options', 'netube' ),
		'desc'	=> esc_html__( 'Choose header sticky part option.', 'netube' ), 
		'id'	=> $prefix.'header_stikcy_opt',
		'tab'	=> esc_html__( 'Header', 'netube' ),
		'type'	=> 'select',
		'options' => array ( 
			'theme-default' => esc_html__( 'Theme Default', 'netube' ),
			'custom' => esc_html__( 'Custom', 'netube' )
		),
		'default'	=> 'theme-default'
	),
	array( 
		'label'	=> esc_html__( 'Header Sticky/Fixed Part Width', 'netube' ),
		'desc'	=> esc_html__( 'These all are header stikcy part width for currrent post.', 'netube' ), 
		'tab'	=> esc_html__( 'Header', 'netube' ),
		'type'	=> 'dimension',
		'id'	=> $prefix.'header_stikcy_width',
		'property' => 'width',
		'required'	=> array( $prefix.'header_stikcy_opt', 'custom' )
	),
	array( 
		'label'	=> '',
		'desc'	=> esc_html__( 'These all are header stikcy skin settings for currrent post.', 'netube' ), 
		'tab'	=> esc_html__( 'Header', 'netube' ),
		'type'	=> 'label'
	),
	array( 
		'label'	=> esc_html__( 'Header Sticky/Fixed Part Skin Settings', 'netube' ),
		'desc'	=> esc_html__( 'Choose header stikcy skin settings options.', 'netube' ), 
		'id'	=> $prefix.'header_stikcy_skin_opt',
		'tab'	=> esc_html__( 'Header', 'netube' ),
		'type'	=> 'select',
		'options' => array ( 
			'theme-default' => esc_html__( 'Theme Default', 'netube' ),
			'custom' => esc_html__( 'Custom', 'netube' )
		),
		'default'	=> 'theme-default'
	),
	array( 
		'label'	=> esc_html__( 'Header Sticky/Fixed Part Font Color', 'netube' ),
		'desc'	=> esc_html__( 'These all are header stikcy font color for currrent post.', 'netube' ), 
		'tab'	=> esc_html__( 'Header', 'netube' ),
		'type'	=> 'color',
		'id'	=> $prefix.'header_stikcy_font',
		'required'	=> array( $prefix.'header_stikcy_skin_opt', 'custom' )
	),
	array( 
		'label'	=> esc_html__( 'Header Sticky/Fixed Part Background', 'netube' ),
		'desc'	=> esc_html__( 'These all are header stikcy background color for currrent post.', 'netube' ), 
		'tab'	=> esc_html__( 'Header', 'netube' ),
		'type'	=> 'alpha_color',
		'id'	=> $prefix.'header_stikcy_bg',
		'required'	=> array( $prefix.'header_stikcy_skin_opt', 'custom' )
	),
	array( 
		'label'	=> esc_html__( 'Header Sticky/Fixed Part Link Color', 'netube' ),
		'desc'	=> esc_html__( 'These all are header stikcy link color settings for currrent post.', 'netube' ), 
		'tab'	=> esc_html__( 'Header', 'netube' ),
		'type'	=> 'link_color',
		'id'	=> $prefix.'header_stikcy_link',
		'required'	=> array( $prefix.'header_stikcy_skin_opt', 'custom' )
	),
	array( 
		'label'	=> esc_html__( 'Header Sticky/Fixed Part Border', 'netube' ),
		'desc'	=> esc_html__( 'These all are header stikcy border settings for currrent post.', 'netube' ), 
		'tab'	=> esc_html__( 'Header', 'netube' ),
		'type'	=> 'space',
		'color' => 1,
		'border_style' => 1,
		'id'	=> $prefix.'header_stikcy_border',
		'required'	=> array( $prefix.'header_stikcy_skin_opt', 'custom' )
	),
	array( 
		'label'	=> esc_html__( 'Header Sticky/Fixed Part Padding', 'netube' ),
		'desc'	=> esc_html__( 'These all are header stikcy padding settings for currrent post.', 'netube' ), 
		'tab'	=> esc_html__( 'Header', 'netube' ),
		'type'	=> 'space',
		'id'	=> $prefix.'header_stikcy_padding',
		'required'	=> array( $prefix.'header_stikcy_skin_opt', 'custom' )
	),
	array( 
		'label'	=> esc_html__( 'Header Sticky/Fixed Part Items Option', 'netube' ),
		'desc'	=> esc_html__( 'Choose header stikcy items enable options.', 'netube' ), 
		'id'	=> $prefix.'header_stikcy_items_opt',
		'tab'	=> esc_html__( 'Header', 'netube' ),
		'type'	=> 'select',
		'options' => array ( 
			'theme-default' => esc_html__( 'Theme Default', 'netube' ),
			'custom' => esc_html__( 'Custom', 'netube' )
		),
		'default'	=> 'theme-default'
	),
	array( 
		'label'	=> esc_html__( 'Header Sticky/Fixed Part Items', 'netube' ),
		'desc'	=> esc_html__( 'These all are header stikcy items for currrent post.', 'netube' ), 
		'tab'	=> esc_html__( 'Header', 'netube' ),
		'type'	=> 'dragdrop_multi',
		'id'	=> $prefix.'header_stikcy_items',
		'dd_fields' => array ( 
			'Top'  => array(
				'header-fixed-logo' => esc_html__( 'Logo', 'netube' )
			),
			'Middle'  => array(
				'header-fixed-menu'	=> esc_html__( 'Menu', 'netube' )					
			),
			'Bottom'  => array(
				'header-fixed-social'	=> esc_html__( 'Social', 'netube' )					
			),
			'disabled' => array(
				'header-fixed-text-1'	=> esc_html__( 'Custom Text 1', 'netube' ),
				'header-fixed-text-2'	=> esc_html__( 'Custom Text 2', 'netube' ),
				'header-fixed-search'	=> esc_html__( 'Search Form', 'netube' )
			)
		),
		'required'	=> array( $prefix.'header_stikcy_items_opt', 'custom' )
	),
	array( 
		'label'	=> esc_html__( 'Post Title Bar', 'netube' ),
		'desc'	=> esc_html__( 'These all are post title bar settings for currrent post.', 'netube' ), 
		'tab'	=> esc_html__( 'Header', 'netube' ),
		'type'	=> 'label'
	),
	array( 
		'label'	=> esc_html__( 'Post Title Option', 'netube' ),
		'desc'	=> esc_html__( 'Choose post title enable or disable.', 'netube' ), 
		'id'	=> $prefix.'header_post_title_opt',
		'tab'	=> esc_html__( 'Header', 'netube' ),
		'type'	=> 'select',
		'options' => array ( 
			'theme-default' => esc_html__( 'Theme Default', 'netube' ),
			'1' => esc_html__( 'Enable', 'netube' ),
			'0' => esc_html__( 'Disable', 'netube' )
		),
		'default'	=> 'theme-default'
	),
	array( 
		'label'	=> esc_html__( 'Post Title Text', 'netube' ),
		'desc'	=> esc_html__( 'If this post title is empty, then showing current post default title.', 'netube' ), 
		'id'	=> $prefix.'header_post_title_text',
		'tab'	=> esc_html__( 'Header', 'netube' ),
		'type'	=> 'text',
		'default'	=> '',
		'required'	=> array( $prefix.'header_post_title_opt', '1' )
	),
	array( 
		'label'	=> esc_html__( 'Post Title Description', 'netube' ),
		'desc'	=> esc_html__( 'Enter post title description.', 'netube' ), 
		'id'	=> $prefix.'header_post_title_desc',
		'tab'	=> esc_html__( 'Header', 'netube' ),
		'type'	=> 'textarea',
		'default'	=> '',
		'required'	=> array( $prefix.'header_post_title_opt', '1' )
	),
	array( 
		'label'	=> esc_html__( 'Post Title Background Parallax', 'netube' ),
		'desc'	=> esc_html__( 'Choose post title background parallax.', 'netube' ), 
		'id'	=> $prefix.'header_post_title_parallax',
		'tab'	=> esc_html__( 'Header', 'netube' ),
		'type'	=> 'select',
		'options' => array ( 
			'theme-default' => esc_html__( 'Theme Default', 'netube' ),
			'1' => esc_html__( 'Enable', 'netube' ),
			'0' => esc_html__( 'Disable', 'netube' )
		),
		'default'	=> 'theme-default',
		'required'	=> array( $prefix.'header_post_title_opt', '1' )
	),
	array( 
		'label'	=> esc_html__( 'Post Title Background Video Option', 'netube' ),
		'desc'	=> esc_html__( 'Choose post title background video option.', 'netube' ), 
		'id'	=> $prefix.'header_post_title_video_opt',
		'tab'	=> esc_html__( 'Header', 'netube' ),
		'type'	=> 'select',
		'options' => array ( 
			'theme-default' => esc_html__( 'Theme Default', 'netube' ),
			'1' => esc_html__( 'Enable', 'netube' ),
			'0' => esc_html__( 'Disable', 'netube' )
		),
		'default'	=> 'theme-default',
		'required'	=> array( $prefix.'header_post_title_opt', '1' )
	),
	array( 
		'label'	=> esc_html__( 'Post Title Background Video', 'netube' ),
		'desc'	=> esc_html__( 'Enter youtube video ID. Example: ZSt9tm3RoUU.', 'netube' ), 
		'id'	=> $prefix.'header_post_title_video',
		'tab'	=> esc_html__( 'Header', 'netube' ),
		'type'	=> 'text',
		'default'	=> '',
		'required'	=> array( $prefix.'header_post_title_video_opt', '1' )
	),
	array( 
		'label'	=> esc_html__( 'Post Title Bar Items Option', 'netube' ),
		'desc'	=> esc_html__( 'Choose post title bar items option.', 'netube' ), 
		'id'	=> $prefix.'post_title_items_opt',
		'tab'	=> esc_html__( 'Header', 'netube' ),
		'type'	=> 'select',
		'options' => array ( 
			'theme-default' => esc_html__( 'Theme Default', 'netube' ),
			'custom' => esc_html__( 'Custom', 'netube' )
		),
		'default'	=> 'theme-default',
		'required'	=> array( $prefix.'header_post_title_opt', '1' )
	),
	array( 
		'label'	=> esc_html__( 'Post Title Bar Items', 'netube' ),
		'desc'	=> esc_html__( 'These all are post title bar items for currrent post.', 'netube' ), 
		'tab'	=> esc_html__( 'Header', 'netube' ),
		'type'	=> 'dragdrop_multi',
		'id'	=> $prefix.'post_title_items',
		'dd_fields' => array ( 
			'Left'  => array(
				'title' => esc_html__( 'Post Title Text', 'netube' ),
			),
			'Center'  => array(
				
			),
			'Right'  => array(
				'breadcrumb'	=> esc_html__( 'Breadcrumb', 'netube' )
			),
			'disabled' => array()
		),
		'required'	=> array( $prefix.'post_title_items_opt', 'custom' )
	),
	array( 
		'label'	=> '',
		'desc'	=> esc_html__( 'These all are post title skin settings for currrent post.', 'netube' ), 
		'tab'	=> esc_html__( 'Header', 'netube' ),
		'type'	=> 'label',
		'required'	=> array( $prefix.'header_post_title_opt', '1' )
	),
	array( 
		'label'	=> esc_html__( 'Post Title Skin Settings', 'netube' ),
		'desc'	=> esc_html__( 'Choose post title skin settings options.', 'netube' ), 
		'id'	=> $prefix.'post_title_skin_opt',
		'tab'	=> esc_html__( 'Header', 'netube' ),
		'type'	=> 'select',
		'options' => array ( 
			'theme-default' => esc_html__( 'Theme Default', 'netube' ),
			'custom' => esc_html__( 'Custom', 'netube' )
		),
		'default'	=> 'theme-default',
		'required'	=> array( $prefix.'header_post_title_opt', '1' )
	),
	array( 
		'label'	=> esc_html__( 'Post Title Font Color', 'netube' ),
		'desc'	=> esc_html__( 'These all are post title font color for currrent post.', 'netube' ), 
		'tab'	=> esc_html__( 'Header', 'netube' ),
		'type'	=> 'color',
		'id'	=> $prefix.'post_title_font',
		'required'	=> array( $prefix.'post_title_skin_opt', 'custom' )
	),
	array( 
		'label'	=> esc_html__( 'Post Title Background Color', 'netube' ),
		'desc'	=> esc_html__( 'These all are post title background color for currrent post.', 'netube' ), 
		'tab'	=> esc_html__( 'Header', 'netube' ),
		'type'	=> 'alpha_color',
		'id'	=> $prefix.'post_title_bg',
		'required'	=> array( $prefix.'post_title_skin_opt', 'custom' )
	),
	array( 
		'label'	=> esc_html__( 'Post Title Background Image', 'netube' ),
		'desc'	=> esc_html__( 'Enter post title background image url.', 'netube' ), 
		'id'	=> $prefix.'post_title_bg_img',
		'tab'	=> esc_html__( 'Header', 'netube' ),
		'type'	=> 'url',
		'default'	=> '',
		'required'	=> array( $prefix.'post_title_skin_opt', 'custom' )
	),
	array( 
		'label'	=> esc_html__( 'Post Title Link Color', 'netube' ),
		'desc'	=> esc_html__( 'These all are post title link color settings for currrent post.', 'netube' ), 
		'tab'	=> esc_html__( 'Header', 'netube' ),
		'type'	=> 'link_color',
		'id'	=> $prefix.'post_title_link',
		'required'	=> array( $prefix.'post_title_skin_opt', 'custom' )
	),
	array( 
		'label'	=> esc_html__( 'Post Title Border', 'netube' ),
		'desc'	=> esc_html__( 'These all are post title border settings for currrent post.', 'netube' ), 
		'tab'	=> esc_html__( 'Header', 'netube' ),
		'type'	=> 'space',
		'color' => 1,
		'border_style' => 1,
		'id'	=> $prefix.'post_title_border',
		'required'	=> array( $prefix.'post_title_skin_opt', 'custom' )
	),
	array( 
		'label'	=> esc_html__( 'Post Title Padding', 'netube' ),
		'desc'	=> esc_html__( 'These all are post title padding settings for currrent post.', 'netube' ), 
		'tab'	=> esc_html__( 'Header', 'netube' ),
		'type'	=> 'space',
		'id'	=> $prefix.'post_title_padding',
		'required'	=> array( $prefix.'post_title_skin_opt', 'custom' )
	),
	array( 
		'label'	=> esc_html__( 'Post Title Overlay', 'netube' ),
		'desc'	=> esc_html__( 'These all are post title overlay color for currrent post.', 'netube' ), 
		'tab'	=> esc_html__( 'Header', 'netube' ),
		'type'	=> 'alpha_color',
		'id'	=> $prefix.'post_title_overlay',
		'required'	=> array( $prefix.'post_title_skin_opt', 'custom' )
	),
	//Footer
	array( 
		'label'	=> 'Footer General',
		'desc'	=> esc_html__( 'These all are header footer settings for currrent post.', 'netube' ), 
		'tab'	=> esc_html__( 'Footer', 'netube' ),
		'type'	=> 'label'
	),
	array( 
		'label'	=> esc_html__( 'Footer Layout', 'netube' ),
		'desc'	=> esc_html__( 'Choose footer layout for current post.', 'netube' ), 
		'id'	=> $prefix.'footer_layout',
		'tab'	=> esc_html__( 'Footer', 'netube' ),
		'type'	=> 'select',
		'options' => array ( 
			'theme-default' => esc_html__( 'Theme Default', 'netube' ),
			'wide' => esc_html__( 'Wide', 'netube' ),
			'boxed' => esc_html__( 'Boxed', 'netube' )
		),
		'default'	=> 'theme-default'
	),
	array( 
		'label'	=> esc_html__( 'Hidden Footer', 'netube' ),
		'desc'	=> esc_html__( 'Choose hidden footer option.', 'netube' ), 
		'id'	=> $prefix.'hidden_footer',
		'tab'	=> esc_html__( 'Footer', 'netube' ),
		'type'	=> 'select',
		'options' => array ( 
			'theme-default' => esc_html__( 'Theme Default', 'netube' ),
			'1' => esc_html__( 'Enable', 'netube' ),
			'0' => esc_html__( 'Disable', 'netube' )
		),
		'default'	=> 'theme-default'
	),
	array( 
		'label'	=> '',
		'desc'	=> esc_html__( 'These all are footer skin settings for currrent post.', 'netube' ), 
		'tab'	=> esc_html__( 'Footer', 'netube' ),
		'type'	=> 'label'
	),
	array( 
		'label'	=> esc_html__( 'Footer Skin Settings', 'netube' ),
		'desc'	=> esc_html__( 'Choose footer skin settings options.', 'netube' ), 
		'id'	=> $prefix.'footer_skin_opt',
		'tab'	=> esc_html__( 'Footer', 'netube' ),
		'type'	=> 'select',
		'options' => array ( 
			'theme-default' => esc_html__( 'Theme Default', 'netube' ),
			'custom' => esc_html__( 'Custom', 'netube' )
		),
		'default'	=> 'theme-default'
	),
	array( 
		'label'	=> esc_html__( 'Footer Font Color', 'netube' ),
		'desc'	=> esc_html__( 'These all are footer font color for currrent post.', 'netube' ), 
		'tab'	=> esc_html__( 'Footer', 'netube' ),
		'type'	=> 'color',
		'id'	=> $prefix.'footer_font',
		'required'	=> array( $prefix.'footer_skin_opt', 'custom' )
	),
	array( 
		'label'	=> esc_html__( 'Footer Background Image', 'netube' ),
		'desc'	=> esc_html__( 'Choose footer background image for currrent post.', 'netube' ), 
		'tab'	=> esc_html__( 'Footer', 'netube' ),
		'type'	=> 'image',
		'id'	=> $prefix.'footer_bg_img',
		'required'	=> array( $prefix.'footer_skin_opt', 'custom' )
	),
	array( 
		'label'	=> esc_html__( 'Footer Background Color', 'netube' ),
		'desc'	=> esc_html__( 'These all are footer background color for currrent post.', 'netube' ), 
		'tab'	=> esc_html__( 'Footer', 'netube' ),
		'type'	=> 'color',
		'id'	=> $prefix.'footer_bg',
		'required'	=> array( $prefix.'footer_skin_opt', 'custom' )
	),
	array( 
		'label'	=> esc_html__( 'Footer Background Overlay', 'netube' ),
		'desc'	=> esc_html__( 'These all are footer background overlay color for currrent post.', 'netube' ), 
		'tab'	=> esc_html__( 'Footer', 'netube' ),
		'type'	=> 'alpha_color',
		'id'	=> $prefix.'footer_bg_overlay',
		'required'	=> array( $prefix.'footer_skin_opt', 'custom' )
	),
	array( 
		'label'	=> esc_html__( 'Footer Link Color', 'netube' ),
		'desc'	=> esc_html__( 'These all are footer link color settings for currrent post.', 'netube' ), 
		'tab'	=> esc_html__( 'Footer', 'netube' ),
		'type'	=> 'link_color',
		'id'	=> $prefix.'footer_link',
		'required'	=> array( $prefix.'footer_skin_opt', 'custom' )
	),
	array( 
		'label'	=> esc_html__( 'Footer Border', 'netube' ),
		'desc'	=> esc_html__( 'These all are footer border settings for currrent post.', 'netube' ), 
		'tab'	=> esc_html__( 'Footer', 'netube' ),
		'type'	=> 'space',
		'color' => 1,
		'border_style' => 1,
		'id'	=> $prefix.'footer_border',
		'required'	=> array( $prefix.'footer_skin_opt', 'custom' )
	),
	array( 
		'label'	=> esc_html__( 'Footer Padding', 'netube' ),
		'desc'	=> esc_html__( 'These all are footer padding settings for currrent post.', 'netube' ), 
		'tab'	=> esc_html__( 'Footer', 'netube' ),
		'type'	=> 'space',
		'id'	=> $prefix.'footer_padding',
		'required'	=> array( $prefix.'footer_skin_opt', 'custom' )
	),
	array( 
		'label'	=> esc_html__( 'Footer Items Option', 'netube' ),
		'desc'	=> esc_html__( 'Choose footer items enable options.', 'netube' ), 
		'id'	=> $prefix.'footer_items_opt',
		'tab'	=> esc_html__( 'Footer', 'netube' ),
		'type'	=> 'select',
		'options' => array ( 
			'theme-default' => esc_html__( 'Theme Default', 'netube' ),
			'custom' => esc_html__( 'Custom', 'netube' )
		),
		'default'	=> 'theme-default'
	),
	array( 
		'label'	=> esc_html__( 'Footer Items', 'netube' ),
		'desc'	=> esc_html__( 'These all are footer items for currrent post.', 'netube' ), 
		'tab'	=> esc_html__( 'Footer', 'netube' ),
		'type'	=> 'dragdrop_multi',
		'id'	=> $prefix.'footer_items',
		'dd_fields' => array ( 
			'Enabled'  => array(
				'footer-bottom'	=> esc_html__( 'Footer Bottom', 'netube' )
			),
			'disabled' => array(
				'footer-top' => esc_html__( 'Footer Top', 'netube' ),
				'footer-middle'	=> esc_html__( 'Footer Middle', 'netube' )
			)
		),
		'required'	=> array( $prefix.'footer_items_opt', 'custom' )
	),
	array( 
		'label'	=> 'Footer Top',
		'desc'	=> esc_html__( 'These all are footer top settings for currrent post.', 'netube' ), 
		'tab'	=> esc_html__( 'Footer', 'netube' ),
		'type'	=> 'label'
	),
	array( 
		'label'	=> esc_html__( 'Footer Top Skin', 'netube' ),
		'desc'	=> esc_html__( 'Choose footer top skin options.', 'netube' ), 
		'id'	=> $prefix.'footer_top_skin_opt',
		'tab'	=> esc_html__( 'Footer', 'netube' ),
		'type'	=> 'select',
		'options' => array ( 
			'theme-default' => esc_html__( 'Theme Default', 'netube' ),
			'custom' => esc_html__( 'Custom', 'netube' )
		),
		'default'	=> 'theme-default'
	),
	array( 
		'label'	=> esc_html__( 'Footer Top Font Color', 'netube' ),
		'desc'	=> esc_html__( 'These all are footer top font color for currrent post.', 'netube' ), 
		'tab'	=> esc_html__( 'Footer', 'netube' ),
		'type'	=> 'color',
		'id'	=> $prefix.'footer_top_font',
		'required'	=> array( $prefix.'footer_top_skin_opt', 'custom' )
	),
	array( 
		'label'	=> esc_html__( 'Footer Top Background', 'netube' ),
		'desc'	=> esc_html__( 'These all are footer background color for currrent post.', 'netube' ), 
		'tab'	=> esc_html__( 'Footer', 'netube' ),
		'type'	=> 'alpha_color',
		'id'	=> $prefix.'footer_top_bg',
		'required'	=> array( $prefix.'footer_top_skin_opt', 'custom' )
	),
	array( 
		'label'	=> esc_html__( 'Footer Top Link Color', 'netube' ),
		'desc'	=> esc_html__( 'These all are footer top link color settings for currrent post.', 'netube' ), 
		'tab'	=> esc_html__( 'Footer', 'netube' ),
		'type'	=> 'link_color',
		'id'	=> $prefix.'footer_top_link',
		'required'	=> array( $prefix.'footer_top_skin_opt', 'custom' )
	),
	array( 
		'label'	=> esc_html__( 'Footer Top Border', 'netube' ),
		'desc'	=> esc_html__( 'These all are footer top border settings for currrent post.', 'netube' ), 
		'tab'	=> esc_html__( 'Footer', 'netube' ),
		'type'	=> 'space',
		'color' => 1,
		'border_style' => 1,
		'id'	=> $prefix.'footer_top_border',
		'required'	=> array( $prefix.'footer_top_skin_opt', 'custom' )
	),
	array( 
		'label'	=> esc_html__( 'Footer Top Padding', 'netube' ),
		'desc'	=> esc_html__( 'These all are footer top padding settings for currrent post.', 'netube' ), 
		'tab'	=> esc_html__( 'Footer', 'netube' ),
		'type'	=> 'space',
		'id'	=> $prefix.'footer_top_padding',
		'required'	=> array( $prefix.'footer_top_skin_opt', 'custom' )
	),
	array( 
		'label'	=> 'Footer Top Columns and Sidebars Settings',
		'desc'	=> esc_html__( 'These all are footer top columns and sidebar settings.', 'netube' ), 
		'tab'	=> esc_html__( 'Footer', 'netube' ),
		'type'	=> 'label'
	),
	array( 
		'label'	=> esc_html__( 'Footer Layout Option', 'netube' ),
		'desc'	=> esc_html__( 'Choose footer layout option.', 'netube' ), 
		'id'	=> $prefix.'footer_top_layout_opt',
		'tab'	=> esc_html__( 'Footer', 'netube' ),
		'type'	=> 'select',
		'options' => array ( 
			'theme-default' => esc_html__( 'Theme Default', 'netube' ),
			'custom' => esc_html__( 'Custom', 'netube' )
		),
		'default'	=> 'theme-default'
	),
	array( 
		'label'	=> esc_html__( 'Footer Layout', 'netube' ),
		'id'	=> $prefix.'footer_top_layout',
		'tab'	=> esc_html__( 'Footer', 'netube' ),
		'type'	=> 'image_select',
		'options' => array(
			'3-3-3-3'	=> NETUBE_CORE_URL . '/admin/ReduxCore/assets/img/footer-layouts/footer-1.png', 
			'4-4-4'	=> NETUBE_CORE_URL . '/admin/ReduxCore/assets/img/footer-layouts/footer-2.png', 
			'3-6-3'	=> NETUBE_CORE_URL . '/admin/ReduxCore/assets/img/footer-layouts/footer-3.png', 
			'6-6'	=> NETUBE_CORE_URL . '/admin/ReduxCore/assets/img/footer-layouts/footer-4.png', 
			'9-3'	=> NETUBE_CORE_URL . '/admin/ReduxCore/assets/img/footer-layouts/footer-5.png', 
			'3-9'	=> NETUBE_CORE_URL . '/admin/ReduxCore/assets/img/footer-layouts/footer-6.png', 
			'12'	=> NETUBE_CORE_URL . '/admin/ReduxCore/assets/img/footer-layouts/footer-7.png'
		),
		'default'	=> '4-4-4',
		'required'	=> array( $prefix.'footer_top_layout_opt', 'custom' )
	),
	array( 
		'label'	=> 'Footer First Column',
		'desc'	=> esc_html__( 'Select footer first column widget.', 'netube' ), 
		'tab'	=> esc_html__( 'Footer', 'netube' ),
		'id'	=> $prefix.'footer_top_sidebar_1',
		'type'	=> 'sidebar',
		'required'	=> array( $prefix.'footer_top_layout_opt', 'custom' )
	),
	array( 
		'label'	=> 'Footer Second Column',
		'desc'	=> esc_html__( 'Select footer second column widget.', 'netube' ), 
		'tab'	=> esc_html__( 'Footer', 'netube' ),
		'id'	=> $prefix.'footer_top_sidebar_2',
		'type'	=> 'sidebar',
		'required'	=> array( $prefix.'footer_top_layout_opt', 'custom' )
	),
	array( 
		'label'	=> 'Footer Third Column',
		'desc'	=> esc_html__( 'Select footer third column widget.', 'netube' ), 
		'tab'	=> esc_html__( 'Footer', 'netube' ),
		'id'	=> $prefix.'footer_top_sidebar_3',
		'type'	=> 'sidebar',
		'required'	=> array( $prefix.'footer_top_layout_opt', 'custom' )
	),
	array( 
		'label'	=> 'Footer Fourth Column',
		'desc'	=> esc_html__( 'Select footer fourth column widget.', 'netube' ), 
		'tab'	=> esc_html__( 'Footer', 'netube' ),
		'id'	=> $prefix.'footer_top_sidebar_4',
		'type'	=> 'sidebar',
		'required'	=> array( $prefix.'footer_top_layout_opt', 'custom' )
	),
	array( 
		'label'	=> 'Footer Middle',
		'desc'	=> esc_html__( 'These all are footer middle settings for currrent post.', 'netube' ), 
		'tab'	=> esc_html__( 'Footer', 'netube' ),
		'type'	=> 'label'
	),
	array( 
		'label'	=> esc_html__( 'Footer Middle Skin', 'netube' ),
		'desc'	=> esc_html__( 'Choose footer middle skin options.', 'netube' ), 
		'id'	=> $prefix.'footer_middle_skin_opt',
		'tab'	=> esc_html__( 'Footer', 'netube' ),
		'type'	=> 'select',
		'options' => array ( 
			'theme-default' => esc_html__( 'Theme Default', 'netube' ),
			'custom' => esc_html__( 'Custom', 'netube' )
		),
		'default'	=> 'theme-default'
	),
	array( 
		'label'	=> esc_html__( 'Footer Middle Font Color', 'netube' ),
		'desc'	=> esc_html__( 'These all are footer middle font color for currrent post.', 'netube' ), 
		'tab'	=> esc_html__( 'Footer', 'netube' ),
		'type'	=> 'color',
		'id'	=> $prefix.'footer_middle_font',
		'required'	=> array( $prefix.'footer_middle_skin_opt', 'custom' )
	),
	array( 
		'label'	=> esc_html__( 'Footer Middle Background', 'netube' ),
		'desc'	=> esc_html__( 'These all are footer background color for currrent post.', 'netube' ), 
		'tab'	=> esc_html__( 'Footer', 'netube' ),
		'type'	=> 'alpha_color',
		'id'	=> $prefix.'footer_middle_bg',
		'required'	=> array( $prefix.'footer_middle_skin_opt', 'custom' )
	),
	array( 
		'label'	=> esc_html__( 'Footer Middle Link Color', 'netube' ),
		'desc'	=> esc_html__( 'These all are footer middle link color settings for currrent post.', 'netube' ), 
		'tab'	=> esc_html__( 'Footer', 'netube' ),
		'type'	=> 'link_color',
		'id'	=> $prefix.'footer_middle_link',
		'required'	=> array( $prefix.'footer_middle_skin_opt', 'custom' )
	),
	array( 
		'label'	=> esc_html__( 'Footer Middle Border', 'netube' ),
		'desc'	=> esc_html__( 'These all are footer middle border settings for currrent post.', 'netube' ), 
		'tab'	=> esc_html__( 'Footer', 'netube' ),
		'type'	=> 'space',
		'color' => 1,
		'border_style' => 1,
		'id'	=> $prefix.'footer_middle_border',
		'required'	=> array( $prefix.'footer_middle_skin_opt', 'custom' )
	),
	array( 
		'label'	=> esc_html__( 'Footer Middle Padding', 'netube' ),
		'desc'	=> esc_html__( 'These all are footer middle padding settings for currrent post.', 'netube' ), 
		'tab'	=> esc_html__( 'Footer', 'netube' ),
		'type'	=> 'space',
		'id'	=> $prefix.'footer_middle_padding',
		'required'	=> array( $prefix.'footer_middle_skin_opt', 'custom' )
	),
	array( 
		'label'	=> 'Footer Middle Columns and Sidebars Settings',
		'desc'	=> esc_html__( 'These all are footer middle columns and sidebar settings.', 'netube' ), 
		'tab'	=> esc_html__( 'Footer', 'netube' ),
		'type'	=> 'label'
	),
	array( 
		'label'	=> esc_html__( 'Footer Layout Option', 'netube' ),
		'desc'	=> esc_html__( 'Choose footer layout option.', 'netube' ), 
		'id'	=> $prefix.'footer_middle_layout_opt',
		'tab'	=> esc_html__( 'Footer', 'netube' ),
		'type'	=> 'select',
		'options' => array ( 
			'theme-default' => esc_html__( 'Theme Default', 'netube' ),
			'custom' => esc_html__( 'Custom', 'netube' )
		),
		'default'	=> 'theme-default'
	),
	array( 
		'label'	=> esc_html__( 'Footer Layout', 'netube' ),
		'id'	=> $prefix.'footer_middle_layout',
		'tab'	=> esc_html__( 'Footer', 'netube' ),
		'type'	=> 'image_select',
		'options' => array(
			'3-3-3-3'	=> NETUBE_CORE_URL . '/admin/ReduxCore/assets/img/footer-layouts/footer-1.png', 
			'4-4-4'	=> NETUBE_CORE_URL . '/admin/ReduxCore/assets/img/footer-layouts/footer-2.png', 
			'3-6-3'	=> NETUBE_CORE_URL . '/admin/ReduxCore/assets/img/footer-layouts/footer-3.png', 
			'6-6'	=> NETUBE_CORE_URL . '/admin/ReduxCore/assets/img/footer-layouts/footer-4.png', 
			'9-3'	=> NETUBE_CORE_URL . '/admin/ReduxCore/assets/img/footer-layouts/footer-5.png', 
			'3-9'	=> NETUBE_CORE_URL . '/admin/ReduxCore/assets/img/footer-layouts/footer-6.png', 
			'12'	=> NETUBE_CORE_URL . '/admin/ReduxCore/assets/img/footer-layouts/footer-7.png'
		),
		'default'	=> '4-4-4',
		'required'	=> array( $prefix.'footer_middle_layout_opt', 'custom' )
	),
	array( 
		'label'	=> 'Footer First Column',
		'desc'	=> esc_html__( 'Select footer first column widget.', 'netube' ), 
		'tab'	=> esc_html__( 'Footer', 'netube' ),
		'id'	=> $prefix.'footer_middle_sidebar_1',
		'type'	=> 'sidebar',
		'required'	=> array( $prefix.'footer_middle_layout_opt', 'custom' )
	),
	array( 
		'label'	=> 'Footer Second Column',
		'desc'	=> esc_html__( 'Select footer second column widget.', 'netube' ), 
		'tab'	=> esc_html__( 'Footer', 'netube' ),
		'id'	=> $prefix.'footer_middle_sidebar_2',
		'type'	=> 'sidebar',
		'required'	=> array( $prefix.'footer_middle_layout_opt', 'custom' )
	),
	array( 
		'label'	=> 'Footer Third Column',
		'desc'	=> esc_html__( 'Select footer third column widget.', 'netube' ), 
		'tab'	=> esc_html__( 'Footer', 'netube' ),
		'id'	=> $prefix.'footer_middle_sidebar_3',
		'type'	=> 'sidebar',
		'required'	=> array( $prefix.'footer_middle_layout_opt', 'custom' )
	),
	array( 
		'label'	=> 'Footer Fourth Column',
		'desc'	=> esc_html__( 'Select footer fourth column widget.', 'netube' ), 
		'tab'	=> esc_html__( 'Footer', 'netube' ),
		'id'	=> $prefix.'footer_middle_sidebar_4',
		'type'	=> 'sidebar',
		'required'	=> array( $prefix.'footer_middle_layout_opt', 'custom' )
	),
	array( 
		'label'	=> 'Footer Bottom',
		'desc'	=> esc_html__( 'These all are footer bottom settings for currrent post.', 'netube' ), 
		'tab'	=> esc_html__( 'Footer', 'netube' ),
		'type'	=> 'label'
	),
	array( 
		'label'	=> esc_html__( 'Footer Bottom Fixed', 'netube' ),
		'desc'	=> esc_html__( 'Choose footer bottom fixed option.', 'netube' ), 
		'id'	=> $prefix.'footer_bottom_fixed',
		'tab'	=> esc_html__( 'Footer', 'netube' ),
		'type'	=> 'select',
		'options' => array ( 
			'theme-default' => esc_html__( 'Theme Default', 'netube' ),
			'1' => esc_html__( 'Enable', 'netube' ),
			'0' => esc_html__( 'Disable', 'netube' )			
		),
		'default'	=> 'theme-default'
	),
	array( 
		'label'	=> '',
		'desc'	=> esc_html__( 'These all are footer bottom skin settings for currrent post.', 'netube' ), 
		'tab'	=> esc_html__( 'Footer', 'netube' ),
		'type'	=> 'label'
	),
	array( 
		'label'	=> esc_html__( 'Footer Bottom Skin', 'netube' ),
		'desc'	=> esc_html__( 'Choose footer bottom skin options.', 'netube' ), 
		'id'	=> $prefix.'footer_bottom_skin_opt',
		'tab'	=> esc_html__( 'Footer', 'netube' ),
		'type'	=> 'select',
		'options' => array ( 
			'theme-default' => esc_html__( 'Theme Default', 'netube' ),
			'custom' => esc_html__( 'Custom', 'netube' )
		),
		'default'	=> 'theme-default'
	),
	array( 
		'label'	=> esc_html__( 'Footer Bottom Font Color', 'netube' ),
		'desc'	=> esc_html__( 'These all are footer bottom font color for currrent post.', 'netube' ), 
		'tab'	=> esc_html__( 'Footer', 'netube' ),
		'type'	=> 'color',
		'id'	=> $prefix.'footer_bottom_font',
		'required'	=> array( $prefix.'footer_bottom_skin_opt', 'custom' )
	),
	array( 
		'label'	=> esc_html__( 'Footer Bottom Background', 'netube' ),
		'desc'	=> esc_html__( 'These all are footer bottom background color for currrent post.', 'netube' ), 
		'tab'	=> esc_html__( 'Footer', 'netube' ),
		'type'	=> 'alpha_color',
		'id'	=> $prefix.'footer_bottom_bg',
		'required'	=> array( $prefix.'footer_bottom_skin_opt', 'custom' )
	),
	array( 
		'label'	=> esc_html__( 'Footer Bottom Link Color', 'netube' ),
		'desc'	=> esc_html__( 'These all are footer bottom link color settings for currrent post.', 'netube' ), 
		'tab'	=> esc_html__( 'Footer', 'netube' ),
		'type'	=> 'link_color',
		'id'	=> $prefix.'footer_bottom_link',
		'required'	=> array( $prefix.'footer_bottom_skin_opt', 'custom' )
	),
	array( 
		'label'	=> esc_html__( 'Footer Bottom Border', 'netube' ),
		'desc'	=> esc_html__( 'These all are footer bottom border settings for currrent post.', 'netube' ), 
		'tab'	=> esc_html__( 'Footer', 'netube' ),
		'type'	=> 'space',
		'color' => 1,
		'border_style' => 1,
		'id'	=> $prefix.'footer_bottom_border',
		'required'	=> array( $prefix.'footer_bottom_skin_opt', 'custom' )
	),
	array( 
		'label'	=> esc_html__( 'Footer Bottom Padding', 'netube' ),
		'desc'	=> esc_html__( 'These all are footer bottom padding settings for currrent post.', 'netube' ), 
		'tab'	=> esc_html__( 'Footer', 'netube' ),
		'type'	=> 'space',
		'id'	=> $prefix.'footer_bottom_padding',
		'required'	=> array( $prefix.'footer_bottom_skin_opt', 'custom' )
	),
	array( 
		'label'	=> esc_html__( 'Footer Bottom Widget Option', 'netube' ),
		'desc'	=> esc_html__( 'Choose footer bottom widget options.', 'netube' ), 
		'id'	=> $prefix.'footer_bottom_widget_opt',
		'tab'	=> esc_html__( 'Footer', 'netube' ),
		'type'	=> 'select',
		'options' => array ( 
			'theme-default' => esc_html__( 'Theme Default', 'netube' ),
			'custom' => esc_html__( 'Custom', 'netube' )
		),
		'default'	=> 'theme-default'
	),
	array( 
		'label'	=> 'Footer Bottom Widget',
		'desc'	=> esc_html__( 'Select footer bottom widget.', 'netube' ), 
		'tab'	=> esc_html__( 'Footer', 'netube' ),
		'id'	=> $prefix.'footer_bottom_widget',
		'type'	=> 'sidebar',
		'required'	=> array( $prefix.'footer_bottom_widget_opt', 'custom' )
	),
	array( 
		'label'	=> esc_html__( 'Footer Bottom Items Option', 'netube' ),
		'desc'	=> esc_html__( 'Choose footer bottom items options.', 'netube' ), 
		'id'	=> $prefix.'footer_bottom_items_opt',
		'tab'	=> esc_html__( 'Footer', 'netube' ),
		'type'	=> 'select',
		'options' => array ( 
			'theme-default' => esc_html__( 'Theme Default', 'netube' ),
			'custom' => esc_html__( 'Custom', 'netube' )
		),
		'default'	=> 'theme-default'
	),
	array( 
		'label'	=> esc_html__( 'Footer Bottom Items', 'netube' ),
		'desc'	=> esc_html__( 'These all are footer bottom items for currrent post.', 'netube' ), 
		'tab'	=> esc_html__( 'Footer', 'netube' ),
		'type'	=> 'dragdrop_multi',
		'id'	=> $prefix.'footer_bottom_items',
		'dd_fields' => array ( 
			'Left'  => array(
				'copyright' => esc_html__( 'Copyright Text', 'netube' )
			),
			'Center'  => array(
				'menu'	=> esc_html__( 'Footer Menu', 'netube' )
			),
			'Right'  => array(),
			'disabled' => array(
				'social'	=> esc_html__( 'Footer Social Links', 'netube' ),
				'widget'	=> esc_html__( 'Custom Widget', 'netube' )
			)
		),
		'required'	=> array( $prefix.'footer_bottom_items_opt', 'custom' )
	),
	//Header Slider
	array( 
		'label'	=> esc_html__( 'Slider', 'netube' ),
		'desc'	=> esc_html__( 'This header slider settings.', 'netube' ), 
		'tab'	=> esc_html__( 'Slider', 'netube' ),
		'type'	=> 'label'
	),
	array( 
		'label'	=> esc_html__( 'Slider Option', 'netube' ),
		'id'	=> $prefix.'header_slider_opt',
		'tab'	=> esc_html__( 'Slider', 'netube' ),
		'type'	=> 'select',
		'options' => array ( 
			'theme-default' => esc_html__( 'Theme Default', 'netube' ),
			'bottom' => esc_html__( 'Below Header', 'netube' ),
			'top' => esc_html__( 'Above Header', 'netube' ),
			'none' => esc_html__( 'None', 'netube' )
		),
		'default'	=> 'theme-default'
	),
	array( 
		'label'	=> esc_html__( 'Slider Shortcode', 'netube' ),
		'desc'	=> esc_html__( 'This is the place for enter slider shortcode. Example revolution slider shortcodes.', 'netube' ), 
		'id'	=> $prefix.'header_slider',
		'tab'	=> esc_html__( 'Slider', 'netube' ),
		'type'	=> 'textarea',
		'default'	=> ''
	),
	//Post Format
	array( 
		'label'	=> esc_html__( 'Video', 'netube' ),
		'desc'	=> esc_html__( 'This part for if you choosed video format, then you must choose video type and give video id.', 'netube' ), 
		'tab'	=> esc_html__( 'Format', 'netube' ),
		'type'	=> 'label'
	),
	array( 
		'label'	=> esc_html__( 'Video Modal', 'netube' ),
		'id'	=> $prefix.'video_modal',
		'tab'	=> esc_html__( 'Format', 'netube' ),
		'type'	=> 'select',
		'options' => array ( 
			'theme-default' => esc_html__( 'Theme Default', 'netube' ),
			'onclick' => esc_html__( 'On Click Run Video', 'netube' ),
			'overlay' => esc_html__( 'Modal Box Video', 'netube' ),
			'direct' => esc_html__( 'Direct Video', 'netube' )
		),
		'default'	=> 'theme-default'
	),
	array( 
		'label'	=> esc_html__( 'Video Type', 'netube' ),
		'desc'	=> esc_html__( 'Choose video type.', 'netube' ), 
		'id'	=> $prefix.'video_type',
		'tab'	=> esc_html__( 'Format', 'netube' ),
		'type'	=> 'select',
		'options' => array ( 
			'' => esc_html__( 'None', 'netube' ),
			'youtube' => esc_html__( 'Youtube', 'netube' ),
			'vimeo' => esc_html__( 'Vimeo', 'netube' ),
			'custom' => esc_html__( 'Custom Video', 'netube' )
		),
		'default'	=> ''
	),
	array( 
		'label'	=> esc_html__( 'Video ID', 'netube' ),
		'desc'	=> esc_html__( 'Enter Video ID Example: ZSt9tm3RoUU. If you choose custom video type then you enter custom video url and video must be mp4 format.', 'netube' ), 
		'id'	=> $prefix.'video_id',
		'tab'	=> esc_html__( 'Format', 'netube' ),
		'type'	=> 'text',
		'default'	=> ''
	),
	array( 
		'type'	=> 'line',
		'tab'	=> esc_html__( 'Format', 'netube' )
	),
	array( 
		'label'	=> esc_html__( 'Audio', 'netube' ),
		'desc'	=> esc_html__( 'This part for if you choosed audio format, then you must give audio id.', 'netube' ), 
		'tab'	=> esc_html__( 'Format', 'netube' ),
		'type'	=> 'label'
	),
	array( 
		'label'	=> esc_html__( 'Audio Type', 'netube' ),
		'desc'	=> esc_html__( 'Choose audio type.', 'netube' ), 
		'id'	=> $prefix.'audio_type',
		'tab'	=> esc_html__( 'Format', 'netube' ),
		'type'	=> 'select',
		'options' => array ( 
			'' => esc_html__( 'None', 'netube' ),
			'soundcloud' => esc_html__( 'Soundcloud', 'netube' ),
			'custom' => esc_html__( 'Custom Audio', 'netube' )
		),
		'default'	=> ''
	),
	array( 
		'label'	=> esc_html__( 'Audio ID', 'netube' ),
		'desc'	=> esc_html__( 'Enter soundcloud audio ID. Example: 315307209.', 'netube' ), 
		'id'	=> $prefix.'audio_id',
		'tab'	=> esc_html__( 'Format', 'netube' ),
		'type'	=> 'text',
		'default'	=> ''
	),
	array( 
		'type'	=> 'line',
		'tab'	=> esc_html__( 'Format', 'netube' )
	),
	array( 
		'label'	=> esc_html__( 'Gallery', 'netube' ),
		'desc'	=> esc_html__( 'This part for if you choosed gallery format, then you must choose gallery images here.', 'netube' ), 
		'tab'	=> esc_html__( 'Format', 'netube' ),
		'type'	=> 'label'
	),
	array( 
		'label'	=> esc_html__( 'Gallery Modal', 'netube' ),
		'id'	=> $prefix.'gallery_modal',
		'tab'	=> esc_html__( 'Format', 'netube' ),
		'type'	=> 'select',
		'options' => array ( 
			'theme-default' => esc_html__( 'Theme Default', 'netube' ),
			'default' => esc_html__( 'Default Gallery', 'netube' ),
			'popup' => esc_html__( 'Popup Gallery', 'netube' ),
			'grid' => esc_html__( 'Grid Popup Gallery', 'netube' )
		),
		'default'	=> 'theme-default'
	),
	array( 
		'label'	=> esc_html__( 'Choose Gallery Images', 'netube' ),
		'id'	=> $prefix.'gallery',
		'type'	=> 'gallery',
		'tab'	=> esc_html__( 'Format', 'netube' )
	),
	array( 
		'type'	=> 'line',
		'tab'	=> esc_html__( 'Format', 'netube' )
	),
	array( 
		'label'	=> esc_html__( 'Quote', 'netube' ),
		'desc'	=> esc_html__( 'This part for if you choosed quote format, then you must fill the quote text and author name box.', 'netube' ), 
		'tab'	=> esc_html__( 'Format', 'netube' ),
		'type'	=> 'label'
	),
	array( 
		'label'	=> esc_html__( 'Quote Modal', 'netube' ),
		'id'	=> $prefix.'quote_modal',
		'tab'	=> esc_html__( 'Format', 'netube' ),
		'type'	=> 'select',
		'options' => array ( 
			'theme-default' => esc_html__( 'Theme Default', 'netube' ),
			'featured' => esc_html__( 'Dark Overlay', 'netube' ),
			'theme-overlay' => esc_html__( 'Theme Overlay', 'netube' ),
			'theme' => esc_html__( 'Theme Color Background', 'netube' ),
			'none' => esc_html__( 'None', 'netube' )
		),
		'default'	=> 'theme-default'
	),
	array( 
		'label'	=> esc_html__( 'Quote Text', 'netube' ),
		'desc'	=> esc_html__( 'Enter quote text.', 'netube' ), 
		'id'	=> $prefix.'quote_text',
		'tab'	=> esc_html__( 'Format', 'netube' ),
		'type'	=> 'textarea',
		'default'	=> ''
	),
	array( 
		'label'	=> esc_html__( 'Quote Author', 'netube' ),
		'desc'	=> esc_html__( 'Enter quote author name.', 'netube' ), 
		'id'	=> $prefix.'quote_author',
		'tab'	=> esc_html__( 'Format', 'netube' ),
		'type'	=> 'text',
		'default'	=> ''
	),
	array( 
		'type'	=> 'line',
		'tab'	=> esc_html__( 'Format', 'netube' )
	),
	array( 
		'label'	=> esc_html__( 'Link', 'netube' ),
		'desc'	=> esc_html__( 'This part for if you choosed link format, then you must fill the external link box.', 'netube' ), 
		'tab'	=> esc_html__( 'Format', 'netube' ),
		'type'	=> 'label'
	),
	array( 
		'label'	=> esc_html__( 'Link Modal', 'netube' ),
		'id'	=> $prefix.'link_modal',
		'tab'	=> esc_html__( 'Format', 'netube' ),
		'type'	=> 'select',
		'options' => array ( 
			'theme-default' => esc_html__( 'Theme Default', 'netube' ),
			'featured' => esc_html__( 'Dark Overlay', 'netube' ),
			'theme-overlay' => esc_html__( 'Theme Overlay', 'netube' ),
			'theme' => esc_html__( 'Theme Color Background', 'netube' ),
			'none' => esc_html__( 'None', 'netube' )
		),
		'default'	=> 'theme-default'
	),
	array( 
		'label'	=> esc_html__( 'Link Text', 'netube' ),
		'desc'	=> esc_html__( 'Enter link text to show.', 'netube' ), 
		'id'	=> $prefix.'link_text',
		'tab'	=> esc_html__( 'Format', 'netube' ),
		'type'	=> 'text',
		'default'	=> ''
	),
	array( 
		'label'	=> esc_html__( 'External Link', 'netube' ),
		'desc'	=> esc_html__( 'Enter external link.', 'netube' ), 
		'id'	=> $prefix.'extrenal_link',
		'tab'	=> esc_html__( 'Format', 'netube' ),
		'type'	=> 'url',
		'default'	=> ''
	),
	array( 
		'type'	=> 'line',
		'tab'	=> esc_html__( 'Format', 'netube' )
	),
	//News Review
	array( 
		'label'	=> esc_html__( 'Review', 'netube' ),
		'desc'	=> esc_html__( 'This is news review section.', 'netube' ), 
		'tab'	=> esc_html__( 'Review', 'netube' ),
		'type'	=> 'label'
	),
	array( 
		'label'	=> esc_html__( 'Review Text', 'netube' ),
		'desc'	=> esc_html__( 'Enter review summary text here.', 'netube' ), 
		'id'	=> $prefix.'review_text',
		'tab'	=> esc_html__( 'Review', 'netube' ),
		'type'	=> 'textarea',
		'default'	=> ''
	),
	array( 
		'label'	=> esc_html__( 'Review Rating', 'netube' ),
		'desc'	=> esc_html__( 'Enter review rating here within range of 5. Example 4.5', 'netube' ), 
		'id'	=> $prefix.'review_rating',
		'tab'	=> esc_html__( 'Review', 'netube' ),
		'type'	=> 'rating',
		'default'	=> ''
	),
);
/**
 * Instantiate the class with all variables to create a meta box
 * var $id string meta box id
 * var $title string title
 * var $fields array fields
 * var $page string|array post type to add meta box to
 * var $js bool including javascript or not
 */
 
$post_box = new Custom_Add_Meta_Box( 'netube_post_metabox', esc_html__( 'netube Post Options', 'netube' ), $fields, 'post', true );
/* netube Page Options */
//$prefix = 'netube_page_';
function netubeMetaboxFields( $prefix ){
	$netube_menus = get_terms( 'nav_menu', array( 'hide_empty' => true ) ); 
	$netube_nav_menus = array( "none" => esc_html__( "None", "netube" ) );
	foreach( $netube_menus as $menu ){
		if( isset( $menu->slug ) ){
			$netube_nav_menus[$menu->slug] = $menu->name;
		}
	}
		
	$fields = array(
		array( 
			'label'	=> esc_html__( 'Page General Settings', 'netube' ),
			'desc'	=> esc_html__( 'These all are page general settings.', 'netube' ), 
			'tab'	=> esc_html__( 'General', 'netube' ),
			'type'	=> 'label'
		),
		array( 
			'label'	=> esc_html__( 'Page Layout', 'netube' ),
			'desc'	=> esc_html__( 'Choose page layout for current post single view.', 'netube' ), 
			'id'	=> $prefix.'layout',
			'tab'	=> esc_html__( 'General', 'netube' ),
			'type'	=> 'select',
			'options' => array ( 
				'theme-default' => esc_html__( 'Theme Default', 'netube' ),
				'wide' => esc_html__( 'Wide', 'netube' ),
				'boxed' => esc_html__( 'Boxed', 'netube' )			
			),
			'default'	=> 'theme-default'
		),
		array( 
			'label'	=> esc_html__( 'Page Content Padding Option', 'netube' ),
			'id'	=> $prefix.'content_padding_opt',
			'tab'	=> esc_html__( 'General', 'netube' ),
			'type'	=> 'select',
			'options' => array ( 
				'theme-default' => esc_html__( 'Theme Default', 'netube' ),
				'custom' => esc_html__( 'Custom', 'netube' )
			),
			'default'	=> 'theme-default'		
		),
		array( 
			'label'	=> esc_html__( 'Page Content Padding', 'netube' ), 
			'desc'	=> esc_html__( 'Set the top/right/bottom/left padding of page content.', 'netube' ),
			'id'	=> $prefix.'content_padding',
			'tab'	=> esc_html__( 'General', 'netube' ),
			'type'	=> 'space',
			'required'	=> array( $prefix.'content_padding_opt', 'custom' )
		),
		array( 
			'label'	=> esc_html__( 'Page Background Color', 'netube' ),
			'desc'	=> esc_html__( 'Choose color setting for current page background.', 'netube' ),
			'tab'	=> esc_html__( 'General', 'netube' ),
			'type'	=> 'alpha_color',
			'id'	=> $prefix.'main_bg_color'
		),
		array( 
				'label'	=> esc_html__( 'Page Background Image', 'netube' ),
				'desc'	=> esc_html__( 'Choose custom logo image for current page.', 'netube' ), 
				'tab'	=> esc_html__( 'General', 'netube' ),
				'type'	=> 'image',
				'id'	=> $prefix.'main_bg_image'
			),
		array( 
			'label'	=> esc_html__( 'Page Margin', 'netube' ),
			'desc'	=> esc_html__( 'These all are margin settings for current page.', 'netube' ), 
			'tab'	=> esc_html__( 'General', 'netube' ),
			'type'	=> 'space',
			'id'	=> $prefix.'main_margin'
		),
		array( 
			'label'	=> esc_html__( 'Page Template Option', 'netube' ),
			'id'	=> $prefix.'template_opt',
			'tab'	=> esc_html__( 'General', 'netube' ),
			'type'	=> 'select',
			'options' => array ( 
				'theme-default' => esc_html__( 'Theme Default', 'netube' ),
				'custom' => esc_html__( 'Custom', 'netube' )
			),
			'default'	=> 'theme-default'		
		),
		array( 
			'label'	=> esc_html__( 'Page Template', 'netube' ),
			'id'	=> $prefix.'template',
			'tab'	=> esc_html__( 'General', 'netube' ),
			'type'	=> 'image_select',
			'options' => array(
				'no-sidebar'	=> get_theme_file_uri( '/assets/images/page-layouts/1.png' ), 
				'right-sidebar'	=> get_theme_file_uri( '/assets/images/page-layouts/2.png' ), 
				'left-sidebar'	=> get_theme_file_uri( '/assets/images/page-layouts/3.png' ), 
				'both-sidebar'	=> get_theme_file_uri( '/assets/images/page-layouts/4.png' ), 
			),
			'default'	=> 'right-sidebar',
			'required'	=> array( $prefix.'template_opt', 'custom' )
		),
		array( 
			'label'	=> esc_html__( 'Left Sidebar', 'netube' ),
			'id'	=> $prefix.'left_sidebar',
			'tab'	=> esc_html__( 'General', 'netube' ),
			'type'	=> 'sidebar',
			'required'	=> array( $prefix.'template_opt', 'custom' )
		),
		array( 
			'label'	=> esc_html__( 'Right Sidebar', 'netube' ),
			'id'	=> $prefix.'right_sidebar',
			'tab'	=> esc_html__( 'General', 'netube' ),
			'type'	=> 'sidebar',
			'required'	=> array( $prefix.'template_opt', 'custom' )
		),
		array( 
			'label'	=> esc_html__( 'Sidebar On Mobile', 'netube' ),
			'id'	=> $prefix.'sidebar_mobile',
			'tab'	=> esc_html__( 'General', 'netube' ),
			'type'	=> 'select',
			'options' => array ( 
				'theme-default' => esc_html__( 'Theme Default', 'netube' ),
				'1' => esc_html__( 'Show', 'netube' ),
				'0' => esc_html__( 'Hide', 'netube' )
			),
			'default'	=> 'theme-default'
		),
		array( 
			'label'	=> esc_html__( 'Header General Settings', 'netube' ),
			'desc'	=> esc_html__( 'These all are header general settings for currrent page.', 'netube' ), 
			'tab'	=> esc_html__( 'Header', 'netube' ),
			'type'	=> 'label'
		),
		array( 
			'label'	=> esc_html__( 'Header Layout', 'netube' ),
			'desc'	=> esc_html__( 'Choose page layout for current page header layout.', 'netube' ), 
			'id'	=> $prefix.'header_layout',
			'tab'	=> esc_html__( 'Header', 'netube' ),
			'type'	=> 'select',
			'options' => array ( 
				'theme-default' => esc_html__( 'Theme Default', 'netube' ),
				'wide' => esc_html__( 'Wide', 'netube' ),
				'boxed' => esc_html__( 'Boxed', 'netube' )
			),
			'default'	=> 'theme-default'
		),
		array( 
			'label'	=> esc_html__( 'Header Type', 'netube' ),
			'desc'	=> esc_html__( 'Choose page layout for current page header type.', 'netube' ), 
			'id'	=> $prefix.'header_type',
			'tab'	=> esc_html__( 'Header', 'netube' ),
			'type'	=> 'select',
			'options' => array ( 
				'theme-default' => esc_html__( 'Theme Default', 'netube' ),
				'default' => esc_html__( 'Default', 'netube' ),
				'left-sticky' => esc_html__( 'Left Sticky', 'netube' ),
				'right-sticky' => esc_html__( 'Right Sticky', 'netube' )
			),
			'default'	=> 'theme-default'
		),
		array( 
			'label'	=> esc_html__( 'Header Background Image', 'netube' ),
			'desc'	=> esc_html__( 'Choose header background image for currrent post.', 'netube' ), 
			'tab'	=> esc_html__( 'Header', 'netube' ),
			'type'	=> 'image',
			'id'	=> $prefix.'header_bg_img',
			'required'	=> array( $prefix.'header_type', 'default' )
		),
		array( 
			'label'	=> esc_html__( 'Header Items Options', 'netube' ),
			'desc'	=> esc_html__( 'Choose header items options for enable header drag and drop items.', 'netube' ), 
			'id'	=> $prefix.'header_items_opt',
			'tab'	=> esc_html__( 'Header', 'netube' ),
			'type'	=> 'select',
			'options' => array ( 
				'theme-default' => esc_html__( 'Theme Default', 'netube' ),
				'custom' => esc_html__( 'Custom', 'netube' )
			),
			'default'	=> 'theme-default'
		),
		array( 
			'label'	=> esc_html__( 'Header Items', 'netube' ),
			'desc'	=> esc_html__( 'These all are header general items for currrent page.', 'netube' ), 
			'tab'	=> esc_html__( 'Header', 'netube' ),
			'type'	=> 'dragdrop_multi',
			'id'	=> $prefix.'header_items',
			'dd_fields' => array ( 
				'Normal' => array( 
					'header-topbar' 	=> esc_html__( 'Topbar', 'netube' ),
					'header-logo'	=> esc_html__( 'Logo Bar', 'netube' )
				),
				'Sticky' => array( 
					'header-nav' 	=> esc_html__( 'Navbar', 'netube' )
				),
				'disabled' => array()
			),
			'required'	=> array( $prefix.'header_items_opt', 'custom' )
		),
		array( 
			'label'	=> esc_html__( 'Header Absolute Option', 'netube' ),
			'desc'	=> esc_html__( 'Choose header absolute to change header look transparent.', 'netube' ), 
			'id'	=> $prefix.'header_absolute_opt',
			'tab'	=> esc_html__( 'Header', 'netube' ),
			'type'	=> 'select',
			'options' => array ( 
				'theme-default' => esc_html__( 'Theme Default', 'netube' ),
				'1' => esc_html__( 'Enable', 'netube' ),
				'0' => esc_html__( 'Disable', 'netube' )
			),
			'default'	=> 'theme-default'
		),
		array( 
			'label'	=> esc_html__( 'Header Sticky', 'netube' ),
			'desc'	=> esc_html__( 'Choose header sticky options.', 'netube' ), 
			'id'	=> $prefix.'header_sticky_opt',
			'tab'	=> esc_html__( 'Header', 'netube' ),
			'type'	=> 'select',
			'options' => array ( 
				'theme-default' => esc_html__( 'Theme Default', 'netube' ),
				'sticky' => esc_html__( 'Header Sticky Part', 'netube' ),
				'sticky-scroll' => esc_html__( 'Sticky Scroll Up', 'netube' ),
				'none' => esc_html__( 'None', 'netube' )
			),
			'default'	=> 'theme-default'
		),
		array( 
			'label'	=> esc_html__( 'Secondary Space Option', 'netube' ),
			'desc'	=> esc_html__( 'Choose secondary space option for enable secondary menu space for current page.', 'netube' ), 
			'id'	=> $prefix.'header_secondary_opt',
			'tab'	=> esc_html__( 'Header', 'netube' ),
			'type'	=> 'select',
			'options' => array ( 
				'theme-default' => esc_html__( 'Theme Default', 'netube' ),
				'enable' => esc_html__( 'Enable', 'netube' ),
				'disable' => esc_html__( 'Disable', 'netube' )
			),
			'default'	=> 'theme-default'
		),
		array( 
			'label'	=> esc_html__( 'Secondary Space Animate Type', 'netube' ),
			'desc'	=> esc_html__( 'Choose secondary space option animate type for current page.', 'netube' ), 
			'id'	=> $prefix.'header_secondary_animate',
			'tab'	=> esc_html__( 'Header', 'netube' ),
			'type'	=> 'select',
			'options' => array(
				'left-push'		=> esc_html__( 'Left Push', 'netube' ),
				'left-overlay'	=> esc_html__( 'Left Overlay', 'netube' ),
				'right-push'	=> esc_html__( 'Right Push', 'netube' ),
				'right-overlay'	=> esc_html__( 'Right Overlay', 'netube' ),
				'full-overlay'	=> esc_html__( 'Full Page Overlay', 'netube' ),
			),
			'default'	=> 'left-push',
			'required'	=> array( $prefix.'header_secondary_opt', 'enable' )
		),
		array( 
			'label'	=> esc_html__( 'Secondary Space Width', 'netube' ),
			'desc'	=> esc_html__( 'Set secondary space width for current page. Example 300', 'netube' ), 
			'id'	=> $prefix.'header_secondary_width',
			'tab'	=> esc_html__( 'Header', 'netube' ),
			'type'	=> 'text',
			'default'	=> '',
			'required'	=> array( $prefix.'header_secondary_opt', 'enable' )
		),
		array( 
			'label'	=> esc_html__( 'Custom Logo', 'netube' ),
			'desc'	=> esc_html__( 'Choose custom logo image for currrent page.', 'netube' ), 
			'tab'	=> esc_html__( 'Header', 'netube' ),
			'type'	=> 'image',
			'id'	=> $prefix.'custom_logo',
		),
		array( 
			'label'	=> esc_html__( 'Custom Sticky Logo', 'netube' ),
			'desc'	=> esc_html__( 'Choose custom sticky logo image for currrent page.', 'netube' ), 
			'tab'	=> esc_html__( 'Header', 'netube' ),
			'type'	=> 'image',
			'id'	=> $prefix.'custom_sticky_logo',
		),
		array( 
			'label'	=> esc_html__( 'Select Navigation Menu', 'netube' ),
			'desc'	=> esc_html__( 'Choose navigation menu for current page.', 'netube' ), 
			'id'	=> $prefix.'nav_menu',
			'tab'	=> esc_html__( 'Header', 'netube' ),
			'type'	=> 'select',
			'options' => $netube_nav_menus
		),
		array( 
			'label'	=> esc_html__( 'Header Top Bar', 'netube' ),
			'desc'	=> esc_html__( 'These all are header topbar settings for currrent page.', 'netube' ), 
			'tab'	=> esc_html__( 'Header', 'netube' ),
			'type'	=> 'label'
		),
		array( 
			'label'	=> esc_html__( 'Header Top Bar Options', 'netube' ),
			'desc'	=> esc_html__( 'Choose header items options for enable header drag and drop items.', 'netube' ), 
			'id'	=> $prefix.'header_topbar_opt',
			'tab'	=> esc_html__( 'Header', 'netube' ),
			'type'	=> 'select',
			'options' => array ( 
				'theme-default' => esc_html__( 'Theme Default', 'netube' ),
				'custom' => esc_html__( 'Custom', 'netube' )
			),
			'default'	=> 'theme-default'
		),
		array( 
			'label'	=> esc_html__( 'Header Top Bar Height', 'netube' ),
			'desc'	=> esc_html__( 'These all are header topbar height for currrent page.', 'netube' ), 
			'tab'	=> esc_html__( 'Header', 'netube' ),
			'type'	=> 'dimension',
			'id'	=> $prefix.'header_topbar_height',
			'property' => 'height',
			'required'	=> array( $prefix.'header_topbar_opt', 'custom' )
		),
		array( 
			'label'	=> esc_html__( 'Header Top Bar Sticky Height', 'netube' ),
			'desc'	=> esc_html__( 'These all are header topbar sticky height for currrent page.', 'netube' ), 
			'tab'	=> esc_html__( 'Header', 'netube' ),
			'type'	=> 'dimension',
			'id'	=> $prefix.'header_topbar_sticky_height',
			'property' => 'height',
			'required'	=> array( $prefix.'header_topbar_opt', 'custom' )
		),
		array( 
			'label'	=> '',
			'desc'	=> esc_html__( 'These all are header topbar skin settings for currrent page.', 'netube' ), 
			'tab'	=> esc_html__( 'Header', 'netube' ),
			'type'	=> 'label'
		),
		array( 
			'label'	=> esc_html__( 'Header Top Bar Skin Settings', 'netube' ),
			'desc'	=> esc_html__( 'Choose header topbar skin settings options.', 'netube' ), 
			'id'	=> $prefix.'header_topbar_skin_opt',
			'tab'	=> esc_html__( 'Header', 'netube' ),
			'type'	=> 'select',
			'options' => array ( 
				'theme-default' => esc_html__( 'Theme Default', 'netube' ),
				'custom' => esc_html__( 'Custom', 'netube' )
			),
			'default'	=> 'theme-default'
		),
		array( 
			'label'	=> esc_html__( 'Header Top Bar Font Color', 'netube' ),
			'desc'	=> esc_html__( 'These all are header topbar font color for currrent page.', 'netube' ), 
			'tab'	=> esc_html__( 'Header', 'netube' ),
			'type'	=> 'color',
			'id'	=> $prefix.'header_topbar_font',
			'required'	=> array( $prefix.'header_topbar_skin_opt', 'custom' )
		),
		array( 
			'label'	=> esc_html__( 'Header Top Bar Background', 'netube' ),
			'desc'	=> esc_html__( 'These all are header topbar background color for currrent page.', 'netube' ), 
			'tab'	=> esc_html__( 'Header', 'netube' ),
			'type'	=> 'alpha_color',
			'id'	=> $prefix.'header_topbar_bg',
			'required'	=> array( $prefix.'header_topbar_skin_opt', 'custom' )
		),
		array( 
			'label'	=> esc_html__( 'Header Top Bar Link Color', 'netube' ),
			'desc'	=> esc_html__( 'These all are header topbar link color settings for currrent page.', 'netube' ), 
			'tab'	=> esc_html__( 'Header', 'netube' ),
			'type'	=> 'link_color',
			'id'	=> $prefix.'header_topbar_link',
			'required'	=> array( $prefix.'header_topbar_skin_opt', 'custom' )
		),
		array( 
			'label'	=> esc_html__( 'Header Top Bar Border', 'netube' ),
			'desc'	=> esc_html__( 'These all are header topbar border settings for currrent page.', 'netube' ), 
			'tab'	=> esc_html__( 'Header', 'netube' ),
			'type'	=> 'space',
			'color' => 1,
			'border_style' => 1,
			'id'	=> $prefix.'header_topbar_border',
			'required'	=> array( $prefix.'header_topbar_skin_opt', 'custom' )
		),
		array( 
			'label'	=> esc_html__( 'Header Top Bar Padding', 'netube' ),
			'desc'	=> esc_html__( 'These all are header topbar padding settings for currrent page.', 'netube' ), 
			'tab'	=> esc_html__( 'Header', 'netube' ),
			'type'	=> 'space',
			'id'	=> $prefix.'header_topbar_padding',
			'required'	=> array( $prefix.'header_topbar_skin_opt', 'custom' )
		),
		array( 
			'label'	=> esc_html__( 'Header Top Bar Sticky Skin Settings', 'netube' ),
			'desc'	=> esc_html__( 'Choose header top barsticky skin settings options.', 'netube' ), 
			'id'	=> $prefix.'header_topbar_sticky_skin_opt',
			'tab'	=> esc_html__( 'Header', 'netube' ),
			'type'	=> 'select',
			'options' => array ( 
				'theme-default' => esc_html__( 'Theme Default', 'netube' ),
				'custom' => esc_html__( 'Custom', 'netube' )
			),
			'default'	=> 'theme-default'
		),
		array( 
			'label'	=> esc_html__( 'Header Top Bar Sticky Font Color', 'netube' ),
			'desc'	=> esc_html__( 'These all are header top barsticky font color for currrent post.', 'netube' ), 
			'tab'	=> esc_html__( 'Header', 'netube' ),
			'type'	=> 'color',
			'id'	=> $prefix.'header_topbar_sticky_font',
			'required'	=> array( $prefix.'header_topbar_sticky_skin_opt', 'custom' )
		),
		array( 
			'label'	=> esc_html__( 'Header Top Bar Sticky Background', 'netube' ),
			'desc'	=> esc_html__( 'These all are header top barsticky background color for currrent post.', 'netube' ), 
			'tab'	=> esc_html__( 'Header', 'netube' ),
			'type'	=> 'alpha_color',
			'id'	=> $prefix.'header_topbar_sticky_bg',
			'required'	=> array( $prefix.'header_topbar_sticky_skin_opt', 'custom' )
		),
		array( 
			'label'	=> esc_html__( 'Header Top Bar Sticky Link Color', 'netube' ),
			'desc'	=> esc_html__( 'These all are header top barsticky link color settings for currrent post.', 'netube' ), 
			'tab'	=> esc_html__( 'Header', 'netube' ),
			'type'	=> 'link_color',
			'id'	=> $prefix.'header_topbar_sticky_link',
			'required'	=> array( $prefix.'header_topbar_sticky_skin_opt', 'custom' )
		),
		array( 
			'label'	=> esc_html__( 'Header Top Bar Sticky Border', 'netube' ),
			'desc'	=> esc_html__( 'These all are header top barsticky border settings for currrent post.', 'netube' ), 
			'tab'	=> esc_html__( 'Header', 'netube' ),
			'type'	=> 'space',
			'color' => 1,
			'border_style' => 1,
			'id'	=> $prefix.'header_topbar_sticky_border',
			'required'	=> array( $prefix.'header_topbar_sticky_skin_opt', 'custom' )
		),
		array( 
			'label'	=> esc_html__( 'Header Top Bar Sticky Padding', 'netube' ),
			'desc'	=> esc_html__( 'These all are header top barsticky padding settings for currrent post.', 'netube' ), 
			'tab'	=> esc_html__( 'Header', 'netube' ),
			'type'	=> 'space',
			'id'	=> $prefix.'header_topbar_sticky_padding',
			'required'	=> array( $prefix.'header_topbar_sticky_skin_opt', 'custom' )
		),
		array( 
			'label'	=> esc_html__( 'Header Top Bar Items Option', 'netube' ),
			'desc'	=> esc_html__( 'Choose header topbar items enable options.', 'netube' ), 
			'id'	=> $prefix.'header_topbar_items_opt',
			'tab'	=> esc_html__( 'Header', 'netube' ),
			'type'	=> 'select',
			'options' => array ( 
				'theme-default' => esc_html__( 'Theme Default', 'netube' ),
				'custom' => esc_html__( 'Custom', 'netube' )
			),
			'default'	=> 'theme-default'
		),
		array( 
			'label'	=> esc_html__( 'Header Top Bar Items', 'netube' ),
			'desc'	=> esc_html__( 'These all are header topbar items for currrent page.', 'netube' ), 
			'tab'	=> esc_html__( 'Header', 'netube' ),
			'type'	=> 'dragdrop_multi',
			'id'	=> $prefix.'header_topbar_items',
			'dd_fields' => array ( 
				'Left'  => array(
					'header-topbar-date' => esc_html__( 'Date', 'netube' ),						
				),
				'Center' => array(),
				'Right' => array(),
				'disabled' => array(
					'header-topbar-text-1'	=> esc_html__( 'Custom Text 1', 'netube' ),
					'header-topbar-text-2'	=> esc_html__( 'Custom Text 2', 'netube' ),
					'header-topbar-menu'    => esc_html__( 'Top Menu', 'netube' ),
					'header-topbar-social'	=> esc_html__( 'Social', 'netube' ),
					'header-topbar-search'	=> esc_html__( 'Search', 'netube' )
				)
			),
			'required'	=> array( $prefix.'header_topbar_items_opt', 'custom' )
		),
		array( 
			'label'	=> esc_html__( 'Header Logo Bar', 'netube' ),
			'desc'	=> esc_html__( 'These all are header logo bar settings for currrent page.', 'netube' ), 
			'tab'	=> esc_html__( 'Header', 'netube' ),
			'type'	=> 'label'
		),
		array( 
			'label'	=> esc_html__( 'Header Logo Bar Options', 'netube' ),
			'desc'	=> esc_html__( 'Choose header items options for enable header drag and drop items.', 'netube' ), 
			'id'	=> $prefix.'header_logo_bar_opt',
			'tab'	=> esc_html__( 'Header', 'netube' ),
			'type'	=> 'select',
			'options' => array ( 
				'theme-default' => esc_html__( 'Theme Default', 'netube' ),
				'custom' => esc_html__( 'Custom', 'netube' )
			),
			'default'	=> 'theme-default'
		),
		array( 
			'label'	=> esc_html__( 'Header Logo Bar Height', 'netube' ),
			'desc'	=> esc_html__( 'These all are header logo bar height for currrent page.', 'netube' ), 
			'tab'	=> esc_html__( 'Header', 'netube' ),
			'type'	=> 'dimension',
			'id'	=> $prefix.'header_logo_bar_height',
			'property' => 'height',
			'required'	=> array( $prefix.'header_logo_bar_opt', 'custom' )
		),
		array( 
			'label'	=> esc_html__( 'Header Logo Bar Sticky Height', 'netube' ),
			'desc'	=> esc_html__( 'These all are header logo bar sticky height for currrent page.', 'netube' ), 
			'tab'	=> esc_html__( 'Header', 'netube' ),
			'type'	=> 'dimension',
			'id'	=> $prefix.'header_logo_bar_sticky_height',
			'property' => 'height',
			'required'	=> array( $prefix.'header_logo_bar_opt', 'custom' )
		),
		array( 
			'label'	=> '',
			'desc'	=> esc_html__( 'These all are header logo bar skin settings for currrent page.', 'netube' ), 
			'tab'	=> esc_html__( 'Header', 'netube' ),
			'type'	=> 'label'
		),
		array( 
			'label'	=> esc_html__( 'Header Logo Bar Skin Settings', 'netube' ),
			'desc'	=> esc_html__( 'Choose header logo bar skin settings options.', 'netube' ), 
			'id'	=> $prefix.'header_logo_bar_skin_opt',
			'tab'	=> esc_html__( 'Header', 'netube' ),
			'type'	=> 'select',
			'options' => array ( 
				'theme-default' => esc_html__( 'Theme Default', 'netube' ),
				'custom' => esc_html__( 'Custom', 'netube' )
			),
			'default'	=> 'theme-default'
		),
		array( 
			'label'	=> esc_html__( 'Header Logo Bar Font Color', 'netube' ),
			'desc'	=> esc_html__( 'These all are header logo bar font color for currrent page.', 'netube' ), 
			'tab'	=> esc_html__( 'Header', 'netube' ),
			'type'	=> 'color',
			'id'	=> $prefix.'header_logo_bar_font',
			'required'	=> array( $prefix.'header_logo_bar_skin_opt', 'custom' )
		),
		array( 
			'label'	=> esc_html__( 'Header Logo Bar Background', 'netube' ),
			'desc'	=> esc_html__( 'These all are header logo bar background color for currrent page.', 'netube' ), 
			'tab'	=> esc_html__( 'Header', 'netube' ),
			'type'	=> 'alpha_color',
			'id'	=> $prefix.'header_logo_bar_bg',
			'required'	=> array( $prefix.'header_logo_bar_skin_opt', 'custom' )
		),
		array( 
			'label'	=> esc_html__( 'Header Logo Bar Link Color', 'netube' ),
			'desc'	=> esc_html__( 'These all are header logo bar link color settings for currrent page.', 'netube' ), 
			'tab'	=> esc_html__( 'Header', 'netube' ),
			'type'	=> 'link_color',
			'id'	=> $prefix.'header_logo_bar_link',
			'required'	=> array( $prefix.'header_logo_bar_skin_opt', 'custom' )
		),
		array( 
			'label'	=> esc_html__( 'Header Logo Bar Border', 'netube' ),
			'desc'	=> esc_html__( 'These all are header logo bar border settings for currrent page.', 'netube' ), 
			'tab'	=> esc_html__( 'Header', 'netube' ),
			'type'	=> 'space',
			'color' => 1,
			'border_style' => 1,
			'id'	=> $prefix.'header_logo_bar_border',
			'required'	=> array( $prefix.'header_logo_bar_skin_opt', 'custom' )
		),
		array( 
			'label'	=> esc_html__( 'Header Logo Bar Padding', 'netube' ),
			'desc'	=> esc_html__( 'These all are header logo bar padding settings for currrent page.', 'netube' ), 
			'tab'	=> esc_html__( 'Header', 'netube' ),
			'type'	=> 'space',
			'id'	=> $prefix.'header_logo_bar_padding',
			'required'	=> array( $prefix.'header_logo_bar_skin_opt', 'custom' )
		),
		array( 
			'label'	=> esc_html__( 'Header Logo Bar Sticky Skin Settings', 'netube' ),
			'desc'	=> esc_html__( 'Choose header logo bar sticky skin settings options.', 'netube' ), 
			'id'	=> $prefix.'header_logobar_sticky_skin_opt',
			'tab'	=> esc_html__( 'Header', 'netube' ),
			'type'	=> 'select',
			'options' => array ( 
				'theme-default' => esc_html__( 'Theme Default', 'netube' ),
				'custom' => esc_html__( 'Custom', 'netube' )
			),
			'default'	=> 'theme-default'
		),
		array( 
			'label'	=> esc_html__( 'Header Logo Bar Sticky Font Color', 'netube' ),
			'desc'	=> esc_html__( 'These all are header logo bar sticky font color for currrent post.', 'netube' ), 
			'tab'	=> esc_html__( 'Header', 'netube' ),
			'type'	=> 'color',
			'id'	=> $prefix.'header_logobar_sticky_font',
			'required'	=> array( $prefix.'header_logobar_sticky_skin_opt', 'custom' )
		),
		array( 
			'label'	=> esc_html__( 'Header Logo Bar Sticky Background', 'netube' ),
			'desc'	=> esc_html__( 'These all are header logo bar sticky background color for currrent post.', 'netube' ), 
			'tab'	=> esc_html__( 'Header', 'netube' ),
			'type'	=> 'alpha_color',
			'id'	=> $prefix.'header_logobar_sticky_bg',
			'required'	=> array( $prefix.'header_logobar_sticky_skin_opt', 'custom' )
		),
		array( 
			'label'	=> esc_html__( 'Header Logo Bar Sticky Link Color', 'netube' ),
			'desc'	=> esc_html__( 'These all are header logo bar sticky link color settings for currrent post.', 'netube' ), 
			'tab'	=> esc_html__( 'Header', 'netube' ),
			'type'	=> 'link_color',
			'id'	=> $prefix.'header_logobar_sticky_link',
			'required'	=> array( $prefix.'header_logobar_sticky_skin_opt', 'custom' )
		),
		array( 
			'label'	=> esc_html__( 'Header Logo Bar Sticky Border', 'netube' ),
			'desc'	=> esc_html__( 'These all are header logo bar sticky border settings for currrent post.', 'netube' ), 
			'tab'	=> esc_html__( 'Header', 'netube' ),
			'type'	=> 'space',
			'color' => 1,
			'border_style' => 1,
			'id'	=> $prefix.'header_logobar_sticky_border',
			'required'	=> array( $prefix.'header_logobar_sticky_skin_opt', 'custom' )
		),
		array( 
			'label'	=> esc_html__( 'Header Logo Bar Sticky Padding', 'netube' ),
			'desc'	=> esc_html__( 'These all are header logo bar sticky padding settings for currrent post.', 'netube' ), 
			'tab'	=> esc_html__( 'Header', 'netube' ),
			'type'	=> 'space',
			'id'	=> $prefix.'header_logobar_sticky_padding',
			'required'	=> array( $prefix.'header_logobar_sticky_skin_opt', 'custom' )
		),
		array( 
			'label'	=> esc_html__( 'Header Logo Bar Items Option', 'netube' ),
			'desc'	=> esc_html__( 'Choose header logo bar items enable options.', 'netube' ), 
			'id'	=> $prefix.'header_logo_bar_items_opt',
			'tab'	=> esc_html__( 'Header', 'netube' ),
			'type'	=> 'select',
			'options' => array ( 
				'theme-default' => esc_html__( 'Theme Default', 'netube' ),
				'custom' => esc_html__( 'Custom', 'netube' )
			),
			'default'	=> 'theme-default'
		),
		array( 
			'label'	=> esc_html__( 'Header Logo Bar Items', 'netube' ),
			'desc'	=> esc_html__( 'These all are header logo bar items for currrent page.', 'netube' ), 
			'tab'	=> esc_html__( 'Header', 'netube' ),
			'type'	=> 'dragdrop_multi',
			'id'	=> $prefix.'header_logo_bar_items',
			'dd_fields' => array ( 
				'Left'  => array(),
				'Center' => array(
					'header-logobar-logo'	=> esc_html__( 'Logo', 'netube' ),
				),
				'Right' => array(),
				'disabled' => array(
					'header-logobar-text-1'	=> esc_html__( 'Custom Text 1', 'netube' ),
					'header-logobar-text-2'	=> esc_html__( 'Custom Text 2', 'netube' ),
					'header-logobar-menu'    => esc_html__( 'Main Menu', 'netube' ),
					'header-logobar-social'	=> esc_html__( 'Social', 'netube' ),
					'header-logobar-search'	=> esc_html__( 'Search', 'netube' ),
					'header-logobar-secondary-toggle'	=> esc_html__( 'Secondary Toggle', 'netube' ),
					'header-logobar-search-toggle'	=> esc_html__( 'Search Toggle', 'netube' )
				)
			),
			'required'	=> array( $prefix.'header_logo_bar_items_opt', 'custom' )
		),
		array( 
			'label'	=> esc_html__( 'Header Navbar', 'netube' ),
			'desc'	=> esc_html__( 'These all are header navbar settings for currrent page.', 'netube' ), 
			'tab'	=> esc_html__( 'Header', 'netube' ),
			'type'	=> 'label'
		),
		array( 
			'label'	=> esc_html__( 'Header Navbar Options', 'netube' ),
			'desc'	=> esc_html__( 'Choose header items options for enable header drag and drop items.', 'netube' ), 
			'id'	=> $prefix.'header_navbar_opt',
			'tab'	=> esc_html__( 'Header', 'netube' ),
			'type'	=> 'select',
			'options' => array ( 
				'theme-default' => esc_html__( 'Theme Default', 'netube' ),
				'custom' => esc_html__( 'Custom', 'netube' )
			),
			'default'	=> 'theme-default'
		),
		array( 
			'label'	=> esc_html__( 'Header Navbar Height', 'netube' ),
			'desc'	=> esc_html__( 'These all are header navbar height for currrent page.', 'netube' ), 
			'tab'	=> esc_html__( 'Header', 'netube' ),
			'type'	=> 'dimension',
			'id'	=> $prefix.'header_navbar_height',
			'property' => 'height',
			'required'	=> array( $prefix.'header_navbar_opt', 'custom' )
		),
		array( 
			'label'	=> esc_html__( 'Header Navbar Sticky Height', 'netube' ),
			'desc'	=> esc_html__( 'These all are header navbar sticky height for currrent page.', 'netube' ), 
			'tab'	=> esc_html__( 'Header', 'netube' ),
			'type'	=> 'dimension',
			'id'	=> $prefix.'header_navbar_sticky_height',
			'property' => 'height',
			'required'	=> array( $prefix.'header_navbar_opt', 'custom' )
		),
		array( 
			'label'	=> '',
			'desc'	=> esc_html__( 'These all are header navbar skin settings for currrent page.', 'netube' ), 
			'tab'	=> esc_html__( 'Header', 'netube' ),
			'type'	=> 'label'
		),
		array( 
			'label'	=> esc_html__( 'Header Navbar Skin Settings', 'netube' ),
			'desc'	=> esc_html__( 'Choose header navbar skin settings options.', 'netube' ), 
			'id'	=> $prefix.'header_navbar_skin_opt',
			'tab'	=> esc_html__( 'Header', 'netube' ),
			'type'	=> 'select',
			'options' => array ( 
				'theme-default' => esc_html__( 'Theme Default', 'netube' ),
				'custom' => esc_html__( 'Custom', 'netube' )
			),
			'default'	=> 'theme-default'
		),
		array( 
			'label'	=> esc_html__( 'Header Navbar Font Color', 'netube' ),
			'desc'	=> esc_html__( 'These all are header navbar font color for currrent page.', 'netube' ), 
			'tab'	=> esc_html__( 'Header', 'netube' ),
			'type'	=> 'color',
			'id'	=> $prefix.'header_navbar_font',
			'required'	=> array( $prefix.'header_navbar_skin_opt', 'custom' )
		),
		array( 
			'label'	=> esc_html__( 'Header Navbar Background', 'netube' ),
			'desc'	=> esc_html__( 'These all are header navbar background color for currrent page.', 'netube' ), 
			'tab'	=> esc_html__( 'Header', 'netube' ),
			'type'	=> 'alpha_color',
			'id'	=> $prefix.'header_navbar_bg',
			'required'	=> array( $prefix.'header_navbar_skin_opt', 'custom' )
		),
		array( 
			'label'	=> esc_html__( 'Header Navbar Link Color', 'netube' ),
			'desc'	=> esc_html__( 'These all are header navbar link color settings for currrent page.', 'netube' ), 
			'tab'	=> esc_html__( 'Header', 'netube' ),
			'type'	=> 'link_color',
			'id'	=> $prefix.'header_navbar_link',
			'required'	=> array( $prefix.'header_navbar_skin_opt', 'custom' )
		),
		array( 
			'label'	=> esc_html__( 'Header Navbar Border', 'netube' ),
			'desc'	=> esc_html__( 'These all are header navbar border settings for currrent page.', 'netube' ), 
			'tab'	=> esc_html__( 'Header', 'netube' ),
			'type'	=> 'space',
			'color' => 1,
			'border_style' => 1,
			'id'	=> $prefix.'header_navbar_border',
			'required'	=> array( $prefix.'header_navbar_skin_opt', 'custom' )
		),
		array( 
			'label'	=> esc_html__( 'Header Navbar Padding', 'netube' ),
			'desc'	=> esc_html__( 'These all are header navbar padding settings for currrent page.', 'netube' ), 
			'tab'	=> esc_html__( 'Header', 'netube' ),
			'type'	=> 'space',
			'id'	=> $prefix.'header_navbar_padding',
			'required'	=> array( $prefix.'header_navbar_skin_opt', 'custom' )
		),
		array( 
			'label'	=> esc_html__( 'Header Navbar Sticky Skin Settings', 'netube' ),
			'desc'	=> esc_html__( 'Choose header navbar sticky skin settings options.', 'netube' ), 
			'id'	=> $prefix.'header_navbar_sticky_skin_opt',
			'tab'	=> esc_html__( 'Header', 'netube' ),
			'type'	=> 'select',
			'options' => array ( 
				'theme-default' => esc_html__( 'Theme Default', 'netube' ),
				'custom' => esc_html__( 'Custom', 'netube' )
			),
			'default'	=> 'theme-default'
		),
		array( 
			'label'	=> esc_html__( 'Header Navbar Sticky Font Color', 'netube' ),
			'desc'	=> esc_html__( 'These all are header navbar sticky font color for currrent post.', 'netube' ), 
			'tab'	=> esc_html__( 'Header', 'netube' ),
			'type'	=> 'color',
			'id'	=> $prefix.'header_navbar_sticky_font',
			'required'	=> array( $prefix.'header_navbar_sticky_skin_opt', 'custom' )
		),
		array( 
			'label'	=> esc_html__( 'Header Navbar Sticky Background', 'netube' ),
			'desc'	=> esc_html__( 'These all are header navbar sticky background color for currrent post.', 'netube' ), 
			'tab'	=> esc_html__( 'Header', 'netube' ),
			'type'	=> 'alpha_color',
			'id'	=> $prefix.'header_navbar_sticky_bg',
			'required'	=> array( $prefix.'header_navbar_sticky_skin_opt', 'custom' )
		),
		array( 
			'label'	=> esc_html__( 'Header Navbar Sticky Link Color', 'netube' ),
			'desc'	=> esc_html__( 'These all are header navbar sticky link color settings for currrent post.', 'netube' ), 
			'tab'	=> esc_html__( 'Header', 'netube' ),
			'type'	=> 'link_color',
			'id'	=> $prefix.'header_navbar_sticky_link',
			'required'	=> array( $prefix.'header_navbar_sticky_skin_opt', 'custom' )
		),
		array( 
			'label'	=> esc_html__( 'Header Navbar Sticky Border', 'netube' ),
			'desc'	=> esc_html__( 'These all are header navbar sticky border settings for currrent post.', 'netube' ), 
			'tab'	=> esc_html__( 'Header', 'netube' ),
			'type'	=> 'space',
			'color' => 1,
			'border_style' => 1,
			'id'	=> $prefix.'header_navbar_sticky_border',
			'required'	=> array( $prefix.'header_navbar_sticky_skin_opt', 'custom' )
		),
		array( 
			'label'	=> esc_html__( 'Header Navbar Sticky Padding', 'netube' ),
			'desc'	=> esc_html__( 'These all are header navbar sticky padding settings for currrent post.', 'netube' ), 
			'tab'	=> esc_html__( 'Header', 'netube' ),
			'type'	=> 'space',
			'id'	=> $prefix.'header_navbar_sticky_padding',
			'required'	=> array( $prefix.'header_navbar_sticky_skin_opt', 'custom' )
		),
		array( 
			'label'	=> esc_html__( 'Header Navbar Items Option', 'netube' ),
			'desc'	=> esc_html__( 'Choose header navbar items enable options.', 'netube' ), 
			'id'	=> $prefix.'header_navbar_items_opt',
			'tab'	=> esc_html__( 'Header', 'netube' ),
			'type'	=> 'select',
			'options' => array ( 
				'theme-default' => esc_html__( 'Theme Default', 'netube' ),
				'custom' => esc_html__( 'Custom', 'netube' )
			),
			'default'	=> 'theme-default'
		),
		array( 
			'label'	=> esc_html__( 'Header Navbar Items', 'netube' ),
			'desc'	=> esc_html__( 'These all are header navbar items for currrent page.', 'netube' ), 
			'tab'	=> esc_html__( 'Header', 'netube' ),
			'type'	=> 'dragdrop_multi',
			'id'	=> $prefix.'header_navbar_items',
			'dd_fields' => array ( 
				'Left'  => array(											
					'header-navbar-menu'    => esc_html__( 'Main Menu', 'netube' ),
				),
				'Center' => array(
				),
				'Right' => array(
					'header-navbar-search'	=> esc_html__( 'Search', 'netube' ),
				),
				'disabled' => array(
					'header-navbar-text-1'	=> esc_html__( 'Custom Text 1', 'netube' ),
					'header-navbar-text-2'	=> esc_html__( 'Custom Text 2', 'netube' ),
					'header-navbar-logo'	=> esc_html__( 'Logo', 'netube' ),
					'header-navbar-social'	=> esc_html__( 'Social', 'netube' ),
					'header-navbar-secondary-toggle'	=> esc_html__( 'Secondary Toggle', 'netube' ),
					'header-navbar-search-toggle'	=> esc_html__( 'Search Toggle', 'netube' ),
					'header-navbar-sticky-logo'	=> esc_html__( 'Stikcy Logo', 'netube' ),
				)
			),
			'required'	=> array( $prefix.'header_navbar_items_opt', 'custom' )
		),
		array( 
			'label'	=> esc_html__( 'Header Sticky/Fixed Part', 'netube' ),
			'desc'	=> esc_html__( 'These all are header stikcy settings for currrent page.', 'netube' ), 
			'tab'	=> esc_html__( 'Header', 'netube' ),
			'type'	=> 'label'
		),
		array( 
			'label'	=> esc_html__( 'Header Sticky/Fixed Part Options', 'netube' ),
			'desc'	=> esc_html__( 'Choose header sticky part option.', 'netube' ), 
			'id'	=> $prefix.'header_stikcy_opt',
			'tab'	=> esc_html__( 'Header', 'netube' ),
			'type'	=> 'select',
			'options' => array ( 
				'theme-default' => esc_html__( 'Theme Default', 'netube' ),
				'custom' => esc_html__( 'Custom', 'netube' )
			),
			'default'	=> 'theme-default'
		),
		array( 
			'label'	=> esc_html__( 'Header Sticky/Fixed Part Width', 'netube' ),
			'desc'	=> esc_html__( 'These all are header stikcy part width for currrent page.', 'netube' ), 
			'tab'	=> esc_html__( 'Header', 'netube' ),
			'type'	=> 'dimension',
			'id'	=> $prefix.'header_stikcy_width',
			'property' => 'width',
			'required'	=> array( $prefix.'header_stikcy_opt', 'custom' )
		),
		array( 
			'label'	=> '',
			'desc'	=> esc_html__( 'These all are header stikcy skin settings for currrent page.', 'netube' ), 
			'tab'	=> esc_html__( 'Header', 'netube' ),
			'type'	=> 'label'
		),
		array( 
			'label'	=> esc_html__( 'Header Sticky/Fixed Part Skin Settings', 'netube' ),
			'desc'	=> esc_html__( 'Choose header stikcy skin settings options.', 'netube' ), 
			'id'	=> $prefix.'header_stikcy_skin_opt',
			'tab'	=> esc_html__( 'Header', 'netube' ),
			'type'	=> 'select',
			'options' => array ( 
				'theme-default' => esc_html__( 'Theme Default', 'netube' ),
				'custom' => esc_html__( 'Custom', 'netube' )
			),
			'default'	=> 'theme-default'
		),
		array( 
			'label'	=> esc_html__( 'Header Sticky/Fixed Part Font Color', 'netube' ),
			'desc'	=> esc_html__( 'These all are header stikcy font color for currrent page.', 'netube' ), 
			'tab'	=> esc_html__( 'Header', 'netube' ),
			'type'	=> 'color',
			'id'	=> $prefix.'header_stikcy_font',
			'required'	=> array( $prefix.'header_stikcy_skin_opt', 'custom' )
		),
		array( 
			'label'	=> esc_html__( 'Header Sticky/Fixed Part Background', 'netube' ),
			'desc'	=> esc_html__( 'These all are header stikcy background color for currrent page.', 'netube' ), 
			'tab'	=> esc_html__( 'Header', 'netube' ),
			'type'	=> 'alpha_color',
			'id'	=> $prefix.'header_stikcy_bg',
			'required'	=> array( $prefix.'header_stikcy_skin_opt', 'custom' )
		),
		array( 
			'label'	=> esc_html__( 'Header Sticky/Fixed Part Link Color', 'netube' ),
			'desc'	=> esc_html__( 'These all are header stikcy link color settings for currrent page.', 'netube' ), 
			'tab'	=> esc_html__( 'Header', 'netube' ),
			'type'	=> 'link_color',
			'id'	=> $prefix.'header_stikcy_link',
			'required'	=> array( $prefix.'header_stikcy_skin_opt', 'custom' )
		),
		array( 
			'label'	=> esc_html__( 'Header Sticky/Fixed Part Border', 'netube' ),
			'desc'	=> esc_html__( 'These all are header stikcy border settings for currrent page.', 'netube' ), 
			'tab'	=> esc_html__( 'Header', 'netube' ),
			'type'	=> 'space',
			'color' => 1,
			'border_style' => 1,
			'id'	=> $prefix.'header_stikcy_border',
			'required'	=> array( $prefix.'header_stikcy_skin_opt', 'custom' )
		),
		array( 
			'label'	=> esc_html__( 'Header Sticky/Fixed Part Padding', 'netube' ),
			'desc'	=> esc_html__( 'These all are header stikcy padding settings for currrent page.', 'netube' ), 
			'tab'	=> esc_html__( 'Header', 'netube' ),
			'type'	=> 'space',
			'id'	=> $prefix.'header_stikcy_padding',
			'required'	=> array( $prefix.'header_stikcy_skin_opt', 'custom' )
		),
		array( 
			'label'	=> esc_html__( 'Header Sticky/Fixed Part Items Option', 'netube' ),
			'desc'	=> esc_html__( 'Choose header stikcy items enable options.', 'netube' ), 
			'id'	=> $prefix.'header_stikcy_items_opt',
			'tab'	=> esc_html__( 'Header', 'netube' ),
			'type'	=> 'select',
			'options' => array ( 
				'theme-default' => esc_html__( 'Theme Default', 'netube' ),
				'custom' => esc_html__( 'Custom', 'netube' )
			),
			'default'	=> 'theme-default'
		),
		array( 
			'label'	=> esc_html__( 'Header Sticky/Fixed Part Items', 'netube' ),
			'desc'	=> esc_html__( 'These all are header stikcy items for currrent page.', 'netube' ), 
			'tab'	=> esc_html__( 'Header', 'netube' ),
			'type'	=> 'dragdrop_multi',
			'id'	=> $prefix.'header_stikcy_items',
			'dd_fields' => array ( 
				'Top'  => array(
					'header-fixed-logo' => esc_html__( 'Logo', 'netube' )
				),
				'Middle'  => array(
					'header-fixed-menu'	=> esc_html__( 'Menu', 'netube' )					
				),
				'Bottom'  => array(
					'header-fixed-social'	=> esc_html__( 'Social', 'netube' )					
				),
				'disabled' => array(
					'header-fixed-text-1'	=> esc_html__( 'Custom Text 1', 'netube' ),
					'header-fixed-text-2'	=> esc_html__( 'Custom Text 2', 'netube' ),
					'header-fixed-search'	=> esc_html__( 'Search Form', 'netube' )
				)
			),
			'required'	=> array( $prefix.'header_stikcy_items_opt', 'custom' )
		),
		array( 
			'label'	=> esc_html__( 'Page Title Bar', 'netube' ),
			'desc'	=> esc_html__( 'These all are page title bar settings for currrent page.', 'netube' ), 
			'tab'	=> esc_html__( 'Header', 'netube' ),
			'type'	=> 'label'
		),
		array( 
			'label'	=> esc_html__( 'Page Title Option', 'netube' ),
			'desc'	=> esc_html__( 'Choose page title enable or disable.', 'netube' ), 
			'id'	=> $prefix.'header_page_title_opt',
			'tab'	=> esc_html__( 'Header', 'netube' ),
			'type'	=> 'select',
			'options' => array ( 
				'theme-default' => esc_html__( 'Theme Default', 'netube' ),
				'1' => esc_html__( 'Enable', 'netube' ),
				'0' => esc_html__( 'Disable', 'netube' )
			),
			'default'	=> 'theme-default'
		),
		array( 
			'label'	=> esc_html__( 'Page Title Text', 'netube' ),
			'desc'	=> esc_html__( 'If this page title is empty, then showing current page default title.', 'netube' ), 
			'id'	=> $prefix.'header_page_title_text',
			'tab'	=> esc_html__( 'Header', 'netube' ),
			'type'	=> 'text',
			'default'	=> '',
			'required'	=> array( $prefix.'header_page_title_opt', '1' )
		),
		array( 
			'label'	=> esc_html__( 'Page Title Description', 'netube' ),
			'desc'	=> esc_html__( 'Enter page title description.', 'netube' ), 
			'id'	=> $prefix.'header_page_title_desc',
			'tab'	=> esc_html__( 'Header', 'netube' ),
			'type'	=> 'textarea',
			'default'	=> '',
			'required'	=> array( $prefix.'header_page_title_opt', '1' )
		),
		array( 
			'label'	=> esc_html__( 'Page Title Background Parallax', 'netube' ),
			'desc'	=> esc_html__( 'Choose page title background parallax.', 'netube' ), 
			'id'	=> $prefix.'header_page_title_parallax',
			'tab'	=> esc_html__( 'Header', 'netube' ),
			'type'	=> 'select',
			'options' => array ( 
				'theme-default' => esc_html__( 'Theme Default', 'netube' ),
				'1' => esc_html__( 'Enable', 'netube' ),
				'0' => esc_html__( 'Disable', 'netube' )
			),
			'default'	=> 'theme-default',
			'required'	=> array( $prefix.'header_page_title_opt', '1' )
		),
		array( 
			'label'	=> esc_html__( 'Page Title Background Video Option', 'netube' ),
			'desc'	=> esc_html__( 'Choose page title background video option.', 'netube' ), 
			'id'	=> $prefix.'header_page_title_video_opt',
			'tab'	=> esc_html__( 'Header', 'netube' ),
			'type'	=> 'select',
			'options' => array ( 
				'theme-default' => esc_html__( 'Theme Default', 'netube' ),
				'1' => esc_html__( 'Enable', 'netube' ),
				'0' => esc_html__( 'Disable', 'netube' )
			),
			'default'	=> 'theme-default',
			'required'	=> array( $prefix.'header_page_title_opt', '1' )
		),
		array( 
			'label'	=> esc_html__( 'Page Title Background Video', 'netube' ),
			'desc'	=> esc_html__( 'Enter youtube video ID. Example: ZSt9tm3RoUU.', 'netube' ), 
			'id'	=> $prefix.'header_page_title_video',
			'tab'	=> esc_html__( 'Header', 'netube' ),
			'type'	=> 'text',
			'default'	=> '',
			'required'	=> array( $prefix.'header_page_title_video_opt', '1' )
		),
		array( 
			'label'	=> esc_html__( 'Page Title Bar Items Option', 'netube' ),
			'desc'	=> esc_html__( 'Choose page title bar items option.', 'netube' ), 
			'id'	=> $prefix.'page_title_items_opt',
			'tab'	=> esc_html__( 'Header', 'netube' ),
			'type'	=> 'select',
			'options' => array ( 
				'theme-default' => esc_html__( 'Theme Default', 'netube' ),
				'custom' => esc_html__( 'Custom', 'netube' )
			),
			'default'	=> 'theme-default',
			'required'	=> array( $prefix.'header_page_title_opt', '1' )
		),
		array( 
			'label'	=> esc_html__( 'Page Title Bar Items', 'netube' ),
			'desc'	=> esc_html__( 'These all are page title bar items for currrent page.', 'netube' ), 
			'tab'	=> esc_html__( 'Header', 'netube' ),
			'type'	=> 'dragdrop_multi',
			'id'	=> $prefix.'page_title_items',
			'dd_fields' => array ( 
				'Left'  => array(
					'title' => esc_html__( 'Page Title Text', 'netube' ),
				),
				'Center'  => array(
					
				),
				'Right'  => array(
					'breadcrumb'	=> esc_html__( 'Breadcrumb', 'netube' )
				),
				'disabled' => array(
					'description' => esc_html__( 'Page Title Description', 'netube' )
				)
			),
			'required'	=> array( $prefix.'page_title_items_opt', 'custom' )
		),
		array( 
			'label'	=> '',
			'desc'	=> esc_html__( 'These all are page title skin settings for currrent page.', 'netube' ), 
			'tab'	=> esc_html__( 'Header', 'netube' ),
			'type'	=> 'label',
			'required'	=> array( $prefix.'header_page_title_opt', '1' )
		),
		array( 
			'label'	=> esc_html__( 'Page Title Skin Settings', 'netube' ),
			'desc'	=> esc_html__( 'Choose page title skin settings options.', 'netube' ), 
			'id'	=> $prefix.'page_title_skin_opt',
			'tab'	=> esc_html__( 'Header', 'netube' ),
			'type'	=> 'select',
			'options' => array ( 
				'theme-default' => esc_html__( 'Theme Default', 'netube' ),
				'custom' => esc_html__( 'Custom', 'netube' )
			),
			'default'	=> 'theme-default',
			'required'	=> array( $prefix.'header_page_title_opt', '1' )
		),
		array( 
			'label'	=> esc_html__( 'Page Title Font Color', 'netube' ),
			'desc'	=> esc_html__( 'These all are page title font color for currrent page.', 'netube' ), 
			'tab'	=> esc_html__( 'Header', 'netube' ),
			'type'	=> 'color',
			'id'	=> $prefix.'page_title_font',
			'required'	=> array( $prefix.'page_title_skin_opt', 'custom' )
		),
		array( 
			'label'	=> esc_html__( 'Page Title Background', 'netube' ),
			'desc'	=> esc_html__( 'These all are page title background color for currrent page.', 'netube' ), 
			'tab'	=> esc_html__( 'Header', 'netube' ),
			'type'	=> 'alpha_color',
			'id'	=> $prefix.'page_title_bg',
			'required'	=> array( $prefix.'page_title_skin_opt', 'custom' )
		),
		array( 
			'label'	=> esc_html__( 'Page Title Background Image', 'netube' ),
			'desc'	=> esc_html__( 'Enter page title background image url.', 'netube' ), 
			'id'	=> $prefix.'page_title_bg_img',
			'tab'	=> esc_html__( 'Header', 'netube' ),
			'type'	=> 'url',
			'default'	=> '',
			'required'	=> array( $prefix.'page_title_skin_opt', 'custom' )
		),
		array( 
			'label'	=> esc_html__( 'Page Title Link Color', 'netube' ),
			'desc'	=> esc_html__( 'These all are page title link color settings for currrent page.', 'netube' ), 
			'tab'	=> esc_html__( 'Header', 'netube' ),
			'type'	=> 'link_color',
			'id'	=> $prefix.'page_title_link',
			'required'	=> array( $prefix.'page_title_skin_opt', 'custom' )
		),
		array( 
			'label'	=> esc_html__( 'Page Title Border', 'netube' ),
			'desc'	=> esc_html__( 'These all are page title border settings for currrent page.', 'netube' ), 
			'tab'	=> esc_html__( 'Header', 'netube' ),
			'type'	=> 'space',
			'color' => 1,
			'border_style' => 1,
			'id'	=> $prefix.'page_title_border',
			'required'	=> array( $prefix.'page_title_skin_opt', 'custom' )
		),
		array( 
			'label'	=> esc_html__( 'Page Title Padding', 'netube' ),
			'desc'	=> esc_html__( 'These all are page title padding settings for currrent page.', 'netube' ), 
			'tab'	=> esc_html__( 'Header', 'netube' ),
			'type'	=> 'space',
			'id'	=> $prefix.'page_title_padding',
			'required'	=> array( $prefix.'page_title_skin_opt', 'custom' )
		),
		array( 
			'label'	=> esc_html__( 'Page Title Overlay', 'netube' ),
			'desc'	=> esc_html__( 'These all are page title overlay color for currrent page.', 'netube' ), 
			'tab'	=> esc_html__( 'Header', 'netube' ),
			'type'	=> 'alpha_color',
			'id'	=> $prefix.'page_title_overlay',
			'required'	=> array( $prefix.'page_title_skin_opt', 'custom' )
		),
		array( 
			'label'	=> 'Footer General',
			'desc'	=> esc_html__( 'These all are header footer settings for currrent page.', 'netube' ), 
			'tab'	=> esc_html__( 'Footer', 'netube' ),
			'type'	=> 'label'
		),
		array( 
			'label'	=> esc_html__( 'Footer Layout', 'netube' ),
			'desc'	=> esc_html__( 'Choose footer layout for current page.', 'netube' ), 
			'id'	=> $prefix.'footer_layout',
			'tab'	=> esc_html__( 'Footer', 'netube' ),
			'type'	=> 'select',
			'options' => array ( 
				'theme-default' => esc_html__( 'Theme Default', 'netube' ),
				'wide' => esc_html__( 'Wide', 'netube' ),
				'boxed' => esc_html__( 'Boxed', 'netube' )
			),
			'default'	=> 'theme-default'
		),
		array( 
			'label'	=> esc_html__( 'Hidden Footer', 'netube' ),
			'desc'	=> esc_html__( 'Choose hidden footer option.', 'netube' ), 
			'id'	=> $prefix.'hidden_footer',
			'tab'	=> esc_html__( 'Footer', 'netube' ),
			'type'	=> 'select',
			'options' => array ( 
				'theme-default' => esc_html__( 'Theme Default', 'netube' ),
				'1' => esc_html__( 'Enable', 'netube' ),
				'0' => esc_html__( 'Disable', 'netube' )
			),
			'default'	=> 'theme-default'
		),
		array( 
			'label'	=> '',
			'desc'	=> esc_html__( 'These all are footer skin settings for currrent page.', 'netube' ), 
			'tab'	=> esc_html__( 'Footer', 'netube' ),
			'type'	=> 'label'
		),
		array( 
			'label'	=> esc_html__( 'Footer Skin Settings', 'netube' ),
			'desc'	=> esc_html__( 'Choose footer skin settings options.', 'netube' ), 
			'id'	=> $prefix.'footer_skin_opt',
			'tab'	=> esc_html__( 'Footer', 'netube' ),
			'type'	=> 'select',
			'options' => array ( 
				'theme-default' => esc_html__( 'Theme Default', 'netube' ),
				'custom' => esc_html__( 'Custom', 'netube' )
			),
			'default'	=> 'theme-default'
		),
		array( 
			'label'	=> esc_html__( 'Footer Font Color', 'netube' ),
			'desc'	=> esc_html__( 'These all are footer font color for currrent page.', 'netube' ), 
			'tab'	=> esc_html__( 'Footer', 'netube' ),
			'type'	=> 'color',
			'id'	=> $prefix.'footer_font',
			'required'	=> array( $prefix.'footer_skin_opt', 'custom' )
		),
		array( 
			'label'	=> esc_html__( 'Footer Background Image', 'netube' ),
			'desc'	=> esc_html__( 'Choose footer background image for currrent page.', 'netube' ), 
			'tab'	=> esc_html__( 'Footer', 'netube' ),
			'type'	=> 'image',
			'id'	=> $prefix.'footer_bg_img',
			'required'	=> array( $prefix.'footer_skin_opt', 'custom' )
		),
		array( 
			'label'	=> esc_html__( 'Footer Background Color', 'netube' ),
			'desc'	=> esc_html__( 'These all are footer background color for currrent page.', 'netube' ), 
			'tab'	=> esc_html__( 'Footer', 'netube' ),
			'type'	=> 'color',
			'id'	=> $prefix.'footer_bg',
			'required'	=> array( $prefix.'footer_skin_opt', 'custom' )
		),
		array( 
			'label'	=> esc_html__( 'Footer Background Overlay', 'netube' ),
			'desc'	=> esc_html__( 'These all are footer background overlay color for currrent page.', 'netube' ), 
			'tab'	=> esc_html__( 'Footer', 'netube' ),
			'type'	=> 'alpha_color',
			'id'	=> $prefix.'footer_bg_overlay',
			'required'	=> array( $prefix.'footer_skin_opt', 'custom' )
		),
		array( 
			'label'	=> esc_html__( 'Footer Link Color', 'netube' ),
			'desc'	=> esc_html__( 'These all are footer link color settings for currrent page.', 'netube' ), 
			'tab'	=> esc_html__( 'Footer', 'netube' ),
			'type'	=> 'link_color',
			'id'	=> $prefix.'footer_link',
			'required'	=> array( $prefix.'footer_skin_opt', 'custom' )
		),
		array( 
			'label'	=> esc_html__( 'Footer Border', 'netube' ),
			'desc'	=> esc_html__( 'These all are footer border settings for currrent page.', 'netube' ), 
			'tab'	=> esc_html__( 'Footer', 'netube' ),
			'type'	=> 'space',
			'color' => 1,
			'border_style' => 1,
			'id'	=> $prefix.'footer_border',
			'required'	=> array( $prefix.'footer_skin_opt', 'custom' )
		),
		array( 
			'label'	=> esc_html__( 'Footer Padding', 'netube' ),
			'desc'	=> esc_html__( 'These all are footer padding settings for currrent page.', 'netube' ), 
			'tab'	=> esc_html__( 'Footer', 'netube' ),
			'type'	=> 'space',
			'id'	=> $prefix.'footer_padding',
			'required'	=> array( $prefix.'footer_skin_opt', 'custom' )
		),
		array( 
			'label'	=> esc_html__( 'Footer Items Option', 'netube' ),
			'desc'	=> esc_html__( 'Choose footer items enable options.', 'netube' ), 
			'id'	=> $prefix.'footer_items_opt',
			'tab'	=> esc_html__( 'Footer', 'netube' ),
			'type'	=> 'select',
			'options' => array ( 
				'theme-default' => esc_html__( 'Theme Default', 'netube' ),
				'custom' => esc_html__( 'Custom', 'netube' )
			),
			'default'	=> 'theme-default'
		),
		array( 
			'label'	=> esc_html__( 'Footer Items', 'netube' ),
			'desc'	=> esc_html__( 'These all are footer items for currrent page.', 'netube' ), 
			'tab'	=> esc_html__( 'Footer', 'netube' ),
			'type'	=> 'dragdrop_multi',
			'id'	=> $prefix.'footer_items',
			'dd_fields' => array ( 
				'Enabled'  => array(
					'footer-bottom'	=> esc_html__( 'Footer Bottom', 'netube' )
				),
				'disabled' => array(
					'footer-top' => esc_html__( 'Footer Top', 'netube' ),
					'footer-middle'	=> esc_html__( 'Footer Middle', 'netube' )
				)
			),
			'required'	=> array( $prefix.'footer_items_opt', 'custom' )
		),
		array( 
			'label'	=> 'Footer Top',
			'desc'	=> esc_html__( 'These all are footer top settings for currrent page.', 'netube' ), 
			'tab'	=> esc_html__( 'Footer', 'netube' ),
			'type'	=> 'label'
		),
		array( 
			'label'	=> esc_html__( 'Footer Top Skin', 'netube' ),
			'desc'	=> esc_html__( 'Choose footer top skin options.', 'netube' ), 
			'id'	=> $prefix.'footer_top_skin_opt',
			'tab'	=> esc_html__( 'Footer', 'netube' ),
			'type'	=> 'select',
			'options' => array ( 
				'theme-default' => esc_html__( 'Theme Default', 'netube' ),
				'custom' => esc_html__( 'Custom', 'netube' )
			),
			'default'	=> 'theme-default'
		),
		array( 
			'label'	=> esc_html__( 'Footer Top Font Color', 'netube' ),
			'desc'	=> esc_html__( 'These all are footer top font color for currrent page.', 'netube' ), 
			'tab'	=> esc_html__( 'Footer', 'netube' ),
			'type'	=> 'color',
			'id'	=> $prefix.'footer_top_font',
			'required'	=> array( $prefix.'footer_top_skin_opt', 'custom' )
		),
		array( 
			'label'	=> esc_html__( 'Footer Top Background', 'netube' ),
			'desc'	=> esc_html__( 'These all are footer background color for currrent page.', 'netube' ), 
			'tab'	=> esc_html__( 'Footer', 'netube' ),
			'type'	=> 'alpha_color',
			'id'	=> $prefix.'footer_top_bg',
			'required'	=> array( $prefix.'footer_top_skin_opt', 'custom' )
		),
		array( 
			'label'	=> esc_html__( 'Footer Top Link Color', 'netube' ),
			'desc'	=> esc_html__( 'These all are footer top link color settings for currrent page.', 'netube' ), 
			'tab'	=> esc_html__( 'Footer', 'netube' ),
			'type'	=> 'link_color',
			'id'	=> $prefix.'footer_top_link',
			'required'	=> array( $prefix.'footer_top_skin_opt', 'custom' )
		),
		array( 
			'label'	=> esc_html__( 'Footer Top Border', 'netube' ),
			'desc'	=> esc_html__( 'These all are footer top border settings for currrent page.', 'netube' ), 
			'tab'	=> esc_html__( 'Footer', 'netube' ),
			'type'	=> 'space',
			'color' => 1,
			'border_style' => 1,
			'id'	=> $prefix.'footer_top_border',
			'required'	=> array( $prefix.'footer_top_skin_opt', 'custom' )
		),
		array( 
			'label'	=> esc_html__( 'Footer Top Padding', 'netube' ),
			'desc'	=> esc_html__( 'These all are footer top padding settings for currrent page.', 'netube' ), 
			'tab'	=> esc_html__( 'Footer', 'netube' ),
			'type'	=> 'space',
			'id'	=> $prefix.'footer_top_padding',
			'required'	=> array( $prefix.'footer_top_skin_opt', 'custom' )
		),
		array( 
			'label'	=> 'Footer Top Columns and Sidebars Settings',
			'desc'	=> esc_html__( 'These all are footer top columns and sidebar settings.', 'netube' ), 
			'tab'	=> esc_html__( 'Footer', 'netube' ),
			'type'	=> 'label'
		),
		array( 
			'label'	=> esc_html__( 'Footer Layout Option', 'netube' ),
			'desc'	=> esc_html__( 'Choose footer layout option.', 'netube' ), 
			'id'	=> $prefix.'footer_top_layout_opt',
			'tab'	=> esc_html__( 'Footer', 'netube' ),
			'type'	=> 'select',
			'options' => array ( 
				'theme-default' => esc_html__( 'Theme Default', 'netube' ),
				'custom' => esc_html__( 'Custom', 'netube' )
			),
			'default'	=> 'theme-default'
		),
		array( 
			'label'	=> esc_html__( 'Footer Layout', 'netube' ),
			'id'	=> $prefix.'footer_top_layout',
			'tab'	=> esc_html__( 'Footer', 'netube' ),
			'type'	=> 'image_select',
			'options' => array(
				'3-3-3-3'	=> NETUBE_CORE_URL . '/admin/ReduxCore/assets/img/footer-layouts/footer-1.png', 
				'4-4-4'	=> NETUBE_CORE_URL . '/admin/ReduxCore/assets/img/footer-layouts/footer-2.png', 
				'3-6-3'	=> NETUBE_CORE_URL . '/admin/ReduxCore/assets/img/footer-layouts/footer-3.png', 
				'6-6'	=> NETUBE_CORE_URL . '/admin/ReduxCore/assets/img/footer-layouts/footer-4.png', 
				'9-3'	=> NETUBE_CORE_URL . '/admin/ReduxCore/assets/img/footer-layouts/footer-5.png', 
				'3-9'	=> NETUBE_CORE_URL . '/admin/ReduxCore/assets/img/footer-layouts/footer-6.png', 
				'12'	=> NETUBE_CORE_URL . '/admin/ReduxCore/assets/img/footer-layouts/footer-7.png'
			),
			'default'	=> '4-4-4',
			'required'	=> array( $prefix.'footer_top_layout_opt', 'custom' )
		),
		array( 
			'label'	=> 'Footer First Column',
			'desc'	=> esc_html__( 'Select footer first column widget.', 'netube' ), 
			'tab'	=> esc_html__( 'Footer', 'netube' ),
			'id'	=> $prefix.'footer_top_sidebar_1',
			'type'	=> 'sidebar',
			'required'	=> array( $prefix.'footer_top_layout_opt', 'custom' )
		),
		array( 
			'label'	=> 'Footer Second Column',
			'desc'	=> esc_html__( 'Select footer second column widget.', 'netube' ), 
			'tab'	=> esc_html__( 'Footer', 'netube' ),
			'id'	=> $prefix.'footer_top_sidebar_2',
			'type'	=> 'sidebar',
			'required'	=> array( $prefix.'footer_top_layout_opt', 'custom' )
		),
		array( 
			'label'	=> 'Footer Third Column',
			'desc'	=> esc_html__( 'Select footer third column widget.', 'netube' ), 
			'tab'	=> esc_html__( 'Footer', 'netube' ),
			'id'	=> $prefix.'footer_top_sidebar_3',
			'type'	=> 'sidebar',
			'required'	=> array( $prefix.'footer_top_layout_opt', 'custom' )
		),
		array( 
			'label'	=> 'Footer Fourth Column',
			'desc'	=> esc_html__( 'Select footer fourth column widget.', 'netube' ), 
			'tab'	=> esc_html__( 'Footer', 'netube' ),
			'id'	=> $prefix.'footer_top_sidebar_4',
			'type'	=> 'sidebar',
			'required'	=> array( $prefix.'footer_top_layout_opt', 'custom' )
		),
		array( 
			'label'	=> 'Footer Middle',
			'desc'	=> esc_html__( 'These all are footer middle settings for currrent page.', 'netube' ), 
			'tab'	=> esc_html__( 'Footer', 'netube' ),
			'type'	=> 'label'
		),
		array( 
			'label'	=> esc_html__( 'Footer Middle Skin', 'netube' ),
			'desc'	=> esc_html__( 'Choose footer middle skin options.', 'netube' ), 
			'id'	=> $prefix.'footer_middle_skin_opt',
			'tab'	=> esc_html__( 'Footer', 'netube' ),
			'type'	=> 'select',
			'options' => array ( 
				'theme-default' => esc_html__( 'Theme Default', 'netube' ),
				'custom' => esc_html__( 'Custom', 'netube' )
			),
			'default'	=> 'theme-default'
		),
		array( 
			'label'	=> esc_html__( 'Footer Middle Font Color', 'netube' ),
			'desc'	=> esc_html__( 'These all are footer middle font color for currrent page.', 'netube' ), 
			'tab'	=> esc_html__( 'Footer', 'netube' ),
			'type'	=> 'color',
			'id'	=> $prefix.'footer_middle_font',
			'required'	=> array( $prefix.'footer_middle_skin_opt', 'custom' )
		),
		array( 
			'label'	=> esc_html__( 'Footer Middle Background', 'netube' ),
			'desc'	=> esc_html__( 'These all are footer background color for currrent page.', 'netube' ), 
			'tab'	=> esc_html__( 'Footer', 'netube' ),
			'type'	=> 'alpha_color',
			'id'	=> $prefix.'footer_middle_bg',
			'required'	=> array( $prefix.'footer_middle_skin_opt', 'custom' )
		),
		array( 
			'label'	=> esc_html__( 'Footer Middle Link Color', 'netube' ),
			'desc'	=> esc_html__( 'These all are footer middle link color settings for currrent page.', 'netube' ), 
			'tab'	=> esc_html__( 'Footer', 'netube' ),
			'type'	=> 'link_color',
			'id'	=> $prefix.'footer_middle_link',
			'required'	=> array( $prefix.'footer_middle_skin_opt', 'custom' )
		),
		array( 
			'label'	=> esc_html__( 'Footer Middle Border', 'netube' ),
			'desc'	=> esc_html__( 'These all are footer middle border settings for currrent page.', 'netube' ), 
			'tab'	=> esc_html__( 'Footer', 'netube' ),
			'type'	=> 'space',
			'color' => 1,
			'border_style' => 1,
			'id'	=> $prefix.'footer_middle_border',
			'required'	=> array( $prefix.'footer_middle_skin_opt', 'custom' )
		),
		array( 
			'label'	=> esc_html__( 'Footer Middle Padding', 'netube' ),
			'desc'	=> esc_html__( 'These all are footer middle padding settings for currrent page.', 'netube' ), 
			'tab'	=> esc_html__( 'Footer', 'netube' ),
			'type'	=> 'space',
			'id'	=> $prefix.'footer_middle_padding',
			'required'	=> array( $prefix.'footer_middle_skin_opt', 'custom' )
		),
		array( 
			'label'	=> 'Footer Middle Columns and Sidebars Settings',
			'desc'	=> esc_html__( 'These all are footer middle columns and sidebar settings.', 'netube' ), 
			'tab'	=> esc_html__( 'Footer', 'netube' ),
			'type'	=> 'label'
		),
		array( 
			'label'	=> esc_html__( 'Footer Layout Option', 'netube' ),
			'desc'	=> esc_html__( 'Choose footer layout option.', 'netube' ), 
			'id'	=> $prefix.'footer_middle_layout_opt',
			'tab'	=> esc_html__( 'Footer', 'netube' ),
			'type'	=> 'select',
			'options' => array ( 
				'theme-default' => esc_html__( 'Theme Default', 'netube' ),
				'custom' => esc_html__( 'Custom', 'netube' )
			),
			'default'	=> 'theme-default'
		),
		array( 
			'label'	=> esc_html__( 'Footer Layout', 'netube' ),
			'id'	=> $prefix.'footer_middle_layout',
			'tab'	=> esc_html__( 'Footer', 'netube' ),
			'type'	=> 'image_select',
			'options' => array(
				'3-3-3-3'	=> NETUBE_CORE_URL . '/admin/ReduxCore/assets/img/footer-layouts/footer-1.png', 
				'4-4-4'	=> NETUBE_CORE_URL . '/admin/ReduxCore/assets/img/footer-layouts/footer-2.png', 
				'3-6-3'	=> NETUBE_CORE_URL . '/admin/ReduxCore/assets/img/footer-layouts/footer-3.png', 
				'6-6'	=> NETUBE_CORE_URL . '/admin/ReduxCore/assets/img/footer-layouts/footer-4.png', 
				'9-3'	=> NETUBE_CORE_URL . '/admin/ReduxCore/assets/img/footer-layouts/footer-5.png', 
				'3-9'	=> NETUBE_CORE_URL . '/admin/ReduxCore/assets/img/footer-layouts/footer-6.png', 
				'12'	=> NETUBE_CORE_URL . '/admin/ReduxCore/assets/img/footer-layouts/footer-7.png'
			),
			'default'	=> '4-4-4',
			'required'	=> array( $prefix.'footer_middle_layout_opt', 'custom' )
		),
		array( 
			'label'	=> 'Footer First Column',
			'desc'	=> esc_html__( 'Select footer first column widget.', 'netube' ), 
			'tab'	=> esc_html__( 'Footer', 'netube' ),
			'id'	=> $prefix.'footer_middle_sidebar_1',
			'type'	=> 'sidebar',
			'required'	=> array( $prefix.'footer_middle_layout_opt', 'custom' )
		),
		array( 
			'label'	=> 'Footer Second Column',
			'desc'	=> esc_html__( 'Select footer second column widget.', 'netube' ), 
			'tab'	=> esc_html__( 'Footer', 'netube' ),
			'id'	=> $prefix.'footer_middle_sidebar_2',
			'type'	=> 'sidebar',
			'required'	=> array( $prefix.'footer_middle_layout_opt', 'custom' )
		),
		array( 
			'label'	=> 'Footer Third Column',
			'desc'	=> esc_html__( 'Select footer third column widget.', 'netube' ), 
			'tab'	=> esc_html__( 'Footer', 'netube' ),
			'id'	=> $prefix.'footer_middle_sidebar_3',
			'type'	=> 'sidebar',
			'required'	=> array( $prefix.'footer_middle_layout_opt', 'custom' )
		),
		array( 
			'label'	=> 'Footer Fourth Column',
			'desc'	=> esc_html__( 'Select footer fourth column widget.', 'netube' ), 
			'tab'	=> esc_html__( 'Footer', 'netube' ),
			'id'	=> $prefix.'footer_middle_sidebar_4',
			'type'	=> 'sidebar',
			'required'	=> array( $prefix.'footer_middle_layout_opt', 'custom' )
		),
		array( 
			'label'	=> 'Footer Bottom',
			'desc'	=> esc_html__( 'These all are footer bottom settings for currrent page.', 'netube' ), 
			'tab'	=> esc_html__( 'Footer', 'netube' ),
			'type'	=> 'label'
		),
		array( 
			'label'	=> esc_html__( 'Footer Bottom Fixed', 'netube' ),
			'desc'	=> esc_html__( 'Choose footer bottom fixed option.', 'netube' ), 
			'id'	=> $prefix.'footer_bottom_fixed',
			'tab'	=> esc_html__( 'Footer', 'netube' ),
			'type'	=> 'select',
			'options' => array ( 
				'theme-default' => esc_html__( 'Theme Default', 'netube' ),
				'1' => esc_html__( 'Enable', 'netube' ),
				'0' => esc_html__( 'Disable', 'netube' )			
			),
			'default'	=> 'theme-default'
		),
		array( 
			'label'	=> '',
			'desc'	=> esc_html__( 'These all are footer bottom skin settings for currrent page.', 'netube' ), 
			'tab'	=> esc_html__( 'Footer', 'netube' ),
			'type'	=> 'label'
		),
		array( 
			'label'	=> esc_html__( 'Footer Bottom Skin', 'netube' ),
			'desc'	=> esc_html__( 'Choose footer bottom skin options.', 'netube' ), 
			'id'	=> $prefix.'footer_bottom_skin_opt',
			'tab'	=> esc_html__( 'Footer', 'netube' ),
			'type'	=> 'select',
			'options' => array ( 
				'theme-default' => esc_html__( 'Theme Default', 'netube' ),
				'custom' => esc_html__( 'Custom', 'netube' )
			),
			'default'	=> 'theme-default'
		),
		array( 
			'label'	=> esc_html__( 'Footer Bottom Font Color', 'netube' ),
			'desc'	=> esc_html__( 'These all are footer bottom font color for currrent page.', 'netube' ), 
			'tab'	=> esc_html__( 'Footer', 'netube' ),
			'type'	=> 'color',
			'id'	=> $prefix.'footer_bottom_font',
			'required'	=> array( $prefix.'footer_bottom_skin_opt', 'custom' )
		),
		array( 
			'label'	=> esc_html__( 'Footer Bottom Background', 'netube' ),
			'desc'	=> esc_html__( 'These all are footer bottom background color for currrent page.', 'netube' ), 
			'tab'	=> esc_html__( 'Footer', 'netube' ),
			'type'	=> 'alpha_color',
			'id'	=> $prefix.'footer_bottom_bg',
			'required'	=> array( $prefix.'footer_bottom_skin_opt', 'custom' )
		),
		array( 
			'label'	=> esc_html__( 'Footer Bottom Link Color', 'netube' ),
			'desc'	=> esc_html__( 'These all are footer bottom link color settings for currrent page.', 'netube' ), 
			'tab'	=> esc_html__( 'Footer', 'netube' ),
			'type'	=> 'link_color',
			'id'	=> $prefix.'footer_bottom_link',
			'required'	=> array( $prefix.'footer_bottom_skin_opt', 'custom' )
		),
		array( 
			'label'	=> esc_html__( 'Footer Bottom Border', 'netube' ),
			'desc'	=> esc_html__( 'These all are footer bottom border settings for currrent page.', 'netube' ), 
			'tab'	=> esc_html__( 'Footer', 'netube' ),
			'type'	=> 'space',
			'color' => 1,
			'border_style' => 1,
			'id'	=> $prefix.'footer_bottom_border',
			'required'	=> array( $prefix.'footer_bottom_skin_opt', 'custom' )
		),
		array( 
			'label'	=> esc_html__( 'Footer Bottom Padding', 'netube' ),
			'desc'	=> esc_html__( 'These all are footer bottom padding settings for currrent page.', 'netube' ), 
			'tab'	=> esc_html__( 'Footer', 'netube' ),
			'type'	=> 'space',
			'id'	=> $prefix.'footer_bottom_padding',
			'required'	=> array( $prefix.'footer_bottom_skin_opt', 'custom' )
		),
		array( 
			'label'	=> esc_html__( 'Footer Bottom Widget Option', 'netube' ),
			'desc'	=> esc_html__( 'Choose footer bottom widget options.', 'netube' ), 
			'id'	=> $prefix.'footer_bottom_widget_opt',
			'tab'	=> esc_html__( 'Footer', 'netube' ),
			'type'	=> 'select',
			'options' => array ( 
				'theme-default' => esc_html__( 'Theme Default', 'netube' ),
				'custom' => esc_html__( 'Custom', 'netube' )
			),
			'default'	=> 'theme-default'
		),
		array( 
			'label'	=> 'Footer Bottom Widget',
			'desc'	=> esc_html__( 'Select footer bottom widget.', 'netube' ), 
			'tab'	=> esc_html__( 'Footer', 'netube' ),
			'id'	=> $prefix.'footer_bottom_widget',
			'type'	=> 'sidebar',
			'required'	=> array( $prefix.'footer_bottom_widget_opt', 'custom' )
		),
		array( 
			'label'	=> esc_html__( 'Footer Bottom Items Option', 'netube' ),
			'desc'	=> esc_html__( 'Choose footer bottom items options.', 'netube' ), 
			'id'	=> $prefix.'footer_bottom_items_opt',
			'tab'	=> esc_html__( 'Footer', 'netube' ),
			'type'	=> 'select',
			'options' => array ( 
				'theme-default' => esc_html__( 'Theme Default', 'netube' ),
				'custom' => esc_html__( 'Custom', 'netube' )
			),
			'default'	=> 'theme-default'
		),
		array( 
			'label'	=> esc_html__( 'Footer Bottom Items', 'netube' ),
			'desc'	=> esc_html__( 'These all are footer bottom items for currrent page.', 'netube' ), 
			'tab'	=> esc_html__( 'Footer', 'netube' ),
			'type'	=> 'dragdrop_multi',
			'id'	=> $prefix.'footer_bottom_items',
			'dd_fields' => array ( 
				'Left'  => array(
					'copyright' => esc_html__( 'Copyright Text', 'netube' )
				),
				'Center'  => array(
					'menu'	=> esc_html__( 'Footer Menu', 'netube' )
				),
				'Right'  => array(),
				'disabled' => array(
					'social'	=> esc_html__( 'Footer Social Links', 'netube' ),
					'widget'	=> esc_html__( 'Custom Widget', 'netube' )
				)
			),
			'required'	=> array( $prefix.'footer_bottom_items_opt', 'custom' )
		),
		//Header Slider
		array( 
			'label'	=> esc_html__( 'Slider', 'netube' ),
			'desc'	=> esc_html__( 'This header slider settings.', 'netube' ), 
			'tab'	=> esc_html__( 'Slider', 'netube' ),
			'type'	=> 'label'
		),
		array( 
			'label'	=> esc_html__( 'Slider Option', 'netube' ),
			'id'	=> $prefix.'header_slider_opt',
			'tab'	=> esc_html__( 'Slider', 'netube' ),
			'type'	=> 'select',
			'options' => array ( 
				'theme-default' => esc_html__( 'Theme Default', 'netube' ),
				'bottom' => esc_html__( 'Below Header', 'netube' ),
				'top' => esc_html__( 'Above Header', 'netube' ),
				'none' => esc_html__( 'None', 'netube' )
			),
			'default'	=> 'theme-default'
		),
		array( 
			'label'	=> esc_html__( 'Slider Shortcode', 'netube' ),
			'desc'	=> esc_html__( 'This is the place for enter slider shortcode. Example revolution slider shortcodes.', 'netube' ), 
			'id'	=> $prefix.'header_slider',
			'tab'	=> esc_html__( 'Slider', 'netube' ),
			'type'	=> 'textarea',
			'default'	=> ''
		),
	);
	return $fields;
}
$page_fields = netubeMetaboxFields( 'netube_page_' );
$page_box = new Custom_Add_Meta_Box( 'netube_page_metabox', esc_html__( 'netube Page Options', 'netube' ), $page_fields, 'page', true );
/* Custom Post Type Options */
$netube_option = get_option( 'netube_options' );
// Portfolio Options
if( isset( $netube_option['cpt-opts'] ) && is_array( $netube_option['cpt-opts'] ) && in_array( "portfolio", $netube_option['cpt-opts'] ) ){
	
	// CPT Portfolio Metabox
	$prefix = 'netube_portfolio_';
	$portfolio_fields = array(
		array( 
			'label'	=> esc_html__( 'Portfolio General Settings', 'netube' ),
			'desc'	=> esc_html__( 'These all are single portfolio general settings.', 'netube' ), 
			'tab'	=> esc_html__( 'Portfolio', 'netube' ),
			'type'	=> 'label'
		),
		array( 
			'label'	=> esc_html__( 'Portfolio Layout Option', 'netube' ),
			'id'	=> $prefix.'layout_opt',
			'tab'	=> esc_html__( 'Portfolio', 'netube' ),
			'type'	=> 'select',
			'options' => array ( 
				'theme-default' => esc_html__( 'Theme Default', 'netube' ),
				'custom' => esc_html__( 'Custom', 'netube' )
			),
			'default'	=> 'theme-default'		
		),
		array( 
			'label'	=> esc_html__( 'Portfolio Layout', 'netube' ),
			'id'	=> $prefix.'layout',
			'tab'	=> esc_html__( 'Portfolio', 'netube' ),
			'type'	=> 'image_select',
			'options' => array(
				'1'	=> NETUBE_CORE_URL . '/admin/ReduxCore/assets/img/portfolio-layouts/1.png', 
				'2'	=> NETUBE_CORE_URL . '/admin/ReduxCore/assets/img/portfolio-layouts/2.png',
				'3'	=> NETUBE_CORE_URL . '/admin/ReduxCore/assets/img/portfolio-layouts/3.png'
	
			),
			'default'	=> '1',
			'required'	=> array( $prefix.'layout_opt', 'custom' )
		),
		array( 
			'label'	=> esc_html__( 'Sticky Column', 'netube' ),
			'id'	=> $prefix.'sticky',
			'tab'	=> esc_html__( 'Portfolio', 'netube' ),
			'type'	=> 'select',
			'options' => array ( 
				'none' => esc_html__( 'None', 'netube' ),
				'right' => esc_html__( 'Right Column', 'netube' ),
				'left' => esc_html__( 'Left Column', 'netube' )
			),
			'default'	=> 'none'		
		),
		array( 
			'label'	=> esc_html__( 'Portfolio Format', 'netube' ),
			'id'	=> $prefix.'format',
			'tab'	=> esc_html__( 'Portfolio', 'netube' ),
			'type'	=> 'select',
			'options' => array ( 
				'standard' => esc_html__( 'Standard', 'netube' ),
				'video' => esc_html__( 'Video', 'netube' ),
				'audio' => esc_html__( 'Audio', 'netube' ),
				'gallery' => esc_html__( 'Gallery', 'netube' ),
				'gmap' => esc_html__( 'Google Map', 'netube' )
			),
			'default'	=> 'standard'		
		),
		array( 
			'label'	=> esc_html__( 'Portfolio Meta Items Options', 'netube' ),
			'desc'	=> esc_html__( 'Choose portfolio meta items option.', 'netube' ), 
			'id'	=> $prefix.'items_opt',
			'tab'	=> esc_html__( 'Portfolio', 'netube' ),
			'type'	=> 'select',
			'options' => array ( 
				'theme-default' => esc_html__( 'Theme Default', 'netube' ),
				'custom' => esc_html__( 'Custom', 'netube' )
			),
			'default'	=> 'theme-default'
		),
		array( 
			'label'	=> esc_html__( 'Portfolio Meta Items', 'netube' ),
			'desc'	=> esc_html__( 'These all are meta items for portfolio. drag and drop needed items from disabled part to enabled.', 'netube' ), 
			'tab'	=> esc_html__( 'Portfolio', 'netube' ),
			'type'	=> 'dragdrop_multi',
			'id'	=> $prefix.'items',
			'dd_fields' => array ( 
				'Enabled'  => array(
					'date'		=> esc_html__( 'Date', 'netube' ),
					'client'	=> esc_html__( 'Client', 'netube' ),
					'category'	=> esc_html__( 'Category', 'netube' ),
					'share'		=> esc_html__( 'Share', 'netube' ),
				),
				'disabled' => array(
					'tag'		=> esc_html__( 'Tags', 'netube' ),
					'duration'	=> esc_html__( 'Duration', 'netube' ),
					'url'		=> esc_html__( 'URL', 'netube' ),
					'place'		=> esc_html__( 'Place', 'netube' ),
					'estimation'=> esc_html__( 'Estimation', 'netube' ),
				)
			),
			'required'	=> array( $prefix.'items_opt', 'custom' )
		),
		array( 
			'label'	=> esc_html__( 'Portfolio Date', 'netube' ),
			'desc'	=> esc_html__( 'Choose/Enter portfolio date.', 'netube' ), 
			'id'	=> $prefix.'date',
			'tab'	=> esc_html__( 'Info', 'netube' ),
			'type'	=> 'date',
			'default'	=> ''
		),
		array( 
			'label'	=> esc_html__( 'Date Format', 'netube' ),
			'desc'	=> esc_html__( 'Enter date format to show selcted portfolio date. Example: F j, Y', 'netube' ), 
			'id'	=> $prefix.'date_format',
			'tab'	=> esc_html__( 'Info', 'netube' ),
			'type'	=> 'text',
			'default'	=> 'F j, Y'
		),
		array( 
			'label'	=> esc_html__( 'Client Name', 'netube' ),
			'desc'	=> esc_html__( 'Enter client name.', 'netube' ), 
			'id'	=> $prefix.'client_name',
			'tab'	=> esc_html__( 'Info', 'netube' ),
			'type'	=> 'text',
			'default'	=> ''
		),
		array( 
			'label'	=> esc_html__( 'Duration', 'netube' ),
			'desc'	=> esc_html__( 'Enter duration years or months.', 'netube' ), 
			'id'	=> $prefix.'duration',
			'tab'	=> esc_html__( 'Info', 'netube' ),
			'type'	=> 'text',
			'default'	=> ''
		),
		array( 
			'label'	=> esc_html__( 'Estimation', 'netube' ),
			'desc'	=> esc_html__( 'Enter project estimation.', 'netube' ), 
			'id'	=> $prefix.'estimation',
			'tab'	=> esc_html__( 'Info', 'netube' ),
			'type'	=> 'text',
			'default'	=> ''
		),
		array( 
			'label'	=> esc_html__( 'Place', 'netube' ),
			'desc'	=> esc_html__( 'Enter project place.', 'netube' ), 
			'id'	=> $prefix.'place',
			'tab'	=> esc_html__( 'Info', 'netube' ),
			'type'	=> 'text',
			'default'	=> ''
		),
		array( 
			'label'	=> esc_html__( 'URL', 'netube' ),
			'desc'	=> esc_html__( 'Enter project URL.', 'netube' ), 
			'id'	=> $prefix.'url',
			'tab'	=> esc_html__( 'Info', 'netube' ),
			'type'	=> 'url',
			'default'	=> ''
		),
		//Portfolio Format
		array( 
			'label'	=> esc_html__( 'Video', 'netube' ),
			'desc'	=> esc_html__( 'This part for if you choosed video format, then you must choose video type and give video id.', 'netube' ), 
			'tab'	=> esc_html__( 'Format', 'netube' ),
			'type'	=> 'label'
		),
		array( 
			'label'	=> esc_html__( 'Video Modal', 'netube' ),
			'id'	=> $prefix.'video_modal',
			'tab'	=> esc_html__( 'Format', 'netube' ),
			'type'	=> 'select',
			'options' => array ( 
				'onclick' => esc_html__( 'On Click Run Video', 'netube' ),
				'overlay' => esc_html__( 'Modal Box Video', 'netube' ),
				'direct' => esc_html__( 'Direct Video', 'netube' )
			),
			'default'	=> 'direct'
		),
		array( 
			'label'	=> esc_html__( 'Video Type', 'netube' ),
			'desc'	=> esc_html__( 'Choose video type.', 'netube' ), 
			'id'	=> $prefix.'video_type',
			'tab'	=> esc_html__( 'Format', 'netube' ),
			'type'	=> 'select',
			'options' => array ( 
				'' => esc_html__( 'None', 'netube' ),
				'youtube' => esc_html__( 'Youtube', 'netube' ),
				'vimeo' => esc_html__( 'Vimeo', 'netube' ),
				'custom' => esc_html__( 'Custom Video', 'netube' )
			),
			'default'	=> ''
		),
		array( 
			'label'	=> esc_html__( 'Video ID', 'netube' ),
			'desc'	=> esc_html__( 'Enter Video ID Example: ZSt9tm3RoUU. If you choose custom video type then you enter custom video url and video must be mp4 format.', 'netube' ), 
			'id'	=> $prefix.'video_id',
			'tab'	=> esc_html__( 'Format', 'netube' ),
			'type'	=> 'text',
			'default'	=> ''
		),
		array( 
			'type'	=> 'line',
			'tab'	=> esc_html__( 'Format', 'netube' )
		),
		array( 
			'label'	=> esc_html__( 'Audio', 'netube' ),
			'desc'	=> esc_html__( 'This part for if you choosed audio format, then you must give audio id.', 'netube' ), 
			'tab'	=> esc_html__( 'Format', 'netube' ),
			'type'	=> 'label'
		),
		array( 
			'label'	=> esc_html__( 'Audio Type', 'netube' ),
			'desc'	=> esc_html__( 'Choose audio type.', 'netube' ), 
			'id'	=> $prefix.'audio_type',
			'tab'	=> esc_html__( 'Format', 'netube' ),
			'type'	=> 'select',
			'options' => array ( 
				'' => esc_html__( 'None', 'netube' ),
				'soundcloud' => esc_html__( 'Soundcloud', 'netube' ),
				'custom' => esc_html__( 'Custom Audio', 'netube' )
			),
			'default'	=> ''
		),
		array( 
			'label'	=> esc_html__( 'Audio ID', 'netube' ),
			'desc'	=> esc_html__( 'Enter soundcloud audio ID. Example: 315307209.', 'netube' ), 
			'id'	=> $prefix.'audio_id',
			'tab'	=> esc_html__( 'Format', 'netube' ),
			'type'	=> 'text',
			'default'	=> ''
		),
		array( 
			'type'	=> 'line',
			'tab'	=> esc_html__( 'Format', 'netube' )
		),
		array( 
			'label'	=> esc_html__( 'Gallery', 'netube' ),
			'desc'	=> esc_html__( 'This part for if you choosed gallery format, then you must choose gallery images here.', 'netube' ), 
			'tab'	=> esc_html__( 'Format', 'netube' ),
			'type'	=> 'label'
		),
		array( 
			'label'	=> esc_html__( 'Gallery Modal', 'netube' ),
			'id'	=> $prefix.'gallery_modal',
			'tab'	=> esc_html__( 'Format', 'netube' ),
			'type'	=> 'select',
			'options' => array ( 
				'default' => esc_html__( 'Default Gallery', 'netube' ),
				'normal' => esc_html__( 'Normal Gallery', 'netube' ),
				'grid' => esc_html__( 'Grid/Masonry Gallery', 'netube' )
			),
			'default'	=> 'default'
		),
		array( 
			'label'	=> esc_html__( 'Grid Gutter Size', 'netube' ),
			'desc'	=> esc_html__( 'Enter gallery grid gutter size. Example 20', 'netube' ), 
			'id'	=> $prefix.'grid_gutter',
			'tab'	=> esc_html__( 'Format', 'netube' ),
			'type'	=> 'text',
			'default'	=> '',
			'required'	=> array( $prefix.'gallery_modal', 'grid' )
		),
		array( 
			'label'	=> esc_html__( 'Grid Columns', 'netube' ),
			'desc'	=> esc_html__( 'Enter gallery grid columns count. Example 2', 'netube' ), 
			'id'	=> $prefix.'grid_cols',
			'tab'	=> esc_html__( 'Format', 'netube' ),
			'type'	=> 'text',
			'default'	=> '',
			'required'	=> array( $prefix.'gallery_modal', 'grid' )
		),
		array( 
			'label'	=> esc_html__( 'Choose Gallery Images', 'netube' ),
			'id'	=> $prefix.'gallery',
			'type'	=> 'gallery',
			'tab'	=> esc_html__( 'Format', 'netube' )
		),
		array( 
			'type'	=> 'line',
			'tab'	=> esc_html__( 'Format', 'netube' )
		),
		array( 
			'label'	=> esc_html__( 'Google Map', 'netube' ),
			'desc'	=> esc_html__( 'This part for if you choosed google map format, then you must give google map lat, lang and map style.', 'netube' ), 
			'tab'	=> esc_html__( 'Format', 'netube' ),
			'type'	=> 'label'
		),
		array( 
			'label'	=> esc_html__( 'Google Map Latitude', 'netube' ),
			'desc'	=> esc_html__( 'Enter google latitude.', 'netube' ), 
			'id'	=> $prefix.'gmap_latitude',
			'tab'	=> esc_html__( 'Format', 'netube' ),
			'type'	=> 'text',
			'default'	=> ''
		),
		array( 
			'label'	=> esc_html__( 'Google Map Longitude', 'netube' ),
			'desc'	=> esc_html__( 'Enter google longitude.', 'netube' ), 
			'id'	=> $prefix.'gmap_longitude',
			'tab'	=> esc_html__( 'Format', 'netube' ),
			'type'	=> 'text',
			'default'	=> ''
		),
		array( 
			'label'	=> esc_html__( 'Google Map Marker URL', 'netube' ),
			'desc'	=> esc_html__( 'Enter google map custom marker url.', 'netube' ), 
			'id'	=> $prefix.'gmap_marker',
			'tab'	=> esc_html__( 'Format', 'netube' ),
			'type'	=> 'url',
			'default'	=> ''
		),
		array( 
			'label'	=> esc_html__( 'Google Map Style', 'netube' ),
			'id'	=> $prefix.'gmap_style',
			'tab'	=> esc_html__( 'Format', 'netube' ),
			'type'	=> 'select',
			'options' => array ( 
				'standard' => esc_html__( 'Standard', 'netube' ),
				'silver' => esc_html__( 'Silver', 'netube' ),
				'retro' => esc_html__( 'Retro', 'netube' ),
				'dark' => esc_html__( 'Dark', 'netube' ),
				'night' => esc_html__( 'Night', 'netube' ),
				'aubergine' => esc_html__( 'Aubergine', 'netube' )
			),
			'default'	=> 'standard'
		),
		array( 
			'type'	=> 'line',
			'tab'	=> esc_html__( 'Format', 'netube' )
		),
	);
	// CPT Portfolio Options
	$portfolio_box = new Custom_Add_Meta_Box( 'netube_portfolio_metabox', esc_html__( 'netube Portfolio Options', 'netube' ), $portfolio_fields, 'netube-portfolio', true );
	
	// CPT Portfolio Page Options
	$portfolio_page_box = new Custom_Add_Meta_Box( 'netube_portfolio_page_metabox', esc_html__( 'netube Page Options', 'netube' ), $page_fields, 'netube-portfolio', true );
} // In theme option CPT option if portfolio exists
// Testimonial Options
if( isset( $netube_option['cpt-opts'] ) && is_array( $netube_option['cpt-opts'] ) && in_array( "testimonial", $netube_option['cpt-opts'] ) ){
	
	$prefix = 'netube_testimonial_';
	$testimonial_fields = array(	
		array( 
			'label'	=> esc_html__( 'Author Designation', 'netube' ),
			'desc'	=> esc_html__( 'Enter author designation.', 'netube' ), 
			'id'	=> $prefix.'designation',
			'tab'	=> esc_html__( 'Testimonial', 'netube' ),
			'type'	=> 'text',
			'default'	=> ''
		),
		array( 
			'label'	=> esc_html__( 'Company Name', 'netube' ),
			'desc'	=> esc_html__( 'Enter company name.', 'netube' ), 
			'id'	=> $prefix.'company_name',
			'tab'	=> esc_html__( 'Testimonial', 'netube' ),
			'type'	=> 'text',
			'default'	=> ''
		),
		array( 
			'label'	=> esc_html__( 'Company URL', 'netube' ),
			'desc'	=> esc_html__( 'Enter company URL.', 'netube' ), 
			'id'	=> $prefix.'company_url',
			'tab'	=> esc_html__( 'Testimonial', 'netube' ),
			'type'	=> 'url',
			'default'	=> ''
		),
		array( 
			'label'	=> esc_html__( 'Rating', 'netube' ),
			'desc'	=> esc_html__( 'Set user rating.', 'netube' ), 
			'id'	=> $prefix.'rating',
			'tab'	=> esc_html__( 'Testimonial', 'netube' ),
			'type'	=> 'rating',
			'default'	=> ''
		)
	);
	
	// CPT Testimonial Options
	$testimonial_box = new Custom_Add_Meta_Box( 'netube_testimonial_metabox', esc_html__( 'netube Testimonial Options', 'netube' ), $testimonial_fields, 'netube-testimonial', true );
	
	// CPT Testimonial Page Options
	$testimonial_page_box = new Custom_Add_Meta_Box( 'netube_testimonial_page_metabox', esc_html__( 'netube Page Options', 'netube' ), $page_fields, 'netube-testimonial', true );
	
} // In theme option CPT option if testimonial exists
// Team Options
if( isset( $netube_option['cpt-opts'] ) && is_array( $netube_option['cpt-opts'] ) && in_array( "team", $netube_option['cpt-opts'] ) ){
	
	$prefix = 'netube_team_';
	$team_fields = array(	
		array( 
			'label'	=> esc_html__( 'Member Designation', 'netube' ),
			'desc'	=> esc_html__( 'Enter member designation.', 'netube' ), 
			'id'	=> $prefix.'designation',
			'tab'	=> esc_html__( 'Team', 'netube' ),
			'type'	=> 'text',
			'default'	=> ''
		),
		array( 
			'label'	=> esc_html__( 'Member Email', 'netube' ),
			'desc'	=> esc_html__( 'Enter member email.', 'netube' ), 
			'id'	=> $prefix.'email',
			'tab'	=> esc_html__( 'Team', 'netube' ),
			'type'	=> 'text',
			'default'	=> ''
		),
		array( 
			'label'	=> esc_html__( 'Link Target', 'netube' ),
			'id'	=> $prefix.'link_target',
			'tab'	=> esc_html__( 'Social', 'netube' ),
			'type'	=> 'select',
			'options' => array ( 
				'_blank' => esc_html__( 'New Window', 'netube' ),
				'_self' => esc_html__( 'Self Window', 'netube' )
			),
			'default'	=> '_blank'
		),
		array( 
			'label'	=> esc_html__( 'Facebook', 'netube' ),
			'desc'	=> esc_html__( 'Facebook profile link.', 'netube' ), 
			'id'	=> $prefix.'facebook',
			'tab'	=> esc_html__( 'Social', 'netube' ),
			'type'	=> 'url',
			'default'	=> ''
		),
		array( 
			'label'	=> esc_html__( 'Twitter', 'netube' ),
			'desc'	=> esc_html__( 'Twitter profile link.', 'netube' ), 
			'id'	=> $prefix.'twitter',
			'tab'	=> esc_html__( 'Social', 'netube' ),
			'type'	=> 'url',
			'default'	=> ''
		),
		array( 
			'label'	=> esc_html__( 'Instagram', 'netube' ),
			'desc'	=> esc_html__( 'Instagram profile link.', 'netube' ), 
			'id'	=> $prefix.'instagram',
			'tab'	=> esc_html__( 'Social', 'netube' ),
			'type'	=> 'url',
			'default'	=> ''
		),
		array( 
			'label'	=> esc_html__( 'Google Plus', 'netube' ),
			'desc'	=> esc_html__( 'Google Plus profile link.', 'netube' ), 
			'id'	=> $prefix.'gplus',
			'tab'	=> esc_html__( 'Social', 'netube' ),
			'type'	=> 'url',
			'default'	=> ''
		),
		array( 
			'label'	=> esc_html__( 'Linkedin', 'netube' ),
			'desc'	=> esc_html__( 'Linkedin profile link.', 'netube' ), 
			'id'	=> $prefix.'linkedin',
			'tab'	=> esc_html__( 'Social', 'netube' ),
			'type'	=> 'url',
			'default'	=> ''
		),
		array( 
			'label'	=> esc_html__( 'Pinterest', 'netube' ),
			'desc'	=> esc_html__( 'Pinterest profile link.', 'netube' ), 
			'id'	=> $prefix.'pinterest',
			'tab'	=> esc_html__( 'Social', 'netube' ),
			'type'	=> 'url',
			'default'	=> ''
		),
		array( 
			'label'	=> esc_html__( 'Dribbble', 'netube' ),
			'desc'	=> esc_html__( 'Dribbble profile link.', 'netube' ), 
			'id'	=> $prefix.'dribbble',
			'tab'	=> esc_html__( 'Social', 'netube' ),
			'type'	=> 'url',
			'default'	=> ''
		),
		array( 
			'label'	=> esc_html__( 'Flickr', 'netube' ),
			'desc'	=> esc_html__( 'Flickr profile link.', 'netube' ), 
			'id'	=> $prefix.'flickr',
			'tab'	=> esc_html__( 'Social', 'netube' ),
			'type'	=> 'url',
			'default'	=> ''
		),
		array( 
			'label'	=> esc_html__( 'Youtube', 'netube' ),
			'desc'	=> esc_html__( 'Youtube profile link.', 'netube' ), 
			'id'	=> $prefix.'youtube',
			'tab'	=> esc_html__( 'Social', 'netube' ),
			'type'	=> 'url',
			'default'	=> ''
		),
		array( 
			'label'	=> esc_html__( 'Vimeo', 'netube' ),
			'desc'	=> esc_html__( 'Vimeo profile link.', 'netube' ), 
			'id'	=> $prefix.'vimeo',
			'tab'	=> esc_html__( 'Social', 'netube' ),
			'type'	=> 'url',
			'default'	=> ''
		)
	);
	
	// CPT Team Options
	$team_box = new Custom_Add_Meta_Box( 'netube_team_metabox', esc_html__( 'netube Team Options', 'netube' ), $team_fields, 'netube-team', true );
	
	// CPT Team Page Options
	$team_page_box = new Custom_Add_Meta_Box( 'netube_team_page_metabox', esc_html__( 'netube Page Options', 'netube' ), $page_fields, 'netube-team', true );
	
} // In theme option CPT option if team exists
// Event Options
if( isset( $netube_option['cpt-opts'] ) && is_array( $netube_option['cpt-opts'] ) && in_array( "event", $netube_option['cpt-opts'] ) ){
	
	$prefix = 'netube_event_';
	$event_fields = array(	
		array( 
			'label'	=> esc_html__( 'Event Organiser Name', 'netube' ),
			'desc'	=> esc_html__( 'Enter event organiser name.', 'netube' ), 
			'id'	=> $prefix.'organiser_name',
			'tab'	=> esc_html__( 'Events', 'netube' ),
			'type'	=> 'text',
			'default'	=> ''
		),
		array( 
			'label'	=> esc_html__( 'Event Organiser Designation', 'netube' ),
			'desc'	=> esc_html__( 'Enter event organiser designation.', 'netube' ), 
			'id'	=> $prefix.'organiser_designation',
			'tab'	=> esc_html__( 'Events', 'netube' ),
			'type'	=> 'text',
			'default'	=> ''
		),
		array( 
			'label'	=> esc_html__( 'Event Start Date', 'netube' ),
			'desc'	=> esc_html__( 'Enter event start date.', 'netube' ), 
			'id'	=> $prefix.'start_date',
			'tab'	=> esc_html__( 'Events', 'netube' ),
			'type'	=> 'date',
			'default'	=> ''
		),
		array( 
			'label'	=> esc_html__( 'Event End Date', 'netube' ),
			'desc'	=> esc_html__( 'Enter event end date.', 'netube' ), 
			'id'	=> $prefix.'end_date',
			'tab'	=> esc_html__( 'Events', 'netube' ),
			'type'	=> 'date',
			'default'	=> ''
		),
		array( 
			'label'	=> esc_html__( 'Date Format', 'netube' ),
			'desc'	=> esc_html__( 'Enter date format to show selcted event date. Example: F j, Y', 'netube' ), 
			'id'	=> $prefix.'date_format',
			'tab'	=> esc_html__( 'Events', 'netube' ),
			'type'	=> 'text',
			'default'	=> 'F j, Y'
		),
		array( 
			'label'	=> esc_html__( 'Event Start Time', 'netube' ),
			'desc'	=> esc_html__( 'Enter event start time.', 'netube' ), 
			'id'	=> $prefix.'time',
			'tab'	=> esc_html__( 'Events', 'netube' ),
			'type'	=> 'text',
			'default'	=> ''
		),
		array( 
			'label'	=> esc_html__( 'Event Cost', 'netube' ),
			'desc'	=> esc_html__( 'Enter event cost.', 'netube' ), 
			'id'	=> $prefix.'cost',
			'tab'	=> esc_html__( 'Events', 'netube' ),
			'type'	=> 'text',
			'default'	=> ''
		),
		array( 
			'label'	=> esc_html__( 'Custom Link for Event Item', 'netube' ),
			'desc'	=> esc_html__( 'Enter custom link to redirect custom event page.', 'netube' ), 
			'id'	=> $prefix.'link',
			'tab'	=> esc_html__( 'Events', 'netube' ),
			'type'	=> 'text',
			'default'	=> ''
		),
		array( 
			'label'	=> esc_html__( 'Custom Link Target', 'netube' ),
			'desc'	=> esc_html__( 'Choose custom link target to new window or self window.', 'netube' ), 
			'id'	=> $prefix.'link_target',
			'tab'	=> esc_html__( 'Events', 'netube' ),
			'type'	=> 'select',
			'options' => array ( 
				'_blank' => esc_html__( 'New Window', 'netube' ),
				'_self' => esc_html__( 'Self Window', 'netube' )
			),
			'default'	=> '_blank'
		),
		array( 
			'label'	=> esc_html__( 'Custom Link Button Text', 'netube' ),
			'desc'	=> esc_html__( 'Enter custom link buttom text: Example More About Event.', 'netube' ), 
			'id'	=> $prefix.'link_text',
			'tab'	=> esc_html__( 'Events', 'netube' ),
			'type'	=> 'text',
			'default'	=> ''
		),
		array( 
			'label'	=> esc_html__( 'Venue Name', 'netube' ),
			'desc'	=> esc_html__( 'Enter event venue name.', 'netube' ), 
			'id'	=> $prefix.'venue_name',
			'tab'	=> esc_html__( 'Address', 'netube' ),
			'type'	=> 'text',
			'default'	=> ''
		),
		array( 
			'label'	=> esc_html__( 'Venue Address', 'netube' ),
			'desc'	=> esc_html__( 'Enter event venue address.', 'netube' ), 
			'id'	=> $prefix.'venue_address',
			'tab'	=> esc_html__( 'Address', 'netube' ),
			'type'	=> 'textarea',
			'default'	=> ''
		),
		array( 
			'label'	=> esc_html__( 'E-mail', 'netube' ),
			'desc'	=> esc_html__( 'Enter email id for clarification about event.', 'netube' ), 
			'id'	=> $prefix.'email',
			'tab'	=> esc_html__( 'Address', 'netube' ),
			'type'	=> 'text',
			'default'	=> ''
		),
		array( 
			'label'	=> esc_html__( 'Phone', 'netube' ),
			'desc'	=> esc_html__( 'Enter phone number for contact about event.', 'netube' ), 
			'id'	=> $prefix.'phone',
			'tab'	=> esc_html__( 'Address', 'netube' ),
			'type'	=> 'text',
			'default'	=> ''
		),
		array( 
			'label'	=> esc_html__( 'Website', 'netube' ),
			'desc'	=> esc_html__( 'Enter event website.', 'netube' ), 
			'id'	=> $prefix.'website',
			'tab'	=> esc_html__( 'Address', 'netube' ),
			'type'	=> 'url',
			'default'	=> ''
		),
		array( 
			'label'	=> esc_html__( 'Latitude', 'netube' ),
			'desc'	=> esc_html__( 'Enter map latitude.', 'netube' ), 
			'id'	=> $prefix.'gmap_latitude',
			'tab'	=> esc_html__( 'GMap', 'netube' ),
			'type'	=> 'text',
			'default'	=> ''
		),
		array( 
			'label'	=> esc_html__( 'Longitude', 'netube' ),
			'desc'	=> esc_html__( 'Enter map longitude.', 'netube' ), 
			'id'	=> $prefix.'gmap_longitude',
			'tab'	=> esc_html__( 'GMap', 'netube' ),
			'type'	=> 'text',
			'default'	=> ''
		),
		array( 
			'label'	=> esc_html__( 'Google Map Marker URL', 'netube' ),
			'desc'	=> esc_html__( 'Enter google map custom marker url.', 'netube' ), 
			'id'	=> $prefix.'gmap_marker',
			'tab'	=> esc_html__( 'GMap', 'netube' ),
			'type'	=> 'url',
			'default'	=> ''
		),
		array( 
			'label'	=> esc_html__( 'Google Map Style', 'netube' ),
			'id'	=> $prefix.'gmap_style',
			'tab'	=> esc_html__( 'GMap', 'netube' ),
			'type'	=> 'select',
			'options' => array ( 
				'standard' => esc_html__( 'Standard', 'netube' ),
				'silver' => esc_html__( 'Silver', 'netube' ),
				'retro' => esc_html__( 'Retro', 'netube' ),
				'dark' => esc_html__( 'Dark', 'netube' ),
				'night' => esc_html__( 'Night', 'netube' ),
				'aubergine' => esc_html__( 'Aubergine', 'netube' )
			),
			'default'	=> 'standard'
		),
		array( 
			'label'	=> esc_html__( 'Google Map Height', 'netube' ),
			'desc'	=> esc_html__( 'Enter map height in values. Example 400', 'netube' ), 
			'id'	=> $prefix.'gmap_height',
			'tab'	=> esc_html__( 'GMap', 'netube' ),
			'type'	=> 'text',
			'default'	=> '400'
		),
		array( 
			'label'	=> esc_html__( 'Contact Form', 'netube' ),
			'desc'	=> esc_html__( 'Contact form shortcode here.', 'netube' ), 
			'id'	=> $prefix.'contact_form',
			'tab'	=> esc_html__( 'Contact', 'netube' ),
			'type'	=> 'textarea',
			'default'	=> ''
		),
		array( 
			'label'	=> esc_html__( 'Event Info Columns', 'netube' ),
			'desc'	=> esc_html__( 'Enter column division values like given format. Example 3-3-6', 'netube' ), 
			'id'	=> $prefix.'col_layout',
			'tab'	=> esc_html__( 'Layout', 'netube' ),
			'type'	=> 'text',
			'default'	=> '3-3-6'
		),
		array( 
			'label'	=> esc_html__( 'Event Detail Items', 'netube' ),
			'desc'	=> esc_html__( 'This is layout settings for event.', 'netube' ), 
			'tab'	=> esc_html__( 'Layout', 'netube' ),
			'type'	=> 'dragdrop_multi',
			'id'	=> $prefix.'event_info_items',
			'dd_fields' => array ( 
				'Enable'  => array(
					'event-details' => esc_html__( 'Event Details', 'netube' ),
					'event-venue' => esc_html__( 'Event Venue', 'netube' ),
					'event-map' => esc_html__( 'Event Map', 'netube' )
				),
				'disabled' => array(
					'event-form'	=> esc_html__( 'Event Form', 'netube' ),
				)
			),
		),
		array( 
			'label'	=> esc_html__( 'Navigation', 'netube' ),
			'id'	=> $prefix.'nav_position',
			'tab'	=> esc_html__( 'Layout', 'netube' ),
			'type'	=> 'select',
			'options' => array ( 
				'top' => esc_html__( 'Top', 'netube' ),
				'bottom' => esc_html__( 'Bottom', 'netube' )
			),
			'default'	=> 'top'
		),
	);
	
	// CPT Events Options
	$event_box = new Custom_Add_Meta_Box( 'netube_event_metabox', esc_html__( 'netube Event Options', 'netube' ), $event_fields, 'netube-event', true );
	
	// CPT Events Page Options
	$event_page_box = new Custom_Add_Meta_Box( 'netube_event_page_metabox', esc_html__( 'netube Page Options', 'netube' ), $page_fields, 'netube-event', true );
	
} // In theme option CPT option if event exists
// Service Options
if( isset( $netube_option['cpt-opts'] ) && is_array( $netube_option['cpt-opts'] ) && in_array( "service", $netube_option['cpt-opts'] ) ){
	
	$prefix = 'netube_service_';
	
	// CPT Events Page Options
	$service_page_box = new Custom_Add_Meta_Box( 'netube_service_page_metabox', esc_html__( 'netube Page Options', 'netube' ), $page_fields, 'netube-service', true );
	
}